/*===========================================================================*/
/*   (BackEnd/c_emit.scm)                                                    */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/c_emit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;


	extern obj_t BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62emitzd2atomzd2valuez62zzbackend_c_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_commandzd2linezd2zz__osz00();
	BGL_EXPORTED_DECL obj_t BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2includezd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_startzd2emissionz12zc0zzbackend_c_emitz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_c_emitz00();
	BGL_EXPORTED_DECL obj_t
		BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t make_string(long, unsigned char);
	static obj_t BGl_emitzd2licensezd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62emitzd2garbagezd2collectorzd2selectionzb0zzbackend_c_emitz00(obj_t);
	BGL_IMPORT obj_t BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_untrigraphz00zzbackend_c_emitz00(obj_t);
	extern obj_t BGl_za2bigloozd2nameza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	static obj_t BGl_z62untrigraphz62zzbackend_c_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2userzd2heapzd2siza7eza2za7zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	static obj_t BGl_z62emitzd2includezb0zzbackend_c_emitz00(obj_t);
	extern obj_t BGl_za2bigloozd2authorza2zd2zzengine_paramz00;
	extern obj_t BGl_za2bigloozd2dateza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	static obj_t BGl_positivez00zzbackend_c_emitz00(BGL_LONGLONG_T);
	extern obj_t BGl_bigloozd2licensezd2zztools_licensez00();
	extern obj_t BGl_za2garbagezd2collectorza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_emitzd2commentzd2zzbackend_c_emitz00(obj_t,
		unsigned char);
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	static obj_t BGl_z62stopzd2emissionz12za2zzbackend_c_emitz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_c_emitz00 = BUNSPEC;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_EXPORTED_DEF obj_t BGl_za2czd2portza2zd2zzbackend_c_emitz00 = BUNSPEC;
	extern obj_t BGl_stringzd2sanszd2z42z42zztype_toolsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t
		BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_c_emitz00();
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00(BGL_LONGLONG_T);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern obj_t BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62startzd2emissionz12za2zzbackend_c_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00();
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	static obj_t BGl_z62emitzd2commentzb0zzbackend_c_emitz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2licensingzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	static obj_t BGl_z62emitzd2mainzb0zzbackend_c_emitz00(obj_t);
	static obj_t BGl_z62emitzd2debugzd2activationz62zzbackend_c_emitz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t string_for_read(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_emitzd2copzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_copz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_licensez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_configurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2mainzd2zzbackend_c_emitz00();
	static obj_t BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00 = BUNSPEC;
	static obj_t BGl_z62llongzd2ze3czd2isoz81zzbackend_c_emitz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_c_emitz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_emitz00();
	BGL_EXPORTED_DECL obj_t BGl_emitzd2headerzd2zzbackend_c_emitz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_z62emitzd2dlopenzd2initz62zzbackend_c_emitz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopz00zzbackend_c_emitz00(BGL_LONGLONG_T, obj_t, long,
		BGL_LONGLONG_T, BGL_LONGLONG_T);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static long BGl_za2maxzd2colza2zd2zzbackend_c_emitz00;
	static obj_t BGl_z62emitzd2headerzb0zzbackend_c_emitz00(obj_t);
	extern obj_t BGl_za2includezd2foreignza2zd2zzengine_paramz00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_untrigraphzd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762untrigraphza7624324z00,
		BGl_z62untrigraphz62zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4300z00zzbackend_c_emitz00,
		BgL_bgl_string4300za700za7za7b4325za7, "\" );", 4);
	      DEFINE_STRING(BGl_string4301z00zzbackend_c_emitz00,
		BgL_bgl_string4301za700za7za7b4326za7, "}", 1);
	      DEFINE_STRING(BGl_string4302z00zzbackend_c_emitz00,
		BgL_bgl_string4302za700za7za7b4327za7, "(-", 2);
	      DEFINE_STRING(BGl_string4303z00zzbackend_c_emitz00,
		BgL_bgl_string4303za700za7za7b4328za7, ")", 1);
	      DEFINE_STRING(BGl_string4304z00zzbackend_c_emitz00,
		BgL_bgl_string4304za700za7za7b4329za7, ")))", 3);
	      DEFINE_STRING(BGl_string4305z00zzbackend_c_emitz00,
		BgL_bgl_string4305za700za7za7b4330za7, " * (", 4);
	      DEFINE_STRING(BGl_string4306z00zzbackend_c_emitz00,
		BgL_bgl_string4306za700za7za7b4331za7, " + ((BGL_LONGLONG_T)", 20);
	      DEFINE_STRING(BGl_string4307z00zzbackend_c_emitz00,
		BgL_bgl_string4307za700za7za7b4332za7, "(", 1);
	      DEFINE_STRING(BGl_string4308z00zzbackend_c_emitz00,
		BgL_bgl_string4308za700za7za7b4333za7, "((BGL_LONGLONG_T)", 17);
	      DEFINE_STRING(BGl_string4309z00zzbackend_c_emitz00,
		BgL_bgl_string4309za700za7za7b4334za7, "((", 2);
	      DEFINE_STRING(BGl_string4310z00zzbackend_c_emitz00,
		BgL_bgl_string4310za700za7za7b4335za7, "BNIL", 4);
	      DEFINE_STRING(BGl_string4311z00zzbackend_c_emitz00,
		BgL_bgl_string4311za700za7za7b4336za7, "'\\000'", 6);
	      DEFINE_STRING(BGl_string4312z00zzbackend_c_emitz00,
		BgL_bgl_string4312za700za7za7b4337za7, "\\''", 3);
	      DEFINE_STRING(BGl_string4313z00zzbackend_c_emitz00,
		BgL_bgl_string4313za700za7za7b4338za7, "BUNSPEC", 7);
	      DEFINE_STRING(BGl_string4314z00zzbackend_c_emitz00,
		BgL_bgl_string4314za700za7za7b4339za7, "BCNST(", 6);
	      DEFINE_STRING(BGl_string4315z00zzbackend_c_emitz00,
		BgL_bgl_string4315za700za7za7b4340za7, "BGL_NAN", 7);
	      DEFINE_STRING(BGl_string4316z00zzbackend_c_emitz00,
		BgL_bgl_string4316za700za7za7b4341za7, "BGL_INFINITY", 12);
	      DEFINE_STRING(BGl_string4317z00zzbackend_c_emitz00,
		BgL_bgl_string4317za700za7za7b4342za7, "(-BGL_INFINITY)", 15);
	      DEFINE_STRING(BGl_string4318z00zzbackend_c_emitz00,
		BgL_bgl_string4318za700za7za7b4343za7, "(bgl_string_to_bignum( \"", 24);
	      DEFINE_STRING(BGl_string4319z00zzbackend_c_emitz00,
		BgL_bgl_string4319za700za7za7b4344za7, "\", 16 ))", 8);
	      DEFINE_STRING(BGl_string4320z00zzbackend_c_emitz00,
		BgL_bgl_string4320za700za7za7b4345za7, "backend_c_emit", 14);
	      DEFINE_STRING(BGl_string4321z00zzbackend_c_emitz00,
		BgL_bgl_string4321za700za7za7b4346za7,
		"bumpy boehm --to-stdout (cgen distrib cc cindent hgen) ", 55);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_llongzd2ze3czd2isozd2envz31zzbackend_c_emitz00,
		BgL_bgl_za762llongza7d2za7e3cza74347z00,
		BGl_z62llongzd2ze3czd2isoz81zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2emissionz12zd2envz12zzbackend_c_emitz00,
		BgL_bgl_za762stopza7d2emissi4348z00,
		BGl_z62stopzd2emissionz12za2zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2debugzd2activationzd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2debugza74349za7,
		BGl_z62emitzd2debugzd2activationz62zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2mainzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2mainza7b4350za7,
		BGl_z62emitzd2mainzb0zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2garbagezd2collectorzd2selectionzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2garbag4351z00,
		BGl_z62emitzd2garbagezd2collectorzd2selectionzb0zzbackend_c_emitz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2atomzd2valuezd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2atomza7d4352za7,
		BGl_z62emitzd2atomzd2valuez62zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2includezd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2includ4353z00,
		BGl_z62emitzd2includezb0zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2headerzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2header4354z00,
		BGl_z62emitzd2headerzb0zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string4270z00zzbackend_c_emitz00,
		BgL_bgl_string4270za700za7za7b4355za7, "Can't open file for output", 26);
	      DEFINE_STRING(BGl_string4271z00zzbackend_c_emitz00,
		BgL_bgl_string4271za700za7za7b4356za7, "/*", 2);
	      DEFINE_STRING(BGl_string4272z00zzbackend_c_emitz00,
		BgL_bgl_string4272za700za7za7b4357za7, "*/", 2);
	      DEFINE_STRING(BGl_string4273z00zzbackend_c_emitz00,
		BgL_bgl_string4273za700za7za7b4358za7, "", 0);
	      DEFINE_STRING(BGl_string4274z00zzbackend_c_emitz00,
		BgL_bgl_string4274za700za7za7b4359za7, " (c)      ", 10);
	      DEFINE_STRING(BGl_string4275z00zzbackend_c_emitz00,
		BgL_bgl_string4275za700za7za7b4360za7, "/* COMPILATION: ", 16);
	      DEFINE_STRING(BGl_string4276z00zzbackend_c_emitz00,
		BgL_bgl_string4276za700za7za7b4361za7, "/* GC selection */", 18);
	      DEFINE_STRING(BGl_string4277z00zzbackend_c_emitz00,
		BgL_bgl_string4277za700za7za7b4362za7, "#define THE_GC BOEHM_GC\n", 24);
	      DEFINE_STRING(BGl_string4278z00zzbackend_c_emitz00,
		BgL_bgl_string4278za700za7za7b4363za7, "#define THE_GC BOEHM_GC", 23);
	      DEFINE_STRING(BGl_string4279z00zzbackend_c_emitz00,
		BgL_bgl_string4279za700za7za7b4364za7, "#define BUMPY_GC\n", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2dlopenzd2initzd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2dlopen4365z00,
		BGl_z62emitzd2dlopenzd2initz62zzbackend_c_emitz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4280z00zzbackend_c_emitz00,
		BgL_bgl_string4280za700za7za7b4366za7, "emit-garbage-collector-selection",
		32);
	      DEFINE_STRING(BGl_string4281z00zzbackend_c_emitz00,
		BgL_bgl_string4281za700za7za7b4367za7, "Can't emit code for gc", 22);
	      DEFINE_STRING(BGl_string4282z00zzbackend_c_emitz00,
		BgL_bgl_string4282za700za7za7b4368za7, "#include <", 10);
	      DEFINE_STRING(BGl_string4283z00zzbackend_c_emitz00,
		BgL_bgl_string4283za700za7za7b4369za7, ">", 1);
	      DEFINE_STRING(BGl_string4284z00zzbackend_c_emitz00,
		BgL_bgl_string4284za700za7za7b4370za7, "/* debug mode */", 16);
	      DEFINE_STRING(BGl_string4285z00zzbackend_c_emitz00,
		BgL_bgl_string4285za700za7za7b4371za7, "#define BIGLOO_DEBUG 1", 22);
	      DEFINE_STRING(BGl_string4286z00zzbackend_c_emitz00,
		BgL_bgl_string4286za700za7za7b4372za7, "/* Libraries setup imports */", 29);
	      DEFINE_STRING(BGl_string4287z00zzbackend_c_emitz00,
		BgL_bgl_string4287za700za7za7b4373za7, "BGL_IMPORT void ", 16);
	      DEFINE_STRING(BGl_string4288z00zzbackend_c_emitz00,
		BgL_bgl_string4288za700za7za7b4374za7, "(int, char *[], char *[]);", 26);
	      DEFINE_STRING(BGl_string4289z00zzbackend_c_emitz00,
		BgL_bgl_string4289za700za7za7b4375za7, "/* Libraries setup */", 21);
	      DEFINE_STRING(BGl_string4290z00zzbackend_c_emitz00,
		BgL_bgl_string4290za700za7za7b4376za7,
		"static int bigloo_libinit( int argc, char *argv[], char *env[] ) {", 66);
	      DEFINE_STRING(BGl_string4291z00zzbackend_c_emitz00,
		BgL_bgl_string4291za700za7za7b4377za7, "(argc, argv, env);\n", 19);
	      DEFINE_STRING(BGl_string4292z00zzbackend_c_emitz00,
		BgL_bgl_string4292za700za7za7b4378za7, "return 0; }\n\n", 13);
	      DEFINE_STRING(BGl_string4293z00zzbackend_c_emitz00,
		BgL_bgl_string4293za700za7za7b4379za7,
		"long bigloo_abort(long n) { return n; }", 39);
	      DEFINE_STRING(BGl_string4294z00zzbackend_c_emitz00,
		BgL_bgl_string4294za700za7za7b4380za7,
		"int BIGLOO_MAIN(int argc, char *argv[], char *env[]) { ", 55);
	      DEFINE_STRING(BGl_string4295z00zzbackend_c_emitz00,
		BgL_bgl_string4295za700za7za7b4381za7,
		"return _bigloo_main(argc, argv, env, &bigloo_main, &bigloo_libinit, ~a);}",
		73);
	      DEFINE_STRING(BGl_string4296z00zzbackend_c_emitz00,
		BgL_bgl_string4296za700za7za7b4382za7, "BGL_EXPORTED_DEF obj_t ", 23);
	      DEFINE_STRING(BGl_string4297z00zzbackend_c_emitz00,
		BgL_bgl_string4297za700za7za7b4383za7, "() {", 4);
	      DEFINE_STRING(BGl_string4298z00zzbackend_c_emitz00,
		BgL_bgl_string4298za700za7za7b4384za7, "  return ", 9);
	      DEFINE_STRING(BGl_string4299z00zzbackend_c_emitz00,
		BgL_bgl_string4299za700za7za7b4385za7, "( 0, \"", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_startzd2emissionz12zd2envz12zzbackend_c_emitz00,
		BgL_bgl_za762startza7d2emiss4386z00,
		BGl_z62startzd2emissionz12za2zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2commentzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2commen4387z00,
		BGl_z62emitzd2commentzb0zzbackend_c_emitz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long
		BgL_checksumz00_2305, char *BgL_fromz00_2306)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_c_emitz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_c_emitz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbackend_c_emitz00();
					BGl_cnstzd2initzd2zzbackend_c_emitz00();
					BGl_importedzd2moduleszd2initz00zzbackend_c_emitz00();
					BGl_toplevelzd2initzd2zzbackend_c_emitz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_c_emit");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			{	/* BackEnd/c_emit.scm 15 */
				obj_t BgL_cportz00_2297;

				BgL_cportz00_2297 =
					bgl_open_input_string(BGl_string4321z00zzbackend_c_emitz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2298;

					BgL_iz00_2298 = ((long) 3);
				BgL_loopz00_2299:
					if ((BgL_iz00_2298 == ((long) -1)))
						{	/* BackEnd/c_emit.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/c_emit.scm 15 */
							{	/* BackEnd/c_emit.scm 15 */
								obj_t BgL_arg4323z00_2301;

								{	/* BackEnd/c_emit.scm 15 */

									{	/* BackEnd/c_emit.scm 15 */
										obj_t BgL_locationz00_2303;

										BgL_locationz00_2303 = BBOOL(((bool_t) 0));
										{	/* BackEnd/c_emit.scm 15 */

											BgL_arg4323z00_2301 =
												BGl_readz00zz__readerz00(BgL_cportz00_2297,
												BgL_locationz00_2303);
										}
									}
								}
								{	/* BackEnd/c_emit.scm 15 */
									int BgL_auxz00_2331;

									BgL_auxz00_2331 = (int) (BgL_iz00_2298);
									CNST_TABLE_SET(BgL_auxz00_2331, BgL_arg4323z00_2301);
							}}
							{	/* BackEnd/c_emit.scm 15 */
								int BgL_auxz00_2304;

								BgL_auxz00_2304 = (int) ((BgL_iz00_2298 - ((long) 1)));
								{
									long BgL_iz00_2336;

									BgL_iz00_2336 = (long) (BgL_auxz00_2304);
									BgL_iz00_2298 = BgL_iz00_2336;
									goto BgL_loopz00_2299;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00 = BFALSE;
			BGl_za2czd2portza2zd2zzbackend_c_emitz00 = BFALSE;
			return (BGl_za2maxzd2colza2zd2zzbackend_c_emitz00 = ((long) 79), BUNSPEC);
		}
	}



/* start-emission! */
	BGL_EXPORTED_DEF obj_t BGl_startzd2emissionz12zc0zzbackend_c_emitz00(obj_t
		BgL_suffixz00_3)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 49 */
			{	/* BackEnd/c_emit.scm 50 */
				obj_t BgL_prefixz00_1012;

				{	/* BackEnd/c_emit.scm 51 */
					bool_t BgL_testz00_2338;

					if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
						{	/* BackEnd/c_emit.scm 51 */
							BgL_testz00_2338 =
								CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BGl_za2passza2z00zzengine_paramz00,
									CNST_TABLE_REF(((long) 0))));
						}
					else
						{	/* BackEnd/c_emit.scm 51 */
							BgL_testz00_2338 = ((bool_t) 0);
						}
					if (BgL_testz00_2338)
						{	/* BackEnd/c_emit.scm 51 */
							BgL_prefixz00_1012 =
								BGl_prefixz00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
						}
					else
						{	/* BackEnd/c_emit.scm 54 */
							bool_t BgL_testz00_2345;

							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/c_emit.scm 54 */
									obj_t BgL_auxz00_2348;

									BgL_auxz00_2348 =
										CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
									BgL_testz00_2345 = STRINGP(BgL_auxz00_2348);
								}
							else
								{	/* BackEnd/c_emit.scm 54 */
									BgL_testz00_2345 = ((bool_t) 0);
								}
							if (BgL_testz00_2345)
								{	/* BackEnd/c_emit.scm 54 */
									BgL_prefixz00_1012 =
										BGl_prefixz00zz__osz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00));
								}
							else
								{	/* BackEnd/c_emit.scm 54 */
									BgL_prefixz00_1012 = BFALSE;
								}
						}
				}
				{	/* BackEnd/c_emit.scm 50 */

					{	/* BackEnd/c_emit.scm 58 */
						bool_t BgL_testz00_2353;

						if (
							(BGl_za2destza2z00zzengine_paramz00 ==
								CNST_TABLE_REF(((long) 1))))
							{	/* BackEnd/c_emit.scm 58 */
								BgL_testz00_2353 = ((bool_t) 1);
							}
						else
							{	/* BackEnd/c_emit.scm 58 */
								if (STRINGP(BgL_prefixz00_1012))
									{	/* BackEnd/c_emit.scm 58 */
										BgL_testz00_2353 = ((bool_t) 0);
									}
								else
									{	/* BackEnd/c_emit.scm 58 */
										BgL_testz00_2353 = ((bool_t) 1);
									}
							}
						if (BgL_testz00_2353)
							{	/* BackEnd/c_emit.scm 59 */
								obj_t BgL_res4177z00_1783;

								{	/* BackEnd/c_emit.scm 59 */
									obj_t BgL_auxz00_2359;

									BgL_auxz00_2359 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res4177z00_1783 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2359);
								}
								return (BGl_za2czd2portza2zd2zzbackend_c_emitz00 =
									BgL_res4177z00_1783, BUNSPEC);
							}
						else
							{	/* BackEnd/c_emit.scm 60 */
								obj_t BgL_fzd2namezd2_1014;

								BgL_fzd2namezd2_1014 =
									string_append(BgL_prefixz00_1012, BgL_suffixz00_3);
								BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00 =
									BgL_prefixz00_1012;
								{	/* BackEnd/c_emit.scm 62 */

									BGl_za2czd2portza2zd2zzbackend_c_emitz00 =
										BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_fzd2namezd2_1014, BTRUE);
								}
								if (OUTPUT_PORTP(BGl_za2czd2portza2zd2zzbackend_c_emitz00))
									{	/* BackEnd/c_emit.scm 63 */
										return BUNSPEC;
									}
								else
									{	/* BackEnd/c_emit.scm 63 */
										return
											BGl_errorz00zz__errorz00
											(BGl_za2bigloozd2nameza2zd2zzengine_paramz00,
											BGl_string4270z00zzbackend_c_emitz00,
											BgL_fzd2namezd2_1014);
									}
							}
					}
				}
			}
		}
	}



/* &start-emission! */
	obj_t BGl_z62startzd2emissionz12za2zzbackend_c_emitz00(obj_t BgL_envz00_2260,
		obj_t BgL_suffixz00_2261)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 49 */
			return BGl_startzd2emissionz12zc0zzbackend_c_emitz00(BgL_suffixz00_2261);
		}
	}



/* stop-emission! */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2emissionz12zc0zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 70 */
			if (OUTPUT_PORTP(BGl_za2czd2portza2zd2zzbackend_c_emitz00))
				{	/* BackEnd/c_emit.scm 74 */
					bool_t BgL_testz00_2370;

					{	/* BackEnd/c_emit.scm 74 */
						obj_t BgL_arg3954z00_1028;

						{	/* BackEnd/c_emit.scm 74 */
							obj_t BgL_res4178z00_1787;

							{	/* BackEnd/c_emit.scm 74 */
								obj_t BgL_auxz00_2371;

								BgL_auxz00_2371 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4178z00_1787 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2371);
							}
							BgL_arg3954z00_1028 = BgL_res4178z00_1787;
						}
						BgL_testz00_2370 =
							(BGl_za2czd2portza2zd2zzbackend_c_emitz00 == BgL_arg3954z00_1028);
					}
					if (BgL_testz00_2370)
						{	/* BackEnd/c_emit.scm 74 */
							return BFALSE;
						}
					else
						{	/* BackEnd/c_emit.scm 74 */
							FLUSH_OUTPUT_PORT(BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							bgl_close_output_port(BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							BGl_za2czd2portza2zd2zzbackend_c_emitz00 = BFALSE;
							return BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00;
						}
				}
			else
				{	/* BackEnd/c_emit.scm 72 */
					return BFALSE;
				}
		}
	}



/* &stop-emission! */
	obj_t BGl_z62stopzd2emissionz12za2zzbackend_c_emitz00(obj_t BgL_envz00_2262)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 70 */
			return BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
		}
	}



/* emit-comment */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2commentzd2zzbackend_c_emitz00(obj_t
		BgL_stringz00_4, unsigned char BgL_fillz00_5)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 90 */
			{	/* BackEnd/c_emit.scm 91 */
				obj_t BgL_stringz00_1029;

				if ((STRING_LENGTH(BgL_stringz00_4) > (((long) 79) - ((long) 8))))
					{	/* BackEnd/c_emit.scm 91 */
						BgL_stringz00_1029 =
							c_substring(BgL_stringz00_4, ((long) 0),
							(((long) 79) - ((long) 9)));
					}
				else
					{	/* BackEnd/c_emit.scm 91 */
						BgL_stringz00_1029 = BgL_stringz00_4;
					}
				BGL_DISPLAY_STRING(BGl_string4271z00zzbackend_c_emitz00,
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				{	/* BackEnd/c_emit.scm 95 */
					long BgL_lenz00_1030;

					BgL_lenz00_1030 = STRING_LENGTH(BgL_stringz00_1029);
					if ((BgL_lenz00_1030 == ((long) 0)))
						{	/* BackEnd/c_emit.scm 97 */
							obj_t BgL_port3908z00_1032;

							BgL_port3908z00_1032 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
							{	/* BackEnd/c_emit.scm 97 */
								obj_t BgL_arg3956z00_1033;

								{	/* BackEnd/c_emit.scm 97 */
									long BgL_arg3957z00_1034;

									BgL_arg3957z00_1034 = (((long) 79) - ((long) 4));
									{	/* BackEnd/c_emit.scm 97 */
										obj_t BgL_res4187z00_1817;

										{	/* BackEnd/c_emit.scm 97 */
											obj_t BgL_charz00_1816;

											BgL_charz00_1816 = BCHAR(BgL_fillz00_5);
											BgL_res4187z00_1817 =
												make_string(BgL_arg3957z00_1034,
												CCHAR(BgL_charz00_1816));
										}
										BgL_arg3956z00_1033 = BgL_res4187z00_1817;
								}}
								bgl_display_obj(BgL_arg3956z00_1033, BgL_port3908z00_1032);
							}
							BGL_DISPLAY_STRING(BGl_string4272z00zzbackend_c_emitz00,
								BgL_port3908z00_1032);
							return bgl_display_char(((unsigned char) '\n'),
								BgL_port3908z00_1032);
						}
					else
						{	/* BackEnd/c_emit.scm 96 */
							{	/* BackEnd/c_emit.scm 99 */
								obj_t BgL_arg3958z00_1035;

								{	/* BackEnd/c_emit.scm 99 */
									obj_t BgL_res4188z00_1823;

									{	/* BackEnd/c_emit.scm 99 */
										obj_t BgL_charz00_1822;

										BgL_charz00_1822 = BCHAR(BgL_fillz00_5);
										BgL_res4188z00_1823 =
											make_string(((long) 2), CCHAR(BgL_charz00_1822));
									}
									BgL_arg3958z00_1035 = BgL_res4188z00_1823;
								}
								bgl_display_obj(BgL_arg3958z00_1035,
									BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							}
							bgl_display_char(((unsigned char) ' '),
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							bgl_display_obj(BgL_stringz00_1029,
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							bgl_display_char(((unsigned char) ' '),
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							{	/* BackEnd/c_emit.scm 103 */
								obj_t BgL_port3909z00_1036;

								BgL_port3909z00_1036 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
								{	/* BackEnd/c_emit.scm 104 */
									obj_t BgL_arg3959z00_1037;

									{	/* BackEnd/c_emit.scm 104 */
										long BgL_arg3960z00_1038;

										{	/* BackEnd/c_emit.scm 104 */
											obj_t BgL_arg3961z00_1039;

											BgL_arg3961z00_1039 =
												BGL_SAFE_PLUS_FX(((long) 8), BgL_lenz00_1030);
											BgL_arg3960z00_1038 =
												(((long) 79) - (long) CINT(BgL_arg3961z00_1039));
										}
										{	/* BackEnd/c_emit.scm 104 */
											obj_t BgL_res4191z00_1835;

											{	/* BackEnd/c_emit.scm 104 */
												obj_t BgL_charz00_1834;

												BgL_charz00_1834 = BCHAR(BgL_fillz00_5);
												BgL_res4191z00_1835 =
													make_string(BgL_arg3960z00_1038,
													CCHAR(BgL_charz00_1834));
											}
											BgL_arg3959z00_1037 = BgL_res4191z00_1835;
									}}
									bgl_display_obj(BgL_arg3959z00_1037, BgL_port3909z00_1036);
								}
								BGL_DISPLAY_STRING(BGl_string4272z00zzbackend_c_emitz00,
									BgL_port3909z00_1036);
								return bgl_display_char(((unsigned char) '\n'),
									BgL_port3909z00_1036);
		}}}}}
	}



/* &emit-comment */
	obj_t BGl_z62emitzd2commentzb0zzbackend_c_emitz00(obj_t BgL_envz00_2263,
		obj_t BgL_stringz00_2264, obj_t BgL_fillz00_2265)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 90 */
			return
				BGl_emitzd2commentzd2zzbackend_c_emitz00(BgL_stringz00_2264,
				CCHAR(BgL_fillz00_2265));
		}
	}



/* emit-license */
	obj_t BGl_emitzd2licensezd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 110 */
			{	/* BackEnd/c_emit.scm 111 */
				obj_t BgL_inz00_1045;

				{	/* BackEnd/c_emit.scm 111 */
					obj_t BgL_arg3970z00_1053;

					BgL_arg3970z00_1053 = BGl_bigloozd2licensezd2zztools_licensez00();
					{	/* BackEnd/c_emit.scm 111 */

						BgL_inz00_1045 =
							BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00
							(BgL_arg3970z00_1053, BINT(((long) 0)));
				}}
				{	/* BackEnd/c_emit.scm 112 */
					obj_t BgL_g3905z00_1046;

					BgL_g3905z00_1046 =
						BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_inz00_1045);
					{
						obj_t BgL_strz00_1048;

						BgL_strz00_1048 = BgL_g3905z00_1046;
					BgL_zc3anonymousza33967ze3z83_1049:
						{	/* BackEnd/c_emit.scm 113 */
							bool_t BgL_testz00_2417;

							{	/* BackEnd/c_emit.scm 113 */
								bool_t BgL_res4192z00_1840;

								BgL_res4192z00_1840 = EOF_OBJECTP(BgL_strz00_1048);
								BgL_testz00_2417 = BgL_res4192z00_1840;
							}
							if (BgL_testz00_2417)
								{	/* BackEnd/c_emit.scm 113 */
									return bgl_close_input_port(BgL_inz00_1045);
								}
							else
								{	/* BackEnd/c_emit.scm 113 */
									BGl_emitzd2commentzd2zzbackend_c_emitz00(BgL_strz00_1048,
										(char) (((unsigned char) ' ')));
									{
										obj_t BgL_strz00_2422;

										BgL_strz00_2422 =
											BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_inz00_1045);
										BgL_strz00_1048 = BgL_strz00_2422;
										goto BgL_zc3anonymousza33967ze3z83_1049;
									}
								}
						}
					}
				}
			}
		}
	}



/* emit-header */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2headerzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 122 */
			BGl_emitzd2commentzd2zzbackend_c_emitz00
				(BGl_string4273z00zzbackend_c_emitz00, (char) (((unsigned char) '=')));
			{	/* BackEnd/c_emit.scm 124 */
				obj_t BgL_arg3971z00_1056;

				{	/* BackEnd/c_emit.scm 124 */
					obj_t BgL_pz00_1057;

					{	/* BackEnd/c_emit.scm 124 */

						{	/* BackEnd/c_emit.scm 124 */

							BgL_pz00_1057 =
								BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE);
					}}
					bgl_display_obj(BGl_za2srczd2filesza2zd2zzengine_paramz00,
						BgL_pz00_1057);
					BgL_arg3971z00_1056 = bgl_close_output_port(BgL_pz00_1057);
				}
				BGl_emitzd2commentzd2zzbackend_c_emitz00(BgL_arg3971z00_1056,
					(char) (((unsigned char) ' ')));
			}
			BGl_emitzd2commentzd2zzbackend_c_emitz00
				(BGl_za2bigloozd2nameza2zd2zzengine_paramz00,
				(char) (((unsigned char) ' ')));
			BGl_emitzd2commentzd2zzbackend_c_emitz00(string_append_3
				(BGl_za2bigloozd2authorza2zd2zzengine_paramz00,
					BGl_string4274z00zzbackend_c_emitz00,
					BGl_za2bigloozd2dateza2zd2zzengine_paramz00),
				(char) (((unsigned char) ' ')));
			if (CBOOL(BGl_za2bigloozd2licensingzf3za2z21zzengine_paramz00))
				{	/* BackEnd/c_emit.scm 131 */
					BGl_emitzd2licensezd2zzbackend_c_emitz00();
				}
			else
				{	/* BackEnd/c_emit.scm 131 */
					BFALSE;
				}
			BGl_emitzd2commentzd2zzbackend_c_emitz00
				(BGl_string4273z00zzbackend_c_emitz00, (char) (((unsigned char) '=')));
			BGL_DISPLAY_STRING(BGl_string4275z00zzbackend_c_emitz00,
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			{	/* BackEnd/c_emit.scm 134 */
				obj_t BgL_arg3973z00_1060;

				BgL_arg3973z00_1060 = BGl_commandzd2linezd2zz__osz00();
				bgl_display_obj(BgL_arg3973z00_1060,
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			}
			BGL_DISPLAY_STRING(BGl_string4272z00zzbackend_c_emitz00,
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			return bgl_display_char(((unsigned char) '\n'),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}
	}



/* &emit-header */
	obj_t BGl_z62emitzd2headerzb0zzbackend_c_emitz00(obj_t BgL_envz00_2266)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 122 */
			return BGl_emitzd2headerzd2zzbackend_c_emitz00();
		}
	}



/* emit-garbage-collector-selection */
	BGL_EXPORTED_DEF obj_t
		BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 141 */
			{	/* BackEnd/c_emit.scm 142 */
				obj_t BgL_port3910z00_1061;

				BgL_port3910z00_1061 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				BGL_DISPLAY_STRING(BGl_string4276z00zzbackend_c_emitz00,
					BgL_port3910z00_1061);
				bgl_display_char(((unsigned char) '\n'), BgL_port3910z00_1061);
			}
			{	/* BackEnd/c_emit.scm 143 */
				obj_t BgL_casezd2valuezd2_1062;

				BgL_casezd2valuezd2_1062 =
					BGl_za2garbagezd2collectorza2zd2zzengine_paramz00;
				if ((BgL_casezd2valuezd2_1062 == CNST_TABLE_REF(((long) 2))))
					{	/* BackEnd/c_emit.scm 145 */
						obj_t BgL_port3911z00_1064;

						BgL_port3911z00_1064 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
						BGL_DISPLAY_STRING(BGl_string4277z00zzbackend_c_emitz00,
							BgL_port3911z00_1064);
						return bgl_display_char(((unsigned char) '\n'),
							BgL_port3911z00_1064);
					}
				else
					{	/* BackEnd/c_emit.scm 143 */
						if ((BgL_casezd2valuezd2_1062 == CNST_TABLE_REF(((long) 3))))
							{	/* BackEnd/c_emit.scm 143 */
								{	/* BackEnd/c_emit.scm 147 */
									obj_t BgL_port3912z00_1066;

									BgL_port3912z00_1066 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									BGL_DISPLAY_STRING(BGl_string4278z00zzbackend_c_emitz00,
										BgL_port3912z00_1066);
									bgl_display_char(((unsigned char) '\n'),
										BgL_port3912z00_1066);
								}
								{	/* BackEnd/c_emit.scm 148 */
									obj_t BgL_port3913z00_1067;

									BgL_port3913z00_1067 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									BGL_DISPLAY_STRING(BGl_string4279z00zzbackend_c_emitz00,
										BgL_port3913z00_1067);
									return bgl_display_char(((unsigned char) '\n'),
										BgL_port3913z00_1067);
							}}
						else
							{	/* BackEnd/c_emit.scm 143 */
								return
									BGl_errorz00zz__errorz00(BGl_string4280z00zzbackend_c_emitz00,
									BGl_string4281z00zzbackend_c_emitz00,
									BGl_za2garbagezd2collectorza2zd2zzengine_paramz00);
							}
					}
			}
		}
	}



/* &emit-garbage-collector-selection */
	obj_t
		BGl_z62emitzd2garbagezd2collectorzd2selectionzb0zzbackend_c_emitz00(obj_t
		BgL_envz00_2267)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 141 */
			return BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00();
		}
	}



/* emit-include */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2includezd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 157 */
			{	/* BackEnd/c_emit.scm 159 */
				obj_t BgL_g3917z00_1068;

				BgL_g3917z00_1068 =
					bgl_reverse_bang(BGl_za2includezd2foreignza2zd2zzengine_paramz00);
				{
					obj_t BgL_l3915z00_1070;

					BgL_l3915z00_1070 = BgL_g3917z00_1068;
				BgL_zc3anonymousza33976ze3z83_1071:
					if (PAIRP(BgL_l3915z00_1070))
						{	/* BackEnd/c_emit.scm 160 */
							{	/* BackEnd/c_emit.scm 159 */
								obj_t BgL_iz00_1073;

								BgL_iz00_1073 = CAR(BgL_l3915z00_1070);
								{	/* BackEnd/c_emit.scm 159 */
									obj_t BgL_port3914z00_1074;

									BgL_port3914z00_1074 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									BGL_DISPLAY_STRING(BGl_string4282z00zzbackend_c_emitz00,
										BgL_port3914z00_1074);
									bgl_display_obj(BgL_iz00_1073, BgL_port3914z00_1074);
									BGL_DISPLAY_STRING(BGl_string4283z00zzbackend_c_emitz00,
										BgL_port3914z00_1074);
									bgl_display_char(((unsigned char) '\n'),
										BgL_port3914z00_1074);
							}}
							{
								obj_t BgL_l3915z00_2471;

								BgL_l3915z00_2471 = CDR(BgL_l3915z00_1070);
								BgL_l3915z00_1070 = BgL_l3915z00_2471;
								goto BgL_zc3anonymousza33976ze3z83_1071;
							}
						}
					else
						{	/* BackEnd/c_emit.scm 160 */
							((bool_t) 1);
						}
				}
			}
			{	/* BackEnd/c_emit.scm 162 */
				obj_t BgL_g3921z00_1077;

				BgL_g3921z00_1077 =
					bgl_reverse_bang
					(BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00);
				{
					obj_t BgL_l3919z00_1079;

					BgL_l3919z00_1079 = BgL_g3921z00_1077;
				BgL_zc3anonymousza33979ze3z83_1080:
					if (PAIRP(BgL_l3919z00_1079))
						{	/* BackEnd/c_emit.scm 163 */
							{	/* BackEnd/c_emit.scm 162 */
								obj_t BgL_iz00_1082;

								BgL_iz00_1082 = CAR(BgL_l3919z00_1079);
								{	/* BackEnd/c_emit.scm 162 */
									obj_t BgL_port3918z00_1083;

									BgL_port3918z00_1083 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									BGL_DISPLAY_STRING(BGl_string4282z00zzbackend_c_emitz00,
										BgL_port3918z00_1083);
									bgl_display_obj(BgL_iz00_1082, BgL_port3918z00_1083);
									BGL_DISPLAY_STRING(BGl_string4283z00zzbackend_c_emitz00,
										BgL_port3918z00_1083);
									bgl_display_char(((unsigned char) '\n'),
										BgL_port3918z00_1083);
							}}
							{
								obj_t BgL_l3919z00_2481;

								BgL_l3919z00_2481 = CDR(BgL_l3919z00_1079);
								BgL_l3919z00_1079 = BgL_l3919z00_2481;
								goto BgL_zc3anonymousza33979ze3z83_1080;
							}
						}
					else
						{	/* BackEnd/c_emit.scm 163 */
							((bool_t) 1);
						}
				}
			}
			return
				bgl_display_char(((unsigned char) '\n'),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}
	}



/* &emit-include */
	obj_t BGl_z62emitzd2includezb0zzbackend_c_emitz00(obj_t BgL_envz00_2268)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 157 */
			return BGl_emitzd2includezd2zzbackend_c_emitz00();
		}
	}



/* emit-debug-activation */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 169 */
			{	/* BackEnd/c_emit.scm 170 */
				obj_t BgL_port3922z00_1086;

				BgL_port3922z00_1086 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				BGL_DISPLAY_STRING(BGl_string4284z00zzbackend_c_emitz00,
					BgL_port3922z00_1086);
				bgl_display_char(((unsigned char) '\n'), BgL_port3922z00_1086);
			}
			{	/* BackEnd/c_emit.scm 171 */
				obj_t BgL_port3923z00_1087;

				BgL_port3923z00_1087 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				BGL_DISPLAY_STRING(BGl_string4285z00zzbackend_c_emitz00,
					BgL_port3923z00_1087);
				bgl_display_char(((unsigned char) '\n'), BgL_port3923z00_1087);
			}
			return
				bgl_display_char(((unsigned char) '\n'),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}
	}



/* &emit-debug-activation */
	obj_t BGl_z62emitzd2debugzd2activationz62zzbackend_c_emitz00(obj_t
		BgL_envz00_2269)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 169 */
			return BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00();
		}
	}



/* emit-main */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2mainzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 177 */
			BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
			if (PAIRP(BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00))
				{	/* BackEnd/c_emit.scm 180 */
					{	/* BackEnd/c_emit.scm 181 */
						obj_t BgL_port3924z00_1089;

						BgL_port3924z00_1089 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
						BGL_DISPLAY_STRING(BGl_string4286z00zzbackend_c_emitz00,
							BgL_port3924z00_1089);
						bgl_display_char(((unsigned char) '\n'), BgL_port3924z00_1089);
					}
					{
						obj_t BgL_l3926z00_1091;

						BgL_l3926z00_1091 =
							BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00;
					BgL_zc3anonymousza33983ze3z83_1092:
						if (PAIRP(BgL_l3926z00_1091))
							{	/* BackEnd/c_emit.scm 182 */
								{	/* BackEnd/c_emit.scm 183 */
									obj_t BgL_fz00_1094;

									BgL_fz00_1094 = CAR(BgL_l3926z00_1091);
									{	/* BackEnd/c_emit.scm 183 */
										obj_t BgL_port3925z00_1095;

										BgL_port3925z00_1095 =
											BGl_za2czd2portza2zd2zzbackend_c_emitz00;
										BGL_DISPLAY_STRING(BGl_string4287z00zzbackend_c_emitz00,
											BgL_port3925z00_1095);
										bgl_display_obj(BgL_fz00_1094, BgL_port3925z00_1095);
										BGL_DISPLAY_STRING(BGl_string4288z00zzbackend_c_emitz00,
											BgL_port3925z00_1095);
										bgl_display_char(((unsigned char) '\n'),
											BgL_port3925z00_1095);
								}}
								{
									obj_t BgL_l3926z00_2503;

									BgL_l3926z00_2503 = CDR(BgL_l3926z00_1091);
									BgL_l3926z00_1091 = BgL_l3926z00_2503;
									goto BgL_zc3anonymousza33983ze3z83_1092;
								}
							}
						else
							{	/* BackEnd/c_emit.scm 182 */
								((bool_t) 1);
							}
					}
					bgl_display_char(((unsigned char) '\n'),
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
			else
				{	/* BackEnd/c_emit.scm 180 */
					BFALSE;
				}
			{	/* BackEnd/c_emit.scm 189 */
				obj_t BgL_port3928z00_1098;

				BgL_port3928z00_1098 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				BGL_DISPLAY_STRING(BGl_string4289z00zzbackend_c_emitz00,
					BgL_port3928z00_1098);
				bgl_display_char(((unsigned char) '\n'), BgL_port3928z00_1098);
			}
			{	/* BackEnd/c_emit.scm 190 */
				obj_t BgL_port3929z00_1099;

				BgL_port3929z00_1099 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				BGL_DISPLAY_STRING(BGl_string4290z00zzbackend_c_emitz00,
					BgL_port3929z00_1099);
				bgl_display_char(((unsigned char) '\n'), BgL_port3929z00_1099);
			}
			{
				obj_t BgL_l3931z00_1101;

				BgL_l3931z00_1101 =
					BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00;
			BgL_zc3anonymousza33986ze3z83_1102:
				if (PAIRP(BgL_l3931z00_1101))
					{	/* BackEnd/c_emit.scm 191 */
						{	/* BackEnd/c_emit.scm 192 */
							obj_t BgL_fz00_1104;

							BgL_fz00_1104 = CAR(BgL_l3931z00_1101);
							{	/* BackEnd/c_emit.scm 192 */
								obj_t BgL_port3930z00_1105;

								BgL_port3930z00_1105 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
								bgl_display_obj(BgL_fz00_1104, BgL_port3930z00_1105);
								BGL_DISPLAY_STRING(BGl_string4291z00zzbackend_c_emitz00,
									BgL_port3930z00_1105);
								bgl_display_char(((unsigned char) '\n'), BgL_port3930z00_1105);
						}}
						{
							obj_t BgL_l3931z00_2516;

							BgL_l3931z00_2516 = CDR(BgL_l3931z00_1101);
							BgL_l3931z00_1101 = BgL_l3931z00_2516;
							goto BgL_zc3anonymousza33986ze3z83_1102;
						}
					}
				else
					{	/* BackEnd/c_emit.scm 191 */
						((bool_t) 1);
					}
			}
			{	/* BackEnd/c_emit.scm 194 */
				obj_t BgL_port3933z00_1108;

				BgL_port3933z00_1108 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				BGL_DISPLAY_STRING(BGl_string4292z00zzbackend_c_emitz00,
					BgL_port3933z00_1108);
				bgl_display_char(((unsigned char) '\n'), BgL_port3933z00_1108);
			}
			{	/* BackEnd/c_emit.scm 200 */
				obj_t BgL_port3934z00_1109;

				BgL_port3934z00_1109 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				BGL_DISPLAY_STRING(BGl_string4293z00zzbackend_c_emitz00,
					BgL_port3934z00_1109);
				bgl_display_char(((unsigned char) '\n'), BgL_port3934z00_1109);
			}
			BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
			{	/* BackEnd/c_emit.scm 202 */
				obj_t BgL_port3935z00_1110;

				BgL_port3935z00_1110 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				BGL_DISPLAY_STRING(BGl_string4294z00zzbackend_c_emitz00,
					BgL_port3935z00_1110);
				bgl_display_char(((unsigned char) '\n'), BgL_port3935z00_1110);
			}
			{	/* BackEnd/c_emit.scm 204 */
				obj_t BgL_list3989z00_1111;

				BgL_list3989z00_1111 =
					MAKE_PAIR(BGl_za2userzd2heapzd2siza7eza2za7zzengine_paramz00, BNIL);
				BGl_fprintfz00zz__r4_output_6_10_3z00
					(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
					BGl_string4295z00zzbackend_c_emitz00, BgL_list3989z00_1111);
			}
			return
				bgl_display_char(((unsigned char) '\n'),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}
	}



/* &emit-main */
	obj_t BGl_z62emitzd2mainzb0zzbackend_c_emitz00(obj_t BgL_envz00_2270)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 177 */
			return BGl_emitzd2mainzd2zzbackend_c_emitz00();
		}
	}



/* emit-dlopen-init */
	BGL_EXPORTED_DEF obj_t
		BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(BgL_globalz00_bglt
		BgL_globalz00_6, obj_t BgL_initz00_7)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 211 */
			{	/* BackEnd/c_emit.scm 212 */
				obj_t BgL_symz00_1112;

				if (BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_initz00_7))
					{	/* BackEnd/c_emit.scm 212 */
						BgL_symz00_1112 = bigloo_mangle(BgL_initz00_7);
					}
				else
					{	/* BackEnd/c_emit.scm 212 */
						BgL_symz00_1112 = BgL_initz00_7;
					}
				BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
				{	/* BackEnd/c_emit.scm 216 */
					obj_t BgL_port3936z00_1113;

					BgL_port3936z00_1113 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					BGL_DISPLAY_STRING(BGl_string4296z00zzbackend_c_emitz00,
						BgL_port3936z00_1113);
					bgl_display_obj(BgL_symz00_1112, BgL_port3936z00_1113);
					BGL_DISPLAY_STRING(BGl_string4297z00zzbackend_c_emitz00,
						BgL_port3936z00_1113);
					bgl_display_char(((unsigned char) '\n'), BgL_port3936z00_1113);
				}
				BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
				{	/* BackEnd/c_emit.scm 218 */
					obj_t BgL_port3937z00_1114;

					BgL_port3937z00_1114 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					BGL_DISPLAY_STRING(BGl_string4298z00zzbackend_c_emitz00,
						BgL_port3937z00_1114);
					{	/* BackEnd/c_emit.scm 218 */
						obj_t BgL_arg3990z00_1115;

						{	/* BackEnd/c_emit.scm 218 */
							BgL_variablez00_bglt BgL_obj1606z00_1937;

							BgL_obj1606z00_1937 = ((BgL_variablez00_bglt) BgL_globalz00_6);
							BgL_arg3990z00_1115 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1606z00_1937)))->BgL_namez00);
						}
						bgl_display_obj(BgL_arg3990z00_1115, BgL_port3937z00_1114);
					}
					BGL_DISPLAY_STRING(BGl_string4299z00zzbackend_c_emitz00,
						BgL_port3937z00_1114);
					bgl_display_obj(CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00),
						BgL_port3937z00_1114);
					BGL_DISPLAY_STRING(BGl_string4300z00zzbackend_c_emitz00,
						BgL_port3937z00_1114);
					bgl_display_char(((unsigned char) '\n'), BgL_port3937z00_1114);
				}
				BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
				{	/* BackEnd/c_emit.scm 221 */
					obj_t BgL_port3938z00_1117;

					BgL_port3938z00_1117 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					BGL_DISPLAY_STRING(BGl_string4301z00zzbackend_c_emitz00,
						BgL_port3938z00_1117);
					bgl_display_char(((unsigned char) '\n'), BgL_port3938z00_1117);
				}
				return
					bgl_display_char(((unsigned char) '\n'),
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}}
	}



/* &emit-dlopen-init */
	obj_t BGl_z62emitzd2dlopenzd2initz62zzbackend_c_emitz00(obj_t BgL_envz00_2271,
		obj_t BgL_globalz00_2272, obj_t BgL_initz00_2273)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 211 */
			return
				BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(
				((BgL_globalz00_bglt) BgL_globalz00_2272), BgL_initz00_2273);
		}
	}



/* llong->c-iso */
	BGL_EXPORTED_DEF obj_t
		BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00(BGL_LONGLONG_T BgL_llongz00_8)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 227 */
			if ((BgL_llongz00_8 >= ((BGL_LONGLONG_T) 0)))
				{	/* BackEnd/c_emit.scm 242 */
					return BGl_positivez00zzbackend_c_emitz00(BgL_llongz00_8);
				}
			else
				{	/* BackEnd/c_emit.scm 244 */
					obj_t BgL_arg3994z00_1121;

					{	/* BackEnd/c_emit.scm 244 */
						BGL_LONGLONG_T BgL_arg3995z00_1122;

						if ((BgL_llongz00_8 < ((BGL_LONGLONG_T) 0)))
							{	/* BackEnd/c_emit.scm 244 */
								BgL_arg3995z00_1122 = NEG(BgL_llongz00_8);
							}
						else
							{	/* BackEnd/c_emit.scm 244 */
								BgL_arg3995z00_1122 = BgL_llongz00_8;
							}
						BgL_arg3994z00_1121 =
							BGl_positivez00zzbackend_c_emitz00(BgL_arg3995z00_1122);
					}
					return
						string_append_3(BGl_string4302z00zzbackend_c_emitz00,
						BgL_arg3994z00_1121, BGl_string4303z00zzbackend_c_emitz00);
				}
		}
	}



/* loop */
	obj_t BGl_loopz00zzbackend_c_emitz00(BGL_LONGLONG_T BgL_shiftz00_2283,
		obj_t BgL_sshiftz00_2282, long BgL_bitsz00_2281,
		BGL_LONGLONG_T BgL_maskz00_2280, BGL_LONGLONG_T BgL_allongz00_1130)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 233 */
			if ((BgL_allongz00_1130 >= BgL_shiftz00_2283))
				{	/* BackEnd/c_emit.scm 237 */
					obj_t BgL_arg3999z00_1133;
					obj_t BgL_arg4000z00_1134;

					BgL_arg3999z00_1133 =
						BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(BgL_allongz00_1130 & BgL_maskz00_2280), BNIL);
					BgL_arg4000z00_1134 =
						BGl_loopz00zzbackend_c_emitz00(BgL_shiftz00_2283,
						BgL_sshiftz00_2282, BgL_bitsz00_2281, BgL_maskz00_2280,
						(BgL_allongz00_1130 >> (int) (BgL_bitsz00_2281)));
					{	/* BackEnd/c_emit.scm 235 */
						obj_t BgL_list4001z00_1135;

						{	/* BackEnd/c_emit.scm 235 */
							obj_t BgL_arg4002z00_1136;

							{	/* BackEnd/c_emit.scm 235 */
								obj_t BgL_arg4003z00_1137;

								{	/* BackEnd/c_emit.scm 235 */
									obj_t BgL_arg4004z00_1138;

									{	/* BackEnd/c_emit.scm 235 */
										obj_t BgL_arg4005z00_1139;

										{	/* BackEnd/c_emit.scm 235 */
											obj_t BgL_arg4006z00_1140;

											{	/* BackEnd/c_emit.scm 235 */
												obj_t BgL_arg4007z00_1141;

												BgL_arg4007z00_1141 =
													MAKE_PAIR(BGl_string4304z00zzbackend_c_emitz00, BNIL);
												BgL_arg4006z00_1140 =
													MAKE_PAIR(BgL_arg4000z00_1134, BgL_arg4007z00_1141);
											}
											BgL_arg4005z00_1139 =
												MAKE_PAIR(BGl_string4305z00zzbackend_c_emitz00,
												BgL_arg4006z00_1140);
										}
										BgL_arg4004z00_1138 =
											MAKE_PAIR(BgL_sshiftz00_2282, BgL_arg4005z00_1139);
									}
									BgL_arg4003z00_1137 =
										MAKE_PAIR(BGl_string4306z00zzbackend_c_emitz00,
										BgL_arg4004z00_1138);
								}
								BgL_arg4002z00_1136 =
									MAKE_PAIR(BgL_arg3999z00_1133, BgL_arg4003z00_1137);
							}
							BgL_list4001z00_1135 =
								MAKE_PAIR(BGl_string4307z00zzbackend_c_emitz00,
								BgL_arg4002z00_1136);
						}
						return
							BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list4001z00_1135);
					}
				}
			else
				{	/* BackEnd/c_emit.scm 234 */
					return
						string_append_3(BGl_string4308z00zzbackend_c_emitz00,
						BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_allongz00_1130, BNIL), BGl_string4303z00zzbackend_c_emitz00);
				}
		}
	}



/* positive */
	obj_t BGl_positivez00zzbackend_c_emitz00(BGL_LONGLONG_T BgL_allongz00_1123)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 241 */
			{	/* BackEnd/c_emit.scm 229 */
				BGL_LONGLONG_T BgL_shiftz00_1126;

				BgL_shiftz00_1126 = (((BGL_LONGLONG_T) 1) << (int) (((long) 16)));
				{	/* BackEnd/c_emit.scm 230 */
					obj_t BgL_sshiftz00_1127;

					BgL_sshiftz00_1127 =
						BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_shiftz00_1126, BNIL);
					{	/* BackEnd/c_emit.scm 231 */
						BGL_LONGLONG_T BgL_maskz00_1128;

						BgL_maskz00_1128 = (BgL_shiftz00_1126 - ((BGL_LONGLONG_T) 1));
						{	/* BackEnd/c_emit.scm 232 */

							return
								BGl_loopz00zzbackend_c_emitz00(BgL_shiftz00_1126,
								BgL_sshiftz00_1127, ((long) 16), BgL_maskz00_1128,
								BgL_allongz00_1123);
		}}}}}
	}



/* &llong->c-iso */
	obj_t BGl_z62llongzd2ze3czd2isoz81zzbackend_c_emitz00(obj_t BgL_envz00_2274,
		obj_t BgL_llongz00_2275)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 227 */
			return
				BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00(BLLONG_TO_LLONG
				(BgL_llongz00_2275));
		}
	}



/* emit-atom-value */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(obj_t
		BgL_valuez00_9)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 249 */
			if (BOOLEANP(BgL_valuez00_9))
				{	/* BackEnd/c_emit.scm 251 */
					BGL_DISPLAY_STRING(BGl_string4309z00zzbackend_c_emitz00,
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					{	/* BackEnd/c_emit.scm 253 */
						obj_t BgL_arg4015z00_1151;

						{	/* BackEnd/c_emit.scm 253 */
							obj_t BgL_arg4016z00_1152;

							{	/* BackEnd/c_emit.scm 253 */
								BgL_typez00_bglt BgL_obj1508z00_1978;

								{	/* BackEnd/c_emit.scm 253 */
									obj_t BgL_xz00_2287;

									BgL_xz00_2287 = BGl_za2boolza2z00zztype_cachez00;
									BgL_obj1508z00_1978 = ((BgL_typez00_bglt) BgL_xz00_2287);
								}
								BgL_arg4016z00_1152 =
									(((BgL_typez00_bglt) CREF(
											((obj_t) BgL_obj1508z00_1978)))->BgL_namez00);
							}
							BgL_arg4015z00_1151 =
								BGl_stringzd2sanszd2z42z42zztype_toolsz00(BgL_arg4016z00_1152);
						}
						bgl_display_obj(BgL_arg4015z00_1151,
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					}
					bgl_display_char(((unsigned char) ')'),
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					{	/* BackEnd/c_emit.scm 255 */
						long BgL_arg4018z00_1153;

						if (CBOOL(BgL_valuez00_9))
							{	/* BackEnd/c_emit.scm 255 */
								BgL_arg4018z00_1153 = ((long) 1);
							}
						else
							{	/* BackEnd/c_emit.scm 255 */
								BgL_arg4018z00_1153 = ((long) 0);
							}
						bgl_display_obj(BINT(BgL_arg4018z00_1153),
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					}
					return
						bgl_display_char(((unsigned char) ')'),
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
			else
				{	/* BackEnd/c_emit.scm 251 */
					if (NULLP(BgL_valuez00_9))
						{	/* BackEnd/c_emit.scm 257 */
							return
								BGL_DISPLAY_STRING(BGl_string4310z00zzbackend_c_emitz00,
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
						}
					else
						{	/* BackEnd/c_emit.scm 257 */
							if (CHARP(BgL_valuez00_9))
								{	/* BackEnd/c_emit.scm 259 */
									BGL_DISPLAY_STRING(BGl_string4309z00zzbackend_c_emitz00,
										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
									{	/* BackEnd/c_emit.scm 261 */
										obj_t BgL_arg4021z00_1156;

										{	/* BackEnd/c_emit.scm 261 */
											obj_t BgL_arg4022z00_1157;

											{	/* BackEnd/c_emit.scm 261 */
												BgL_typez00_bglt BgL_obj1508z00_1991;

												{	/* BackEnd/c_emit.scm 261 */
													obj_t BgL_xz00_2289;

													BgL_xz00_2289 = BGl_za2charza2z00zztype_cachez00;
													BgL_obj1508z00_1991 =
														((BgL_typez00_bglt) BgL_xz00_2289);
												}
												BgL_arg4022z00_1157 =
													(((BgL_typez00_bglt) CREF(
															((obj_t) BgL_obj1508z00_1991)))->BgL_namez00);
											}
											BgL_arg4021z00_1156 =
												BGl_stringzd2sanszd2z42z42zztype_toolsz00
												(BgL_arg4022z00_1157);
										}
										bgl_display_obj(BgL_arg4021z00_1156,
											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
									}
									BGL_DISPLAY_STRING(BGl_string4303z00zzbackend_c_emitz00,
										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
									if (((CCHAR(BgL_valuez00_9)) == ((long) 0)))
										{	/* BackEnd/c_emit.scm 263 */
											BGL_DISPLAY_STRING(BGl_string4311z00zzbackend_c_emitz00,
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}
									else
										{	/* BackEnd/c_emit.scm 263 */
											bgl_display_char(((unsigned char) '\''),
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
											if (((CCHAR(BgL_valuez00_9)) == ((long) 39)))
												{	/* BackEnd/c_emit.scm 267 */
													BGL_DISPLAY_STRING
														(BGl_string4312z00zzbackend_c_emitz00,
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
												}
											else
												{	/* BackEnd/c_emit.scm 267 */
													{	/* BackEnd/c_emit.scm 270 */
														obj_t BgL_aux3907z00_1161;

														BgL_aux3907z00_1161 = BgL_valuez00_9;
														switch (CCHAR(BgL_aux3907z00_1161))
															{
															case ((unsigned char) '\r'):

																bgl_display_char(((unsigned char) '\\'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																bgl_display_char(((unsigned char) 'r'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																break;
															case ((unsigned char) '\t'):

																bgl_display_char(((unsigned char) '\\'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																bgl_display_char(((unsigned char) 't'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																break;
															case ((unsigned char) '\n'):

																bgl_display_char(((unsigned char) '\\'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																bgl_display_char(((unsigned char) 'n'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																break;
															case ((unsigned char) '\\'):

																bgl_display_char(((unsigned char) '\\'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																bgl_display_char(((unsigned char) '\\'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																break;
															default:
																{	/* BackEnd/c_emit.scm 270 */
																	unsigned char BgL_auxz00_2631;

																	BgL_auxz00_2631 = CCHAR(BgL_valuez00_9);
																	bgl_display_char(BgL_auxz00_2631,
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
													}}}
													bgl_display_char(((unsigned char) '\''),
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}}
									return
										bgl_display_char(((unsigned char) ')'),
										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
								}
							else
								{	/* BackEnd/c_emit.scm 259 */
									if ((BgL_valuez00_9 == BUNSPEC))
										{	/* BackEnd/c_emit.scm 287 */
											return
												BGL_DISPLAY_STRING(BGl_string4313z00zzbackend_c_emitz00,
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}
									else
										{	/* BackEnd/c_emit.scm 287 */
											if (CNSTP(BgL_valuez00_9))
												{	/* BackEnd/c_emit.scm 289 */
													BGL_DISPLAY_STRING
														(BGl_string4314z00zzbackend_c_emitz00,
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
													{	/* BackEnd/c_emit.scm 291 */
														long BgL_arg4031z00_1167;

														BgL_arg4031z00_1167 = CCNST(BgL_valuez00_9);
														bgl_display_obj(BINT(BgL_arg4031z00_1167),
															BGl_za2czd2portza2zd2zzbackend_c_emitz00);
													}
													return
														bgl_display_char(((unsigned char) ')'),
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
												}
											else
												{	/* BackEnd/c_emit.scm 289 */
													if (STRINGP(BgL_valuez00_9))
														{	/* BackEnd/c_emit.scm 293 */
															bgl_display_char(((unsigned char) '"'),
																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
															{	/* BackEnd/c_emit.scm 295 */
																obj_t BgL_arg4033z00_1169;

																BgL_arg4033z00_1169 =
																	BGl_untrigraphz00zzbackend_c_emitz00
																	(string_for_read(BgL_valuez00_9));
																bgl_display_obj(BgL_arg4033z00_1169,
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
															}
															return
																bgl_display_char(((unsigned char) '"'),
																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
														}
													else
														{	/* BackEnd/c_emit.scm 293 */
															if (INTEGERP(BgL_valuez00_9))
																{	/* BackEnd/c_emit.scm 297 */
																	BGL_DISPLAY_STRING
																		(BGl_string4309z00zzbackend_c_emitz00,
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	{	/* BackEnd/c_emit.scm 299 */
																		obj_t BgL_arg4036z00_1172;

																		{	/* BackEnd/c_emit.scm 299 */
																			obj_t BgL_arg4037z00_1173;

																			{	/* BackEnd/c_emit.scm 299 */
																				BgL_typez00_bglt BgL_obj1508z00_2056;

																				{	/* BackEnd/c_emit.scm 299 */
																					obj_t BgL_xz00_2291;

																					BgL_xz00_2291 =
																						BGl_za2longza2z00zztype_cachez00;
																					BgL_obj1508z00_2056 =
																						((BgL_typez00_bglt) BgL_xz00_2291);
																				}
																				BgL_arg4037z00_1173 =
																					(((BgL_typez00_bglt) CREF(
																							((obj_t) BgL_obj1508z00_2056)))->
																					BgL_namez00);
																			}
																			BgL_arg4036z00_1172 =
																				BGl_stringzd2sanszd2z42z42zztype_toolsz00
																				(BgL_arg4037z00_1173);
																		}
																		bgl_display_obj(BgL_arg4036z00_1172,
																			BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	}
																	BGL_DISPLAY_STRING
																		(BGl_string4303z00zzbackend_c_emitz00,
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	bgl_display_obj(BgL_valuez00_9,
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	return
																		BGL_DISPLAY_STRING
																		(BGl_string4303z00zzbackend_c_emitz00,
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																}
															else
																{	/* BackEnd/c_emit.scm 297 */
																	if (REALP(BgL_valuez00_9))
																		{	/* BackEnd/c_emit.scm 303 */
																			if (BGL_IS_NAN(REAL_TO_DOUBLE
																					(BgL_valuez00_9)))
																				{	/* BackEnd/c_emit.scm 305 */
																					return
																						BGL_DISPLAY_STRING
																						(BGl_string4315z00zzbackend_c_emitz00,
																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																				}
																			else
																				{	/* BackEnd/c_emit.scm 307 */
																					bool_t BgL_testz00_2672;

																					if (BGL_IS_INF(REAL_TO_DOUBLE
																							(BgL_valuez00_9)))
																						{	/* BackEnd/c_emit.scm 307 */
																							BgL_testz00_2672 =
																								(REAL_TO_DOUBLE(BgL_valuez00_9)
																								> ((double) 0.0));
																						}
																					else
																						{	/* BackEnd/c_emit.scm 307 */
																							BgL_testz00_2672 = ((bool_t) 0);
																						}
																					if (BgL_testz00_2672)
																						{	/* BackEnd/c_emit.scm 307 */
																							return
																								BGL_DISPLAY_STRING
																								(BGl_string4316z00zzbackend_c_emitz00,
																								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																						}
																					else
																						{	/* BackEnd/c_emit.scm 307 */
																							if (BGL_IS_INF(REAL_TO_DOUBLE
																									(BgL_valuez00_9)))
																								{	/* BackEnd/c_emit.scm 309 */
																									return
																										BGL_DISPLAY_STRING
																										(BGl_string4317z00zzbackend_c_emitz00,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																								}
																							else
																								{	/* BackEnd/c_emit.scm 309 */
																									BGL_DISPLAY_STRING
																										(BGl_string4309z00zzbackend_c_emitz00,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									{	/* BackEnd/c_emit.scm 313 */
																										obj_t BgL_arg4042z00_1178;

																										{	/* BackEnd/c_emit.scm 313 */
																											obj_t BgL_arg4043z00_1179;

																											{	/* BackEnd/c_emit.scm 313 */
																												BgL_typez00_bglt
																													BgL_obj1508z00_2080;
																												{	/* BackEnd/c_emit.scm 313 */
																													obj_t BgL_xz00_2293;

																													BgL_xz00_2293 =
																														BGl_za2realza2z00zztype_cachez00;
																													BgL_obj1508z00_2080 =
																														((BgL_typez00_bglt)
																														BgL_xz00_2293);
																												}
																												BgL_arg4043z00_1179 =
																													(((BgL_typez00_bglt)
																														CREF(((obj_t)
																																BgL_obj1508z00_2080)))->
																													BgL_namez00);
																											}
																											BgL_arg4042z00_1178 =
																												BGl_stringzd2sanszd2z42z42zztype_toolsz00
																												(BgL_arg4043z00_1179);
																										}
																										bgl_display_obj
																											(BgL_arg4042z00_1178,
																											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									}
																									BGL_DISPLAY_STRING
																										(BGl_string4303z00zzbackend_c_emitz00,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									bgl_display_obj
																										(BgL_valuez00_9,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									return
																										BGL_DISPLAY_STRING
																										(BGl_string4303z00zzbackend_c_emitz00,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																								}
																						}
																				}
																		}
																	else
																		{	/* BackEnd/c_emit.scm 303 */
																			if (ELONGP(BgL_valuez00_9))
																				{	/* BackEnd/c_emit.scm 317 */
																					BGL_DISPLAY_STRING
																						(BGl_string4309z00zzbackend_c_emitz00,
																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																					{	/* BackEnd/c_emit.scm 319 */
																						obj_t BgL_arg4046z00_1182;

																						{	/* BackEnd/c_emit.scm 319 */
																							obj_t BgL_arg4047z00_1183;

																							{	/* BackEnd/c_emit.scm 319 */
																								BgL_typez00_bglt
																									BgL_obj1508z00_2089;
																								{	/* BackEnd/c_emit.scm 319 */
																									obj_t BgL_xz00_2295;

																									BgL_xz00_2295 =
																										BGl_za2elongza2z00zztype_cachez00;
																									BgL_obj1508z00_2089 =
																										((BgL_typez00_bglt)
																										BgL_xz00_2295);
																								}
																								BgL_arg4047z00_1183 =
																									(((BgL_typez00_bglt) CREF(
																											((obj_t)
																												BgL_obj1508z00_2089)))->
																									BgL_namez00);
																							}
																							BgL_arg4046z00_1182 =
																								BGl_stringzd2sanszd2z42z42zztype_toolsz00
																								(BgL_arg4047z00_1183);
																						}
																						bgl_display_obj(BgL_arg4046z00_1182,
																							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																					}
																					BGL_DISPLAY_STRING
																						(BGl_string4303z00zzbackend_c_emitz00,
																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																					{	/* BackEnd/c_emit.scm 321 */
																						obj_t BgL_arg4048z00_1184;

																						BgL_arg4048z00_1184 =
																							BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																							(BELONG_TO_LONG(BgL_valuez00_9),
																							BNIL);
																						bgl_display_obj(BgL_arg4048z00_1184,
																							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																					}
																					return
																						BGL_DISPLAY_STRING
																						(BGl_string4303z00zzbackend_c_emitz00,
																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																				}
																			else
																				{	/* BackEnd/c_emit.scm 317 */
																					if (LLONGP(BgL_valuez00_9))
																						{	/* BackEnd/c_emit.scm 324 */
																							obj_t BgL_arg4051z00_1187;

																							BgL_arg4051z00_1187 =
																								BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00
																								(BLLONG_TO_LLONG
																								(BgL_valuez00_9));
																							return
																								bgl_display_obj
																								(BgL_arg4051z00_1187,
																								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																						}
																					else
																						{	/* BackEnd/c_emit.scm 323 */
																							if (BIGNUMP(BgL_valuez00_9))
																								{	/* BackEnd/c_emit.scm 325 */
																									BGL_DISPLAY_STRING
																										(BGl_string4318z00zzbackend_c_emitz00,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									{	/* BackEnd/c_emit.scm 327 */
																										obj_t BgL_arg4053z00_1189;

																										BgL_arg4053z00_1189 =
																											BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																											(BgL_valuez00_9,
																											BINT(((long) 16)));
																										bgl_display_obj
																											(BgL_arg4053z00_1189,
																											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									}
																									return
																										BGL_DISPLAY_STRING
																										(BGl_string4319z00zzbackend_c_emitz00,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																								}
																							else
																								{	/* BackEnd/c_emit.scm 325 */
																									return
																										bgl_display_obj
																										(BgL_valuez00_9,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* &emit-atom-value */
	obj_t BGl_z62emitzd2atomzd2valuez62zzbackend_c_emitz00(obj_t BgL_envz00_2276,
		obj_t BgL_valuez00_2277)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 249 */
			return BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(BgL_valuez00_2277);
		}
	}



/* untrigraph */
	BGL_EXPORTED_DEF obj_t BGl_untrigraphz00zzbackend_c_emitz00(obj_t
		BgL_fromz00_10)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 338 */
			{	/* BackEnd/c_emit.scm 339 */
				long BgL_lenz00_1190;

				BgL_lenz00_1190 = STRING_LENGTH(BgL_fromz00_10);
				{	/* BackEnd/c_emit.scm 339 */
					long BgL_lenzd22zd2_1191;

					BgL_lenzd22zd2_1191 = (BgL_lenz00_1190 - ((long) 2));
					{	/* BackEnd/c_emit.scm 340 */

						{	/* BackEnd/c_emit.scm 342 */
							long BgL_nbzd2colzd2_1192;

							{
								long BgL_iz00_1231;
								long BgL_nbzd2colzd2_1232;

								BgL_iz00_1231 = ((long) 0);
								BgL_nbzd2colzd2_1232 = ((long) 0);
							BgL_zc3anonymousza34084ze3z83_1233:
								if ((BgL_iz00_1231 > BgL_lenzd22zd2_1191))
									{	/* BackEnd/c_emit.scm 345 */
										BgL_nbzd2colzd2_1192 = BgL_nbzd2colzd2_1232;
									}
								else
									{	/* BackEnd/c_emit.scm 345 */
										if (
											(STRING_REF(BgL_fromz00_10,
													BgL_iz00_1231) == ((unsigned char) '?')))
											{	/* BackEnd/c_emit.scm 347 */
												if (
													(STRING_REF(BgL_fromz00_10,
															(BgL_iz00_1231 + ((long) 1))) ==
														((unsigned char) '?')))
													{
														long BgL_nbzd2colzd2_2732;
														long BgL_iz00_2730;

														BgL_iz00_2730 = (BgL_iz00_1231 + ((long) 2));
														BgL_nbzd2colzd2_2732 =
															(BgL_nbzd2colzd2_1232 + ((long) 1));
														BgL_nbzd2colzd2_1232 = BgL_nbzd2colzd2_2732;
														BgL_iz00_1231 = BgL_iz00_2730;
														goto BgL_zc3anonymousza34084ze3z83_1233;
													}
												else
													{
														long BgL_iz00_2734;

														BgL_iz00_2734 = (BgL_iz00_1231 + ((long) 2));
														BgL_iz00_1231 = BgL_iz00_2734;
														goto BgL_zc3anonymousza34084ze3z83_1233;
													}
											}
										else
											{
												long BgL_iz00_2736;

												BgL_iz00_2736 = (BgL_iz00_1231 + ((long) 1));
												BgL_iz00_1231 = BgL_iz00_2736;
												goto BgL_zc3anonymousza34084ze3z83_1233;
											}
									}
							}
							if ((BgL_nbzd2colzd2_1192 == ((long) 0)))
								{	/* BackEnd/c_emit.scm 354 */
									return BgL_fromz00_10;
								}
							else
								{	/* BackEnd/c_emit.scm 359 */
									obj_t BgL_resz00_1194;

									{	/* BackEnd/c_emit.scm 359 */
										long BgL_arg4081z00_1225;

										BgL_arg4081z00_1225 =
											(BgL_lenz00_1190 +
											(((long) 3) * (BgL_nbzd2colzd2_1192 * ((long) 2))));
										{	/* BackEnd/c_emit.scm 359 */

											{	/* BackEnd/c_emit.scm 359 */
												obj_t BgL_res4244z00_2151;

												{	/* BackEnd/c_emit.scm 359 */
													obj_t BgL_charz00_2150;

													BgL_charz00_2150 = BCHAR(((unsigned char) ' '));
													BgL_res4244z00_2151 =
														make_string(BgL_arg4081z00_1225,
														CCHAR(BgL_charz00_2150));
												}
												BgL_resz00_1194 = BgL_res4244z00_2151;
									}}}
									{
										long BgL_rz00_1197;
										long BgL_wz00_1198;

										BgL_rz00_1197 = ((long) 0);
										BgL_wz00_1198 = ((long) 0);
									BgL_zc3anonymousza34055ze3z83_1199:
										if ((BgL_rz00_1197 == BgL_lenz00_1190))
											{	/* BackEnd/c_emit.scm 364 */
												return BgL_resz00_1194;
											}
										else
											{	/* BackEnd/c_emit.scm 366 */
												bool_t BgL_testz00_2748;

												if (
													(STRING_REF(BgL_fromz00_10,
															BgL_rz00_1197) == ((unsigned char) '?')))
													{	/* BackEnd/c_emit.scm 366 */
														BgL_testz00_2748 =
															(BgL_rz00_1197 > BgL_lenzd22zd2_1191);
													}
												else
													{	/* BackEnd/c_emit.scm 366 */
														BgL_testz00_2748 = ((bool_t) 1);
													}
												if (BgL_testz00_2748)
													{	/* BackEnd/c_emit.scm 366 */
														{	/* BackEnd/c_emit.scm 368 */
															unsigned char BgL_auxz00_2753;

															BgL_auxz00_2753 =
																STRING_REF(BgL_fromz00_10, BgL_rz00_1197);
															STRING_SET(BgL_resz00_1194, BgL_wz00_1198,
																BgL_auxz00_2753);
														}
														{
															long BgL_wz00_2758;
															long BgL_rz00_2756;

															BgL_rz00_2756 = (BgL_rz00_1197 + ((long) 1));
															BgL_wz00_2758 = (BgL_wz00_1198 + ((long) 1));
															BgL_wz00_1198 = BgL_wz00_2758;
															BgL_rz00_1197 = BgL_rz00_2756;
															goto BgL_zc3anonymousza34055ze3z83_1199;
														}
													}
												else
													{	/* BackEnd/c_emit.scm 366 */
														if (
															(STRING_REF(BgL_fromz00_10,
																	(BgL_rz00_1197 + ((long) 1))) ==
																((unsigned char) '?')))
															{	/* BackEnd/c_emit.scm 370 */
																STRING_SET(BgL_resz00_1194, BgL_wz00_1198,
																	((unsigned char) '\\'));
																{	/* BackEnd/c_emit.scm 377 */
																	long BgL_auxz00_2765;

																	BgL_auxz00_2765 =
																		(BgL_wz00_1198 + ((long) 1));
																	STRING_SET(BgL_resz00_1194, BgL_auxz00_2765,
																		((unsigned char) '0'));
																}
																{	/* BackEnd/c_emit.scm 378 */
																	long BgL_auxz00_2768;

																	BgL_auxz00_2768 =
																		(BgL_wz00_1198 + ((long) 2));
																	STRING_SET(BgL_resz00_1194, BgL_auxz00_2768,
																		((unsigned char) '7'));
																}
																{	/* BackEnd/c_emit.scm 379 */
																	long BgL_auxz00_2771;

																	BgL_auxz00_2771 =
																		(BgL_wz00_1198 + ((long) 3));
																	STRING_SET(BgL_resz00_1194, BgL_auxz00_2771,
																		((unsigned char) '7'));
																}
																{	/* BackEnd/c_emit.scm 380 */
																	long BgL_auxz00_2774;

																	BgL_auxz00_2774 =
																		(BgL_wz00_1198 + ((long) 4));
																	STRING_SET(BgL_resz00_1194, BgL_auxz00_2774,
																		((unsigned char) '\\'));
																}
																{	/* BackEnd/c_emit.scm 381 */
																	long BgL_auxz00_2777;

																	BgL_auxz00_2777 =
																		(BgL_wz00_1198 + ((long) 5));
																	STRING_SET(BgL_resz00_1194, BgL_auxz00_2777,
																		((unsigned char) '0'));
																}
																{	/* BackEnd/c_emit.scm 382 */
																	long BgL_auxz00_2780;

																	BgL_auxz00_2780 =
																		(BgL_wz00_1198 + ((long) 6));
																	STRING_SET(BgL_resz00_1194, BgL_auxz00_2780,
																		((unsigned char) '7'));
																}
																{	/* BackEnd/c_emit.scm 383 */
																	long BgL_auxz00_2783;

																	BgL_auxz00_2783 =
																		(BgL_wz00_1198 + ((long) 7));
																	STRING_SET(BgL_resz00_1194, BgL_auxz00_2783,
																		((unsigned char) '7'));
																}
																{
																	long BgL_wz00_2788;
																	long BgL_rz00_2786;

																	BgL_rz00_2786 = (BgL_rz00_1197 + ((long) 2));
																	BgL_wz00_2788 = (BgL_wz00_1198 + ((long) 8));
																	BgL_wz00_1198 = BgL_wz00_2788;
																	BgL_rz00_1197 = BgL_rz00_2786;
																	goto BgL_zc3anonymousza34055ze3z83_1199;
																}
															}
														else
															{	/* BackEnd/c_emit.scm 370 */
																STRING_SET(BgL_resz00_1194, BgL_wz00_1198,
																	((unsigned char) '?'));
																{	/* BackEnd/c_emit.scm 372 */
																	unsigned char BgL_auxz00_2793;
																	long BgL_auxz00_2791;

																	BgL_auxz00_2793 =
																		STRING_REF(BgL_fromz00_10,
																		(BgL_rz00_1197 + ((long) 1)));
																	BgL_auxz00_2791 =
																		(BgL_wz00_1198 + ((long) 1));
																	STRING_SET(BgL_resz00_1194, BgL_auxz00_2791,
																		BgL_auxz00_2793);
																}
																{
																	long BgL_wz00_2799;
																	long BgL_rz00_2797;

																	BgL_rz00_2797 = (BgL_rz00_1197 + ((long) 2));
																	BgL_wz00_2799 = (BgL_wz00_1198 + ((long) 2));
																	BgL_wz00_1198 = BgL_wz00_2799;
																	BgL_rz00_1197 = BgL_rz00_2797;
																	goto BgL_zc3anonymousza34055ze3z83_1199;
																}
															}
													}
											}
									}
								}
						}
					}
				}
			}
		}
	}



/* &untrigraph */
	obj_t BGl_z62untrigraphz62zzbackend_c_emitz00(obj_t BgL_envz00_2278,
		obj_t BgL_fromz00_2279)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 338 */
			return BGl_untrigraphz00zzbackend_c_emitz00(BgL_fromz00_2279);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string4320z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzengine_configurez00(((long) 272817175),
				BSTRING_TO_STRING(BGl_string4320z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zztools_licensez00(((long) 110617375),
				BSTRING_TO_STRING(BGl_string4320z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4320z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string4320z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4320z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string4320z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzcgen_copz00(((long) 470780691),
				BSTRING_TO_STRING(BGl_string4320z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzcgen_emitzd2copzd2(((long) 371489745),
				BSTRING_TO_STRING(BGl_string4320z00zzbackend_c_emitz00));
			return
				BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string4320z00zzbackend_c_emitz00));
		}
	}

#ifdef __cplusplus
}
#endif
