/*===========================================================================*/
/*   (BackEnd/init.scm)                                                      */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/init.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00;
	extern obj_t BGl_occurzd2nodezd2inz12z12zzast_occurz00(BgL_nodez00_bglt,
		BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2stringza2z00zztype_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_methodzd2initzd2zzbackend_initz00();
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static obj_t BGl_z62getzd2modulezd2initz62zzbackend_initz00(obj_t);
	extern obj_t BGl_za2modulezd2checksumza2zd2zzmodule_modulez00;
	static obj_t BGl_za2modulezd2initza2zd2zzbackend_initz00 = BUNSPEC;
	extern obj_t BGl_za2unsafezd2versionza2zd2zzengine_paramz00;
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_initz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzbackend_initz00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_makezd2modulezd2initz00zzbackend_initz00();
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzbackend_initz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_initz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_unitzd2initzd2callsz00zzast_unitz00();
	BGL_EXPORTED_DECL obj_t BGl_getzd2modulezd2initz00zzbackend_initz00();
	static obj_t BGl_cnstzd2initzd2zzbackend_initz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_initz00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_initz00();
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	static obj_t __cnst[23];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2modulezd2initzd2envzd2zzbackend_initz00,
		BgL_bgl_za762getza7d2moduleza73932za7,
		BGl_z62getzd2modulezd2initz62zzbackend_initz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3924z00zzbackend_initz00,
		BgL_bgl_string3924za700za7za7b3933za7, "bgl_init_module_debug_start(\"",
		29);
	      DEFINE_STRING(BGl_string3925z00zzbackend_initz00,
		BgL_bgl_string3925za700za7za7b3934za7, "\")", 2);
	      DEFINE_STRING(BGl_string3926z00zzbackend_initz00,
		BgL_bgl_string3926za700za7za7b3935za7, "bgl_init_module_debug_end(\"", 27);
	      DEFINE_STRING(BGl_string3927z00zzbackend_initz00,
		BgL_bgl_string3927za700za7za7b3936za7, "~s", 2);
	      DEFINE_STRING(BGl_string3928z00zzbackend_initz00,
		BgL_bgl_string3928za700za7za7b3937za7, "backend_init", 12);
	      DEFINE_STRING(BGl_string3929z00zzbackend_initz00,
		BgL_bgl_string3929za700za7za7b3938za7,
		"export module-initialization sfun (checksum from) value let module-init-error s from s::string pragma::string =fx bit-and checksum if begin pragma set! require-initialization module now module-initalization require-initialization::obj ",
		235);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_initz00(long
		BgL_checksumz00_1575, char *BgL_fromz00_1576)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_initz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_initz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbackend_initz00();
					BGl_cnstzd2initzd2zzbackend_initz00();
					BGl_importedzd2moduleszd2initz00zzbackend_initz00();
					BGl_toplevelzd2initzd2zzbackend_initz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_init");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"backend_init");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_init");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "backend_init");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 15 */
			{	/* BackEnd/init.scm 15 */
				obj_t BgL_cportz00_1567;

				BgL_cportz00_1567 =
					bgl_open_input_string(BGl_string3929z00zzbackend_initz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1568;

					BgL_iz00_1568 = ((long) 22);
				BgL_loopz00_1569:
					if ((BgL_iz00_1568 == ((long) -1)))
						{	/* BackEnd/init.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/init.scm 15 */
							{	/* BackEnd/init.scm 15 */
								obj_t BgL_arg3931z00_1571;

								{	/* BackEnd/init.scm 15 */

									{	/* BackEnd/init.scm 15 */
										obj_t BgL_locationz00_1573;

										BgL_locationz00_1573 = BBOOL(((bool_t) 0));
										{	/* BackEnd/init.scm 15 */

											BgL_arg3931z00_1571 =
												BGl_readz00zz__readerz00(BgL_cportz00_1567,
												BgL_locationz00_1573);
										}
									}
								}
								{	/* BackEnd/init.scm 15 */
									int BgL_auxz00_1594;

									BgL_auxz00_1594 = (int) (BgL_iz00_1568);
									CNST_TABLE_SET(BgL_auxz00_1594, BgL_arg3931z00_1571);
							}}
							{	/* BackEnd/init.scm 15 */
								int BgL_auxz00_1574;

								BgL_auxz00_1574 = (int) ((BgL_iz00_1568 - ((long) 1)));
								{
									long BgL_iz00_1599;

									BgL_iz00_1599 = (long) (BgL_auxz00_1574);
									BgL_iz00_1568 = BgL_iz00_1599;
									goto BgL_loopz00_1569;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 15 */
			return (BGl_za2modulezd2initza2zd2zzbackend_initz00 = BUNSPEC, BUNSPEC);
		}
	}



/* get-module-init */
	BGL_EXPORTED_DEF obj_t BGl_getzd2modulezd2initz00zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 45 */
			if ((BGl_za2modulezd2initza2zd2zzbackend_initz00 == BUNSPEC))
				{	/* BackEnd/init.scm 47 */
					BgL_globalz00_bglt BgL_xz00_1542;

					BgL_xz00_1542 = BGl_makezd2modulezd2initz00zzbackend_initz00();
					BGl_za2modulezd2initza2zd2zzbackend_initz00 = ((obj_t) BgL_xz00_1542);
				}
			else
				{	/* BackEnd/init.scm 46 */
					BFALSE;
				}
			return BGl_za2modulezd2initza2zd2zzbackend_initz00;
		}
	}



/* &get-module-init */
	obj_t BGl_z62getzd2modulezd2initz62zzbackend_initz00(obj_t BgL_envz00_1541)
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 45 */
			return BGl_getzd2modulezd2initz00zzbackend_initz00();
		}
	}



/* make-module-init */
	BgL_globalz00_bglt BGl_makezd2modulezd2initz00zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 53 */
			{	/* BackEnd/init.scm 54 */
				BgL_globalz00_bglt BgL_reqz00_999;

				BgL_reqz00_999 =
					BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(CNST_TABLE_REF(((long)
							0)), BGl_za2moduleza2z00zzmodule_modulez00,
					CNST_TABLE_REF(((long) 1)), CNST_TABLE_REF(((long) 2)));
				{	/* BackEnd/init.scm 54 */
					obj_t BgL_bcz00_1000;

					BgL_bcz00_1000 = BGl_thezd2backendzd2zzbackend_backendz00();
					{	/* BackEnd/init.scm 58 */
						bool_t BgL_dbgz00_1001;

						if (
							((long) CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00) >
								((long) 0)))
							{	/* BackEnd/init.scm 60 */
								bool_t BgL_testz00_1614;

								{	/* BackEnd/init.scm 60 */
									obj_t BgL_auxz00_1615;

									{	/* BackEnd/init.scm 60 */
										obj_t BgL_auxz00_1616;

										{	/* BackEnd/init.scm 60 */
											BgL_backendz00_bglt BgL_obj3762z00_1516;

											BgL_obj3762z00_1516 =
												((BgL_backendz00_bglt) BgL_bcz00_1000);
											BgL_auxz00_1616 =
												(((BgL_backendz00_bglt) CREF(
														((obj_t) BgL_obj3762z00_1516)))->
												BgL_debugzd2supportzd2);
										}
										BgL_auxz00_1615 =
											BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
													(long) 3)), BgL_auxz00_1616);
									}
									BgL_testz00_1614 = CBOOL(BgL_auxz00_1615);
								}
								if (BgL_testz00_1614)
									{	/* BackEnd/init.scm 61 */
										BgL_backendz00_bglt BgL_obj3765z00_1517;

										BgL_obj3765z00_1517 =
											((BgL_backendz00_bglt) BgL_bcz00_1000);
										BgL_dbgz00_1001 =
											(((BgL_backendz00_bglt) CREF(
													((obj_t) BgL_obj3765z00_1517)))->
											BgL_pragmazd2supportzd2);
									}
								else
									{	/* BackEnd/init.scm 60 */
										BgL_dbgz00_1001 = ((bool_t) 0);
									}
							}
						else
							{	/* BackEnd/init.scm 59 */
								BgL_dbgz00_1001 = ((bool_t) 0);
							}
						{	/* BackEnd/init.scm 59 */
							obj_t BgL_ubodyz00_1002;

							{	/* BackEnd/init.scm 64 */
								obj_t BgL_arg3840z00_1050;

								{	/* BackEnd/init.scm 64 */
									obj_t BgL_arg3841z00_1051;

									{	/* BackEnd/init.scm 64 */
										obj_t BgL_arg3842z00_1052;
										obj_t BgL_arg3843z00_1053;

										{	/* BackEnd/init.scm 64 */
											obj_t BgL_arg3844z00_1054;

											{	/* BackEnd/init.scm 64 */
												obj_t BgL_arg3845z00_1055;
												obj_t BgL_arg3846z00_1056;

												{	/* BackEnd/init.scm 64 */
													obj_t BgL_arg3847z00_1057;

													{	/* BackEnd/init.scm 64 */
														obj_t BgL_arg3848z00_1058;

														BgL_arg3848z00_1058 = MAKE_PAIR(BFALSE, BNIL);
														BgL_arg3847z00_1057 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
															BgL_arg3848z00_1058);
													}
													BgL_arg3845z00_1055 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
														BgL_arg3847z00_1057);
												}
												{	/* BackEnd/init.scm 65 */
													obj_t BgL_arg3849z00_1059;
													obj_t BgL_arg3850z00_1060;

													if (BgL_dbgz00_1001)
														{	/* BackEnd/init.scm 68 */
															obj_t BgL_arg3851z00_1061;

															{	/* BackEnd/init.scm 68 */
																obj_t BgL_arg3852z00_1062;

																{	/* BackEnd/init.scm 68 */
																	obj_t BgL_arg3853z00_1063;

																	{	/* BackEnd/init.scm 68 */
																		obj_t BgL_arg3854z00_1064;

																		{	/* BackEnd/init.scm 68 */
																			obj_t BgL_res3917z00_1520;

																			{	/* BackEnd/init.scm 68 */
																				obj_t BgL_symbolz00_1518;

																				BgL_symbolz00_1518 =
																					BGl_za2moduleza2z00zzmodule_modulez00;
																				{	/* BackEnd/init.scm 68 */
																					obj_t BgL_arg2069z00_1519;

																					BgL_arg2069z00_1519 =
																						SYMBOL_TO_STRING
																						(BgL_symbolz00_1518);
																					BgL_res3917z00_1520 =
																						BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																						(BgL_arg2069z00_1519);
																				}
																			}
																			BgL_arg3854z00_1064 = BgL_res3917z00_1520;
																		}
																		BgL_arg3853z00_1063 =
																			string_append_3
																			(BGl_string3924z00zzbackend_initz00,
																			BgL_arg3854z00_1064,
																			BGl_string3925z00zzbackend_initz00);
																	}
																	BgL_arg3852z00_1062 =
																		MAKE_PAIR(BgL_arg3853z00_1063, BNIL);
																}
																BgL_arg3851z00_1061 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																	BgL_arg3852z00_1062);
															}
															BgL_arg3849z00_1059 =
																MAKE_PAIR(BgL_arg3851z00_1061, BNIL);
														}
													else
														{	/* BackEnd/init.scm 65 */
															BgL_arg3849z00_1059 = BNIL;
														}
													{	/* BackEnd/init.scm 71 */
														obj_t BgL_arg3855z00_1065;
														obj_t BgL_arg3856z00_1066;

														BgL_arg3855z00_1065 =
															BGl_unitzd2initzd2callsz00zzast_unitz00();
														{	/* BackEnd/init.scm 72 */
															obj_t BgL_arg3857z00_1067;
															obj_t BgL_arg3858z00_1068;

															if (BgL_dbgz00_1001)
																{	/* BackEnd/init.scm 75 */
																	obj_t BgL_arg3859z00_1069;

																	{	/* BackEnd/init.scm 75 */
																		obj_t BgL_arg3860z00_1070;

																		{	/* BackEnd/init.scm 75 */
																			obj_t BgL_arg3861z00_1071;

																			{	/* BackEnd/init.scm 75 */
																				obj_t BgL_arg3862z00_1072;

																				{	/* BackEnd/init.scm 75 */
																					obj_t BgL_res3918z00_1523;

																					{	/* BackEnd/init.scm 75 */
																						obj_t BgL_symbolz00_1521;

																						BgL_symbolz00_1521 =
																							BGl_za2moduleza2z00zzmodule_modulez00;
																						{	/* BackEnd/init.scm 75 */
																							obj_t BgL_arg2069z00_1522;

																							BgL_arg2069z00_1522 =
																								SYMBOL_TO_STRING
																								(BgL_symbolz00_1521);
																							BgL_res3918z00_1523 =
																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																								(BgL_arg2069z00_1522);
																						}
																					}
																					BgL_arg3862z00_1072 =
																						BgL_res3918z00_1523;
																				}
																				BgL_arg3861z00_1071 =
																					string_append_3
																					(BGl_string3926z00zzbackend_initz00,
																					BgL_arg3862z00_1072,
																					BGl_string3925z00zzbackend_initz00);
																			}
																			BgL_arg3860z00_1070 =
																				MAKE_PAIR(BgL_arg3861z00_1071, BNIL);
																		}
																		BgL_arg3859z00_1069 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																			BgL_arg3860z00_1070);
																	}
																	BgL_arg3857z00_1067 =
																		MAKE_PAIR(BgL_arg3859z00_1069, BNIL);
																}
															else
																{	/* BackEnd/init.scm 72 */
																	BgL_arg3857z00_1067 = BNIL;
																}
															BgL_arg3858z00_1068 = MAKE_PAIR(BUNSPEC, BNIL);
															BgL_arg3856z00_1066 =
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg3857z00_1067, BgL_arg3858z00_1068);
														}
														BgL_arg3850z00_1060 =
															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg3855z00_1065, BgL_arg3856z00_1066);
													}
													BgL_arg3846z00_1056 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg3849z00_1059, BgL_arg3850z00_1060);
												}
												BgL_arg3844z00_1054 =
													MAKE_PAIR(BgL_arg3845z00_1055, BgL_arg3846z00_1056);
											}
											BgL_arg3842z00_1052 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg3844z00_1054);
										}
										BgL_arg3843z00_1053 = MAKE_PAIR(BUNSPEC, BNIL);
										BgL_arg3841z00_1051 =
											MAKE_PAIR(BgL_arg3842z00_1052, BgL_arg3843z00_1053);
									}
									BgL_arg3840z00_1050 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BgL_arg3841z00_1051);
								}
								BgL_ubodyz00_1002 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 8)), BgL_arg3840z00_1050);
							}
							{	/* BackEnd/init.scm 62 */
								obj_t BgL_bodyz00_1003;

								if (CBOOL(BGl_za2unsafezd2versionza2zd2zzengine_paramz00))
									{	/* BackEnd/init.scm 80 */
										BgL_bodyz00_1003 = BgL_ubodyz00_1002;
									}
								else
									{	/* BackEnd/init.scm 82 */
										obj_t BgL_arg3812z00_1022;

										{	/* BackEnd/init.scm 82 */
											obj_t BgL_arg3813z00_1023;
											obj_t BgL_arg3814z00_1024;

											{	/* BackEnd/init.scm 82 */
												obj_t BgL_arg3815z00_1025;

												{	/* BackEnd/init.scm 82 */
													obj_t BgL_arg3816z00_1026;
													obj_t BgL_arg3817z00_1027;

													{	/* BackEnd/init.scm 82 */
														obj_t BgL_arg3818z00_1028;

														{	/* BackEnd/init.scm 82 */
															obj_t BgL_arg3819z00_1029;

															BgL_arg3819z00_1029 =
																MAKE_PAIR
																(BGl_za2modulezd2checksumza2zd2zzmodule_modulez00,
																BNIL);
															BgL_arg3818z00_1028 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
																BgL_arg3819z00_1029);
														}
														BgL_arg3816z00_1026 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
															BgL_arg3818z00_1028);
													}
													BgL_arg3817z00_1027 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 9)), BNIL);
													BgL_arg3815z00_1025 =
														MAKE_PAIR(BgL_arg3816z00_1026, BgL_arg3817z00_1027);
												}
												BgL_arg3813z00_1023 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
													BgL_arg3815z00_1025);
											}
											{	/* BackEnd/init.scm 84 */
												obj_t BgL_arg3820z00_1030;

												{	/* BackEnd/init.scm 84 */
													obj_t BgL_arg3821z00_1031;

													{	/* BackEnd/init.scm 84 */
														bool_t BgL_testz00_1673;

														{	/* BackEnd/init.scm 84 */
															obj_t BgL_arg3839z00_1049;

															BgL_arg3839z00_1049 =
																BGl_thezd2backendzd2zzbackend_backendz00();
															{	/* BackEnd/init.scm 84 */
																BgL_backendz00_bglt BgL_obj3765z00_1524;

																BgL_obj3765z00_1524 =
																	((BgL_backendz00_bglt) BgL_arg3839z00_1049);
																BgL_testz00_1673 =
																	(((BgL_backendz00_bglt) CREF(
																			((obj_t) BgL_obj3765z00_1524)))->
																	BgL_pragmazd2supportzd2);
														}}
														if (BgL_testz00_1673)
															{	/* BackEnd/init.scm 87 */
																obj_t BgL_arg3823z00_1033;

																{	/* BackEnd/init.scm 87 */
																	obj_t BgL_arg3824z00_1034;
																	obj_t BgL_arg3825z00_1035;

																	{	/* BackEnd/init.scm 87 */
																		obj_t BgL_arg3826z00_1036;

																		{	/* BackEnd/init.scm 87 */
																			obj_t BgL_arg3827z00_1037;

																			{	/* BackEnd/init.scm 87 */
																				obj_t BgL_arg3828z00_1038;

																				{	/* BackEnd/init.scm 87 */
																					obj_t BgL_arg3829z00_1039;

																					{	/* BackEnd/init.scm 87 */
																						obj_t BgL_arg3830z00_1040;

																						{	/* BackEnd/init.scm 87 */
																							obj_t BgL_arg3831z00_1041;

																							{	/* BackEnd/init.scm 87 */
																								obj_t BgL_res3919z00_1527;

																								{	/* BackEnd/init.scm 87 */
																									obj_t BgL_symbolz00_1525;

																									BgL_symbolz00_1525 =
																										BGl_za2moduleza2z00zzmodule_modulez00;
																									{	/* BackEnd/init.scm 87 */
																										obj_t BgL_arg2069z00_1526;

																										BgL_arg2069z00_1526 =
																											SYMBOL_TO_STRING
																											(BgL_symbolz00_1525);
																										BgL_res3919z00_1527 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2069z00_1526);
																									}
																								}
																								BgL_arg3831z00_1041 =
																									BgL_res3919z00_1527;
																							}
																							{	/* BackEnd/init.scm 87 */
																								obj_t BgL_list3832z00_1042;

																								BgL_list3832z00_1042 =
																									MAKE_PAIR(BgL_arg3831z00_1041,
																									BNIL);
																								BgL_arg3830z00_1040 =
																									BGl_formatz00zz__r4_output_6_10_3z00
																									(BGl_string3927z00zzbackend_initz00,
																									BgL_list3832z00_1042);
																							}
																						}
																						BgL_arg3829z00_1039 =
																							MAKE_PAIR(BgL_arg3830z00_1040,
																							BNIL);
																					}
																					BgL_arg3828z00_1038 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								12)), BgL_arg3829z00_1039);
																				}
																				BgL_arg3827z00_1037 =
																					MAKE_PAIR(BgL_arg3828z00_1038, BNIL);
																			}
																			BgL_arg3826z00_1036 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																				BgL_arg3827z00_1037);
																		}
																		BgL_arg3824z00_1034 =
																			MAKE_PAIR(BgL_arg3826z00_1036, BNIL);
																	}
																	{	/* BackEnd/init.scm 88 */
																		obj_t BgL_arg3833z00_1043;

																		{	/* BackEnd/init.scm 88 */
																			obj_t BgL_arg3834z00_1044;

																			{	/* BackEnd/init.scm 88 */
																				obj_t BgL_arg3835z00_1045;

																				BgL_arg3835z00_1045 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																					BNIL);
																				BgL_arg3834z00_1044 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 15)),
																					BgL_arg3835z00_1045);
																			}
																			BgL_arg3833z00_1043 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 16)),
																				BgL_arg3834z00_1044);
																		}
																		BgL_arg3825z00_1035 =
																			MAKE_PAIR(BgL_arg3833z00_1043, BNIL);
																	}
																	BgL_arg3823z00_1033 =
																		MAKE_PAIR(BgL_arg3824z00_1034,
																		BgL_arg3825z00_1035);
																}
																BgL_arg3821z00_1031 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																	BgL_arg3823z00_1033);
															}
														else
															{	/* BackEnd/init.scm 89 */
																obj_t BgL_arg3836z00_1046;

																{	/* BackEnd/init.scm 89 */
																	obj_t BgL_arg3837z00_1047;
																	obj_t BgL_arg3838z00_1048;

																	{	/* BackEnd/init.scm 89 */
																		obj_t BgL_res3920z00_1530;

																		{	/* BackEnd/init.scm 89 */
																			obj_t BgL_symbolz00_1528;

																			BgL_symbolz00_1528 =
																				BGl_za2moduleza2z00zzmodule_modulez00;
																			{	/* BackEnd/init.scm 89 */
																				obj_t BgL_arg2069z00_1529;

																				BgL_arg2069z00_1529 =
																					SYMBOL_TO_STRING(BgL_symbolz00_1528);
																				BgL_res3920z00_1530 =
																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																					(BgL_arg2069z00_1529);
																			}
																		}
																		BgL_arg3837z00_1047 = BgL_res3920z00_1530;
																	}
																	BgL_arg3838z00_1048 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																		BNIL);
																	BgL_arg3836z00_1046 =
																		MAKE_PAIR(BgL_arg3837z00_1047,
																		BgL_arg3838z00_1048);
																}
																BgL_arg3821z00_1031 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 16)),
																	BgL_arg3836z00_1046);
													}}
													BgL_arg3820z00_1030 =
														MAKE_PAIR(BgL_arg3821z00_1031, BNIL);
												}
												BgL_arg3814z00_1024 =
													MAKE_PAIR(BgL_ubodyz00_1002, BgL_arg3820z00_1030);
											}
											BgL_arg3812z00_1022 =
												MAKE_PAIR(BgL_arg3813z00_1023, BgL_arg3814z00_1024);
										}
										BgL_bodyz00_1003 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 8)),
											BgL_arg3812z00_1022);
									}
								{	/* BackEnd/init.scm 80 */
									BgL_localz00_bglt BgL_cvarz00_1004;

									{	/* BackEnd/init.scm 91 */
										BgL_typez00_bglt BgL_auxz00_1711;

										{	/* BackEnd/init.scm 91 */
											obj_t BgL_xz00_1549;

											BgL_xz00_1549 = BGl_za2longza2z00zztype_cachez00;
											BgL_auxz00_1711 = ((BgL_typez00_bglt) BgL_xz00_1549);
										}
										BgL_cvarz00_1004 =
											BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
													(long) 9)), BgL_auxz00_1711);
									}
									{	/* BackEnd/init.scm 91 */
										BgL_localz00_bglt BgL_nvarz00_1005;

										{	/* BackEnd/init.scm 92 */
											BgL_typez00_bglt BgL_auxz00_1715;

											{	/* BackEnd/init.scm 92 */
												obj_t BgL_xz00_1550;

												BgL_xz00_1550 = BGl_za2stringza2z00zztype_cachez00;
												BgL_auxz00_1715 = ((BgL_typez00_bglt) BgL_xz00_1550);
											}
											BgL_nvarz00_1005 =
												BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF(
													((long) 14)), BgL_auxz00_1715);
										}
										{	/* BackEnd/init.scm 92 */
											BgL_nodez00_bglt BgL_nodez00_1006;

											if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
												{	/* BackEnd/init.scm 94 */
													BgL_nodez00_bglt BgL_nodez00_1012;

													{	/* BackEnd/init.scm 94 */
														obj_t BgL_arg3805z00_1013;

														{	/* BackEnd/init.scm 94 */
															obj_t BgL_list3806z00_1014;

															{	/* BackEnd/init.scm 94 */
																obj_t BgL_arg3807z00_1015;

																BgL_arg3807z00_1015 =
																	MAKE_PAIR(((obj_t) BgL_nvarz00_1005), BNIL);
																BgL_list3806z00_1014 =
																	MAKE_PAIR(
																	((obj_t) BgL_cvarz00_1004),
																	BgL_arg3807z00_1015);
															}
															BgL_arg3805z00_1013 = BgL_list3806z00_1014;
														}
														BgL_nodez00_1012 =
															BGl_sexpzd2ze3nodez31zzast_sexpz00
															(BgL_bodyz00_1003, BgL_arg3805z00_1013, BNIL,
															CNST_TABLE_REF(((long) 18)));
													}
													BGl_lvtypezd2nodez12zc0zzast_lvtypez00
														(BgL_nodez00_1012);
													{	/* BackEnd/init.scm 96 */
														BgL_typez00_bglt BgL_auxz00_1728;

														{	/* BackEnd/init.scm 96 */
															obj_t BgL_xz00_1554;

															BgL_xz00_1554 =
																BGl_za2unspecza2z00zztype_cachez00;
															BgL_auxz00_1728 =
																((BgL_typez00_bglt) BgL_xz00_1554);
														}
														BgL_nodez00_1006 =
															BGl_coercez12z12zzcoerce_coercez00
															(BgL_nodez00_1012, ((obj_t) BgL_reqz00_999),
															BgL_auxz00_1728, ((bool_t) 0));
												}}
											else
												{	/* BackEnd/init.scm 97 */
													obj_t BgL__z00_1016;

													BgL__z00_1016 = BGl_za2_za2z00zztype_cachez00;
													BGl_za2_za2z00zztype_cachez00 =
														BGl_za2objza2z00zztype_cachez00;
													{	/* BackEnd/init.scm 99 */
														BgL_nodez00_bglt BgL_nodez00_1017;

														{	/* BackEnd/init.scm 99 */
															BgL_nodez00_bglt BgL_arg3808z00_1018;

															{	/* BackEnd/init.scm 99 */
																obj_t BgL_arg3809z00_1019;

																{	/* BackEnd/init.scm 99 */
																	obj_t BgL_list3810z00_1020;

																	{	/* BackEnd/init.scm 99 */
																		obj_t BgL_arg3811z00_1021;

																		BgL_arg3811z00_1021 =
																			MAKE_PAIR(
																			((obj_t) BgL_nvarz00_1005), BNIL);
																		BgL_list3810z00_1020 =
																			MAKE_PAIR(
																			((obj_t) BgL_cvarz00_1004),
																			BgL_arg3811z00_1021);
																	}
																	BgL_arg3809z00_1019 = BgL_list3810z00_1020;
																}
																BgL_arg3808z00_1018 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(BgL_bodyz00_1003, BgL_arg3809z00_1019, BNIL,
																	CNST_TABLE_REF(((long) 18)));
															}
															{	/* BackEnd/init.scm 99 */
																BgL_typez00_bglt BgL_auxz00_1738;

																{	/* BackEnd/init.scm 101 */
																	obj_t BgL_xz00_1558;

																	BgL_xz00_1558 =
																		BGl_za2objza2z00zztype_cachez00;
																	BgL_auxz00_1738 =
																		((BgL_typez00_bglt) BgL_xz00_1558);
																}
																BgL_nodez00_1017 =
																	BGl_coercez12z12zzcoerce_coercez00
																	(BgL_arg3808z00_1018,
																	((obj_t) BgL_reqz00_999), BgL_auxz00_1738,
																	((bool_t) 0));
														}}
														BGl_za2_za2z00zztype_cachez00 = BgL__z00_1016;
														BgL_nodez00_1006 = BgL_nodez00_1017;
												}}
											{	/* BackEnd/init.scm 93 */
												BgL_globalz00_bglt BgL_initz00_1007;

												{	/* BackEnd/init.scm 106 */
													obj_t BgL_arg3801z00_1008;
													obj_t BgL_arg3802z00_1009;

													BgL_arg3801z00_1008 =
														BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
														(BGl_za2moduleza2z00zzmodule_modulez00);
													{	/* BackEnd/init.scm 108 */
														obj_t BgL_list3803z00_1010;

														{	/* BackEnd/init.scm 108 */
															obj_t BgL_arg3804z00_1011;

															BgL_arg3804z00_1011 =
																MAKE_PAIR(((obj_t) BgL_nvarz00_1005), BNIL);
															BgL_list3803z00_1010 =
																MAKE_PAIR(
																((obj_t) BgL_cvarz00_1004),
																BgL_arg3804z00_1011);
														}
														BgL_arg3802z00_1009 = BgL_list3803z00_1010;
													}
													BgL_initz00_1007 =
														BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
														(BgL_arg3801z00_1008, CNST_TABLE_REF(((long) 19)),
														BgL_arg3802z00_1009,
														BGl_za2moduleza2z00zzmodule_modulez00,
														CNST_TABLE_REF(((long) 20)),
														CNST_TABLE_REF(((long) 21)),
														CNST_TABLE_REF(((long) 2)),
														((obj_t) BgL_nodez00_1006));
												}
												{	/* BackEnd/init.scm 105 */

													BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
														((BgL_variablez00_bglt) BgL_reqz00_999));
													{	/* BackEnd/init.scm 115 */
														obj_t BgL_val2035z00_1538;

														BgL_val2035z00_1538 = CNST_TABLE_REF(((long) 22));
														((((BgL_globalz00_bglt) CREF(
																		((obj_t) BgL_initz00_1007)))->
																BgL_importz00) =
															((obj_t) BgL_val2035z00_1538), BUNSPEC);
													}
													{	/* BackEnd/init.scm 116 */
														BgL_variablez00_bglt BgL_obj1947z00_1539;
														BgL_typez00_bglt BgL_val1946z00_1540;

														BgL_obj1947z00_1539 =
															((BgL_variablez00_bglt) BgL_initz00_1007);
														{	/* BackEnd/init.scm 116 */
															obj_t BgL_xz00_1565;

															BgL_xz00_1565 = BGl_za2objza2z00zztype_cachez00;
															BgL_val1946z00_1540 =
																((BgL_typez00_bglt) BgL_xz00_1565);
														}
														((((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1947z00_1539)))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_val1946z00_1540),
															BUNSPEC);
													}
													BGl_occurzd2nodezd2inz12z12zzast_occurz00
														(BgL_nodez00_1006, BgL_initz00_1007);
													return BgL_initz00_1007;
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 485965945),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 176245486),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(((long) 234044111),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 535161272),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string3928z00zzbackend_initz00));
		}
	}

#ifdef __cplusplus
}
#endif
