/*===========================================================================*/
/*   (Globalize/integration28c.scm)                                          */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/integration28c.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_cfunctionz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


	static bool_t
		BGl_integratezf3zf3zzglobaliza7e_integrationzd228cz75(BgL_variablez00_bglt,
		BgL_localz00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static bool_t
		BGl_integratezf3z72z81zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_integrationzd228cz75();
	static bool_t
		BGl_integratorzf3zf3zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt,
		obj_t);
	static long BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationzd228cz75;
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t
		BGl_z62setzd2integrationzd228cz12z70zzglobaliza7e_integrationzd228cz75
		(obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2integrationzd228cz12z12zzglobaliza7e_integrationzd228cz75
		(BgL_globalz00_bglt, obj_t, obj_t, obj_t);
	static obj_t
		BGl_findzd2otherzd2integratorza2za2zzglobaliza7e_integrationzd228cz75
		(BgL_localz00_bglt);
	extern obj_t BGl_za2optimzd2integratezf3za2z21zzengine_paramz00;
	static obj_t
		BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationzd228cz75 =
		BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_integrationzd228cz75();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_integrationzd228cz75();
	static bool_t
		BGl_okzd2callzf3z21zzglobaliza7e_integrationzd228cz75(BgL_variablez00_bglt,
		obj_t);
	static obj_t BGl_integratezd2inz12zc0zzglobaliza7e_integrationzd228cz75(obj_t,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_findzd2integratorzd2zzglobaliza7e_integrationzd228cz75
		(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationzd228cz75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_integrationzd228cz75();
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationzd228cz75();
	static obj_t
		BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationzd228cz75();
	static long BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationzd228cz75;
	static obj_t
		BGl_ownerzd2integratorzd2zzglobaliza7e_integrationzd228cz75
		(BgL_localz00_bglt);
	static obj_t BGl_loopz00zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_globalz00zzast_varz00;
	static bool_t
		BGl_visiblezf3zf3zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2integrationzd228cz12zd2envzc0zzglobaliza7e_integrationzd228cz75,
		BgL_bgl_za762setza7d2integra3992z00,
		BGl_z62setzd2integrationzd228cz12z70zzglobaliza7e_integrationzd228cz75, 0L,
		BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3987z00zzglobaliza7e_integrationzd228cz75,
		BgL_bgl_string3987za700za7za7g3993za7, "empty integrator*", 17);
	      DEFINE_STRING(BGl_string3988z00zzglobaliza7e_integrationzd228cz75,
		BgL_bgl_string3988za700za7za7g3994za7, "globalize_integration-28c", 25);
	      DEFINE_STRING(BGl_string3989z00zzglobaliza7e_integrationzd228cz75,
		BgL_bgl_string3989za700za7za7g3995za7, "find-integrator ", 16);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationzd228cz75(long
		BgL_checksumz00_1812, char *BgL_fromz00_1813)
	{
		AN_OBJECT;
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationzd228cz75))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationzd228cz75 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationzd228cz75();
					BGl_cnstzd2initzd2zzglobaliza7e_integrationzd228cz75();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationzd228cz75();
					BGl_toplevelzd2initzd2zzglobaliza7e_integrationzd228cz75();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationzd228cz75()
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_integration-28c");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_integration-28c");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_integrationzd228cz75()
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 17 */
			{	/* Globalize/integration28c.scm 17 */
				obj_t BgL_cportz00_1804;

				BgL_cportz00_1804 =
					bgl_open_input_string
					(BGl_string3989z00zzglobaliza7e_integrationzd228cz75,
					(int) (((long) 0)));
				{
					long BgL_iz00_1805;

					BgL_iz00_1805 = ((long) 0);
				BgL_loopz00_1806:
					if ((BgL_iz00_1805 == ((long) -1)))
						{	/* Globalize/integration28c.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/integration28c.scm 17 */
							{	/* Globalize/integration28c.scm 17 */
								obj_t BgL_arg3991z00_1808;

								{	/* Globalize/integration28c.scm 17 */

									{	/* Globalize/integration28c.scm 17 */
										obj_t BgL_locationz00_1810;

										BgL_locationz00_1810 = BBOOL(((bool_t) 0));
										{	/* Globalize/integration28c.scm 17 */

											BgL_arg3991z00_1808 =
												BGl_readz00zz__readerz00(BgL_cportz00_1804,
												BgL_locationz00_1810);
										}
									}
								}
								{	/* Globalize/integration28c.scm 17 */
									int BgL_auxz00_1829;

									BgL_auxz00_1829 = (int) (BgL_iz00_1805);
									CNST_TABLE_SET(BgL_auxz00_1829, BgL_arg3991z00_1808);
							}}
							{	/* Globalize/integration28c.scm 17 */
								int BgL_auxz00_1811;

								BgL_auxz00_1811 = (int) ((BgL_iz00_1805 - ((long) 1)));
								{
									long BgL_iz00_1834;

									BgL_iz00_1834 = (long) (BgL_auxz00_1811);
									BgL_iz00_1805 = BgL_iz00_1834;
									goto BgL_loopz00_1806;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_integrationzd228cz75()
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 17 */
			BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationzd228cz75 = ((long) 0);
			return (BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationzd228cz75 =
				((long) 0), BUNSPEC);
		}
	}



/* set-integration-28c! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2integrationzd228cz12z12zzglobaliza7e_integrationzd228cz75
		(BgL_globalz00_bglt BgL_globalz00_3, obj_t BgL_ez00_4, obj_t BgL_g0z00_5,
		obj_t BgL_g1z00_6)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 33 */
			{
				obj_t BgL_l3817z00_972;

				{	/* Globalize/integration28c.scm 35 */
					bool_t BgL_auxz00_1836;

					BgL_l3817z00_972 = BgL_g1z00_6;
				BgL_zc3anonymousza33837ze3z83_973:
					if (PAIRP(BgL_l3817z00_972))
						{	/* Globalize/integration28c.scm 35 */
							{	/* Globalize/integration28c.scm 36 */
								obj_t BgL_fz00_975;

								BgL_fz00_975 = CAR(BgL_l3817z00_972);
								{	/* Globalize/integration28c.scm 36 */
									obj_t BgL_gz00_976;

									BgL_gz00_976 =
										BGl_findzd2integratorzd2zzglobaliza7e_integrationzd228cz75(
										((BgL_localz00_bglt) BgL_fz00_975));
									if (BGl_iszd2azf3z21zz__objectz00(BgL_gz00_976,
											BGl_variablez00zzast_varz00))
										{	/* Globalize/integration28c.scm 37 */
											BGl_integratezd2inz12zc0zzglobaliza7e_integrationzd228cz75
												(BgL_fz00_975, ((BgL_variablez00_bglt) BgL_gz00_976));
										}
									else
										{	/* Globalize/integration28c.scm 37 */
											{	/* Globalize/integration28c.scm 39 */
												BgL_valuez00_bglt BgL_arg3845z00_1572;

												{	/* Globalize/integration28c.scm 39 */
													BgL_variablez00_bglt BgL_obj1612z00_1573;

													BgL_obj1612z00_1573 =
														((BgL_variablez00_bglt) BgL_fz00_975);
													BgL_arg3845z00_1572 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1612z00_1573)))->BgL_valuez00);
												}
												{	/* Globalize/integration28c.scm 39 */
													BgL_sfunzf2ginfozf2_bglt BgL_obj3472z00_1574;

													BgL_obj3472z00_1574 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_arg3845z00_1572);
													{
														obj_t BgL_auxz00_1850;

														{	/* Globalize/integration28c.scm 39 */
															BgL_objectz00_bglt BgL_auxz00_1851;

															BgL_auxz00_1851 =
																((BgL_objectz00_bglt) BgL_obj3472z00_1574);
															BgL_auxz00_1850 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1851);
														}
														((((BgL_sfunzf2ginfozf2_bglt)
																	CREF(BgL_auxz00_1850))->BgL_integratorz00) =
															((obj_t) BFALSE), BUNSPEC);
													}
												}
											}
										}
								}
							}
							{
								obj_t BgL_l3817z00_1855;

								BgL_l3817z00_1855 = CDR(BgL_l3817z00_972);
								BgL_l3817z00_972 = BgL_l3817z00_1855;
								goto BgL_zc3anonymousza33837ze3z83_973;
							}
						}
					else
						{	/* Globalize/integration28c.scm 35 */
							BgL_auxz00_1836 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_1836);
				}
			}
		}
	}



/* &set-integration-28c! */
	obj_t
		BGl_z62setzd2integrationzd228cz12z70zzglobaliza7e_integrationzd228cz75(obj_t
		BgL_envz00_1692, obj_t BgL_globalz00_1693, obj_t BgL_ez00_1694,
		obj_t BgL_g0z00_1695, obj_t BgL_g1z00_1696)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 33 */
			return
				BGl_setzd2integrationzd228cz12z12zzglobaliza7e_integrationzd228cz75(
				((BgL_globalz00_bglt) BgL_globalz00_1693), BgL_ez00_1694,
				BgL_g0z00_1695, BgL_g1z00_1696);
		}
	}



/* integrate-in! */
	obj_t BGl_integratezd2inz12zc0zzglobaliza7e_integrationzd228cz75(obj_t
		BgL_fz00_7, BgL_variablez00_bglt BgL_gz00_8)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 45 */
			{	/* Globalize/integration28c.scm 49 */
				BgL_valuez00_bglt BgL_arg3841z00_981;

				{	/* Globalize/integration28c.scm 49 */
					BgL_variablez00_bglt BgL_obj1612z00_1577;

					BgL_obj1612z00_1577 = ((BgL_variablez00_bglt) BgL_fz00_7);
					BgL_arg3841z00_981 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1577)))->BgL_valuez00);
				}
				{	/* Globalize/integration28c.scm 49 */
					BgL_sfunzf2ginfozf2_bglt BgL_obj3472z00_1578;
					obj_t BgL_val3470z00_1579;

					BgL_obj3472z00_1578 = ((BgL_sfunzf2ginfozf2_bglt) BgL_arg3841z00_981);
					BgL_val3470z00_1579 = ((obj_t) BgL_gz00_8);
					{
						obj_t BgL_auxz00_1865;

						{	/* Globalize/integration28c.scm 49 */
							BgL_objectz00_bglt BgL_auxz00_1866;

							BgL_auxz00_1866 = ((BgL_objectz00_bglt) BgL_obj3472z00_1578);
							BgL_auxz00_1865 = BGL_OBJECT_WIDENING(BgL_auxz00_1866);
						}
						((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1865))->
								BgL_integratorz00) = ((obj_t) BgL_val3470z00_1579), BUNSPEC);
					}
				}
			}
			{	/* Globalize/integration28c.scm 50 */
				BgL_valuez00_bglt BgL_arg3842z00_982;

				{	/* Globalize/integration28c.scm 50 */
					BgL_variablez00_bglt BgL_obj1612z00_1580;

					BgL_obj1612z00_1580 = ((BgL_variablez00_bglt) BgL_fz00_7);
					BgL_arg3842z00_982 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1580)))->BgL_valuez00);
				}
				{	/* Globalize/integration28c.scm 50 */
					BgL_sfunzf2ginfozf2_bglt BgL_obj3450z00_1581;

					BgL_obj3450z00_1581 = ((BgL_sfunzf2ginfozf2_bglt) BgL_arg3842z00_982);
					{
						obj_t BgL_auxz00_1874;

						{	/* Globalize/integration28c.scm 50 */
							BgL_objectz00_bglt BgL_auxz00_1875;

							BgL_auxz00_1875 = ((BgL_objectz00_bglt) BgL_obj3450z00_1581);
							BgL_auxz00_1874 = BGL_OBJECT_WIDENING(BgL_auxz00_1875);
						}
						((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1874))->BgL_gzf3zf3) =
							((bool_t) ((bool_t) 0)), BUNSPEC);
					}
				}
			}
			{	/* Globalize/integration28c.scm 51 */
				BgL_valuez00_bglt BgL_instance3784z00_983;

				BgL_instance3784z00_983 =
					(((BgL_variablez00_bglt) CREF(((obj_t) BgL_gz00_8)))->BgL_valuez00);
				{	/* Globalize/integration28c.scm 52 */
					obj_t BgL_arg3843z00_984;

					{	/* Globalize/integration28c.scm 52 */
						obj_t BgL_arg3844z00_985;

						{	/* Globalize/integration28c.scm 52 */
							BgL_sfunzf2ginfozf2_bglt BgL_obj3479z00_1584;

							BgL_obj3479z00_1584 =
								((BgL_sfunzf2ginfozf2_bglt) BgL_instance3784z00_983);
							{
								obj_t BgL_auxz00_1882;

								{	/* Globalize/integration28c.scm 52 */
									BgL_objectz00_bglt BgL_auxz00_1883;

									BgL_auxz00_1883 = ((BgL_objectz00_bglt) BgL_obj3479z00_1584);
									BgL_auxz00_1882 = BGL_OBJECT_WIDENING(BgL_auxz00_1883);
								}
								BgL_arg3844z00_985 =
									(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1882))->
									BgL_integratedz00);
							}
						}
						BgL_arg3843z00_984 = MAKE_PAIR(BgL_fz00_7, BgL_arg3844z00_985);
					}
					{	/* Globalize/integration28c.scm 52 */
						BgL_sfunzf2ginfozf2_bglt BgL_obj3481z00_1585;

						BgL_obj3481z00_1585 =
							((BgL_sfunzf2ginfozf2_bglt) BgL_instance3784z00_983);
						{
							obj_t BgL_auxz00_1889;

							{	/* Globalize/integration28c.scm 52 */
								BgL_objectz00_bglt BgL_auxz00_1890;

								BgL_auxz00_1890 = ((BgL_objectz00_bglt) BgL_obj3481z00_1585);
								BgL_auxz00_1889 = BGL_OBJECT_WIDENING(BgL_auxz00_1890);
							}
							return
								((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1889))->
									BgL_integratedz00) = ((obj_t) BgL_arg3843z00_984), BUNSPEC);
						}
					}
				}
			}
		}
	}



/* find-integrator */
	obj_t
		BGl_findzd2integratorzd2zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt
		BgL_fz00_10)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 65 */
			{	/* Globalize/integration28c.scm 77 */
				obj_t BgL__andtest_3788z00_988;

				BgL__andtest_3788z00_988 =
					BGl_za2optimzd2integratezf3za2z21zzengine_paramz00;
				if (CBOOL(BgL__andtest_3788z00_988))
					{	/* Globalize/integration28c.scm 78 */
						obj_t BgL_guessz00_989;

						{	/* Globalize/integration28c.scm 78 */
							obj_t BgL__ortest_3792z00_1593;

							BgL__ortest_3792z00_1593 =
								BGl_ownerzd2integratorzd2zzglobaliza7e_integrationzd228cz75
								(BgL_fz00_10);
							if (CBOOL(BgL__ortest_3792z00_1593))
								{	/* Globalize/integration28c.scm 78 */
									BgL_guessz00_989 = BgL__ortest_3792z00_1593;
								}
							else
								{	/* Globalize/integration28c.scm 78 */
									BgL_guessz00_989 =
										BGl_findzd2otherzd2integratorza2za2zzglobaliza7e_integrationzd228cz75
										(BgL_fz00_10);
								}
						}
						if (NULLP(BgL_guessz00_989))
							{	/* Globalize/integration28c.scm 80 */
								BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
											0)), BGl_string3987z00zzglobaliza7e_integrationzd228cz75,
									((obj_t) BgL_fz00_10));
								return BFALSE;
							}
						else
							{	/* Globalize/integration28c.scm 86 */
								bool_t BgL_testz00_1905;

								{	/* Globalize/integration28c.scm 86 */
									obj_t BgL_auxz00_1906;

									BgL_auxz00_1906 = CDR(BgL_guessz00_989);
									BgL_testz00_1905 = PAIRP(BgL_auxz00_1906);
								}
								if (BgL_testz00_1905)
									{	/* Globalize/integration28c.scm 86 */
										return BFALSE;
									}
								else
									{	/* Globalize/integration28c.scm 90 */
										bool_t BgL_testz00_1909;

										{	/* Globalize/integration28c.scm 90 */
											obj_t BgL_arg3849z00_993;

											BgL_arg3849z00_993 = CAR(BgL_guessz00_989);
											BgL_testz00_1909 =
												BGl_integratezf3zf3zzglobaliza7e_integrationzd228cz75(
												((BgL_variablez00_bglt) BgL_fz00_10),
												((BgL_localz00_bglt) BgL_arg3849z00_993));
										}
										if (BgL_testz00_1909)
											{	/* Globalize/integration28c.scm 90 */
												return CAR(BgL_guessz00_989);
											}
										else
											{	/* Globalize/integration28c.scm 90 */
												return BFALSE;
											}
									}
							}
					}
				else
					{	/* Globalize/integration28c.scm 77 */
						return BFALSE;
					}
			}
		}
	}



/* integrator? */
	bool_t
		BGl_integratorzf3zf3zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt
		BgL_fz00_11, obj_t BgL_gz00_12)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 101 */
			{	/* Globalize/integration28c.scm 102 */
				bool_t BgL__ortest_3789z00_995;

				{	/* Globalize/integration28c.scm 102 */
					obj_t BgL_auxz00_1915;

					{	/* Globalize/integration28c.scm 102 */
						BgL_sfunzf2ginfozf2_bglt BgL_obj3476z00_1602;

						{	/* Globalize/integration28c.scm 102 */
							BgL_variablez00_bglt BgL_obj1612z00_1601;

							BgL_obj1612z00_1601 = ((BgL_variablez00_bglt) BgL_fz00_11);
							BgL_obj3476z00_1602 =
								((BgL_sfunzf2ginfozf2_bglt)
								(((BgL_variablez00_bglt) CREF(
											((obj_t) BgL_obj1612z00_1601)))->BgL_valuez00));
						}
						{
							obj_t BgL_auxz00_1920;

							{	/* Globalize/integration28c.scm 102 */
								BgL_objectz00_bglt BgL_auxz00_1921;

								BgL_auxz00_1921 = ((BgL_objectz00_bglt) BgL_obj3476z00_1602);
								BgL_auxz00_1920 = BGL_OBJECT_WIDENING(BgL_auxz00_1921);
							}
							BgL_auxz00_1915 =
								(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1920))->
								BgL_ownerz00);
						}
					}
					BgL__ortest_3789z00_995 = (BgL_auxz00_1915 == BgL_gz00_12);
				}
				if (BgL__ortest_3789z00_995)
					{	/* Globalize/integration28c.scm 102 */
						return BgL__ortest_3789z00_995;
					}
				else
					{	/* Globalize/integration28c.scm 103 */
						bool_t BgL__ortest_3790z00_996;

						BgL__ortest_3790z00_996 =
							BGl_iszd2azf3z21zz__objectz00(BgL_gz00_12,
							BGl_globalz00zzast_varz00);
						if (BgL__ortest_3790z00_996)
							{	/* Globalize/integration28c.scm 103 */
								return BgL__ortest_3790z00_996;
							}
						else
							{	/* Globalize/integration28c.scm 103 */
								if (BGl_iszd2azf3z21zz__objectz00(BgL_gz00_12,
										BGl_localz00zzast_varz00))
									{	/* Globalize/integration28c.scm 104 */
										BgL_localzf2ginfozf2_bglt BgL_obj3650z00_1607;

										BgL_obj3650z00_1607 =
											((BgL_localzf2ginfozf2_bglt)
											((BgL_localz00_bglt) BgL_gz00_12));
										{
											obj_t BgL_auxz00_1933;

											{	/* Globalize/integration28c.scm 104 */
												BgL_objectz00_bglt BgL_auxz00_1934;

												BgL_auxz00_1934 =
													((BgL_objectz00_bglt) BgL_obj3650z00_1607);
												BgL_auxz00_1933 = BGL_OBJECT_WIDENING(BgL_auxz00_1934);
											}
											return
												(((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_1933))->
												BgL_escapezf3zf3);
										}
									}
								else
									{	/* Globalize/integration28c.scm 104 */
										return ((bool_t) 0);
									}
							}
					}
			}
		}
	}



/* owner-integrator */
	obj_t
		BGl_ownerzd2integratorzd2zzglobaliza7e_integrationzd228cz75
		(BgL_localz00_bglt BgL_fz00_14)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 124 */
			{	/* Globalize/integration28c.scm 125 */
				obj_t BgL_ownerz00_1001;

				{	/* Globalize/integration28c.scm 125 */
					BgL_sfunzf2ginfozf2_bglt BgL_obj3476z00_1610;

					{	/* Globalize/integration28c.scm 125 */
						BgL_variablez00_bglt BgL_obj1612z00_1609;

						BgL_obj1612z00_1609 = ((BgL_variablez00_bglt) BgL_fz00_14);
						BgL_obj3476z00_1610 =
							((BgL_sfunzf2ginfozf2_bglt)
							(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1612z00_1609)))->BgL_valuez00));
					}
					{
						obj_t BgL_auxz00_1942;

						{	/* Globalize/integration28c.scm 125 */
							BgL_objectz00_bglt BgL_auxz00_1943;

							BgL_auxz00_1943 = ((BgL_objectz00_bglt) BgL_obj3476z00_1610);
							BgL_auxz00_1942 = BGL_OBJECT_WIDENING(BgL_auxz00_1943);
						}
						BgL_ownerz00_1001 =
							(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1942))->
							BgL_ownerz00);
					}
				}
				{	/* Globalize/integration28c.scm 126 */
					bool_t BgL_testz00_1947;

					{
						obj_t BgL_l3819z00_1006;

						{	/* Globalize/integration28c.scm 128 */
							BgL_sfunzf2ginfozf2_bglt BgL_obj3451z00_1612;

							{	/* Globalize/integration28c.scm 128 */
								BgL_variablez00_bglt BgL_obj1612z00_1611;

								BgL_obj1612z00_1611 = ((BgL_variablez00_bglt) BgL_fz00_14);
								BgL_obj3451z00_1612 =
									((BgL_sfunzf2ginfozf2_bglt)
									(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_1611)))->BgL_valuez00));
							}
							{
								obj_t BgL_auxz00_1962;

								{	/* Globalize/integration28c.scm 128 */
									BgL_objectz00_bglt BgL_auxz00_1963;

									BgL_auxz00_1963 = ((BgL_objectz00_bglt) BgL_obj3451z00_1612);
									BgL_auxz00_1962 = BGL_OBJECT_WIDENING(BgL_auxz00_1963);
								}
								BgL_l3819z00_1006 =
									(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1962))->
									BgL_cfromz00);
							}
						}
					BgL_zc3anonymousza33855ze3z83_1007:
						if (NULLP(BgL_l3819z00_1006))
							{	/* Globalize/integration28c.scm 128 */
								BgL_testz00_1947 = ((bool_t) 1);
							}
						else
							{	/* Globalize/integration28c.scm 128 */
								bool_t BgL_testz00_1950;

								{	/* Globalize/integration28c.scm 127 */
									obj_t BgL_xz00_1011;

									BgL_xz00_1011 = CAR(BgL_l3819z00_1006);
									{	/* Globalize/integration28c.scm 127 */
										bool_t BgL__ortest_3793z00_1012;

										BgL__ortest_3793z00_1012 =
											(BgL_xz00_1011 == ((obj_t) BgL_fz00_14));
										if (BgL__ortest_3793z00_1012)
											{	/* Globalize/integration28c.scm 127 */
												BgL_testz00_1950 = BgL__ortest_3793z00_1012;
											}
										else
											{	/* Globalize/integration28c.scm 127 */
												BgL_testz00_1950 = (BgL_xz00_1011 == BgL_ownerz00_1001);
											}
									}
								}
								if (BgL_testz00_1950)
									{
										obj_t BgL_l3819z00_1956;

										BgL_l3819z00_1956 = CDR(BgL_l3819z00_1006);
										BgL_l3819z00_1006 = BgL_l3819z00_1956;
										goto BgL_zc3anonymousza33855ze3z83_1007;
									}
								else
									{	/* Globalize/integration28c.scm 128 */
										BgL_testz00_1947 = ((bool_t) 0);
									}
							}
					}
					if (BgL_testz00_1947)
						{	/* Globalize/integration28c.scm 129 */
							obj_t BgL_list3854z00_1003;

							BgL_list3854z00_1003 = MAKE_PAIR(BgL_ownerz00_1001, BNIL);
							return BgL_list3854z00_1003;
						}
					else
						{	/* Globalize/integration28c.scm 126 */
							return BFALSE;
						}
				}
			}
		}
	}



/* find-other-integrator* */
	obj_t
		BGl_findzd2otherzd2integratorza2za2zzglobaliza7e_integrationzd228cz75
		(BgL_localz00_bglt BgL_fz00_15)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 135 */
			BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationzd228cz75 =
				(((long) 1) +
				BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationzd228cz75);
			{	/* Globalize/integration28c.scm 137 */
				obj_t BgL_g3794z00_1016;

				{	/* Globalize/integration28c.scm 137 */
					BgL_sfunzf2ginfozf2_bglt BgL_obj3451z00_1623;

					{	/* Globalize/integration28c.scm 137 */
						BgL_variablez00_bglt BgL_obj1612z00_1622;

						BgL_obj1612z00_1622 = ((BgL_variablez00_bglt) BgL_fz00_15);
						BgL_obj3451z00_1623 =
							((BgL_sfunzf2ginfozf2_bglt)
							(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1612z00_1622)))->BgL_valuez00));
					}
					{
						obj_t BgL_auxz00_1973;

						{	/* Globalize/integration28c.scm 137 */
							BgL_objectz00_bglt BgL_auxz00_1974;

							BgL_auxz00_1974 = ((BgL_objectz00_bglt) BgL_obj3451z00_1623);
							BgL_auxz00_1973 = BGL_OBJECT_WIDENING(BgL_auxz00_1974);
						}
						BgL_g3794z00_1016 =
							(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1973))->
							BgL_cfromz00);
				}}
				return
					BGl_loopz00zzglobaliza7e_integrationzd228cz75(BgL_fz00_15,
					BgL_g3794z00_1016, BNIL);
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt
		BgL_fz00_1702, obj_t BgL_cfromz00_1019, obj_t BgL_escapeza2za2_1020)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 137 */
		BGl_loopz00zzglobaliza7e_integrationzd228cz75:
			if (NULLP(BgL_cfromz00_1019))
				{	/* Globalize/integration28c.scm 139 */
					return BgL_escapeza2za2_1020;
				}
			else
				{	/* Globalize/integration28c.scm 141 */
					obj_t BgL_gz00_1023;

					BgL_gz00_1023 = CAR(BgL_cfromz00_1019);
					{	/* Globalize/integration28c.scm 142 */
						bool_t BgL_testz00_1982;

						{	/* Globalize/integration28c.scm 142 */
							obj_t BgL_arg3873z00_1034;

							{	/* Globalize/integration28c.scm 142 */
								BgL_sfunzf2ginfozf2_bglt BgL_obj3455z00_1628;

								{	/* Globalize/integration28c.scm 142 */
									BgL_variablez00_bglt BgL_obj1612z00_1627;

									BgL_obj1612z00_1627 = ((BgL_variablez00_bglt) BgL_gz00_1023);
									BgL_obj3455z00_1628 =
										((BgL_sfunzf2ginfozf2_bglt)
										(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1612z00_1627)))->BgL_valuez00));
								}
								{
									obj_t BgL_auxz00_1987;

									{	/* Globalize/integration28c.scm 142 */
										BgL_objectz00_bglt BgL_auxz00_1988;

										BgL_auxz00_1988 =
											((BgL_objectz00_bglt) BgL_obj3455z00_1628);
										BgL_auxz00_1987 = BGL_OBJECT_WIDENING(BgL_auxz00_1988);
									}
									BgL_arg3873z00_1034 =
										(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1987))->
										BgL_cfromza2za2);
								}
							}
							BgL_testz00_1982 =
								(BgL_arg3873z00_1034 ==
								BINT
								(BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationzd228cz75));
						}
						if (BgL_testz00_1982)
							{
								obj_t BgL_cfromz00_1994;

								BgL_cfromz00_1994 = CDR(BgL_cfromz00_1019);
								BgL_cfromz00_1019 = BgL_cfromz00_1994;
								goto BGl_loopz00zzglobaliza7e_integrationzd228cz75;
							}
						else
							{	/* Globalize/integration28c.scm 142 */
								{	/* Globalize/integration28c.scm 145 */
									BgL_valuez00_bglt BgL_arg3865z00_1026;

									{	/* Globalize/integration28c.scm 145 */
										BgL_variablez00_bglt BgL_obj1612z00_1630;

										BgL_obj1612z00_1630 =
											((BgL_variablez00_bglt) BgL_gz00_1023);
										BgL_arg3865z00_1026 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1612z00_1630)))->BgL_valuez00);
									}
									{	/* Globalize/integration28c.scm 145 */
										BgL_sfunzf2ginfozf2_bglt BgL_obj3457z00_1631;
										obj_t BgL_val3456z00_1632;

										BgL_obj3457z00_1631 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_arg3865z00_1026);
										BgL_val3456z00_1632 =
											BINT
											(BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationzd228cz75);
										{
											obj_t BgL_auxz00_2001;

											{	/* Globalize/integration28c.scm 145 */
												BgL_objectz00_bglt BgL_auxz00_2002;

												BgL_auxz00_2002 =
													((BgL_objectz00_bglt) BgL_obj3457z00_1631);
												BgL_auxz00_2001 = BGL_OBJECT_WIDENING(BgL_auxz00_2002);
											}
											((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2001))->
													BgL_cfromza2za2) =
												((obj_t) BgL_val3456z00_1632), BUNSPEC);
										}
									}
								}
								if (BGl_integratorzf3zf3zzglobaliza7e_integrationzd228cz75
									(BgL_fz00_1702, BgL_gz00_1023))
									{	/* Globalize/integration28c.scm 148 */
										obj_t BgL_arg3867z00_1028;
										obj_t BgL_arg3868z00_1029;

										BgL_arg3867z00_1028 = CDR(BgL_cfromz00_1019);
										BgL_arg3868z00_1029 =
											MAKE_PAIR(BgL_gz00_1023, BgL_escapeza2za2_1020);
										{
											obj_t BgL_escapeza2za2_2011;
											obj_t BgL_cfromz00_2010;

											BgL_cfromz00_2010 = BgL_arg3867z00_1028;
											BgL_escapeza2za2_2011 = BgL_arg3868z00_1029;
											BgL_escapeza2za2_1020 = BgL_escapeza2za2_2011;
											BgL_cfromz00_1019 = BgL_cfromz00_2010;
											goto BGl_loopz00zzglobaliza7e_integrationzd228cz75;
										}
									}
								else
									{	/* Globalize/integration28c.scm 150 */
										obj_t BgL_arg3869z00_1030;
										obj_t BgL_arg3870z00_1031;

										BgL_arg3869z00_1030 = CDR(BgL_cfromz00_1019);
										{	/* Globalize/integration28c.scm 151 */
											obj_t BgL_arg3871z00_1032;

											{	/* Globalize/integration28c.scm 151 */
												BgL_sfunzf2ginfozf2_bglt BgL_obj3451z00_1636;

												{	/* Globalize/integration28c.scm 151 */
													BgL_variablez00_bglt BgL_obj1612z00_1635;

													BgL_obj1612z00_1635 =
														((BgL_variablez00_bglt) BgL_gz00_1023);
													BgL_obj3451z00_1636 =
														((BgL_sfunzf2ginfozf2_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1612z00_1635)))->
															BgL_valuez00));
												}
												{
													obj_t BgL_auxz00_2017;

													{	/* Globalize/integration28c.scm 151 */
														BgL_objectz00_bglt BgL_auxz00_2018;

														BgL_auxz00_2018 =
															((BgL_objectz00_bglt) BgL_obj3451z00_1636);
														BgL_auxz00_2017 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2018);
													}
													BgL_arg3871z00_1032 =
														(((BgL_sfunzf2ginfozf2_bglt)
															CREF(BgL_auxz00_2017))->BgL_cfromz00);
												}
											}
											BgL_arg3870z00_1031 =
												BGl_loopz00zzglobaliza7e_integrationzd228cz75
												(BgL_fz00_1702, BgL_arg3871z00_1032,
												BgL_escapeza2za2_1020);
										}
										{
											obj_t BgL_escapeza2za2_2024;
											obj_t BgL_cfromz00_2023;

											BgL_cfromz00_2023 = BgL_arg3869z00_1030;
											BgL_escapeza2za2_2024 = BgL_arg3870z00_1031;
											BgL_escapeza2za2_1020 = BgL_escapeza2za2_2024;
											BgL_cfromz00_1019 = BgL_cfromz00_2023;
											goto BGl_loopz00zzglobaliza7e_integrationzd228cz75;
										}
									}
							}
					}
				}
		}
	}



/* integrate? */
	bool_t
		BGl_integratezf3zf3zzglobaliza7e_integrationzd228cz75(BgL_variablez00_bglt
		BgL_fz00_16, BgL_localz00_bglt BgL_gz00_17)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 164 */
			BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationzd228cz75 =
				(BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationzd228cz75 +
				((long) 1));
			{	/* Globalize/integration28c.scm 203 */
				bool_t BgL_rz00_1042;

				BgL_rz00_1042 =
					BGl_integratezf3z72z81zzglobaliza7e_integrationzd228cz75(BgL_gz00_17,
					BgL_fz00_16, ((obj_t) BgL_fz00_16));
				return BgL_rz00_1042;
			}
		}
	}



/* ok-call? */
	bool_t
		BGl_okzd2callzf3z21zzglobaliza7e_integrationzd228cz75(BgL_variablez00_bglt
		BgL_fz00_1697, obj_t BgL_gz00_1050)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 178 */
			{	/* Globalize/integration28c.scm 174 */
				bool_t BgL__ortest_3799z00_1052;

				BgL__ortest_3799z00_1052 = (((obj_t) BgL_fz00_1697) == BgL_gz00_1050);
				if (BgL__ortest_3799z00_1052)
					{	/* Globalize/integration28c.scm 174 */
						return BgL__ortest_3799z00_1052;
					}
				else
					{	/* Globalize/integration28c.scm 175 */
						bool_t BgL__ortest_3800z00_1053;

						{	/* Globalize/integration28c.scm 175 */
							obj_t BgL_auxz00_2031;

							{	/* Globalize/integration28c.scm 175 */
								BgL_sfunzf2ginfozf2_bglt BgL_obj3476z00_1638;

								BgL_obj3476z00_1638 =
									((BgL_sfunzf2ginfozf2_bglt)
									(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_fz00_1697)))->BgL_valuez00));
								{
									obj_t BgL_auxz00_2035;

									{	/* Globalize/integration28c.scm 175 */
										BgL_objectz00_bglt BgL_auxz00_2036;

										BgL_auxz00_2036 =
											((BgL_objectz00_bglt) BgL_obj3476z00_1638);
										BgL_auxz00_2035 = BGL_OBJECT_WIDENING(BgL_auxz00_2036);
									}
									BgL_auxz00_2031 =
										(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2035))->
										BgL_ownerz00);
								}
							}
							BgL__ortest_3800z00_1053 = (BgL_auxz00_2031 == BgL_gz00_1050);
						}
						if (BgL__ortest_3800z00_1053)
							{	/* Globalize/integration28c.scm 175 */
								return BgL__ortest_3800z00_1053;
							}
						else
							{	/* Globalize/integration28c.scm 176 */
								bool_t BgL__ortest_3801z00_1054;

								{	/* Globalize/integration28c.scm 176 */
									BgL_localzf2ginfozf2_bglt BgL_obj3650z00_1639;

									BgL_obj3650z00_1639 =
										((BgL_localzf2ginfozf2_bglt) BgL_gz00_1050);
									{
										obj_t BgL_auxz00_2043;

										{	/* Globalize/integration28c.scm 176 */
											BgL_objectz00_bglt BgL_auxz00_2044;

											BgL_auxz00_2044 =
												((BgL_objectz00_bglt) BgL_obj3650z00_1639);
											BgL_auxz00_2043 = BGL_OBJECT_WIDENING(BgL_auxz00_2044);
										}
										BgL__ortest_3801z00_1054 =
											(((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_2043))->
											BgL_escapezf3zf3);
									}
								}
								if (BgL__ortest_3801z00_1054)
									{	/* Globalize/integration28c.scm 176 */
										return BgL__ortest_3801z00_1054;
									}
								else
									{	/* Globalize/integration28c.scm 177 */
										bool_t BgL__ortest_3802z00_1055;

										BgL__ortest_3802z00_1055 =
											BGl_iszd2azf3z21zz__objectz00(BgL_gz00_1050,
											BGl_globalz00zzast_varz00);
										if (BgL__ortest_3802z00_1055)
											{	/* Globalize/integration28c.scm 177 */
												return BgL__ortest_3802z00_1055;
											}
										else
											{	/* Globalize/integration28c.scm 178 */
												obj_t BgL_auxz00_2051;

												{	/* Globalize/integration28c.scm 178 */
													BgL_sfunzf2ginfozf2_bglt BgL_obj3469z00_1643;

													{	/* Globalize/integration28c.scm 178 */
														BgL_variablez00_bglt BgL_obj1612z00_1642;

														BgL_obj1612z00_1642 =
															((BgL_variablez00_bglt) BgL_gz00_1050);
														BgL_obj3469z00_1643 =
															((BgL_sfunzf2ginfozf2_bglt)
															(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1612z00_1642)))->
																BgL_valuez00));
													}
													{
														obj_t BgL_auxz00_2056;

														{	/* Globalize/integration28c.scm 178 */
															BgL_objectz00_bglt BgL_auxz00_2057;

															BgL_auxz00_2057 =
																((BgL_objectz00_bglt) BgL_obj3469z00_1643);
															BgL_auxz00_2056 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2057);
														}
														BgL_auxz00_2051 =
															(((BgL_sfunzf2ginfozf2_bglt)
																CREF(BgL_auxz00_2056))->BgL_integratorz00);
													}
												}
												return (BgL_auxz00_2051 == ((obj_t) BgL_fz00_1697));
											}
									}
							}
					}
			}
		}
	}



/* visible? */
	bool_t BGl_visiblezf3zf3zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt
		BgL_gz00_1699, BgL_variablez00_bglt BgL_fz00_1698, obj_t BgL_hz00_1060)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 187 */
			{	/* Globalize/integration28c.scm 181 */
				bool_t BgL__ortest_3803z00_1062;

				BgL__ortest_3803z00_1062 = (BgL_hz00_1060 == ((obj_t) BgL_gz00_1699));
				if (BgL__ortest_3803z00_1062)
					{	/* Globalize/integration28c.scm 181 */
						return BgL__ortest_3803z00_1062;
					}
				else
					{	/* Globalize/integration28c.scm 182 */
						bool_t BgL__ortest_3804z00_1063;

						BgL__ortest_3804z00_1063 =
							BGl_iszd2azf3z21zz__objectz00(BgL_hz00_1060,
							BGl_globalz00zzast_varz00);
						if (BgL__ortest_3804z00_1063)
							{	/* Globalize/integration28c.scm 182 */
								return BgL__ortest_3804z00_1063;
							}
						else
							{	/* Globalize/integration28c.scm 183 */
								bool_t BgL__ortest_3805z00_1064;

								{	/* Globalize/integration28c.scm 183 */
									bool_t BgL_testz00_2068;

									{	/* Globalize/integration28c.scm 183 */
										BgL_localzf2ginfozf2_bglt BgL_obj3650z00_1646;

										BgL_obj3650z00_1646 =
											((BgL_localzf2ginfozf2_bglt) BgL_hz00_1060);
										{
											obj_t BgL_auxz00_2070;

											{	/* Globalize/integration28c.scm 183 */
												BgL_objectz00_bglt BgL_auxz00_2071;

												BgL_auxz00_2071 =
													((BgL_objectz00_bglt) BgL_obj3650z00_1646);
												BgL_auxz00_2070 = BGL_OBJECT_WIDENING(BgL_auxz00_2071);
											}
											BgL_testz00_2068 =
												(((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_2070))->
												BgL_escapezf3zf3);
										}
									}
									if (BgL_testz00_2068)
										{	/* Globalize/integration28c.scm 183 */
											BgL__ortest_3805z00_1064 = ((bool_t) 0);
										}
									else
										{	/* Globalize/integration28c.scm 183 */
											BgL__ortest_3805z00_1064 = ((bool_t) 1);
										}
								}
								if (BgL__ortest_3805z00_1064)
									{	/* Globalize/integration28c.scm 183 */
										return BgL__ortest_3805z00_1064;
									}
								else
									{	/* Globalize/integration28c.scm 184 */
										bool_t BgL__ortest_3806z00_1065;

										{	/* Globalize/integration28c.scm 184 */
											bool_t BgL_testz00_2076;

											{
												obj_t BgL_l3822z00_1082;

												{	/* Globalize/integration28c.scm 184 */
													BgL_sfunzf2ginfozf2_bglt BgL_obj3459z00_1648;

													{	/* Globalize/integration28c.scm 184 */
														BgL_variablez00_bglt BgL_obj1612z00_1647;

														BgL_obj1612z00_1647 =
															((BgL_variablez00_bglt) BgL_hz00_1060);
														BgL_obj3459z00_1648 =
															((BgL_sfunzf2ginfozf2_bglt)
															(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1612z00_1647)))->
																BgL_valuez00));
													}
													{
														obj_t BgL_auxz00_2088;

														{	/* Globalize/integration28c.scm 184 */
															BgL_objectz00_bglt BgL_auxz00_2089;

															BgL_auxz00_2089 =
																((BgL_objectz00_bglt) BgL_obj3459z00_1648);
															BgL_auxz00_2088 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2089);
														}
														BgL_l3822z00_1082 =
															(((BgL_sfunzf2ginfozf2_bglt)
																CREF(BgL_auxz00_2088))->BgL_ctoz00);
													}
												}
											BgL_zc3anonymousza33893ze3z83_1083:
												if (NULLP(BgL_l3822z00_1082))
													{	/* Globalize/integration28c.scm 184 */
														BgL_testz00_2076 = ((bool_t) 1);
													}
												else
													{	/* Globalize/integration28c.scm 184 */
														if (BGl_okzd2callzf3z21zzglobaliza7e_integrationzd228cz75(BgL_fz00_1698, CAR(BgL_l3822z00_1082)))
															{
																obj_t BgL_l3822z00_2082;

																BgL_l3822z00_2082 = CDR(BgL_l3822z00_1082);
																BgL_l3822z00_1082 = BgL_l3822z00_2082;
																goto BgL_zc3anonymousza33893ze3z83_1083;
															}
														else
															{	/* Globalize/integration28c.scm 184 */
																BgL_testz00_2076 = ((bool_t) 0);
															}
													}
											}
											if (BgL_testz00_2076)
												{
													obj_t BgL_l3825z00_1072;

													{	/* Globalize/integration28c.scm 185 */
														BgL_sfunzf2ginfozf2_bglt BgL_obj3451z00_1654;

														{	/* Globalize/integration28c.scm 185 */
															BgL_variablez00_bglt BgL_obj1612z00_1653;

															BgL_obj1612z00_1653 =
																((BgL_variablez00_bglt) BgL_hz00_1060);
															BgL_obj3451z00_1654 =
																((BgL_sfunzf2ginfozf2_bglt)
																(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1612z00_1653)))->
																	BgL_valuez00));
														}
														{
															obj_t BgL_auxz00_2104;

															{	/* Globalize/integration28c.scm 185 */
																BgL_objectz00_bglt BgL_auxz00_2105;

																BgL_auxz00_2105 =
																	((BgL_objectz00_bglt) BgL_obj3451z00_1654);
																BgL_auxz00_2104 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2105);
															}
															BgL_l3825z00_1072 =
																(((BgL_sfunzf2ginfozf2_bglt)
																	CREF(BgL_auxz00_2104))->BgL_cfromz00);
														}
													}
												BgL_zc3anonymousza33887ze3z83_1073:
													if (NULLP(BgL_l3825z00_1072))
														{	/* Globalize/integration28c.scm 185 */
															BgL__ortest_3806z00_1065 = ((bool_t) 1);
														}
													else
														{	/* Globalize/integration28c.scm 185 */
															if (BGl_okzd2callzf3z21zzglobaliza7e_integrationzd228cz75(BgL_fz00_1698, CAR(BgL_l3825z00_1072)))
																{
																	obj_t BgL_l3825z00_2098;

																	BgL_l3825z00_2098 = CDR(BgL_l3825z00_1072);
																	BgL_l3825z00_1072 = BgL_l3825z00_2098;
																	goto BgL_zc3anonymousza33887ze3z83_1073;
																}
															else
																{	/* Globalize/integration28c.scm 185 */
																	BgL__ortest_3806z00_1065 = ((bool_t) 0);
																}
														}
												}
											else
												{	/* Globalize/integration28c.scm 184 */
													BgL__ortest_3806z00_1065 = ((bool_t) 0);
												}
										}
										if (BgL__ortest_3806z00_1065)
											{	/* Globalize/integration28c.scm 184 */
												return BgL__ortest_3806z00_1065;
											}
										else
											{	/* Globalize/integration28c.scm 186 */
												bool_t BgL__ortest_3807z00_1066;

												{	/* Globalize/integration28c.scm 186 */
													obj_t BgL_auxz00_2110;

													{	/* Globalize/integration28c.scm 186 */
														BgL_sfunzf2ginfozf2_bglt BgL_obj3476z00_1660;

														{	/* Globalize/integration28c.scm 186 */
															BgL_variablez00_bglt BgL_obj1612z00_1659;

															BgL_obj1612z00_1659 =
																((BgL_variablez00_bglt) BgL_gz00_1699);
															BgL_obj3476z00_1660 =
																((BgL_sfunzf2ginfozf2_bglt)
																(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1612z00_1659)))->
																	BgL_valuez00));
														}
														{
															obj_t BgL_auxz00_2115;

															{	/* Globalize/integration28c.scm 186 */
																BgL_objectz00_bglt BgL_auxz00_2116;

																BgL_auxz00_2116 =
																	((BgL_objectz00_bglt) BgL_obj3476z00_1660);
																BgL_auxz00_2115 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2116);
															}
															BgL_auxz00_2110 =
																(((BgL_sfunzf2ginfozf2_bglt)
																	CREF(BgL_auxz00_2115))->BgL_ownerz00);
														}
													}
													BgL__ortest_3807z00_1066 =
														(BgL_auxz00_2110 == BgL_hz00_1060);
												}
												if (BgL__ortest_3807z00_1066)
													{	/* Globalize/integration28c.scm 186 */
														return BgL__ortest_3807z00_1066;
													}
												else
													{	/* Globalize/integration28c.scm 186 */
														return
															BGl_integratezf3z72z81zzglobaliza7e_integrationzd228cz75
															(BgL_gz00_1699, BgL_fz00_1698, BgL_hz00_1060);
													}
											}
									}
							}
					}
			}
		}
	}



/* integrate?' */
	bool_t
		BGl_integratezf3z72z81zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt
		BgL_gz00_1701, BgL_variablez00_bglt BgL_fz00_1700, obj_t BgL_fz00_1091)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 202 */
			{	/* Globalize/integration28c.scm 190 */
				bool_t BgL__ortest_3809z00_1093;

				BgL__ortest_3809z00_1093 = (BgL_fz00_1091 == ((obj_t) BgL_gz00_1701));
				if (BgL__ortest_3809z00_1093)
					{	/* Globalize/integration28c.scm 190 */
						return BgL__ortest_3809z00_1093;
					}
				else
					{	/* Globalize/integration28c.scm 191 */
						bool_t BgL_testz00_2126;

						{	/* Globalize/integration28c.scm 191 */
							bool_t BgL_res3980z00_1662;

							{	/* Globalize/integration28c.scm 191 */
								obj_t BgL_obj1853z00_1661;

								BgL_obj1853z00_1661 = ((obj_t) BgL_gz00_1701);
								BgL_res3980z00_1662 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1853z00_1661,
									BGl_localz00zzast_varz00);
							}
							BgL_testz00_2126 = BgL_res3980z00_1662;
						}
						if (BgL_testz00_2126)
							{	/* Globalize/integration28c.scm 192 */
								BgL_valuez00_bglt BgL_vz00_1095;

								{	/* Globalize/integration28c.scm 192 */
									BgL_variablez00_bglt BgL_obj1612z00_1663;

									BgL_obj1612z00_1663 = ((BgL_variablez00_bglt) BgL_fz00_1091);
									BgL_vz00_1095 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_1663)))->BgL_valuez00);
								}
								{	/* Globalize/integration28c.scm 194 */
									bool_t BgL_testz00_2132;

									{	/* Globalize/integration28c.scm 194 */
										obj_t BgL_auxz00_2133;

										{	/* Globalize/integration28c.scm 194 */
											BgL_sfunzf2ginfozf2_bglt BgL_obj3473z00_1664;

											BgL_obj3473z00_1664 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_vz00_1095);
											{
												obj_t BgL_auxz00_2135;

												{	/* Globalize/integration28c.scm 194 */
													BgL_objectz00_bglt BgL_auxz00_2136;

													BgL_auxz00_2136 =
														((BgL_objectz00_bglt) BgL_obj3473z00_1664);
													BgL_auxz00_2135 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2136);
												}
												BgL_auxz00_2133 =
													(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2135))->
													BgL_imarkz00);
											}
										}
										BgL_testz00_2132 = INTEGERP(BgL_auxz00_2133);
									}
									if (BgL_testz00_2132)
										{	/* Globalize/integration28c.scm 195 */
											bool_t BgL__ortest_3814z00_1098;

											{	/* Globalize/integration28c.scm 195 */
												long BgL_n2z00_1669;

												BgL_n2z00_1669 =
													BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationzd228cz75;
												{	/* Globalize/integration28c.scm 195 */
													long BgL_auxz00_2141;

													{	/* Globalize/integration28c.scm 195 */
														BgL_sfunzf2ginfozf2_bglt BgL_obj3473z00_1667;

														BgL_obj3473z00_1667 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_vz00_1095);
														{	/* Globalize/integration28c.scm 195 */
															obj_t BgL_auxz00_2143;

															{
																obj_t BgL_auxz00_2144;

																{	/* Globalize/integration28c.scm 195 */
																	BgL_objectz00_bglt BgL_auxz00_2145;

																	BgL_auxz00_2145 =
																		((BgL_objectz00_bglt) BgL_obj3473z00_1667);
																	BgL_auxz00_2144 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_2145);
																}
																BgL_auxz00_2143 =
																	(((BgL_sfunzf2ginfozf2_bglt)
																		CREF(BgL_auxz00_2144))->BgL_imarkz00);
															}
															BgL_auxz00_2141 = (long) CINT(BgL_auxz00_2143);
													}}
													BgL__ortest_3814z00_1098 =
														(BgL_auxz00_2141 == BgL_n2z00_1669);
											}}
											if (BgL__ortest_3814z00_1098)
												{	/* Globalize/integration28c.scm 195 */
													return BgL__ortest_3814z00_1098;
												}
											else
												{	/* Globalize/integration28c.scm 196 */
													bool_t BgL_testz00_2152;

													{	/* Globalize/integration28c.scm 196 */
														long BgL_n2z00_1673;

														BgL_n2z00_1673 =
															BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationzd228cz75;
														{	/* Globalize/integration28c.scm 196 */
															long BgL_auxz00_2153;

															{	/* Globalize/integration28c.scm 196 */
																BgL_sfunzf2ginfozf2_bglt BgL_obj3473z00_1671;

																BgL_obj3473z00_1671 =
																	((BgL_sfunzf2ginfozf2_bglt) BgL_vz00_1095);
																{	/* Globalize/integration28c.scm 196 */
																	obj_t BgL_auxz00_2155;

																	{
																		obj_t BgL_auxz00_2156;

																		{	/* Globalize/integration28c.scm 196 */
																			BgL_objectz00_bglt BgL_auxz00_2157;

																			BgL_auxz00_2157 =
																				((BgL_objectz00_bglt)
																				BgL_obj3473z00_1671);
																			BgL_auxz00_2156 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_2157);
																		}
																		BgL_auxz00_2155 =
																			(((BgL_sfunzf2ginfozf2_bglt)
																				CREF(BgL_auxz00_2156))->BgL_imarkz00);
																	}
																	BgL_auxz00_2153 =
																		(long) CINT(BgL_auxz00_2155);
															}}
															BgL_testz00_2152 =
																(BgL_auxz00_2153 < BgL_n2z00_1673);
													}}
													if (BgL_testz00_2152)
														{	/* Globalize/integration28c.scm 196 */
															{	/* Globalize/integration28c.scm 198 */
																BgL_sfunzf2ginfozf2_bglt BgL_obj3475z00_1675;
																obj_t BgL_val3474z00_1676;

																BgL_obj3475z00_1675 =
																	((BgL_sfunzf2ginfozf2_bglt) BgL_vz00_1095);
																BgL_val3474z00_1676 =
																	BINT
																	(BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationzd228cz75);
																{
																	obj_t BgL_auxz00_2165;

																	{	/* Globalize/integration28c.scm 198 */
																		BgL_objectz00_bglt BgL_auxz00_2166;

																		BgL_auxz00_2166 =
																			((BgL_objectz00_bglt)
																			BgL_obj3475z00_1675);
																		BgL_auxz00_2165 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_2166);
																	}
																	((((BgL_sfunzf2ginfozf2_bglt)
																				CREF(BgL_auxz00_2165))->BgL_imarkz00) =
																		((obj_t) BgL_val3474z00_1676), BUNSPEC);
																}
															}
															{	/* Globalize/integration28c.scm 199 */
																bool_t BgL_rz00_1100;

																{	/* Globalize/integration28c.scm 199 */
																	bool_t BgL_testz00_2170;

																	{	/* Globalize/integration28c.scm 199 */
																		obj_t BgL_g3830z00_1111;

																		{	/* Globalize/integration28c.scm 199 */
																			BgL_sfunzf2ginfozf2_bglt
																				BgL_obj3451z00_1677;
																			BgL_obj3451z00_1677 =
																				((BgL_sfunzf2ginfozf2_bglt)
																				BgL_vz00_1095);
																			{
																				obj_t BgL_auxz00_2172;

																				{	/* Globalize/integration28c.scm 199 */
																					BgL_objectz00_bglt BgL_auxz00_2173;

																					BgL_auxz00_2173 =
																						((BgL_objectz00_bglt)
																						BgL_obj3451z00_1677);
																					BgL_auxz00_2172 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_2173);
																				}
																				BgL_g3830z00_1111 =
																					(((BgL_sfunzf2ginfozf2_bglt)
																						CREF(BgL_auxz00_2172))->
																					BgL_cfromz00);
																			}
																		}
																		{
																			obj_t BgL_l3828z00_1113;

																			BgL_l3828z00_1113 = BgL_g3830z00_1111;
																		BgL_zc3anonymousza33906ze3z83_1114:
																			if (NULLP(BgL_l3828z00_1113))
																				{	/* Globalize/integration28c.scm 199 */
																					BgL_testz00_2170 = ((bool_t) 1);
																				}
																			else
																				{	/* Globalize/integration28c.scm 199 */
																					if (BGl_visiblezf3zf3zzglobaliza7e_integrationzd228cz75(BgL_gz00_1701, BgL_fz00_1700, CAR(BgL_l3828z00_1113)))
																						{
																							obj_t BgL_l3828z00_2182;

																							BgL_l3828z00_2182 =
																								CDR(BgL_l3828z00_1113);
																							BgL_l3828z00_1113 =
																								BgL_l3828z00_2182;
																							goto
																								BgL_zc3anonymousza33906ze3z83_1114;
																						}
																					else
																						{	/* Globalize/integration28c.scm 199 */
																							BgL_testz00_2170 = ((bool_t) 0);
																						}
																				}
																		}
																	}
																	if (BgL_testz00_2170)
																		{	/* Globalize/integration28c.scm 200 */
																			obj_t BgL_g3833z00_1102;

																			{	/* Globalize/integration28c.scm 200 */
																				BgL_sfunzf2ginfozf2_bglt
																					BgL_obj3459z00_1682;
																				BgL_obj3459z00_1682 =
																					((BgL_sfunzf2ginfozf2_bglt)
																					BgL_vz00_1095);
																				{
																					obj_t BgL_auxz00_2185;

																					{	/* Globalize/integration28c.scm 200 */
																						BgL_objectz00_bglt BgL_auxz00_2186;

																						BgL_auxz00_2186 =
																							((BgL_objectz00_bglt)
																							BgL_obj3459z00_1682);
																						BgL_auxz00_2185 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_2186);
																					}
																					BgL_g3833z00_1102 =
																						(((BgL_sfunzf2ginfozf2_bglt)
																							CREF(BgL_auxz00_2185))->
																						BgL_ctoz00);
																				}
																			}
																			{
																				obj_t BgL_l3831z00_1104;

																				BgL_l3831z00_1104 = BgL_g3833z00_1102;
																			BgL_zc3anonymousza33901ze3z83_1105:
																				if (NULLP(BgL_l3831z00_1104))
																					{	/* Globalize/integration28c.scm 200 */
																						BgL_rz00_1100 = ((bool_t) 1);
																					}
																				else
																					{	/* Globalize/integration28c.scm 200 */
																						if (BGl_visiblezf3zf3zzglobaliza7e_integrationzd228cz75(BgL_gz00_1701, BgL_fz00_1700, CAR(BgL_l3831z00_1104)))
																							{
																								obj_t BgL_l3831z00_2195;

																								BgL_l3831z00_2195 =
																									CDR(BgL_l3831z00_1104);
																								BgL_l3831z00_1104 =
																									BgL_l3831z00_2195;
																								goto
																									BgL_zc3anonymousza33901ze3z83_1105;
																							}
																						else
																							{	/* Globalize/integration28c.scm 200 */
																								BgL_rz00_1100 = ((bool_t) 0);
																							}
																					}
																			}
																		}
																	else
																		{	/* Globalize/integration28c.scm 199 */
																			BgL_rz00_1100 = ((bool_t) 0);
																		}
																}
																if (BgL_rz00_1100)
																	{	/* Globalize/integration28c.scm 201 */
																		BFALSE;
																	}
																else
																	{	/* Globalize/integration28c.scm 201 */
																		BgL_sfunzf2ginfozf2_bglt
																			BgL_obj3475z00_1687;
																		BgL_obj3475z00_1687 =
																			((BgL_sfunzf2ginfozf2_bglt)
																			BgL_vz00_1095);
																		{
																			obj_t BgL_auxz00_2199;

																			{	/* Globalize/integration28c.scm 201 */
																				BgL_objectz00_bglt BgL_auxz00_2200;

																				BgL_auxz00_2200 =
																					((BgL_objectz00_bglt)
																					BgL_obj3475z00_1687);
																				BgL_auxz00_2199 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_2200);
																			}
																			((((BgL_sfunzf2ginfozf2_bglt)
																						CREF(BgL_auxz00_2199))->
																					BgL_imarkz00) =
																				((obj_t) BFALSE), BUNSPEC);
																		}
																	}
																return BgL_rz00_1100;
															}
														}
													else
														{	/* Globalize/integration28c.scm 196 */
															return ((bool_t) 0);
														}
												}
										}
									else
										{	/* Globalize/integration28c.scm 194 */
											return ((bool_t) 0);
										}
								}
							}
						else
							{	/* Globalize/integration28c.scm 191 */
								return ((bool_t) 0);
							}
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_integrationzd228cz75()
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 17 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_integrationzd228cz75()
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 17 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationzd228cz75()
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3988z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3988z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3988z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3988z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3988z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3988z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string3988z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(((long)
					34590581),
				BSTRING_TO_STRING(BGl_string3988z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(((long)
					459831036),
				BSTRING_TO_STRING(BGl_string3988z00zzglobaliza7e_integrationzd228cz75));
			return BGl_modulezd2initializa7ationz75zztools_errorz00(((long)
					300504031),
				BSTRING_TO_STRING(BGl_string3988z00zzglobaliza7e_integrationzd228cz75));
		}
	}

#ifdef __cplusplus
}
#endif
