/*===========================================================================*/
/*   (Globalize/kapture.scm)                                                 */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/kapture.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_cfunctionz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2ginfozf2_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_setzd2kapturedz12zc0zzglobaliza7e_kaptureza7(obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern obj_t
		BGl_ctozd2transitivezd2closurez12z12zzglobaliza7e_cloctoza7
		(BgL_localz00_bglt);
	static long BGl_za2unionzd2roundza2zd2zzglobaliza7e_kaptureza7;
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_kaptureza7();
	BGL_EXPORTED_DECL obj_t BGl_unionz00zzglobaliza7e_kaptureza7(obj_t);
	static obj_t BGl_appendzd221095zd2zzglobaliza7e_kaptureza7(obj_t, obj_t);
	static obj_t BGl_z62setzd2kapturedz12za2zzglobaliza7e_kaptureza7(obj_t,
		obj_t);
	static obj_t
		BGl_setzd2onezd2kapturedz12z12zzglobaliza7e_kaptureza7(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_kaptureza7 =
		BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_kaptureza7();
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_kaptureza7();
	extern obj_t BGl_getzd2freezd2varsz00zzglobaliza7e_freeza7(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	extern obj_t BGl_freezd2fromzd2zzglobaliza7e_freeza7(obj_t,
		BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_cloctoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62unionz62zzglobaliza7e_kaptureza7(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_kaptureza7();
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_kaptureza7();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2kapturedz12zd2envz12zzglobaliza7e_kaptureza7,
		BgL_bgl_za762setza7d2kapture3930z00,
		BGl_z62setzd2kapturedz12za2zzglobaliza7e_kaptureza7, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unionzd2envzd2zzglobaliza7e_kaptureza7,
		BgL_bgl_za762unionza762za7za7glo3931z00,
		BGl_z62unionz62zzglobaliza7e_kaptureza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7,
		BgL_bgl_string3927za700za7za7g3932za7, "globalize_kapture", 17);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(long
		BgL_checksumz00_1680, char *BgL_fromz00_1681)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_kaptureza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_kaptureza7 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_kaptureza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_kaptureza7();
					BGl_toplevelzd2initzd2zzglobaliza7e_kaptureza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_kaptureza7()
	{
		AN_OBJECT;
		{	/* Globalize/kapture.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_kapture");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_kapture");
			return BUNSPEC;
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_kaptureza7()
	{
		AN_OBJECT;
		{	/* Globalize/kapture.scm 15 */
			return (BGl_za2unionzd2roundza2zd2zzglobaliza7e_kaptureza7 =
				((long) 0), BUNSPEC);
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zzglobaliza7e_kaptureza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_952;

				BgL_headz00_952 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_953;
					obj_t BgL_tailz00_954;

					BgL_prevz00_953 = BgL_headz00_952;
					BgL_tailz00_954 = BgL_l1z00_1;
				BgL_loopz00_955:
					if (PAIRP(BgL_tailz00_954))
						{
							obj_t BgL_newzd2prevzd2_957;

							BgL_newzd2prevzd2_957 =
								MAKE_PAIR(CAR(BgL_tailz00_954), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_953, BgL_newzd2prevzd2_957);
							{
								obj_t BgL_tailz00_1697;
								obj_t BgL_prevz00_1696;

								BgL_prevz00_1696 = BgL_newzd2prevzd2_957;
								BgL_tailz00_1697 = CDR(BgL_tailz00_954);
								BgL_tailz00_954 = BgL_tailz00_1697;
								BgL_prevz00_953 = BgL_prevz00_1696;
								goto BgL_loopz00_955;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_952);
				}
			}
		}
	}



/* set-kaptured! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2kapturedz12zc0zzglobaliza7e_kaptureza7(obj_t
		BgL_localza2za2_3)
	{
		AN_OBJECT;
		{	/* Globalize/kapture.scm 36 */
			{
				obj_t BgL_l3787z00_961;

				BgL_l3787z00_961 = BgL_localza2za2_3;
			BgL_zc3anonymousza33800ze3z83_962:
				if (PAIRP(BgL_l3787z00_961))
					{	/* Globalize/kapture.scm 39 */
						{	/* Globalize/kapture.scm 40 */
							obj_t BgL_localz00_964;

							BgL_localz00_964 = CAR(BgL_l3787z00_961);
							BGl_ctozd2transitivezd2closurez12z12zzglobaliza7e_cloctoza7(
								((BgL_localz00_bglt) BgL_localz00_964));
						}
						{
							obj_t BgL_l3787z00_1705;

							BgL_l3787z00_1705 = CDR(BgL_l3787z00_961);
							BgL_l3787z00_961 = BgL_l3787z00_1705;
							goto BgL_zc3anonymousza33800ze3z83_962;
						}
					}
				else
					{	/* Globalize/kapture.scm 39 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l3789z00_968;

				{	/* Globalize/kapture.scm 43 */
					bool_t BgL_auxz00_1707;

					BgL_l3789z00_968 = BgL_localza2za2_3;
				BgL_zc3anonymousza33803ze3z83_969:
					if (PAIRP(BgL_l3789z00_968))
						{	/* Globalize/kapture.scm 43 */
							{	/* Globalize/kapture.scm 44 */
								obj_t BgL_localz00_971;

								BgL_localz00_971 = CAR(BgL_l3789z00_968);
								BGl_setzd2onezd2kapturedz12z12zzglobaliza7e_kaptureza7(
									((BgL_localz00_bglt) BgL_localz00_971), BgL_localz00_971);
							}
							{
								obj_t BgL_l3789z00_1713;

								BgL_l3789z00_1713 = CDR(BgL_l3789z00_968);
								BgL_l3789z00_968 = BgL_l3789z00_1713;
								goto BgL_zc3anonymousza33803ze3z83_969;
							}
						}
					else
						{	/* Globalize/kapture.scm 43 */
							BgL_auxz00_1707 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_1707);
				}
			}
		}
	}



/* &set-kaptured! */
	obj_t BGl_z62setzd2kapturedz12za2zzglobaliza7e_kaptureza7(obj_t
		BgL_envz00_1620, obj_t BgL_localza2za2_1621)
	{
		AN_OBJECT;
		{	/* Globalize/kapture.scm 36 */
			return
				BGl_setzd2kapturedz12zc0zzglobaliza7e_kaptureza7(BgL_localza2za2_1621);
		}
	}



/* set-one-kaptured! */
	obj_t BGl_setzd2onezd2kapturedz12z12zzglobaliza7e_kaptureza7(BgL_localz00_bglt
		BgL_localz00_4, obj_t BgL_lockingz00_5)
	{
		AN_OBJECT;
		{	/* Globalize/kapture.scm 53 */
			{	/* Globalize/kapture.scm 58 */
				BgL_valuez00_bglt BgL_infoz00_974;

				{	/* Globalize/kapture.scm 58 */
					BgL_variablez00_bglt BgL_obj1612z00_1517;

					BgL_obj1612z00_1517 = ((BgL_variablez00_bglt) BgL_localz00_4);
					BgL_infoz00_974 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1517)))->BgL_valuez00);
				}
				{	/* Globalize/kapture.scm 58 */
					obj_t BgL_kapturedz00_975;

					{	/* Globalize/kapture.scm 59 */
						BgL_sfunzf2ginfozf2_bglt BgL_obj3494z00_1518;

						BgL_obj3494z00_1518 = ((BgL_sfunzf2ginfozf2_bglt) BgL_infoz00_974);
						{
							obj_t BgL_auxz00_1721;

							{	/* Globalize/kapture.scm 59 */
								BgL_objectz00_bglt BgL_auxz00_1722;

								BgL_auxz00_1722 = ((BgL_objectz00_bglt) BgL_obj3494z00_1518);
								BgL_auxz00_1721 = BGL_OBJECT_WIDENING(BgL_auxz00_1722);
							}
							BgL_kapturedz00_975 =
								(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1721))->
								BgL_kapturedz00);
						}
					}
					{	/* Globalize/kapture.scm 59 */

						{	/* Globalize/kapture.scm 61 */
							bool_t BgL_testz00_1726;

							if (PAIRP(BgL_kapturedz00_975))
								{	/* Globalize/kapture.scm 61 */
									BgL_testz00_1726 = ((bool_t) 1);
								}
							else
								{	/* Globalize/kapture.scm 61 */
									BgL_testz00_1726 = NULLP(BgL_kapturedz00_975);
								}
							if (BgL_testz00_1726)
								{	/* Globalize/kapture.scm 61 */
									{	/* Globalize/kapture.scm 64 */
										obj_t BgL_v3791z00_977;

										BgL_v3791z00_977 = create_vector((int) (((long) 3)));
										VECTOR_SET(BgL_v3791z00_977,
											(int) (((long) 2)), BgL_kapturedz00_975);
										VECTOR_SET(BgL_v3791z00_977,
											(int) (((long) 1)), BgL_lockingz00_5);
										VECTOR_SET(BgL_v3791z00_977, (int) (((long) 0)), BTRUE);
										return BgL_v3791z00_977;
									}
								}
							else
								{	/* Globalize/kapture.scm 61 */
									if (BGl_iszd2azf3z21zz__objectz00(BgL_kapturedz00_975,
											BGl_localz00zzast_varz00))
										{	/* Globalize/kapture.scm 65 */
											{	/* Globalize/kapture.scm 68 */
												obj_t BgL_v3792z00_979;

												BgL_v3792z00_979 = create_vector((int) (((long) 3)));
												VECTOR_SET(BgL_v3792z00_979, (int) (((long) 2)), BNIL);
												VECTOR_SET(BgL_v3792z00_979,
													(int) (((long) 1)), BgL_lockingz00_5);
												VECTOR_SET(BgL_v3792z00_979,
													(int) (((long) 0)), BFALSE);
												return BgL_v3792z00_979;
											}
										}
									else
										{	/* Globalize/kapture.scm 65 */
											{	/* Globalize/kapture.scm 72 */
												obj_t BgL_newzd2bodyzd2_980;

												{	/* Globalize/kapture.scm 72 */
													BgL_sfunzf2ginfozf2_bglt BgL_obj3497z00_1543;

													BgL_obj3497z00_1543 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_infoz00_974);
													{
														obj_t BgL_auxz00_1749;

														{	/* Globalize/kapture.scm 72 */
															BgL_objectz00_bglt BgL_auxz00_1750;

															BgL_auxz00_1750 =
																((BgL_objectz00_bglt) BgL_obj3497z00_1543);
															BgL_auxz00_1749 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1750);
														}
														BgL_newzd2bodyzd2_980 =
															(((BgL_sfunzf2ginfozf2_bglt)
																CREF(BgL_auxz00_1749))->BgL_newzd2bodyzd2);
													}
												}
												{	/* Globalize/kapture.scm 74 */
													BgL_sfunzf2ginfozf2_bglt BgL_obj3496z00_1544;
													obj_t BgL_val3495z00_1545;

													BgL_obj3496z00_1544 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_infoz00_974);
													BgL_val3495z00_1545 = ((obj_t) BgL_localz00_4);
													{
														obj_t BgL_auxz00_1756;

														{	/* Globalize/kapture.scm 74 */
															BgL_objectz00_bglt BgL_auxz00_1757;

															BgL_auxz00_1757 =
																((BgL_objectz00_bglt) BgL_obj3496z00_1544);
															BgL_auxz00_1756 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1757);
														}
														((((BgL_sfunzf2ginfozf2_bglt)
																	CREF(BgL_auxz00_1756))->BgL_kapturedz00) =
															((obj_t) BgL_val3495z00_1545), BUNSPEC);
													}
												}
												{	/* Globalize/kapture.scm 76 */
													obj_t BgL_g3783z00_982;

													{	/* Globalize/kapture.scm 77 */
														obj_t BgL_arg3832z00_1022;
														obj_t BgL_arg3833z00_1023;

														{	/* Globalize/kapture.scm 77 */
															BgL_sfunzf2ginfozf2_bglt BgL_obj3462z00_1546;

															BgL_obj3462z00_1546 =
																((BgL_sfunzf2ginfozf2_bglt) BgL_infoz00_974);
															{
																obj_t BgL_auxz00_1762;

																{	/* Globalize/kapture.scm 77 */
																	BgL_objectz00_bglt BgL_auxz00_1763;

																	BgL_auxz00_1763 =
																		((BgL_objectz00_bglt) BgL_obj3462z00_1546);
																	BgL_auxz00_1762 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1763);
																}
																BgL_arg3832z00_1022 =
																	(((BgL_sfunzf2ginfozf2_bglt)
																		CREF(BgL_auxz00_1762))->BgL_ctoza2za2);
															}
														}
														{	/* Globalize/kapture.scm 78 */
															BgL_sfunzf2ginfozf2_bglt BgL_obj3465z00_1547;

															BgL_obj3465z00_1547 =
																((BgL_sfunzf2ginfozf2_bglt) BgL_infoz00_974);
															{
																obj_t BgL_auxz00_1768;

																{	/* Globalize/kapture.scm 78 */
																	BgL_objectz00_bglt BgL_auxz00_1769;

																	BgL_auxz00_1769 =
																		((BgL_objectz00_bglt) BgL_obj3465z00_1547);
																	BgL_auxz00_1768 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1769);
																}
																BgL_arg3833z00_1023 =
																	(((BgL_sfunzf2ginfozf2_bglt)
																		CREF(BgL_auxz00_1768))->BgL_cfunctionz00);
															}
														}
														BgL_g3783z00_982 =
															BGl_appendzd221095zd2zzglobaliza7e_kaptureza7
															(BgL_arg3832z00_1022, BgL_arg3833z00_1023);
													}
													{
														obj_t BgL_kapturedz00_984;
														obj_t BgL_ctoz00_985;
														bool_t BgL_setterzf3zf3_986;

														BgL_kapturedz00_984 = BNIL;
														BgL_ctoz00_985 = BgL_g3783z00_982;
														BgL_setterzf3zf3_986 = ((bool_t) 1);
													BgL_zc3anonymousza33808ze3z83_987:
														if (NULLP(BgL_ctoz00_985))
															{	/* Globalize/kapture.scm 87 */
																obj_t BgL_freez00_989;

																BgL_freez00_989 =
																	BGl_getzd2freezd2varsz00zzglobaliza7e_freeza7(
																	((BgL_nodez00_bglt) BgL_newzd2bodyzd2_980),
																	BgL_localz00_4);
																{	/* Globalize/kapture.scm 87 */
																	obj_t BgL_fkapturedz00_990;

																	BgL_fkapturedz00_990 =
																		BGl_freezd2fromzd2zzglobaliza7e_freeza7
																		(BgL_kapturedz00_984, BgL_localz00_4);
																	{	/* Globalize/kapture.scm 88 */
																		obj_t BgL_kapturedz00_991;

																		{	/* Globalize/kapture.scm 89 */
																			obj_t BgL_arg3814z00_1001;

																			BgL_arg3814z00_1001 =
																				MAKE_PAIR(BgL_freez00_989,
																				BgL_fkapturedz00_990);
																			BgL_kapturedz00_991 =
																				BGl_unionz00zzglobaliza7e_kaptureza7
																				(BgL_arg3814z00_1001);
																		}
																		{	/* Globalize/kapture.scm 89 */

																			if (BgL_setterzf3zf3_986)
																				{	/* Globalize/kapture.scm 96 */
																					{	/* Globalize/kapture.scm 99 */
																						BgL_sfunzf2ginfozf2_bglt
																							BgL_obj3496z00_1550;
																						BgL_obj3496z00_1550 =
																							((BgL_sfunzf2ginfozf2_bglt)
																							BgL_infoz00_974);
																						{
																							obj_t BgL_auxz00_1783;

																							{	/* Globalize/kapture.scm 99 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1784;
																								BgL_auxz00_1784 =
																									((BgL_objectz00_bglt)
																									BgL_obj3496z00_1550);
																								BgL_auxz00_1783 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1784);
																							}
																							((((BgL_sfunzf2ginfozf2_bglt)
																										CREF(BgL_auxz00_1783))->
																									BgL_kapturedz00) =
																								((obj_t) BgL_kapturedz00_991),
																								BUNSPEC);
																						}
																					}
																					{
																						obj_t BgL_l3793z00_993;

																						{	/* Globalize/kapture.scm 101 */
																							bool_t BgL_auxz00_1788;

																							BgL_l3793z00_993 =
																								BgL_kapturedz00_991;
																						BgL_zc3anonymousza33810ze3z83_994:
																							if (PAIRP(BgL_l3793z00_993))
																								{	/* Globalize/kapture.scm 101 */
																									{	/* Globalize/kapture.scm 102 */
																										obj_t BgL_localz00_996;

																										BgL_localz00_996 =
																											CAR(BgL_l3793z00_993);
																										{	/* Globalize/kapture.scm 103 */
																											BgL_valuez00_bglt
																												BgL_arg3812z00_997;
																											{	/* Globalize/kapture.scm 103 */
																												BgL_variablez00_bglt
																													BgL_obj1612z00_1555;
																												BgL_obj1612z00_1555 =
																													(
																													(BgL_variablez00_bglt)
																													BgL_localz00_996);
																												BgL_arg3812z00_997 =
																													(((BgL_variablez00_bglt) CREF(((obj_t) BgL_obj1612z00_1555)))->BgL_valuez00);
																											}
																											{	/* Globalize/kapture.scm 102 */
																												BgL_svarzf2ginfozf2_bglt
																													BgL_obj3578z00_1556;
																												BgL_obj3578z00_1556 =
																													(
																													(BgL_svarzf2ginfozf2_bglt)
																													BgL_arg3812z00_997);
																												{
																													obj_t BgL_auxz00_1796;

																													{	/* Globalize/kapture.scm 102 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1797;
																														BgL_auxz00_1797 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_obj3578z00_1556);
																														BgL_auxz00_1796 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1797);
																													}
																													((((BgL_svarzf2ginfozf2_bglt) CREF(BgL_auxz00_1796))->BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
																												}
																											}
																										}
																									}
																									{
																										obj_t BgL_l3793z00_1801;

																										BgL_l3793z00_1801 =
																											CDR(BgL_l3793z00_993);
																										BgL_l3793z00_993 =
																											BgL_l3793z00_1801;
																										goto
																											BgL_zc3anonymousza33810ze3z83_994;
																									}
																								}
																							else
																								{	/* Globalize/kapture.scm 101 */
																									BgL_auxz00_1788 =
																										((bool_t) 1);
																								}
																							BBOOL(BgL_auxz00_1788);
																						}
																					}
																				}
																			else
																				{	/* Globalize/kapture.scm 105 */
																					BgL_sfunzf2ginfozf2_bglt
																						BgL_obj3496z00_1559;
																					BgL_obj3496z00_1559 =
																						((BgL_sfunzf2ginfozf2_bglt)
																						BgL_infoz00_974);
																					{
																						obj_t BgL_auxz00_1805;

																						{	/* Globalize/kapture.scm 105 */
																							BgL_objectz00_bglt
																								BgL_auxz00_1806;
																							BgL_auxz00_1806 =
																								((BgL_objectz00_bglt)
																								BgL_obj3496z00_1559);
																							BgL_auxz00_1805 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_1806);
																						}
																						((((BgL_sfunzf2ginfozf2_bglt)
																									CREF(BgL_auxz00_1805))->
																								BgL_kapturedz00) =
																							((obj_t) BFALSE), BUNSPEC);
																					}
																				}
																			{	/* Globalize/kapture.scm 106 */
																				obj_t BgL_v3795z00_1000;

																				BgL_v3795z00_1000 =
																					create_vector((int) (((long) 3)));
																				VECTOR_SET(BgL_v3795z00_1000,
																					(int) (((long) 2)),
																					BgL_kapturedz00_991);
																				VECTOR_SET(BgL_v3795z00_1000,
																					(int) (((long) 1)), BgL_lockingz00_5);
																				VECTOR_SET(BgL_v3795z00_1000,
																					(int) (((long) 0)),
																					BBOOL(BgL_setterzf3zf3_986));
																				return BgL_v3795z00_1000;
																			}
																		}
																	}
																}
															}
														else
															{	/* Globalize/kapture.scm 86 */
																if (
																	(CAR(BgL_ctoz00_985) ==
																		((obj_t) BgL_localz00_4)))
																	{	/* Globalize/kapture.scm 107 */
																		{
																			obj_t BgL_ctoz00_1823;

																			BgL_ctoz00_1823 = CDR(BgL_ctoz00_985);
																			BgL_ctoz00_985 = BgL_ctoz00_1823;
																			goto BgL_zc3anonymousza33808ze3z83_987;
																		}
																	}
																else
																	{	/* Globalize/kapture.scm 113 */
																		bool_t BgL_testz00_1825;

																		{	/* Globalize/kapture.scm 113 */
																			BgL_sfunzf2ginfozf2_bglt
																				BgL_obj3448z00_1574;
																			{
																				BgL_valuez00_bglt BgL_auxz00_1826;

																				{	/* Globalize/kapture.scm 113 */
																					BgL_variablez00_bglt
																						BgL_obj1612z00_1573;
																					{	/* Globalize/kapture.scm 113 */
																						obj_t BgL_pairz00_1572;

																						BgL_pairz00_1572 = BgL_ctoz00_985;
																						BgL_obj1612z00_1573 =
																							((BgL_variablez00_bglt)
																							CAR(BgL_pairz00_1572));
																					}
																					BgL_auxz00_1826 =
																						(((BgL_variablez00_bglt) CREF(
																								((obj_t)
																									BgL_obj1612z00_1573)))->
																						BgL_valuez00);
																				}
																				BgL_obj3448z00_1574 =
																					((BgL_sfunzf2ginfozf2_bglt)
																					BgL_auxz00_1826);
																			}
																			{
																				obj_t BgL_auxz00_1832;

																				{	/* Globalize/kapture.scm 113 */
																					BgL_objectz00_bglt BgL_auxz00_1833;

																					BgL_auxz00_1833 =
																						((BgL_objectz00_bglt)
																						BgL_obj3448z00_1574);
																					BgL_auxz00_1832 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_1833);
																				}
																				BgL_testz00_1825 =
																					(((BgL_sfunzf2ginfozf2_bglt)
																						CREF(BgL_auxz00_1832))->
																					BgL_gzf3zf3);
																			}
																		}
																		if (BgL_testz00_1825)
																			{	/* Globalize/kapture.scm 113 */
																				{	/* Globalize/kapture.scm 116 */
																					obj_t BgL_otherzd2kapturedzd2_1005;

																					{	/* Globalize/kapture.scm 116 */
																						obj_t BgL_arg3827z00_1016;

																						BgL_arg3827z00_1016 =
																							CAR(BgL_ctoz00_985);
																						BgL_otherzd2kapturedzd2_1005 =
																							BGl_setzd2onezd2kapturedz12z12zzglobaliza7e_kaptureza7
																							(((BgL_localz00_bglt)
																								BgL_arg3827z00_1016),
																							BgL_lockingz00_5);
																					}
																					{	/* Globalize/kapture.scm 118 */
																						bool_t BgL_testz00_1840;

																						{	/* Globalize/kapture.scm 118 */
																							int BgL_kz00_1577;

																							BgL_kz00_1577 =
																								(int) (((long) 0));
																							BgL_testz00_1840 =
																								CBOOL(VECTOR_REF
																								(BgL_otherzd2kapturedzd2_1005,
																									BgL_kz00_1577));
																						}
																						if (BgL_testz00_1840)
																							{	/* Globalize/kapture.scm 124 */
																								obj_t BgL_arg3819z00_1007;
																								obj_t BgL_arg3820z00_1008;

																								BgL_arg3819z00_1007 =
																									MAKE_PAIR(VECTOR_REF
																									(BgL_otherzd2kapturedzd2_1005,
																										(int) (((long) 2))),
																									BgL_kapturedz00_984);
																								BgL_arg3820z00_1008 =
																									CDR(BgL_ctoz00_985);
																								{
																									obj_t BgL_ctoz00_1849;
																									obj_t BgL_kapturedz00_1848;

																									BgL_kapturedz00_1848 =
																										BgL_arg3819z00_1007;
																									BgL_ctoz00_1849 =
																										BgL_arg3820z00_1008;
																									BgL_ctoz00_985 =
																										BgL_ctoz00_1849;
																									BgL_kapturedz00_984 =
																										BgL_kapturedz00_1848;
																									goto
																										BgL_zc3anonymousza33808ze3z83_987;
																								}
																							}
																						else
																							{	/* Globalize/kapture.scm 119 */
																								obj_t BgL_arg3822z00_1010;
																								obj_t BgL_arg3823z00_1011;
																								bool_t BgL_arg3824z00_1012;

																								BgL_arg3822z00_1010 =
																									MAKE_PAIR(VECTOR_REF
																									(BgL_otherzd2kapturedzd2_1005,
																										(int) (((long) 2))),
																									BgL_kapturedz00_984);
																								BgL_arg3823z00_1011 =
																									CDR(BgL_ctoz00_985);
																								if (BgL_setterzf3zf3_986)
																									{	/* Globalize/kapture.scm 122 */
																										obj_t BgL_arg3826z00_1015;

																										BgL_arg3826z00_1015 =
																											VECTOR_REF
																											(BgL_otherzd2kapturedzd2_1005,
																											(int) (((long) 1)));
																										BgL_arg3824z00_1012 =
																											(BgL_arg3826z00_1015 ==
																											((obj_t) BgL_localz00_4));
																									}
																								else
																									{	/* Globalize/kapture.scm 121 */
																										BgL_arg3824z00_1012 =
																											((bool_t) 0);
																									}
																								{
																									bool_t BgL_setterzf3zf3_1861;
																									obj_t BgL_ctoz00_1860;
																									obj_t BgL_kapturedz00_1859;

																									BgL_kapturedz00_1859 =
																										BgL_arg3822z00_1010;
																									BgL_ctoz00_1860 =
																										BgL_arg3823z00_1011;
																									BgL_setterzf3zf3_1861 =
																										BgL_arg3824z00_1012;
																									BgL_setterzf3zf3_986 =
																										BgL_setterzf3zf3_1861;
																									BgL_ctoz00_985 =
																										BgL_ctoz00_1860;
																									BgL_kapturedz00_984 =
																										BgL_kapturedz00_1859;
																									goto
																										BgL_zc3anonymousza33808ze3z83_987;
																								}
																							}
																					}
																				}
																			}
																		else
																			{	/* Globalize/kapture.scm 113 */
																				{
																					obj_t BgL_ctoz00_1862;

																					BgL_ctoz00_1862 = CDR(BgL_ctoz00_985);
																					BgL_ctoz00_985 = BgL_ctoz00_1862;
																					goto
																						BgL_zc3anonymousza33808ze3z83_987;
																				}
																			}
																	}
															}
													}
												}
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* union */
	BGL_EXPORTED_DEF obj_t BGl_unionz00zzglobaliza7e_kaptureza7(obj_t
		BgL_setsz00_6)
	{
		AN_OBJECT;
		{	/* Globalize/kapture.scm 142 */
			BGl_za2unionzd2roundza2zd2zzglobaliza7e_kaptureza7 =
				(((long) 1) + BGl_za2unionzd2roundza2zd2zzglobaliza7e_kaptureza7);
			{
				obj_t BgL_setsz00_1027;
				obj_t BgL_unionz00_1028;

				BgL_setsz00_1027 = BgL_setsz00_6;
				BgL_unionz00_1028 = BNIL;
			BgL_zc3anonymousza33835ze3z83_1029:
				if (NULLP(BgL_setsz00_1027))
					{	/* Globalize/kapture.scm 146 */
						return BgL_unionz00_1028;
					}
				else
					{	/* Globalize/kapture.scm 148 */
						obj_t BgL_g3786z00_1031;

						BgL_g3786z00_1031 = CAR(BgL_setsz00_1027);
						{
							obj_t BgL_setz00_1033;
							obj_t BgL_unionz00_1034;

							BgL_setz00_1033 = BgL_g3786z00_1031;
							BgL_unionz00_1034 = BgL_unionz00_1028;
						BgL_zc3anonymousza33837ze3z83_1035:
							if (NULLP(BgL_setz00_1033))
								{
									obj_t BgL_unionz00_1872;
									obj_t BgL_setsz00_1870;

									BgL_setsz00_1870 = CDR(BgL_setsz00_1027);
									BgL_unionz00_1872 = BgL_unionz00_1034;
									BgL_unionz00_1028 = BgL_unionz00_1872;
									BgL_setsz00_1027 = BgL_setsz00_1870;
									goto BgL_zc3anonymousza33835ze3z83_1029;
								}
							else
								{	/* Globalize/kapture.scm 154 */
									bool_t BgL_testz00_1873;

									{	/* Globalize/kapture.scm 154 */
										BgL_valuez00_bglt BgL_arg3861z00_1059;

										{	/* Globalize/kapture.scm 154 */
											BgL_variablez00_bglt BgL_obj1612z00_1597;

											{	/* Globalize/kapture.scm 154 */
												obj_t BgL_pairz00_1596;

												BgL_pairz00_1596 = BgL_setz00_1033;
												BgL_obj1612z00_1597 =
													((BgL_variablez00_bglt) CAR(BgL_pairz00_1596));
											}
											BgL_arg3861z00_1059 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1612z00_1597)))->BgL_valuez00);
										}
										{	/* Globalize/kapture.scm 154 */
											bool_t BgL_res3926z00_1599;

											{	/* Globalize/kapture.scm 154 */
												obj_t BgL_obj1897z00_1598;

												BgL_obj1897z00_1598 = ((obj_t) BgL_arg3861z00_1059);
												BgL_res3926z00_1599 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj1897z00_1598,
													BGl_funz00zzast_varz00);
											}
											BgL_testz00_1873 = BgL_res3926z00_1599;
										}
									}
									if (BgL_testz00_1873)
										{	/* Globalize/kapture.scm 155 */
											bool_t BgL_testz00_1880;

											{	/* Globalize/kapture.scm 155 */
												long BgL_arg3848z00_1046;

												{	/* Globalize/kapture.scm 155 */
													BgL_sfunzf2ginfozf2_bglt BgL_obj3503z00_1602;

													{
														BgL_valuez00_bglt BgL_auxz00_1881;

														{	/* Globalize/kapture.scm 155 */
															BgL_variablez00_bglt BgL_obj1612z00_1601;

															{	/* Globalize/kapture.scm 155 */
																obj_t BgL_pairz00_1600;

																BgL_pairz00_1600 = BgL_setz00_1033;
																BgL_obj1612z00_1601 =
																	((BgL_variablez00_bglt)
																	CAR(BgL_pairz00_1600));
															}
															BgL_auxz00_1881 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1612z00_1601)))->
																BgL_valuez00);
														}
														BgL_obj3503z00_1602 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_1881);
													}
													{
														obj_t BgL_auxz00_1887;

														{	/* Globalize/kapture.scm 155 */
															BgL_objectz00_bglt BgL_auxz00_1888;

															BgL_auxz00_1888 =
																((BgL_objectz00_bglt) BgL_obj3503z00_1602);
															BgL_auxz00_1887 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1888);
														}
														BgL_arg3848z00_1046 =
															(((BgL_sfunzf2ginfozf2_bglt)
																CREF(BgL_auxz00_1887))->BgL_umarkz00);
												}}
												BgL_testz00_1880 =
													(BgL_arg3848z00_1046 ==
													BGl_za2unionzd2roundza2zd2zzglobaliza7e_kaptureza7);
											}
											if (BgL_testz00_1880)
												{
													obj_t BgL_setz00_1893;

													BgL_setz00_1893 = CDR(BgL_setz00_1033);
													BgL_setz00_1033 = BgL_setz00_1893;
													goto BgL_zc3anonymousza33837ze3z83_1035;
												}
											else
												{	/* Globalize/kapture.scm 155 */
													{	/* Globalize/kapture.scm 159 */
														BgL_valuez00_bglt BgL_arg3843z00_1041;

														{	/* Globalize/kapture.scm 159 */
															BgL_variablez00_bglt BgL_obj1612z00_1605;

															{	/* Globalize/kapture.scm 159 */
																obj_t BgL_pairz00_1604;

																BgL_pairz00_1604 = BgL_setz00_1033;
																BgL_obj1612z00_1605 =
																	((BgL_variablez00_bglt)
																	CAR(BgL_pairz00_1604));
															}
															BgL_arg3843z00_1041 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1612z00_1605)))->
																BgL_valuez00);
														}
														{	/* Globalize/kapture.scm 159 */
															BgL_sfunzf2ginfozf2_bglt BgL_obj3505z00_1606;
															long BgL_val3504z00_1607;

															BgL_obj3505z00_1606 =
																((BgL_sfunzf2ginfozf2_bglt)
																BgL_arg3843z00_1041);
															BgL_val3504z00_1607 =
																BGl_za2unionzd2roundza2zd2zzglobaliza7e_kaptureza7;
															{
																obj_t BgL_auxz00_1900;

																{	/* Globalize/kapture.scm 159 */
																	BgL_objectz00_bglt BgL_auxz00_1901;

																	BgL_auxz00_1901 =
																		((BgL_objectz00_bglt) BgL_obj3505z00_1606);
																	BgL_auxz00_1900 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1901);
																}
																((((BgL_sfunzf2ginfozf2_bglt)
																			CREF(BgL_auxz00_1900))->BgL_umarkz00) =
																	((long) BgL_val3504z00_1607), BUNSPEC);
													}}}
													{	/* Globalize/kapture.scm 161 */
														obj_t BgL_arg3845z00_1043;
														obj_t BgL_arg3846z00_1044;

														BgL_arg3845z00_1043 = CDR(BgL_setz00_1033);
														BgL_arg3846z00_1044 =
															MAKE_PAIR(CAR(BgL_setz00_1033),
															BgL_unionz00_1034);
														{
															obj_t BgL_unionz00_1909;
															obj_t BgL_setz00_1908;

															BgL_setz00_1908 = BgL_arg3845z00_1043;
															BgL_unionz00_1909 = BgL_arg3846z00_1044;
															BgL_unionz00_1034 = BgL_unionz00_1909;
															BgL_setz00_1033 = BgL_setz00_1908;
															goto BgL_zc3anonymousza33837ze3z83_1035;
														}
													}
												}
										}
									else
										{	/* Globalize/kapture.scm 163 */
											bool_t BgL_testz00_1910;

											{	/* Globalize/kapture.scm 163 */
												long BgL_arg3858z00_1056;

												{	/* Globalize/kapture.scm 163 */
													BgL_svarzf2ginfozf2_bglt BgL_obj3582z00_1612;

													{
														BgL_valuez00_bglt BgL_auxz00_1911;

														{	/* Globalize/kapture.scm 163 */
															BgL_variablez00_bglt BgL_obj1612z00_1611;

															{	/* Globalize/kapture.scm 163 */
																obj_t BgL_pairz00_1610;

																BgL_pairz00_1610 = BgL_setz00_1033;
																BgL_obj1612z00_1611 =
																	((BgL_variablez00_bglt)
																	CAR(BgL_pairz00_1610));
															}
															BgL_auxz00_1911 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1612z00_1611)))->
																BgL_valuez00);
														}
														BgL_obj3582z00_1612 =
															((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_1911);
													}
													{
														obj_t BgL_auxz00_1917;

														{	/* Globalize/kapture.scm 163 */
															BgL_objectz00_bglt BgL_auxz00_1918;

															BgL_auxz00_1918 =
																((BgL_objectz00_bglt) BgL_obj3582z00_1612);
															BgL_auxz00_1917 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1918);
														}
														BgL_arg3858z00_1056 =
															(((BgL_svarzf2ginfozf2_bglt)
																CREF(BgL_auxz00_1917))->BgL_markz00);
												}}
												BgL_testz00_1910 =
													(BgL_arg3858z00_1056 ==
													BGl_za2unionzd2roundza2zd2zzglobaliza7e_kaptureza7);
											}
											if (BgL_testz00_1910)
												{
													obj_t BgL_setz00_1923;

													BgL_setz00_1923 = CDR(BgL_setz00_1033);
													BgL_setz00_1033 = BgL_setz00_1923;
													goto BgL_zc3anonymousza33837ze3z83_1035;
												}
											else
												{	/* Globalize/kapture.scm 163 */
													{	/* Globalize/kapture.scm 166 */
														BgL_valuez00_bglt BgL_arg3853z00_1051;

														{	/* Globalize/kapture.scm 166 */
															BgL_variablez00_bglt BgL_obj1612z00_1615;

															{	/* Globalize/kapture.scm 166 */
																obj_t BgL_pairz00_1614;

																BgL_pairz00_1614 = BgL_setz00_1033;
																BgL_obj1612z00_1615 =
																	((BgL_variablez00_bglt)
																	CAR(BgL_pairz00_1614));
															}
															BgL_arg3853z00_1051 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1612z00_1615)))->
																BgL_valuez00);
														}
														{	/* Globalize/kapture.scm 166 */
															BgL_svarzf2ginfozf2_bglt BgL_obj3584z00_1616;
															long BgL_val3583z00_1617;

															BgL_obj3584z00_1616 =
																((BgL_svarzf2ginfozf2_bglt)
																BgL_arg3853z00_1051);
															BgL_val3583z00_1617 =
																BGl_za2unionzd2roundza2zd2zzglobaliza7e_kaptureza7;
															{
																obj_t BgL_auxz00_1930;

																{	/* Globalize/kapture.scm 166 */
																	BgL_objectz00_bglt BgL_auxz00_1931;

																	BgL_auxz00_1931 =
																		((BgL_objectz00_bglt) BgL_obj3584z00_1616);
																	BgL_auxz00_1930 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1931);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			CREF(BgL_auxz00_1930))->BgL_markz00) =
																	((long) BgL_val3583z00_1617), BUNSPEC);
													}}}
													{	/* Globalize/kapture.scm 167 */
														obj_t BgL_arg3855z00_1053;
														obj_t BgL_arg3856z00_1054;

														BgL_arg3855z00_1053 = CDR(BgL_setz00_1033);
														BgL_arg3856z00_1054 =
															MAKE_PAIR(CAR(BgL_setz00_1033),
															BgL_unionz00_1034);
														{
															obj_t BgL_unionz00_1939;
															obj_t BgL_setz00_1938;

															BgL_setz00_1938 = BgL_arg3855z00_1053;
															BgL_unionz00_1939 = BgL_arg3856z00_1054;
															BgL_unionz00_1034 = BgL_unionz00_1939;
															BgL_setz00_1033 = BgL_setz00_1938;
															goto BgL_zc3anonymousza33837ze3z83_1035;
														}
													}
												}
										}
								}
						}
					}
			}
		}
	}



/* &union */
	obj_t BGl_z62unionz62zzglobaliza7e_kaptureza7(obj_t BgL_envz00_1622,
		obj_t BgL_setsz00_1623)
	{
		AN_OBJECT;
		{	/* Globalize/kapture.scm 142 */
			return BGl_unionz00zzglobaliza7e_kaptureza7(BgL_setsz00_1623);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_kaptureza7()
	{
		AN_OBJECT;
		{	/* Globalize/kapture.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_kaptureza7()
	{
		AN_OBJECT;
		{	/* Globalize/kapture.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_kaptureza7()
	{
		AN_OBJECT;
		{	/* Globalize/kapture.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 176245486),
				BSTRING_TO_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(((long) 2706117),
				BSTRING_TO_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(((long) 244215788),
				BSTRING_TO_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_cloctoza7(((long)
					254520481),
				BSTRING_TO_STRING(BGl_string3927z00zzglobaliza7e_kaptureza7));
		}
	}

#ifdef __cplusplus
}
#endif
