/*===========================================================================*/
/*   (Globalize/loc2glo.scm)                                                 */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/loc2glo.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_cfunctionz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


	extern BgL_letzd2funzd2_bglt BGl_makezd2letzd2funz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt, BgL_globalz00_bglt, obj_t, obj_t, BgL_localz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt);
	static obj_t
		BGl_globaliza7edzd2typez75zzglobaliza7e_localzd2ze3globalz96
		(BgL_typez00_bglt);
	static BgL_globalz00_bglt
		BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt, BgL_localz00_bglt, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62thezd2globalzb0zzglobaliza7e_localzd2ze3globalz96(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00;
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	extern BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_varz00_bglt, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_appendzd221095zd2zzglobaliza7e_localzd2ze3globalz96(obj_t,
		obj_t);
	extern obj_t BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_variablez00_bglt,
		obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static BgL_valuez00_bglt
		BGl_variablezd2valuezd2zzglobaliza7e_localzd2ze3globalz96
		(BgL_variablez00_bglt);
	extern obj_t BGl_wideningzd2sfunzf2Ginfoz20zzglobaliza7e_ginfoza7(bool_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, long,
		obj_t, obj_t, obj_t, obj_t, long, long, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t
		BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96 =
		BUNSPEC;
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7(bool_t,
		long, long, bool_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_wideningzd2localzf2Ginfoz20zzglobaliza7e_ginfoza7(bool_t,
		bool_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	extern BgL_nodez00_bglt
		BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static BgL_globalz00_bglt
		BGl_z62localzd2ze3globalz53zzglobaliza7e_localzd2ze3globalz96(obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
	static BgL_globalz00_bglt
		BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt, BgL_localz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_wideningzd2globalzf2Ginfoz20zzglobaliza7e_ginfoza7(bool_t,
		obj_t);
	extern obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern bool_t
		BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(BgL_localz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2ze3globalzd2envze3zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_za762localza7d2za7e3gl4248za7,
		BGl_z62localzd2ze3globalz53zzglobaliza7e_localzd2ze3globalz96, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_thezd2globalzd2envz00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_za762theza7d2globalza74249za7,
		BGl_z62thezd2globalzb0zzglobaliza7e_localzd2ze3globalz96, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_string4244za700za7za7g4250za7, "globalize_local->global", 23);
	      DEFINE_STRING(BGl_string4245z00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_string4245za700za7za7g4251za7,
		"now sfun static & value procedure-ref env ", 42);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long
		BgL_checksumz00_2394, char *BgL_fromz00_2395)
	{
		AN_OBJECT;
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
					BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96()
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_local->global");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96()
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 15 */
			{	/* Globalize/loc2glo.scm 15 */
				obj_t BgL_cportz00_2382;

				BgL_cportz00_2382 =
					bgl_open_input_string
					(BGl_string4245z00zzglobaliza7e_localzd2ze3globalz96,
					(int) (((long) 0)));
				{
					long BgL_iz00_2383;

					BgL_iz00_2383 = ((long) 6);
				BgL_loopz00_2384:
					if ((BgL_iz00_2383 == ((long) -1)))
						{	/* Globalize/loc2glo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/loc2glo.scm 15 */
							{	/* Globalize/loc2glo.scm 15 */
								obj_t BgL_arg4247z00_2386;

								{	/* Globalize/loc2glo.scm 15 */

									{	/* Globalize/loc2glo.scm 15 */
										obj_t BgL_locationz00_2388;

										BgL_locationz00_2388 = BBOOL(((bool_t) 0));
										{	/* Globalize/loc2glo.scm 15 */

											BgL_arg4247z00_2386 =
												BGl_readz00zz__readerz00(BgL_cportz00_2382,
												BgL_locationz00_2388);
										}
									}
								}
								{	/* Globalize/loc2glo.scm 15 */
									int BgL_auxz00_2413;

									BgL_auxz00_2413 = (int) (BgL_iz00_2383);
									CNST_TABLE_SET(BgL_auxz00_2413, BgL_arg4247z00_2386);
							}}
							{	/* Globalize/loc2glo.scm 15 */
								int BgL_auxz00_2389;

								BgL_auxz00_2389 = (int) ((BgL_iz00_2383 - ((long) 1)));
								{
									long BgL_iz00_2418;

									BgL_iz00_2418 = (long) (BgL_auxz00_2389);
									BgL_iz00_2383 = BgL_iz00_2418;
									goto BgL_loopz00_2384;
								}
							}
						}
				}
			}
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zzglobaliza7e_localzd2ze3globalz96(obj_t
		BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1065;

				BgL_headz00_1065 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1066;
					obj_t BgL_tailz00_1067;

					BgL_prevz00_1066 = BgL_headz00_1065;
					BgL_tailz00_1067 = BgL_l1z00_1;
				BgL_loopz00_1068:
					if (PAIRP(BgL_tailz00_1067))
						{
							obj_t BgL_newzd2prevzd2_1070;

							BgL_newzd2prevzd2_1070 =
								MAKE_PAIR(CAR(BgL_tailz00_1067), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1066, BgL_newzd2prevzd2_1070);
							{
								obj_t BgL_tailz00_2427;
								obj_t BgL_prevz00_2426;

								BgL_prevz00_2426 = BgL_newzd2prevzd2_1070;
								BgL_tailz00_2427 = CDR(BgL_tailz00_1067);
								BgL_tailz00_1067 = BgL_tailz00_2427;
								BgL_prevz00_1066 = BgL_prevz00_2426;
								goto BgL_loopz00_1068;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1065);
				}
			}
		}
	}



/* default-type */
	obj_t BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96()
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 40 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) < ((long) 2)))
				{	/* Globalize/loc2glo.scm 41 */
					return BGl_za2objza2z00zztype_cachez00;
				}
			else
				{	/* Globalize/loc2glo.scm 41 */
					return BGl_za2_za2z00zztype_cachez00;
				}
		}
	}



/* local->global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt
		BgL_localz00_3)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 46 */
			{	/* Globalize/loc2glo.scm 50 */
				BgL_globalz00_bglt BgL_globalz00_1074;

				BgL_globalz00_1074 =
					BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_3);
				{	/* Globalize/loc2glo.scm 50 */
					obj_t BgL_argsz00_1075;

					{	/* Globalize/loc2glo.scm 51 */
						BgL_sfunz00_bglt BgL_obj2024z00_1832;

						{	/* Globalize/loc2glo.scm 51 */
							BgL_variablez00_bglt BgL_obj1719z00_1831;

							BgL_obj1719z00_1831 = ((BgL_variablez00_bglt) BgL_localz00_3);
							BgL_obj2024z00_1832 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) CREF(
											((obj_t) BgL_obj1719z00_1831)))->BgL_valuez00));
						}
						BgL_argsz00_1075 =
							(((BgL_sfunz00_bglt) CREF(
									((obj_t) BgL_obj2024z00_1832)))->BgL_argsz00);
					}
					{	/* Globalize/loc2glo.scm 51 */
						BgL_valuez00_bglt BgL_infoz00_1076;

						{	/* Globalize/loc2glo.scm 52 */
							BgL_variablez00_bglt BgL_obj1719z00_1833;

							BgL_obj1719z00_1833 = ((BgL_variablez00_bglt) BgL_localz00_3);
							BgL_infoz00_1076 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1719z00_1833)))->BgL_valuez00);
						}
						{	/* Globalize/loc2glo.scm 52 */
							obj_t BgL_newzd2bodyzd2_1077;

							{	/* Globalize/loc2glo.scm 53 */
								BgL_sfunzf2ginfozf2_bglt BgL_obj3602z00_1834;

								BgL_obj3602z00_1834 =
									((BgL_sfunzf2ginfozf2_bglt) BgL_infoz00_1076);
								{
									obj_t BgL_auxz00_2444;

									{	/* Globalize/loc2glo.scm 53 */
										BgL_objectz00_bglt BgL_auxz00_2445;

										BgL_auxz00_2445 =
											((BgL_objectz00_bglt) BgL_obj3602z00_1834);
										BgL_auxz00_2444 = BGL_OBJECT_WIDENING(BgL_auxz00_2445);
									}
									BgL_newzd2bodyzd2_1077 =
										(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2444))->
										BgL_newzd2bodyzd2);
								}
							}
							{	/* Globalize/loc2glo.scm 53 */
								obj_t BgL_kapturedz00_1078;

								{	/* Globalize/loc2glo.scm 54 */
									BgL_sfunzf2ginfozf2_bglt BgL_obj3599z00_1835;

									BgL_obj3599z00_1835 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_infoz00_1076);
									{
										obj_t BgL_auxz00_2450;

										{	/* Globalize/loc2glo.scm 54 */
											BgL_objectz00_bglt BgL_auxz00_2451;

											BgL_auxz00_2451 =
												((BgL_objectz00_bglt) BgL_obj3599z00_1835);
											BgL_auxz00_2450 = BGL_OBJECT_WIDENING(BgL_auxz00_2451);
										}
										BgL_kapturedz00_1078 =
											(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2450))->
											BgL_kapturedz00);
									}
								}
								{	/* Globalize/loc2glo.scm 54 */

									{	/* Globalize/loc2glo.scm 55 */
										bool_t BgL_testz00_2455;

										{	/* Globalize/loc2glo.scm 55 */
											BgL_localzf2ginfozf2_bglt BgL_obj3756z00_1836;

											BgL_obj3756z00_1836 =
												((BgL_localzf2ginfozf2_bglt) BgL_localz00_3);
											{
												obj_t BgL_auxz00_2457;

												{	/* Globalize/loc2glo.scm 55 */
													BgL_objectz00_bglt BgL_auxz00_2458;

													BgL_auxz00_2458 =
														((BgL_objectz00_bglt) BgL_obj3756z00_1836);
													BgL_auxz00_2457 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2458);
												}
												BgL_testz00_2455 =
													(((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_2457))->
													BgL_escapezf3zf3);
											}
										}
										if (BgL_testz00_2455)
											{	/* Globalize/loc2glo.scm 55 */
												BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
													(BgL_globalz00_1074, BgL_localz00_3, BgL_argsz00_1075,
													BgL_kapturedz00_1078, BgL_newzd2bodyzd2_1077);
											}
										else
											{	/* Globalize/loc2glo.scm 55 */
												BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
													(BgL_globalz00_1074, BgL_localz00_3, BgL_argsz00_1075,
													BgL_kapturedz00_1078, BgL_newzd2bodyzd2_1077);
											}
									}
									return BgL_globalz00_1074;
								}
							}
						}
					}
				}
			}
		}
	}



/* &local->global */
	BgL_globalz00_bglt
		BGl_z62localzd2ze3globalz53zzglobaliza7e_localzd2ze3globalz96(obj_t
		BgL_envz00_2123, obj_t BgL_localz00_2124)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 46 */
			return
				BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(
				((BgL_localz00_bglt) BgL_localz00_2124));
		}
	}



/* globalized-type */
	obj_t
		BGl_globaliza7edzd2typez75zzglobaliza7e_localzd2ze3globalz96
		(BgL_typez00_bglt BgL_typez00_4)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 66 */
			if (CBOOL
				(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
				{	/* Globalize/loc2glo.scm 68 */
					return ((obj_t) BgL_typez00_4);
				}
			else
				{	/* Globalize/loc2glo.scm 68 */
					return BGl_za2objza2z00zztype_cachez00;
				}
		}
	}



/* fix-escaping-definition */
	BgL_globalz00_bglt
		BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt BgL_globalz00_5, BgL_localz00_bglt BgL_localz00_6,
		obj_t BgL_argsz00_7, obj_t BgL_kapturedz00_8, obj_t BgL_bodyz00_9)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 84 */
			{	/* Globalize/loc2glo.scm 85 */
				BgL_localz00_bglt BgL_envz00_1082;

				{	/* Globalize/loc2glo.scm 85 */
					BgL_typez00_bglt BgL_auxz00_2469;

					{	/* Globalize/loc2glo.scm 85 */
						obj_t BgL_xz00_2141;

						BgL_xz00_2141 = BGl_za2procedureza2z00zztype_cachez00;
						BgL_auxz00_2469 = ((BgL_typez00_bglt) BgL_xz00_2141);
					}
					BgL_envz00_1082 =
						BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF(((long) 0)),
						BgL_auxz00_2469);
				}
				{	/* Globalize/loc2glo.scm 85 */
					obj_t BgL_newzd2freezd2_1083;

					if (NULLP(BgL_kapturedz00_8))
						{	/* Globalize/loc2glo.scm 86 */
							BgL_newzd2freezd2_1083 = BNIL;
						}
					else
						{	/* Globalize/loc2glo.scm 86 */
							obj_t BgL_head3908z00_1205;

							{	/* Globalize/loc2glo.scm 86 */
								obj_t BgL_res4210z00_1841;

								BgL_res4210z00_1841 = MAKE_PAIR(BNIL, BNIL);
								BgL_head3908z00_1205 = BgL_res4210z00_1841;
							}
							{
								obj_t BgL_l3906z00_1207;
								obj_t BgL_tail3909z00_1208;

								BgL_l3906z00_1207 = BgL_kapturedz00_8;
								BgL_tail3909z00_1208 = BgL_head3908z00_1205;
							BgL_zc3anonymousza34036ze3z83_1209:
								if (NULLP(BgL_l3906z00_1207))
									{	/* Globalize/loc2glo.scm 86 */
										BgL_newzd2freezd2_1083 = CDR(BgL_head3908z00_1205);
									}
								else
									{	/* Globalize/loc2glo.scm 86 */
										obj_t BgL_newtail3910z00_1211;

										{	/* Globalize/loc2glo.scm 86 */
											BgL_localz00_bglt BgL_arg4039z00_1213;

											{	/* Globalize/loc2glo.scm 86 */
												obj_t BgL_oldz00_1214;

												BgL_oldz00_1214 = CAR(BgL_l3906z00_1207);
												{	/* Globalize/loc2glo.scm 87 */
													BgL_localz00_bglt BgL_newz00_1215;

													{	/* Globalize/loc2glo.scm 87 */
														obj_t BgL_arg4047z00_1224;
														obj_t BgL_arg4048z00_1225;

														{	/* Globalize/loc2glo.scm 87 */
															BgL_variablez00_bglt BgL_obj1711z00_1846;

															BgL_obj1711z00_1846 =
																((BgL_variablez00_bglt) BgL_oldz00_1214);
															BgL_arg4047z00_1224 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1711z00_1846)))->BgL_idz00);
														}
														BgL_arg4048z00_1225 =
															BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96
															();
														BgL_newz00_1215 =
															BGl_makezd2localzd2svarz00zzast_localz00
															(BgL_arg4047z00_1224,
															((BgL_typez00_bglt) BgL_arg4048z00_1225));
													}
													{	/* Globalize/loc2glo.scm 89 */
														bool_t BgL_arg4040z00_1216;

														{	/* Globalize/loc2glo.scm 89 */
															BgL_variablez00_bglt BgL_obj1738z00_1847;

															BgL_obj1738z00_1847 =
																((BgL_variablez00_bglt) BgL_oldz00_1214);
															BgL_arg4040z00_1216 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1738z00_1847)))->
																BgL_userzf3zf3);
														}
														{	/* Globalize/loc2glo.scm 89 */
															BgL_variablez00_bglt BgL_obj1740z00_1848;

															BgL_obj1740z00_1848 =
																((BgL_variablez00_bglt) BgL_newz00_1215);
															((((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1740z00_1848)))->
																	BgL_userzf3zf3) =
																((bool_t) BgL_arg4040z00_1216), BUNSPEC);
														}
													}
													{	/* Globalize/loc2glo.scm 90 */
														BgL_localz00_bglt BgL_obj3887z00_1217;

														BgL_obj3887z00_1217 =
															((BgL_localz00_bglt) BgL_newz00_1215);
														{	/* Globalize/loc2glo.scm 90 */
															obj_t BgL_arg4042z00_1218;

															BgL_arg4042z00_1218 =
																BGl_wideningzd2localzf2Ginfoz20zzglobaliza7e_ginfoza7
																(((bool_t) 0), ((bool_t) 0));
															{	/* Globalize/loc2glo.scm 90 */
																BgL_objectz00_bglt BgL_auxz00_2494;

																BgL_auxz00_2494 =
																	((BgL_objectz00_bglt) BgL_obj3887z00_1217);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_2494,
																	BgL_arg4042z00_1218);
															}
														}
														{	/* Globalize/loc2glo.scm 90 */
															long BgL_arg4043z00_1219;

															BgL_arg4043z00_1219 =
																BGl_classzd2numzd2zz__objectz00
																(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
															{	/* Globalize/loc2glo.scm 90 */
																BgL_objectz00_bglt BgL_objz00_1850;

																BgL_objz00_1850 =
																	((BgL_objectz00_bglt) BgL_obj3887z00_1217);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1850,
																	BgL_arg4043z00_1219);
														}} BgL_obj3887z00_1217;
													}
													{	/* Globalize/loc2glo.scm 91 */
														BgL_svarz00_bglt BgL_obj3888z00_1220;

														BgL_obj3888z00_1220 =
															((BgL_svarz00_bglt)
															BGl_variablezd2valuezd2zzglobaliza7e_localzd2ze3globalz96
															(((BgL_variablez00_bglt) BgL_newz00_1215)));
														{	/* Globalize/loc2glo.scm 91 */
															obj_t BgL_arg4044z00_1221;

															BgL_arg4044z00_1221 =
																BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7
																(((bool_t) 1), ((long) -10), ((long) -10),
																((bool_t) 0));
															{	/* Globalize/loc2glo.scm 91 */
																BgL_objectz00_bglt BgL_auxz00_2504;

																BgL_auxz00_2504 =
																	((BgL_objectz00_bglt) BgL_obj3888z00_1220);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_2504,
																	BgL_arg4044z00_1221);
														}}
														{	/* Globalize/loc2glo.scm 91 */
															long BgL_arg4045z00_1222;

															BgL_arg4045z00_1222 =
																BGl_classzd2numzd2zz__objectz00
																(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
															{	/* Globalize/loc2glo.scm 91 */
																BgL_objectz00_bglt BgL_objz00_1853;

																BgL_objz00_1853 =
																	((BgL_objectz00_bglt) BgL_obj3888z00_1220);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1853,
																	BgL_arg4045z00_1222);
														}} BgL_obj3888z00_1220;
													}
													{	/* Globalize/loc2glo.scm 93 */
														obj_t BgL_arg4046z00_1223;

														{	/* Globalize/loc2glo.scm 93 */
															BgL_variablez00_bglt BgL_obj1723z00_1855;

															BgL_obj1723z00_1855 =
																((BgL_variablez00_bglt) BgL_oldz00_1214);
															BgL_arg4046z00_1223 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1723z00_1855)))->
																BgL_accessz00);
														}
														{	/* Globalize/loc2glo.scm 93 */
															BgL_variablez00_bglt BgL_obj1725z00_1856;

															BgL_obj1725z00_1856 =
																((BgL_variablez00_bglt) BgL_newz00_1215);
															((((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1725z00_1856)))->
																	BgL_accessz00) =
																((obj_t) BgL_arg4046z00_1223), BUNSPEC);
													}}
													BgL_arg4039z00_1213 = BgL_newz00_1215;
											}}
											{	/* Globalize/loc2glo.scm 86 */
												obj_t BgL_res4212z00_1860;

												{	/* Globalize/loc2glo.scm 86 */
													obj_t BgL_obj1z00_1858;

													BgL_obj1z00_1858 = ((obj_t) BgL_arg4039z00_1213);
													BgL_res4212z00_1860 =
														MAKE_PAIR(BgL_obj1z00_1858, BNIL);
												}
												BgL_newtail3910z00_1211 = BgL_res4212z00_1860;
										}}
										SET_CDR(BgL_tail3909z00_1208, BgL_newtail3910z00_1211);
										{
											obj_t BgL_tail3909z00_2521;
											obj_t BgL_l3906z00_2519;

											BgL_l3906z00_2519 = CDR(BgL_l3906z00_1207);
											BgL_tail3909z00_2521 = BgL_newtail3910z00_1211;
											BgL_tail3909z00_1208 = BgL_tail3909z00_2521;
											BgL_l3906z00_1207 = BgL_l3906z00_2519;
											goto BgL_zc3anonymousza34036ze3z83_1209;
										}
									}
							}
						}
					{	/* Globalize/loc2glo.scm 86 */
						obj_t BgL_newzd2argszd2_1084;

						if (NULLP(BgL_argsz00_7))
							{	/* Globalize/loc2glo.scm 96 */
								BgL_newzd2argszd2_1084 = BNIL;
							}
						else
							{	/* Globalize/loc2glo.scm 96 */
								obj_t BgL_head3913z00_1179;

								{	/* Globalize/loc2glo.scm 96 */
									obj_t BgL_res4214z00_1868;

									BgL_res4214z00_1868 = MAKE_PAIR(BNIL, BNIL);
									BgL_head3913z00_1179 = BgL_res4214z00_1868;
								}
								{
									obj_t BgL_l3911z00_1181;
									obj_t BgL_tail3914z00_1182;

									BgL_l3911z00_1181 = BgL_argsz00_7;
									BgL_tail3914z00_1182 = BgL_head3913z00_1179;
								BgL_zc3anonymousza34020ze3z83_1183:
									if (NULLP(BgL_l3911z00_1181))
										{	/* Globalize/loc2glo.scm 96 */
											BgL_newzd2argszd2_1084 = CDR(BgL_head3913z00_1179);
										}
									else
										{	/* Globalize/loc2glo.scm 96 */
											obj_t BgL_newtail3915z00_1185;

											{	/* Globalize/loc2glo.scm 96 */
												BgL_localz00_bglt BgL_arg4023z00_1187;

												{	/* Globalize/loc2glo.scm 96 */
													obj_t BgL_oldz00_1188;

													BgL_oldz00_1188 = CAR(BgL_l3911z00_1181);
													{	/* Globalize/loc2glo.scm 97 */
														BgL_localz00_bglt BgL_newz00_1189;

														{	/* Globalize/loc2glo.scm 98 */
															obj_t BgL_arg4033z00_1200;
															obj_t BgL_arg4034z00_1201;

															{	/* Globalize/loc2glo.scm 98 */
																BgL_variablez00_bglt BgL_obj1711z00_1873;

																BgL_obj1711z00_1873 =
																	((BgL_variablez00_bglt) BgL_oldz00_1188);
																BgL_arg4033z00_1200 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1711z00_1873)))->
																	BgL_idz00);
															}
															BgL_arg4034z00_1201 =
																BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96
																();
															BgL_newz00_1189 =
																BGl_makezd2localzd2svarz00zzast_localz00
																(BgL_arg4033z00_1200,
																((BgL_typez00_bglt) BgL_arg4034z00_1201));
														}
														{	/* Globalize/loc2glo.scm 100 */
															bool_t BgL_arg4024z00_1190;

															{	/* Globalize/loc2glo.scm 100 */
																BgL_variablez00_bglt BgL_obj1738z00_1874;

																BgL_obj1738z00_1874 =
																	((BgL_variablez00_bglt) BgL_oldz00_1188);
																BgL_arg4024z00_1190 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1738z00_1874)))->
																	BgL_userzf3zf3);
															}
															{	/* Globalize/loc2glo.scm 100 */
																BgL_variablez00_bglt BgL_obj1740z00_1875;

																BgL_obj1740z00_1875 =
																	((BgL_variablez00_bglt) BgL_newz00_1189);
																((((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1740z00_1875)))->
																		BgL_userzf3zf3) =
																	((bool_t) BgL_arg4024z00_1190), BUNSPEC);
															}
														}
														{	/* Globalize/loc2glo.scm 101 */
															BgL_localz00_bglt BgL_obj3889z00_1191;

															BgL_obj3889z00_1191 =
																((BgL_localz00_bglt) BgL_newz00_1189);
															{	/* Globalize/loc2glo.scm 101 */
																obj_t BgL_arg4025z00_1192;

																BgL_arg4025z00_1192 =
																	BGl_wideningzd2localzf2Ginfoz20zzglobaliza7e_ginfoza7
																	(((bool_t) 0), ((bool_t) 0));
																{	/* Globalize/loc2glo.scm 101 */
																	BgL_objectz00_bglt BgL_auxz00_2543;

																	BgL_auxz00_2543 =
																		((BgL_objectz00_bglt) BgL_obj3889z00_1191);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_2543,
																		BgL_arg4025z00_1192);
																}
															}
															{	/* Globalize/loc2glo.scm 101 */
																long BgL_arg4026z00_1193;

																BgL_arg4026z00_1193 =
																	BGl_classzd2numzd2zz__objectz00
																	(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
																{	/* Globalize/loc2glo.scm 101 */
																	BgL_objectz00_bglt BgL_objz00_1877;

																	BgL_objz00_1877 =
																		((BgL_objectz00_bglt) BgL_obj3889z00_1191);
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1877,
																		BgL_arg4026z00_1193);
															}} BgL_obj3889z00_1191;
														}
														{	/* Globalize/loc2glo.scm 102 */
															BgL_svarz00_bglt BgL_obj3890z00_1194;

															BgL_obj3890z00_1194 =
																((BgL_svarz00_bglt)
																BGl_variablezd2valuezd2zzglobaliza7e_localzd2ze3globalz96
																(((BgL_variablez00_bglt) BgL_newz00_1189)));
															{	/* Globalize/loc2glo.scm 104 */
																obj_t BgL_arg4028z00_1195;

																{	/* Globalize/loc2glo.scm 104 */
																	bool_t BgL_arg4029z00_1196;

																	{	/* Globalize/loc2glo.scm 103 */
																		BgL_svarzf2ginfozf2_bglt
																			BgL_obj3683z00_1881;
																		{	/* Globalize/loc2glo.scm 104 */
																			BgL_variablez00_bglt BgL_obj1719z00_1880;

																			BgL_obj1719z00_1880 =
																				((BgL_variablez00_bglt)
																				BgL_oldz00_1188);
																			BgL_obj3683z00_1881 =
																				((BgL_svarzf2ginfozf2_bglt) ((
																						(BgL_variablez00_bglt) CREF(((obj_t)
																								BgL_obj1719z00_1880)))->
																					BgL_valuez00));
																		}
																		{
																			obj_t BgL_auxz00_2556;

																			{	/* Globalize/loc2glo.scm 103 */
																				BgL_objectz00_bglt BgL_auxz00_2557;

																				BgL_auxz00_2557 =
																					((BgL_objectz00_bglt)
																					BgL_obj3683z00_1881);
																				BgL_auxz00_2556 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_2557);
																			}
																			BgL_arg4029z00_1196 =
																				(((BgL_svarzf2ginfozf2_bglt)
																					CREF(BgL_auxz00_2556))->
																				BgL_kapturedzf3zf3);
																	}}
																	BgL_arg4028z00_1195 =
																		BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7
																		(BgL_arg4029z00_1196, ((long) -10),
																		((long) -10), ((bool_t) 0));
																}
																{	/* Globalize/loc2glo.scm 102 */
																	BgL_objectz00_bglt BgL_auxz00_2562;

																	BgL_auxz00_2562 =
																		((BgL_objectz00_bglt) BgL_obj3890z00_1194);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_2562,
																		BgL_arg4028z00_1195);
															}}
															{	/* Globalize/loc2glo.scm 102 */
																long BgL_arg4031z00_1198;

																BgL_arg4031z00_1198 =
																	BGl_classzd2numzd2zz__objectz00
																	(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																{	/* Globalize/loc2glo.scm 102 */
																	BgL_objectz00_bglt BgL_objz00_1882;

																	BgL_objz00_1882 =
																		((BgL_objectz00_bglt) BgL_obj3890z00_1194);
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1882,
																		BgL_arg4031z00_1198);
															}} BgL_obj3890z00_1194;
														}
														{	/* Globalize/loc2glo.scm 105 */
															obj_t BgL_arg4032z00_1199;

															{	/* Globalize/loc2glo.scm 105 */
																BgL_variablez00_bglt BgL_obj1723z00_1884;

																BgL_obj1723z00_1884 =
																	((BgL_variablez00_bglt) BgL_oldz00_1188);
																BgL_arg4032z00_1199 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1723z00_1884)))->
																	BgL_accessz00);
															}
															{	/* Globalize/loc2glo.scm 105 */
																BgL_variablez00_bglt BgL_obj1725z00_1885;

																BgL_obj1725z00_1885 =
																	((BgL_variablez00_bglt) BgL_newz00_1189);
																((((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1725z00_1885)))->
																		BgL_accessz00) =
																	((obj_t) BgL_arg4032z00_1199), BUNSPEC);
														}}
														BgL_arg4023z00_1187 = BgL_newz00_1189;
												}}
												{	/* Globalize/loc2glo.scm 96 */
													obj_t BgL_res4216z00_1889;

													{	/* Globalize/loc2glo.scm 96 */
														obj_t BgL_obj1z00_1887;

														BgL_obj1z00_1887 = ((obj_t) BgL_arg4023z00_1187);
														BgL_res4216z00_1889 =
															MAKE_PAIR(BgL_obj1z00_1887, BNIL);
													}
													BgL_newtail3915z00_1185 = BgL_res4216z00_1889;
											}}
											SET_CDR(BgL_tail3914z00_1182, BgL_newtail3915z00_1185);
											{
												obj_t BgL_tail3914z00_2579;
												obj_t BgL_l3911z00_2577;

												BgL_l3911z00_2577 = CDR(BgL_l3911z00_1181);
												BgL_tail3914z00_2579 = BgL_newtail3915z00_1185;
												BgL_tail3914z00_1182 = BgL_tail3914z00_2579;
												BgL_l3911z00_1181 = BgL_l3911z00_2577;
												goto BgL_zc3anonymousza34020ze3z83_1183;
											}
										}
								}
							}
						{	/* Globalize/loc2glo.scm 96 */
							BgL_valuez00_bglt BgL_oldzd2funzd2_1085;

							{	/* Globalize/loc2glo.scm 108 */
								BgL_variablez00_bglt BgL_obj1719z00_1893;

								BgL_obj1719z00_1893 = ((BgL_variablez00_bglt) BgL_localz00_6);
								BgL_oldzd2funzd2_1085 =
									(((BgL_variablez00_bglt) CREF(
											((obj_t) BgL_obj1719z00_1893)))->BgL_valuez00);
							}
							{	/* Globalize/loc2glo.scm 108 */
								BgL_sfunz00_bglt BgL_newzd2funzd2_1086;

								{	/* Globalize/loc2glo.scm 109 */
									BgL_sfunz00_bglt BgL_duplicated3891z00_1156;

									BgL_duplicated3891z00_1156 =
										((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1085);
									{	/* Globalize/loc2glo.scm 110 */
										BgL_sfunz00_bglt BgL_new3892z00_1157;

										{	/* Globalize/loc2glo.scm 110 */
											obj_t BgL_arg3999z00_1158;
											obj_t BgL_arg4000z00_1159;
											obj_t BgL_arg4001z00_1160;
											obj_t BgL_arg4002z00_1161;
											bool_t BgL_arg4003z00_1162;
											obj_t BgL_arg4004z00_1163;
											obj_t BgL_arg4005z00_1164;
											obj_t BgL_arg4006z00_1165;
											obj_t BgL_arg4007z00_1166;
											obj_t BgL_arg4008z00_1167;
											obj_t BgL_arg4009z00_1168;
											obj_t BgL_arg4010z00_1169;
											obj_t BgL_arg4011z00_1170;
											obj_t BgL_arg4012z00_1171;
											obj_t BgL_arg4013z00_1172;
											obj_t BgL_arg4014z00_1173;
											obj_t BgL_arg4015z00_1174;
											obj_t BgL_arg4016z00_1175;

											{	/* Globalize/loc2glo.scm 110 */
												long BgL_arg4018z00_1176;

												{	/* Globalize/loc2glo.scm 110 */
													BgL_funz00_bglt BgL_obj1958z00_1894;

													BgL_obj1958z00_1894 =
														((BgL_funz00_bglt) BgL_oldzd2funzd2_1085);
													BgL_arg4018z00_1176 =
														(((BgL_funz00_bglt) CREF(
																((obj_t) BgL_obj1958z00_1894)))->BgL_arityz00);
												}
												BgL_arg3999z00_1158 =
													BGl_zb2zd2arityz60zztools_argsz00(BINT
													(BgL_arg4018z00_1176), BINT(((long) 1)));
											}
											{	/* Globalize/loc2glo.scm 109 */
												BgL_funz00_bglt BgL_obj1959z00_1895;

												BgL_obj1959z00_1895 =
													((BgL_funz00_bglt) BgL_duplicated3891z00_1156);
												BgL_arg4000z00_1159 =
													(((BgL_funz00_bglt) CREF(
															((obj_t) BgL_obj1959z00_1895)))->
													BgL_sidezd2effectzd2);
											}
											{	/* Globalize/loc2glo.scm 109 */
												BgL_funz00_bglt BgL_obj1962z00_1896;

												BgL_obj1962z00_1896 =
													((BgL_funz00_bglt) BgL_duplicated3891z00_1156);
												BgL_arg4001z00_1160 =
													(((BgL_funz00_bglt) CREF(
															((obj_t) BgL_obj1962z00_1896)))->
													BgL_predicatezd2ofzd2);
											}
											{	/* Globalize/loc2glo.scm 109 */
												BgL_funz00_bglt BgL_obj1965z00_1897;

												BgL_obj1965z00_1897 =
													((BgL_funz00_bglt) BgL_duplicated3891z00_1156);
												BgL_arg4002z00_1161 =
													(((BgL_funz00_bglt) CREF(
															((obj_t) BgL_obj1965z00_1897)))->
													BgL_stackzd2allocatorzd2);
											}
											{	/* Globalize/loc2glo.scm 109 */
												BgL_funz00_bglt BgL_obj1968z00_1898;

												BgL_obj1968z00_1898 =
													((BgL_funz00_bglt) BgL_duplicated3891z00_1156);
												BgL_arg4003z00_1162 =
													(((BgL_funz00_bglt) CREF(
															((obj_t) BgL_obj1968z00_1898)))->BgL_topzf3zf3);
											}
											{	/* Globalize/loc2glo.scm 109 */
												BgL_funz00_bglt BgL_obj1971z00_1899;

												BgL_obj1971z00_1899 =
													((BgL_funz00_bglt) BgL_duplicated3891z00_1156);
												BgL_arg4004z00_1163 =
													(((BgL_funz00_bglt) CREF(
															((obj_t) BgL_obj1971z00_1899)))->
													BgL_thezd2closurezd2);
											}
											{	/* Globalize/loc2glo.scm 109 */
												BgL_funz00_bglt BgL_obj1974z00_1900;

												BgL_obj1974z00_1900 =
													((BgL_funz00_bglt) BgL_duplicated3891z00_1156);
												BgL_arg4005z00_1164 =
													(((BgL_funz00_bglt) CREF(
															((obj_t) BgL_obj1974z00_1900)))->BgL_effectz00);
											}
											BgL_arg4006z00_1165 =
												(((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_duplicated3891z00_1156)))->
												BgL_propertyz00);
											BgL_arg4007z00_1166 =
												MAKE_PAIR(((obj_t) BgL_envz00_1082),
												BgL_newzd2argszd2_1084);
											BgL_arg4008z00_1167 =
												(((BgL_sfunz00_bglt) CREF(((obj_t)
															BgL_duplicated3891z00_1156)))->
												BgL_argszd2namezd2);
											BgL_arg4009z00_1168 =
												(((BgL_sfunz00_bglt) CREF(((obj_t)
															BgL_duplicated3891z00_1156)))->BgL_bodyz00);
											BgL_arg4010z00_1169 =
												(((BgL_sfunz00_bglt) CREF(((obj_t)
															BgL_duplicated3891z00_1156)))->BgL_classz00);
											BgL_arg4011z00_1170 =
												(((BgL_sfunz00_bglt) CREF(((obj_t)
															BgL_duplicated3891z00_1156)))->
												BgL_dssslzd2keywordszd2);
											BgL_arg4012z00_1171 =
												(((BgL_sfunz00_bglt) CREF(((obj_t)
															BgL_duplicated3891z00_1156)))->BgL_locz00);
											BgL_arg4013z00_1172 =
												(((BgL_sfunz00_bglt) CREF(((obj_t)
															BgL_duplicated3891z00_1156)))->BgL_optionalsz00);
											BgL_arg4014z00_1173 =
												(((BgL_sfunz00_bglt) CREF(((obj_t)
															BgL_duplicated3891z00_1156)))->BgL_keysz00);
											BgL_arg4015z00_1174 =
												(((BgL_sfunz00_bglt) CREF(((obj_t)
															BgL_duplicated3891z00_1156)))->
												BgL_thezd2closurezd2globalz00);
											BgL_arg4016z00_1175 =
												(((BgL_sfunz00_bglt) CREF(((obj_t)
															BgL_duplicated3891z00_1156)))->BgL_strengthz00);
											BgL_new3892z00_1157 =
												BGl_makezd2sfunzd2zzast_varz00((long)
												CINT(BgL_arg3999z00_1158), BgL_arg4000z00_1159,
												BgL_arg4001z00_1160, BgL_arg4002z00_1161,
												BgL_arg4003z00_1162, BgL_arg4004z00_1163,
												BgL_arg4005z00_1164, BgL_arg4006z00_1165,
												BgL_arg4007z00_1166, BgL_arg4008z00_1167,
												BgL_arg4009z00_1168, BgL_arg4010z00_1169,
												BgL_arg4011z00_1170, BgL_arg4012z00_1171,
												BgL_arg4013z00_1172, BgL_arg4014z00_1173,
												BgL_arg4015z00_1174, BgL_arg4016z00_1175);
										}
										{	/* Globalize/loc2glo.scm 109 */

											BgL_newzd2funzd2_1086 = BgL_new3892z00_1157;
								}}}
								{	/* Globalize/loc2glo.scm 109 */

									{	/* Globalize/loc2glo.scm 113 */
										BgL_globalzf2ginfozf2_bglt BgL_obj3823z00_1911;

										BgL_obj3823z00_1911 =
											((BgL_globalzf2ginfozf2_bglt) BgL_globalz00_5);
										{
											obj_t BgL_auxz00_2633;

											{	/* Globalize/loc2glo.scm 113 */
												BgL_objectz00_bglt BgL_auxz00_2634;

												BgL_auxz00_2634 =
													((BgL_objectz00_bglt) BgL_obj3823z00_1911);
												BgL_auxz00_2633 = BGL_OBJECT_WIDENING(BgL_auxz00_2634);
											}
											((((BgL_globalzf2ginfozf2_bglt) CREF(BgL_auxz00_2633))->
													BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
									}}
									{	/* Globalize/loc2glo.scm 114 */
										BgL_sfunz00_bglt BgL_obj3893z00_1087;

										BgL_obj3893z00_1087 =
											((BgL_sfunz00_bglt) BgL_newzd2funzd2_1086);
										{	/* Globalize/loc2glo.scm 114 */
											obj_t BgL_arg3956z00_1088;

											BgL_arg3956z00_1088 =
												BGl_wideningzd2sfunzf2Ginfoz20zzglobaliza7e_ginfoza7((
													(bool_t) 0), BNIL, BFALSE, BNIL, BFALSE, BNIL,
												BUNSPEC, BUNSPEC, BFALSE, BNIL, BNIL, ((long) -10),
												BNIL, BFALSE, BFALSE, BFALSE, ((long) -10),
												((long) -10), BUNSPEC, BNIL);
											{	/* Globalize/loc2glo.scm 114 */
												BgL_objectz00_bglt BgL_auxz00_2640;

												BgL_auxz00_2640 =
													((BgL_objectz00_bglt) BgL_obj3893z00_1087);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_2640,
													BgL_arg3956z00_1088);
										}}
										{	/* Globalize/loc2glo.scm 114 */
											long BgL_arg3957z00_1089;

											BgL_arg3957z00_1089 =
												BGl_classzd2numzd2zz__objectz00
												(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
											{	/* Globalize/loc2glo.scm 114 */
												BgL_objectz00_bglt BgL_objz00_1913;

												BgL_objz00_1913 =
													((BgL_objectz00_bglt) BgL_obj3893z00_1087);
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1913,
													BgL_arg3957z00_1089);
										}} BgL_obj3893z00_1087;
									}
									{	/* Globalize/loc2glo.scm 116 */
										BgL_svarz00_bglt BgL_obj3894z00_1090;

										BgL_obj3894z00_1090 =
											((BgL_svarz00_bglt)
											BGl_variablezd2valuezd2zzglobaliza7e_localzd2ze3globalz96(
												((BgL_variablez00_bglt) BgL_envz00_1082)));
										{	/* Globalize/loc2glo.scm 116 */
											obj_t BgL_arg3958z00_1091;

											BgL_arg3958z00_1091 =
												BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7((
													(bool_t) 0), ((long) -10), ((long) -10),
												((bool_t) 0));
											{	/* Globalize/loc2glo.scm 116 */
												BgL_objectz00_bglt BgL_auxz00_2650;

												BgL_auxz00_2650 =
													((BgL_objectz00_bglt) BgL_obj3894z00_1090);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_2650,
													BgL_arg3958z00_1091);
										}}
										{	/* Globalize/loc2glo.scm 116 */
											long BgL_arg3959z00_1092;

											BgL_arg3959z00_1092 =
												BGl_classzd2numzd2zz__objectz00
												(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
											{	/* Globalize/loc2glo.scm 116 */
												BgL_objectz00_bglt BgL_objz00_1916;

												BgL_objz00_1916 =
													((BgL_objectz00_bglt) BgL_obj3894z00_1090);
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1916,
													BgL_arg3959z00_1092);
										}} BgL_obj3894z00_1090;
									}
									{	/* Globalize/loc2glo.scm 117 */
										obj_t BgL_arg3960z00_1093;

										{	/* Globalize/loc2glo.scm 117 */
											BgL_typez00_bglt BgL_auxz00_2656;

											{	/* Globalize/loc2glo.scm 117 */
												BgL_variablez00_bglt BgL_obj1716z00_1918;

												BgL_obj1716z00_1918 =
													((BgL_variablez00_bglt) BgL_localz00_6);
												BgL_auxz00_2656 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1716z00_1918)))->BgL_typez00);
											}
											BgL_arg3960z00_1093 =
												BGl_globaliza7edzd2typez75zzglobaliza7e_localzd2ze3globalz96
												(BgL_auxz00_2656);
										}
										{	/* Globalize/loc2glo.scm 117 */
											BgL_variablez00_bglt BgL_obj1718z00_1919;
											BgL_typez00_bglt BgL_val1717z00_1920;

											BgL_obj1718z00_1919 =
												((BgL_variablez00_bglt) BgL_globalz00_5);
											BgL_val1717z00_1920 =
												((BgL_typez00_bglt) BgL_arg3960z00_1093);
											((((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1718z00_1919)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_val1717z00_1920), BUNSPEC);
									}}
									{	/* Globalize/loc2glo.scm 119 */
										obj_t BgL_val2043z00_1922;

										BgL_val2043z00_1922 = ((obj_t) BgL_localz00_6);
										((((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_newzd2funzd2_1086)))->
												BgL_thezd2closurezd2globalz00) =
											((obj_t) BgL_val2043z00_1922), BUNSPEC);
									}
									{	/* Globalize/loc2glo.scm 120 */
										obj_t BgL_nargsz00_1095;

										{	/* Globalize/loc2glo.scm 120 */
											obj_t BgL_pairz00_1924;

											BgL_pairz00_1924 =
												(((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_newzd2funzd2_1086)))->BgL_argsz00);
											BgL_nargsz00_1095 = CDR(BgL_pairz00_1924);
										}
										{	/* Globalize/loc2glo.scm 121 */
											bool_t BgL_testz00_2671;

											if (BGl_localzd2iszd2methodzf3zf3zzobject_methodz00
												(BgL_localz00_6))
												{	/* Globalize/loc2glo.scm 122 */
													obj_t BgL_arg3980z00_1126;

													BgL_arg3980z00_1126 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													{	/* Globalize/loc2glo.scm 122 */
														BgL_backendz00_bglt BgL_obj1591z00_1925;

														BgL_obj1591z00_1925 =
															((BgL_backendz00_bglt) BgL_arg3980z00_1126);
														BgL_testz00_2671 =
															(((BgL_backendz00_bglt) CREF(
																	((obj_t) BgL_obj1591z00_1925)))->
															BgL_typedzd2funcallzd2);
													}
												}
											else
												{	/* Globalize/loc2glo.scm 121 */
													BgL_testz00_2671 = ((bool_t) 0);
												}
											if (BgL_testz00_2671)
												{	/* Globalize/loc2glo.scm 121 */
													{	/* Globalize/loc2glo.scm 127 */
														obj_t BgL_arg3963z00_1097;
														BgL_typez00_bglt BgL_arg3964z00_1098;

														BgL_arg3963z00_1097 = CAR(BgL_nargsz00_1095);
														{	/* Globalize/loc2glo.scm 127 */
															BgL_variablez00_bglt BgL_obj1716z00_1928;

															{	/* Globalize/loc2glo.scm 127 */
																obj_t BgL_pairz00_1927;

																BgL_pairz00_1927 = BgL_argsz00_7;
																BgL_obj1716z00_1928 =
																	((BgL_variablez00_bglt)
																	CAR(BgL_pairz00_1927));
															}
															BgL_arg3964z00_1098 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1716z00_1928)))->
																BgL_typez00);
														}
														{	/* Globalize/loc2glo.scm 127 */
															BgL_variablez00_bglt BgL_obj1718z00_1929;

															BgL_obj1718z00_1929 =
																((BgL_variablez00_bglt) BgL_arg3963z00_1097);
															((((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1718z00_1929)))->
																	BgL_typez00) =
																((BgL_typez00_bglt) BgL_arg3964z00_1098),
																BUNSPEC);
														}
													}
													{	/* Globalize/loc2glo.scm 128 */
														obj_t BgL_g3919z00_1100;
														obj_t BgL_g3920z00_1101;

														BgL_g3919z00_1100 = CDR(BgL_nargsz00_1095);
														BgL_g3920z00_1101 = CDR(BgL_argsz00_7);
														{
															obj_t BgL_ll3916z00_1103;
															obj_t BgL_ll3917z00_1104;

															BgL_ll3916z00_1103 = BgL_g3919z00_1100;
															BgL_ll3917z00_1104 = BgL_g3920z00_1101;
														BgL_zc3anonymousza33966ze3z83_1105:
															if (NULLP(BgL_ll3916z00_1103))
																{	/* Globalize/loc2glo.scm 133 */
																	((bool_t) 1);
																}
															else
																{	/* Globalize/loc2glo.scm 133 */
																	{	/* Globalize/loc2glo.scm 129 */
																		obj_t BgL_nz00_1107;
																		obj_t BgL_oz00_1108;

																		BgL_nz00_1107 = CAR(BgL_ll3916z00_1103);
																		BgL_oz00_1108 = CAR(BgL_ll3917z00_1104);
																		{	/* Globalize/loc2glo.scm 129 */
																			bool_t BgL_testz00_2692;

																			{	/* Globalize/loc2glo.scm 129 */
																				bool_t BgL_testz00_2693;

																				{	/* Globalize/loc2glo.scm 129 */
																					BgL_typez00_bglt BgL_arg3973z00_1114;

																					{	/* Globalize/loc2glo.scm 129 */
																						BgL_variablez00_bglt
																							BgL_obj1716z00_1937;
																						BgL_obj1716z00_1937 =
																							((BgL_variablez00_bglt)
																							BgL_oz00_1108);
																						BgL_arg3973z00_1114 =
																							(((BgL_variablez00_bglt)
																								CREF(((obj_t)
																										BgL_obj1716z00_1937)))->
																							BgL_typez00);
																					}
																					BgL_testz00_2693 =
																						BGl_bigloozd2typezf3z21zztype_typez00
																						(BgL_arg3973z00_1114);
																				}
																				if (BgL_testz00_2693)
																					{	/* Globalize/loc2glo.scm 130 */
																						bool_t BgL_testz00_2698;

																						{	/* Globalize/loc2glo.scm 130 */
																							BgL_typez00_bglt
																								BgL_arg3972z00_1113;
																							{	/* Globalize/loc2glo.scm 130 */
																								BgL_variablez00_bglt
																									BgL_obj1716z00_1938;
																								BgL_obj1716z00_1938 =
																									((BgL_variablez00_bglt)
																									BgL_oz00_1108);
																								BgL_arg3972z00_1113 =
																									(((BgL_variablez00_bglt)
																										CREF(((obj_t)
																												BgL_obj1716z00_1938)))->
																									BgL_typez00);
																							}
																							BgL_testz00_2698 =
																								(
																								((obj_t) BgL_arg3972z00_1113) ==
																								BGl_za2_za2z00zztype_cachez00);
																						}
																						if (BgL_testz00_2698)
																							{	/* Globalize/loc2glo.scm 130 */
																								BgL_testz00_2692 = ((bool_t) 0);
																							}
																						else
																							{	/* Globalize/loc2glo.scm 130 */
																								BgL_testz00_2692 = ((bool_t) 1);
																							}
																					}
																				else
																					{	/* Globalize/loc2glo.scm 129 */
																						BgL_testz00_2692 = ((bool_t) 0);
																					}
																			}
																			if (BgL_testz00_2692)
																				{	/* Globalize/loc2glo.scm 131 */
																					BgL_typez00_bglt BgL_arg3969z00_1110;

																					{	/* Globalize/loc2glo.scm 131 */
																						BgL_variablez00_bglt
																							BgL_obj1716z00_1939;
																						BgL_obj1716z00_1939 =
																							((BgL_variablez00_bglt)
																							BgL_oz00_1108);
																						BgL_arg3969z00_1110 =
																							(((BgL_variablez00_bglt)
																								CREF(((obj_t)
																										BgL_obj1716z00_1939)))->
																							BgL_typez00);
																					}
																					{	/* Globalize/loc2glo.scm 131 */
																						BgL_variablez00_bglt
																							BgL_obj1718z00_1940;
																						BgL_obj1718z00_1940 =
																							((BgL_variablez00_bglt)
																							BgL_nz00_1107);
																						((((BgL_variablez00_bglt)
																									CREF(((obj_t)
																											BgL_obj1718z00_1940)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt)
																								BgL_arg3969z00_1110), BUNSPEC);
																					}
																				}
																			else
																				{	/* Globalize/loc2glo.scm 132 */
																					BgL_variablez00_bglt
																						BgL_obj1718z00_1942;
																					BgL_typez00_bglt BgL_val1717z00_1943;

																					BgL_obj1718z00_1942 =
																						((BgL_variablez00_bglt)
																						BgL_nz00_1107);
																					{	/* Globalize/loc2glo.scm 132 */
																						obj_t BgL_xz00_2239;

																						BgL_xz00_2239 =
																							BGl_za2objza2z00zztype_cachez00;
																						BgL_val1717z00_1943 =
																							((BgL_typez00_bglt)
																							BgL_xz00_2239);
																					}
																					((((BgL_variablez00_bglt) CREF(
																									((obj_t)
																										BgL_obj1718z00_1942)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt)
																							BgL_val1717z00_1943), BUNSPEC);
																				}
																		}
																	}
																	{
																		obj_t BgL_ll3917z00_2716;
																		obj_t BgL_ll3916z00_2714;

																		BgL_ll3916z00_2714 =
																			CDR(BgL_ll3916z00_1103);
																		BgL_ll3917z00_2716 =
																			CDR(BgL_ll3917z00_1104);
																		BgL_ll3917z00_1104 = BgL_ll3917z00_2716;
																		BgL_ll3916z00_1103 = BgL_ll3916z00_2714;
																		goto BgL_zc3anonymousza33966ze3z83_1105;
																	}
																}
														}
													}
												}
											else
												{
													obj_t BgL_l3921z00_1119;

													BgL_l3921z00_1119 = BgL_nargsz00_1095;
												BgL_zc3anonymousza33976ze3z83_1120:
													if (PAIRP(BgL_l3921z00_1119))
														{	/* Globalize/loc2glo.scm 134 */
															{	/* Globalize/loc2glo.scm 135 */
																obj_t BgL_lz00_1122;

																BgL_lz00_1122 = CAR(BgL_l3921z00_1119);
																{	/* Globalize/loc2glo.scm 135 */
																	BgL_variablez00_bglt BgL_obj1718z00_1949;
																	BgL_typez00_bglt BgL_val1717z00_1950;

																	BgL_obj1718z00_1949 =
																		((BgL_variablez00_bglt) BgL_lz00_1122);
																	{	/* Globalize/loc2glo.scm 135 */
																		obj_t BgL_xz00_2242;

																		BgL_xz00_2242 =
																			BGl_za2objza2z00zztype_cachez00;
																		BgL_val1717z00_1950 =
																			((BgL_typez00_bglt) BgL_xz00_2242);
																	}
																	((((BgL_variablez00_bglt) CREF(
																					((obj_t) BgL_obj1718z00_1949)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_val1717z00_1950),
																		BUNSPEC);
																}
															}
															{
																obj_t BgL_l3921z00_2725;

																BgL_l3921z00_2725 = CDR(BgL_l3921z00_1119);
																BgL_l3921z00_1119 = BgL_l3921z00_2725;
																goto BgL_zc3anonymousza33976ze3z83_1120;
															}
														}
													else
														{	/* Globalize/loc2glo.scm 134 */
															((bool_t) 1);
														}
												}
										}
									}
									{	/* Globalize/loc2glo.scm 137 */
										BgL_variablez00_bglt BgL_obj1722z00_1952;
										BgL_valuez00_bglt BgL_val1720z00_1953;

										BgL_obj1722z00_1952 =
											((BgL_variablez00_bglt) BgL_globalz00_5);
										BgL_val1720z00_1953 =
											((BgL_valuez00_bglt) BgL_newzd2funzd2_1086);
										((((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1722z00_1952)))->BgL_valuez00) =
											((BgL_valuez00_bglt) BgL_val1720z00_1953), BUNSPEC);
									}
									{	/* Globalize/loc2glo.scm 147 */
										BgL_nodez00_bglt BgL_arg3982z00_1128;

										{	/* Globalize/loc2glo.scm 147 */
											BgL_nodez00_bglt BgL_arg3983z00_1129;

											{	/* Globalize/loc2glo.scm 147 */
												obj_t BgL_arg3984z00_1130;

												{	/* Globalize/loc2glo.scm 147 */
													obj_t BgL_arg3985z00_1131;
													obj_t BgL_arg3986z00_1132;

													{	/* Globalize/loc2glo.scm 147 */
														obj_t BgL_arg3987z00_1133;

														BgL_arg3987z00_1133 =
															BGl_thezd2closurezd2zzglobaliza7e_freeza7(
															((BgL_variablez00_bglt) BgL_localz00_6), BFALSE);
														BgL_arg3985z00_1131 =
															MAKE_PAIR(BgL_arg3987z00_1133,
															((obj_t) BgL_envz00_1082));
													}
													if (NULLP(BgL_kapturedz00_8))
														{	/* Globalize/loc2glo.scm 149 */
															BgL_arg3986z00_1132 = BNIL;
														}
													else
														{	/* Globalize/loc2glo.scm 149 */
															obj_t BgL_head3925z00_1137;

															{	/* Globalize/loc2glo.scm 149 */
																obj_t BgL_arg3996z00_1153;

																BgL_arg3996z00_1153 =
																	MAKE_PAIR(CAR(BgL_kapturedz00_8),
																	CAR(BgL_newzd2freezd2_1083));
																{	/* Globalize/loc2glo.scm 149 */
																	obj_t BgL_res4220z00_1960;

																	BgL_res4220z00_1960 =
																		MAKE_PAIR(BgL_arg3996z00_1153, BNIL);
																	BgL_head3925z00_1137 = BgL_res4220z00_1960;
																}
															}
															{	/* Globalize/loc2glo.scm 149 */
																obj_t BgL_g3929z00_1138;
																obj_t BgL_g3930z00_1139;

																BgL_g3929z00_1138 = CDR(BgL_kapturedz00_8);
																BgL_g3930z00_1139 = CDR(BgL_newzd2freezd2_1083);
																{
																	obj_t BgL_ll3923z00_1141;
																	obj_t BgL_ll3924z00_1142;
																	obj_t BgL_tail3926z00_1143;

																	BgL_ll3923z00_1141 = BgL_g3929z00_1138;
																	BgL_ll3924z00_1142 = BgL_g3930z00_1139;
																	BgL_tail3926z00_1143 = BgL_head3925z00_1137;
																BgL_zc3anonymousza33989ze3z83_1144:
																	if (NULLP(BgL_ll3923z00_1141))
																		{	/* Globalize/loc2glo.scm 149 */
																			BgL_arg3986z00_1132 =
																				BgL_head3925z00_1137;
																		}
																	else
																		{	/* Globalize/loc2glo.scm 149 */
																			obj_t BgL_newtail3927z00_1146;

																			{	/* Globalize/loc2glo.scm 149 */
																				obj_t BgL_arg3993z00_1149;

																				BgL_arg3993z00_1149 =
																					MAKE_PAIR(CAR(BgL_ll3923z00_1141),
																					CAR(BgL_ll3924z00_1142));
																				{	/* Globalize/loc2glo.scm 149 */
																					obj_t BgL_res4222z00_1969;

																					BgL_res4222z00_1969 =
																						MAKE_PAIR(BgL_arg3993z00_1149,
																						BNIL);
																					BgL_newtail3927z00_1146 =
																						BgL_res4222z00_1969;
																				}
																			}
																			SET_CDR(BgL_tail3926z00_1143,
																				BgL_newtail3927z00_1146);
																			{
																				obj_t BgL_tail3926z00_2754;
																				obj_t BgL_ll3924z00_2752;
																				obj_t BgL_ll3923z00_2750;

																				BgL_ll3923z00_2750 =
																					CDR(BgL_ll3923z00_1141);
																				BgL_ll3924z00_2752 =
																					CDR(BgL_ll3924z00_1142);
																				BgL_tail3926z00_2754 =
																					BgL_newtail3927z00_1146;
																				BgL_tail3926z00_1143 =
																					BgL_tail3926z00_2754;
																				BgL_ll3924z00_1142 = BgL_ll3924z00_2752;
																				BgL_ll3923z00_1141 = BgL_ll3923z00_2750;
																				goto BgL_zc3anonymousza33989ze3z83_1144;
																			}
																		}
																}
															}
														}
													BgL_arg3984z00_1130 =
														MAKE_PAIR(BgL_arg3985z00_1131, BgL_arg3986z00_1132);
												}
												BgL_arg3983z00_1129 =
													BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
													((BgL_nodez00_bglt) BgL_bodyz00_9),
													((BgL_variablez00_bglt) BgL_localz00_6),
													BgL_arg3984z00_1130);
											}
											BgL_arg3982z00_1128 =
												BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
												(BgL_localz00_6, BgL_globalz00_5,
												BgL_newzd2argszd2_1084, BgL_newzd2freezd2_1083,
												BgL_envz00_1082, BgL_arg3983z00_1129);
										}
										{	/* Globalize/loc2glo.scm 138 */
											obj_t BgL_val2029z00_1975;

											BgL_val2029z00_1975 = ((obj_t) BgL_arg3982z00_1128);
											((((BgL_sfunz00_bglt) CREF(
															((obj_t) BgL_newzd2funzd2_1086)))->BgL_bodyz00) =
												((obj_t) BgL_val2029z00_1975), BUNSPEC);
										}
									}
									return BgL_globalz00_5;
								}
							}
						}
					}
				}
			}
		}
	}



/* make-escaping-body */
	BgL_nodez00_bglt
		BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt BgL_localz00_10, BgL_globalz00_bglt BgL_globalz00_11,
		obj_t BgL_argsz00_12, obj_t BgL_kapturedz00_13,
		BgL_localz00_bglt BgL_envz00_14, BgL_nodez00_bglt BgL_bodyz00_15)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 157 */
			{	/* Globalize/loc2glo.scm 158 */
				obj_t BgL_stackz00_1227;
				obj_t BgL_locz00_1228;

				{	/* Globalize/loc2glo.scm 158 */
					obj_t BgL_list4084z00_1277;

					BgL_list4084z00_1277 = MAKE_PAIR(((obj_t) BgL_envz00_14), BNIL);
					BgL_stackz00_1227 = BgL_list4084z00_1277;
				}
				BgL_locz00_1228 =
					(((BgL_nodez00_bglt) CREF(((obj_t) BgL_bodyz00_15)))->BgL_locz00);
				{	/* Globalize/loc2glo.scm 160 */
					BgL_valuez00_bglt BgL_arg4049z00_1229;

					{	/* Globalize/loc2glo.scm 160 */
						BgL_variablez00_bglt BgL_obj1719z00_1979;

						BgL_obj1719z00_1979 = ((BgL_variablez00_bglt) BgL_localz00_10);
						BgL_arg4049z00_1229 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1719z00_1979)))->BgL_valuez00);
					}
					{	/* Globalize/loc2glo.scm 160 */
						BgL_sfunz00_bglt BgL_obj2030z00_1980;
						obj_t BgL_val2029z00_1981;

						BgL_obj2030z00_1980 = ((BgL_sfunz00_bglt) BgL_arg4049z00_1229);
						BgL_val2029z00_1981 = ((obj_t) BgL_bodyz00_15);
						((((BgL_sfunz00_bglt) CREF(
										((obj_t) BgL_obj2030z00_1980)))->BgL_bodyz00) =
							((obj_t) BgL_val2029z00_1981), BUNSPEC);
					}
				}
				{	/* Globalize/loc2glo.scm 163 */
					BgL_typez00_bglt BgL_arg4050z00_1230;
					obj_t BgL_arg4051z00_1231;
					BgL_letzd2funzd2_bglt BgL_arg4052z00_1232;

					{	/* Globalize/loc2glo.scm 163 */
						BgL_typez00_bglt BgL_arg4053z00_1233;

						{	/* Globalize/loc2glo.scm 163 */
							BgL_variablez00_bglt BgL_obj1716z00_1982;

							BgL_obj1716z00_1982 = ((BgL_variablez00_bglt) BgL_localz00_10);
							BgL_arg4053z00_1233 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1716z00_1982)))->BgL_typez00);
						}
						{	/* Globalize/loc2glo.scm 163 */
							BgL_typez00_bglt BgL_auxz00_2777;

							{	/* Globalize/loc2glo.scm 163 */
								obj_t BgL_xz00_2262;

								BgL_xz00_2262 = BGl_za2_za2z00zztype_cachez00;
								BgL_auxz00_2777 = ((BgL_typez00_bglt) BgL_xz00_2262);
							}
							BgL_arg4050z00_1230 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg4053z00_1233,
								BgL_auxz00_2777);
						}
					}
					{
						obj_t BgL_kapturedz00_1236;
						long BgL_numz00_1237;
						obj_t BgL_resz00_1238;

						BgL_kapturedz00_1236 = BgL_kapturedz00_13;
						BgL_numz00_1237 = ((long) 0);
						BgL_resz00_1238 = BNIL;
					BgL_zc3anonymousza34054ze3z83_1239:
						if (NULLP(BgL_kapturedz00_1236))
							{	/* Globalize/loc2glo.scm 167 */
								BgL_arg4051z00_1231 = bgl_reverse_bang(BgL_resz00_1238);
							}
						else
							{	/* Globalize/loc2glo.scm 169 */
								obj_t BgL_arg4056z00_1241;
								long BgL_arg4057z00_1242;
								obj_t BgL_arg4058z00_1243;

								BgL_arg4056z00_1241 = CDR(BgL_kapturedz00_1236);
								BgL_arg4057z00_1242 = (BgL_numz00_1237 + ((long) 1));
								{	/* Globalize/loc2glo.scm 171 */
									obj_t BgL_arg4059z00_1244;

									{	/* Globalize/loc2glo.scm 171 */
										obj_t BgL_arg4060z00_1245;
										BgL_nodez00_bglt BgL_arg4061z00_1246;

										BgL_arg4060z00_1245 = CAR(BgL_kapturedz00_1236);
										{	/* Globalize/loc2glo.scm 173 */
											obj_t BgL_arg4062z00_1247;

											{	/* Globalize/loc2glo.scm 173 */
												obj_t BgL_arg4063z00_1248;

												{	/* Globalize/loc2glo.scm 173 */
													obj_t BgL_arg4064z00_1249;

													BgL_arg4064z00_1249 =
														MAKE_PAIR(BINT(BgL_numz00_1237), BNIL);
													BgL_arg4063z00_1248 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
														BgL_arg4064z00_1249);
												}
												BgL_arg4062z00_1247 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 1)),
													BgL_arg4063z00_1248);
											}
											BgL_arg4061z00_1246 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg4062z00_1247,
												BgL_stackz00_1227, BgL_locz00_1228,
												CNST_TABLE_REF(((long) 2)));
										}
										BgL_arg4059z00_1244 =
											MAKE_PAIR(BgL_arg4060z00_1245,
											((obj_t) BgL_arg4061z00_1246));
									}
									BgL_arg4058z00_1243 =
										MAKE_PAIR(BgL_arg4059z00_1244, BgL_resz00_1238);
								}
								{
									obj_t BgL_resz00_2799;
									long BgL_numz00_2798;
									obj_t BgL_kapturedz00_2797;

									BgL_kapturedz00_2797 = BgL_arg4056z00_1241;
									BgL_numz00_2798 = BgL_arg4057z00_1242;
									BgL_resz00_2799 = BgL_arg4058z00_1243;
									BgL_resz00_1238 = BgL_resz00_2799;
									BgL_numz00_1237 = BgL_numz00_2798;
									BgL_kapturedz00_1236 = BgL_kapturedz00_2797;
									goto BgL_zc3anonymousza34054ze3z83_1239;
								}
							}
					}
					{	/* Globalize/loc2glo.scm 180 */
						BgL_typez00_bglt BgL_arg4065z00_1251;
						obj_t BgL_arg4066z00_1252;
						BgL_appz00_bglt BgL_arg4067z00_1253;

						{	/* Globalize/loc2glo.scm 180 */
							BgL_typez00_bglt BgL_arg4068z00_1254;

							{	/* Globalize/loc2glo.scm 180 */
								BgL_variablez00_bglt BgL_obj1716z00_1990;

								BgL_obj1716z00_1990 = ((BgL_variablez00_bglt) BgL_localz00_10);
								BgL_arg4068z00_1254 =
									(((BgL_variablez00_bglt) CREF(
											((obj_t) BgL_obj1716z00_1990)))->BgL_typez00);
							}
							{	/* Globalize/loc2glo.scm 180 */
								BgL_typez00_bglt BgL_auxz00_2803;

								{	/* Globalize/loc2glo.scm 180 */
									obj_t BgL_xz00_2266;

									BgL_xz00_2266 = BGl_za2_za2z00zztype_cachez00;
									BgL_auxz00_2803 = ((BgL_typez00_bglt) BgL_xz00_2266);
								}
								BgL_arg4065z00_1251 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg4068z00_1254,
									BgL_auxz00_2803);
							}
						}
						{	/* Globalize/loc2glo.scm 181 */
							obj_t BgL_list4069z00_1255;

							BgL_list4069z00_1255 = MAKE_PAIR(((obj_t) BgL_localz00_10), BNIL);
							BgL_arg4066z00_1252 = BgL_list4069z00_1255;
						}
						{	/* Globalize/loc2glo.scm 184 */
							BgL_typez00_bglt BgL_arg4070z00_1256;
							BgL_varz00_bglt BgL_arg4071z00_1257;
							obj_t BgL_arg4072z00_1258;

							{	/* Globalize/loc2glo.scm 184 */
								BgL_typez00_bglt BgL_arg4073z00_1259;

								{	/* Globalize/loc2glo.scm 184 */
									BgL_variablez00_bglt BgL_obj1716z00_1993;

									BgL_obj1716z00_1993 =
										((BgL_variablez00_bglt) BgL_localz00_10);
									BgL_arg4073z00_1259 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1716z00_1993)))->BgL_typez00);
								}
								{	/* Globalize/loc2glo.scm 184 */
									BgL_typez00_bglt BgL_auxz00_2811;

									{	/* Globalize/loc2glo.scm 184 */
										obj_t BgL_xz00_2270;

										BgL_xz00_2270 = BGl_za2_za2z00zztype_cachez00;
										BgL_auxz00_2811 = ((BgL_typez00_bglt) BgL_xz00_2270);
									}
									BgL_arg4070z00_1256 =
										BGl_strictzd2nodezd2typez00zzast_nodez00
										(BgL_arg4073z00_1259, BgL_auxz00_2811);
								}
							}
							{	/* Globalize/loc2glo.scm 188 */
								BgL_typez00_bglt BgL_arg4074z00_1260;

								{	/* Globalize/loc2glo.scm 188 */
									BgL_typez00_bglt BgL_arg4075z00_1261;

									{	/* Globalize/loc2glo.scm 188 */
										BgL_variablez00_bglt BgL_obj1716z00_1994;

										BgL_obj1716z00_1994 =
											((BgL_variablez00_bglt) BgL_localz00_10);
										BgL_arg4075z00_1261 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1716z00_1994)))->BgL_typez00);
									}
									{	/* Globalize/loc2glo.scm 187 */
										BgL_typez00_bglt BgL_auxz00_2817;

										{	/* Globalize/loc2glo.scm 188 */
											obj_t BgL_xz00_2273;

											BgL_xz00_2273 = BGl_za2_za2z00zztype_cachez00;
											BgL_auxz00_2817 = ((BgL_typez00_bglt) BgL_xz00_2273);
										}
										BgL_arg4074z00_1260 =
											BGl_strictzd2nodezd2typez00zzast_nodez00
											(BgL_arg4075z00_1261, BgL_auxz00_2817);
									}
								}
								BgL_arg4071z00_1257 =
									BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1228,
									BgL_arg4074z00_1260,
									((BgL_variablez00_bglt) BgL_localz00_10));
							}
							if (NULLP(BgL_argsz00_12))
								{	/* Globalize/loc2glo.scm 190 */
									BgL_arg4072z00_1258 = BNIL;
								}
							else
								{	/* Globalize/loc2glo.scm 190 */
									obj_t BgL_head3933z00_1264;

									{	/* Globalize/loc2glo.scm 190 */
										obj_t BgL_res4228z00_1999;

										BgL_res4228z00_1999 = MAKE_PAIR(BNIL, BNIL);
										BgL_head3933z00_1264 = BgL_res4228z00_1999;
									}
									{
										obj_t BgL_l3931z00_1266;
										obj_t BgL_tail3934z00_1267;

										BgL_l3931z00_1266 = BgL_argsz00_12;
										BgL_tail3934z00_1267 = BgL_head3933z00_1264;
									BgL_zc3anonymousza34077ze3z83_1268:
										if (NULLP(BgL_l3931z00_1266))
											{	/* Globalize/loc2glo.scm 190 */
												BgL_arg4072z00_1258 = CDR(BgL_head3933z00_1264);
											}
										else
											{	/* Globalize/loc2glo.scm 190 */
												obj_t BgL_newtail3935z00_1270;

												{	/* Globalize/loc2glo.scm 190 */
													BgL_varz00_bglt BgL_arg4081z00_1272;

													{	/* Globalize/loc2glo.scm 190 */
														obj_t BgL_vz00_1273;

														BgL_vz00_1273 = CAR(BgL_l3931z00_1266);
														{	/* Globalize/loc2glo.scm 194 */
															BgL_typez00_bglt BgL_arg4082z00_1274;

															{	/* Globalize/loc2glo.scm 194 */
																BgL_typez00_bglt BgL_arg4083z00_1275;

																{	/* Globalize/loc2glo.scm 194 */
																	BgL_variablez00_bglt BgL_obj1716z00_2004;

																	BgL_obj1716z00_2004 =
																		((BgL_variablez00_bglt) BgL_vz00_1273);
																	BgL_arg4083z00_1275 =
																		(((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1716z00_2004)))->
																		BgL_typez00);
																}
																{	/* Globalize/loc2glo.scm 193 */
																	BgL_typez00_bglt BgL_auxz00_2832;

																	{	/* Globalize/loc2glo.scm 194 */
																		obj_t BgL_xz00_2277;

																		BgL_xz00_2277 =
																			BGl_za2_za2z00zztype_cachez00;
																		BgL_auxz00_2832 =
																			((BgL_typez00_bglt) BgL_xz00_2277);
																	}
																	BgL_arg4082z00_1274 =
																		BGl_strictzd2nodezd2typez00zzast_nodez00
																		(BgL_arg4083z00_1275, BgL_auxz00_2832);
																}
															}
															BgL_arg4081z00_1272 =
																BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1228,
																BgL_arg4082z00_1274,
																((BgL_variablez00_bglt) BgL_vz00_1273));
														}
													}
													{	/* Globalize/loc2glo.scm 190 */
														obj_t BgL_res4230z00_2007;

														{	/* Globalize/loc2glo.scm 190 */
															obj_t BgL_obj1z00_2005;

															BgL_obj1z00_2005 = ((obj_t) BgL_arg4081z00_1272);
															BgL_res4230z00_2007 =
																MAKE_PAIR(BgL_obj1z00_2005, BNIL);
														}
														BgL_newtail3935z00_1270 = BgL_res4230z00_2007;
													}
												}
												SET_CDR(BgL_tail3934z00_1267, BgL_newtail3935z00_1270);
												{
													obj_t BgL_tail3934z00_2842;
													obj_t BgL_l3931z00_2840;

													BgL_l3931z00_2840 = CDR(BgL_l3931z00_1266);
													BgL_tail3934z00_2842 = BgL_newtail3935z00_1270;
													BgL_tail3934z00_1267 = BgL_tail3934z00_2842;
													BgL_l3931z00_1266 = BgL_l3931z00_2840;
													goto BgL_zc3anonymousza34077ze3z83_1268;
												}
											}
									}
								}
							BgL_arg4067z00_1253 =
								BGl_makezd2appzd2zzast_nodez00(BgL_locz00_1228,
								BgL_arg4070z00_1256, BUNSPEC, BINT(((long) -1)),
								BgL_arg4071z00_1257, BgL_arg4072z00_1258);
						}
						BgL_arg4052z00_1232 =
							BGl_makezd2letzd2funz00zzast_nodez00(BgL_locz00_1228,
							BgL_arg4065z00_1251, BUNSPEC, BINT(((long) -1)),
							BgL_arg4066z00_1252, ((BgL_nodez00_bglt) BgL_arg4067z00_1253));
					}
					{	/* Globalize/loc2glo.scm 161 */
						BgL_letzd2varzd2_bglt BgL_xz00_2282;

						BgL_xz00_2282 =
							BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_1228,
							BgL_arg4050z00_1230, BUNSPEC, BINT(((long) -1)),
							BgL_arg4051z00_1231, ((BgL_nodez00_bglt) BgL_arg4052z00_1232),
							((bool_t) 1));
						return ((BgL_nodez00_bglt) BgL_xz00_2282);
					}
				}
			}
		}
	}



/* fix-non-escaping-definition */
	BgL_globalz00_bglt
		BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt BgL_globalz00_16, BgL_localz00_bglt BgL_localz00_17,
		obj_t BgL_argsz00_18, obj_t BgL_kapturedz00_19, obj_t BgL_bodyz00_20)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 201 */
			{	/* Globalize/loc2glo.scm 202 */
				obj_t BgL_addzd2argszd2_1278;

				if (NULLP(BgL_kapturedz00_19))
					{	/* Globalize/loc2glo.scm 202 */
						BgL_addzd2argszd2_1278 = BNIL;
					}
				else
					{	/* Globalize/loc2glo.scm 202 */
						obj_t BgL_head3938z00_1333;

						{	/* Globalize/loc2glo.scm 202 */
							obj_t BgL_res4232z00_2015;

							BgL_res4232z00_2015 = MAKE_PAIR(BNIL, BNIL);
							BgL_head3938z00_1333 = BgL_res4232z00_2015;
						}
						{
							obj_t BgL_l3936z00_1335;
							obj_t BgL_tail3939z00_1336;

							BgL_l3936z00_1335 = BgL_kapturedz00_19;
							BgL_tail3939z00_1336 = BgL_head3938z00_1333;
						BgL_zc3anonymousza34125ze3z83_1337:
							if (NULLP(BgL_l3936z00_1335))
								{	/* Globalize/loc2glo.scm 202 */
									BgL_addzd2argszd2_1278 = CDR(BgL_head3938z00_1333);
								}
							else
								{	/* Globalize/loc2glo.scm 202 */
									obj_t BgL_newtail3940z00_1339;

									{	/* Globalize/loc2glo.scm 202 */
										BgL_localz00_bglt BgL_arg4128z00_1341;

										{	/* Globalize/loc2glo.scm 202 */
											obj_t BgL_oldz00_1342;

											BgL_oldz00_1342 = CAR(BgL_l3936z00_1335);
											{	/* Globalize/loc2glo.scm 203 */
												BgL_localz00_bglt BgL_newz00_1343;

												{	/* Globalize/loc2glo.scm 203 */
													obj_t BgL_arg4135z00_1352;
													obj_t BgL_arg4136z00_1353;

													{	/* Globalize/loc2glo.scm 203 */
														BgL_variablez00_bglt BgL_obj1711z00_2020;

														BgL_obj1711z00_2020 =
															((BgL_variablez00_bglt) BgL_oldz00_1342);
														BgL_arg4135z00_1352 =
															(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1711z00_2020)))->BgL_idz00);
													}
													BgL_arg4136z00_1353 =
														BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96
														();
													BgL_newz00_1343 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg4135z00_1352,
														((BgL_typez00_bglt) BgL_arg4136z00_1353));
												}
												{	/* Globalize/loc2glo.scm 205 */
													bool_t BgL_arg4129z00_1344;

													{	/* Globalize/loc2glo.scm 205 */
														BgL_variablez00_bglt BgL_obj1738z00_2021;

														BgL_obj1738z00_2021 =
															((BgL_variablez00_bglt) BgL_oldz00_1342);
														BgL_arg4129z00_1344 =
															(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1738z00_2021)))->
															BgL_userzf3zf3);
													}
													{	/* Globalize/loc2glo.scm 205 */
														BgL_variablez00_bglt BgL_obj1740z00_2022;

														BgL_obj1740z00_2022 =
															((BgL_variablez00_bglt) BgL_newz00_1343);
														((((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1740z00_2022)))->
																BgL_userzf3zf3) =
															((bool_t) BgL_arg4129z00_1344), BUNSPEC);
													}
												}
												{	/* Globalize/loc2glo.scm 206 */
													BgL_localz00_bglt BgL_obj3901z00_1345;

													BgL_obj3901z00_1345 =
														((BgL_localz00_bglt) BgL_newz00_1343);
													{	/* Globalize/loc2glo.scm 206 */
														obj_t BgL_arg4130z00_1346;

														BgL_arg4130z00_1346 =
															BGl_wideningzd2localzf2Ginfoz20zzglobaliza7e_ginfoza7
															(((bool_t) 0), ((bool_t) 0));
														{	/* Globalize/loc2glo.scm 206 */
															BgL_objectz00_bglt BgL_auxz00_2873;

															BgL_auxz00_2873 =
																((BgL_objectz00_bglt) BgL_obj3901z00_1345);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_2873,
																BgL_arg4130z00_1346);
														}
													}
													{	/* Globalize/loc2glo.scm 206 */
														long BgL_arg4131z00_1347;

														BgL_arg4131z00_1347 =
															BGl_classzd2numzd2zz__objectz00
															(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
														{	/* Globalize/loc2glo.scm 206 */
															BgL_objectz00_bglt BgL_objz00_2024;

															BgL_objz00_2024 =
																((BgL_objectz00_bglt) BgL_obj3901z00_1345);
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2024,
																BgL_arg4131z00_1347);
													}} BgL_obj3901z00_1345;
												}
												{	/* Globalize/loc2glo.scm 207 */
													BgL_svarz00_bglt BgL_obj3902z00_1348;

													BgL_obj3902z00_1348 =
														((BgL_svarz00_bglt)
														BGl_variablezd2valuezd2zzglobaliza7e_localzd2ze3globalz96
														(((BgL_variablez00_bglt) BgL_newz00_1343)));
													{	/* Globalize/loc2glo.scm 207 */
														obj_t BgL_arg4132z00_1349;

														BgL_arg4132z00_1349 =
															BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7
															(((bool_t) 1), ((long) -10), ((long) -10),
															((bool_t) 0));
														{	/* Globalize/loc2glo.scm 207 */
															BgL_objectz00_bglt BgL_auxz00_2883;

															BgL_auxz00_2883 =
																((BgL_objectz00_bglt) BgL_obj3902z00_1348);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_2883,
																BgL_arg4132z00_1349);
													}}
													{	/* Globalize/loc2glo.scm 207 */
														long BgL_arg4133z00_1350;

														BgL_arg4133z00_1350 =
															BGl_classzd2numzd2zz__objectz00
															(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
														{	/* Globalize/loc2glo.scm 207 */
															BgL_objectz00_bglt BgL_objz00_2027;

															BgL_objz00_2027 =
																((BgL_objectz00_bglt) BgL_obj3902z00_1348);
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2027,
																BgL_arg4133z00_1350);
													}} BgL_obj3902z00_1348;
												}
												{	/* Globalize/loc2glo.scm 209 */
													obj_t BgL_arg4134z00_1351;

													{	/* Globalize/loc2glo.scm 209 */
														BgL_variablez00_bglt BgL_obj1723z00_2029;

														BgL_obj1723z00_2029 =
															((BgL_variablez00_bglt) BgL_oldz00_1342);
														BgL_arg4134z00_1351 =
															(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1723z00_2029)))->
															BgL_accessz00);
													}
													{	/* Globalize/loc2glo.scm 209 */
														BgL_variablez00_bglt BgL_obj1725z00_2030;

														BgL_obj1725z00_2030 =
															((BgL_variablez00_bglt) BgL_newz00_1343);
														((((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1725z00_2030)))->
																BgL_accessz00) =
															((obj_t) BgL_arg4134z00_1351), BUNSPEC);
												}}
												BgL_arg4128z00_1341 = BgL_newz00_1343;
										}}
										{	/* Globalize/loc2glo.scm 202 */
											obj_t BgL_res4234z00_2034;

											{	/* Globalize/loc2glo.scm 202 */
												obj_t BgL_obj1z00_2032;

												BgL_obj1z00_2032 = ((obj_t) BgL_arg4128z00_1341);
												BgL_res4234z00_2034 = MAKE_PAIR(BgL_obj1z00_2032, BNIL);
											}
											BgL_newtail3940z00_1339 = BgL_res4234z00_2034;
									}}
									SET_CDR(BgL_tail3939z00_1336, BgL_newtail3940z00_1339);
									{
										obj_t BgL_tail3939z00_2900;
										obj_t BgL_l3936z00_2898;

										BgL_l3936z00_2898 = CDR(BgL_l3936z00_1335);
										BgL_tail3939z00_2900 = BgL_newtail3940z00_1339;
										BgL_tail3939z00_1336 = BgL_tail3939z00_2900;
										BgL_l3936z00_1335 = BgL_l3936z00_2898;
										goto BgL_zc3anonymousza34125ze3z83_1337;
									}
								}
						}
					}
				{	/* Globalize/loc2glo.scm 202 */
					BgL_valuez00_bglt BgL_oldzd2funzd2_1279;

					{	/* Globalize/loc2glo.scm 212 */
						BgL_variablez00_bglt BgL_obj1719z00_2038;

						BgL_obj1719z00_2038 = ((BgL_variablez00_bglt) BgL_localz00_17);
						BgL_oldzd2funzd2_1279 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1719z00_2038)))->BgL_valuez00);
					}
					{	/* Globalize/loc2glo.scm 212 */
						BgL_sfunz00_bglt BgL_newzd2funzd2_1280;

						{	/* Globalize/loc2glo.scm 213 */
							BgL_sfunz00_bglt BgL_duplicated3903z00_1308;

							BgL_duplicated3903z00_1308 =
								((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1279);
							{	/* Globalize/loc2glo.scm 214 */
								BgL_sfunz00_bglt BgL_new3904z00_1309;

								{	/* Globalize/loc2glo.scm 214 */
									obj_t BgL_arg4102z00_1310;
									obj_t BgL_arg4103z00_1311;
									obj_t BgL_arg4104z00_1312;
									obj_t BgL_arg4105z00_1313;
									bool_t BgL_arg4106z00_1314;
									obj_t BgL_arg4107z00_1315;
									obj_t BgL_arg4108z00_1316;
									obj_t BgL_arg4109z00_1317;
									obj_t BgL_arg4110z00_1318;
									obj_t BgL_arg4111z00_1319;
									obj_t BgL_arg4112z00_1320;
									obj_t BgL_arg4113z00_1321;
									obj_t BgL_arg4114z00_1322;
									obj_t BgL_arg4116z00_1323;
									obj_t BgL_arg4117z00_1324;
									obj_t BgL_arg4118z00_1325;
									obj_t BgL_arg4119z00_1326;
									obj_t BgL_arg4120z00_1327;

									{	/* Globalize/loc2glo.scm 214 */
										long BgL_arg4121z00_1328;
										long BgL_arg4122z00_1329;

										{	/* Globalize/loc2glo.scm 214 */
											BgL_funz00_bglt BgL_obj1958z00_2039;

											BgL_obj1958z00_2039 =
												((BgL_funz00_bglt) BgL_oldzd2funzd2_1279);
											BgL_arg4121z00_1328 =
												(((BgL_funz00_bglt) CREF(
														((obj_t) BgL_obj1958z00_2039)))->BgL_arityz00);
										}
										BgL_arg4122z00_1329 = bgl_list_length(BgL_kapturedz00_19);
										BgL_arg4102z00_1310 =
											BGl_zb2zd2arityz60zztools_argsz00(BINT
											(BgL_arg4121z00_1328), BINT(BgL_arg4122z00_1329));
									}
									{	/* Globalize/loc2glo.scm 213 */
										BgL_funz00_bglt BgL_obj1959z00_2040;

										BgL_obj1959z00_2040 =
											((BgL_funz00_bglt) BgL_duplicated3903z00_1308);
										BgL_arg4103z00_1311 =
											(((BgL_funz00_bglt) CREF(
													((obj_t) BgL_obj1959z00_2040)))->
											BgL_sidezd2effectzd2);
									}
									{	/* Globalize/loc2glo.scm 213 */
										BgL_funz00_bglt BgL_obj1962z00_2041;

										BgL_obj1962z00_2041 =
											((BgL_funz00_bglt) BgL_duplicated3903z00_1308);
										BgL_arg4104z00_1312 =
											(((BgL_funz00_bglt) CREF(
													((obj_t) BgL_obj1962z00_2041)))->
											BgL_predicatezd2ofzd2);
									}
									{	/* Globalize/loc2glo.scm 213 */
										BgL_funz00_bglt BgL_obj1965z00_2042;

										BgL_obj1965z00_2042 =
											((BgL_funz00_bglt) BgL_duplicated3903z00_1308);
										BgL_arg4105z00_1313 =
											(((BgL_funz00_bglt) CREF(
													((obj_t) BgL_obj1965z00_2042)))->
											BgL_stackzd2allocatorzd2);
									}
									{	/* Globalize/loc2glo.scm 213 */
										BgL_funz00_bglt BgL_obj1968z00_2043;

										BgL_obj1968z00_2043 =
											((BgL_funz00_bglt) BgL_duplicated3903z00_1308);
										BgL_arg4106z00_1314 =
											(((BgL_funz00_bglt) CREF(
													((obj_t) BgL_obj1968z00_2043)))->BgL_topzf3zf3);
									}
									{	/* Globalize/loc2glo.scm 213 */
										BgL_funz00_bglt BgL_obj1971z00_2044;

										BgL_obj1971z00_2044 =
											((BgL_funz00_bglt) BgL_duplicated3903z00_1308);
										BgL_arg4107z00_1315 =
											(((BgL_funz00_bglt) CREF(
													((obj_t) BgL_obj1971z00_2044)))->
											BgL_thezd2closurezd2);
									}
									{	/* Globalize/loc2glo.scm 213 */
										BgL_funz00_bglt BgL_obj1974z00_2045;

										BgL_obj1974z00_2045 =
											((BgL_funz00_bglt) BgL_duplicated3903z00_1308);
										BgL_arg4108z00_1316 =
											(((BgL_funz00_bglt) CREF(
													((obj_t) BgL_obj1974z00_2045)))->BgL_effectz00);
									}
									BgL_arg4109z00_1317 =
										(((BgL_sfunz00_bglt) CREF(
												((obj_t) BgL_duplicated3903z00_1308)))->
										BgL_propertyz00);
									BgL_arg4110z00_1318 =
										BGl_appendzd221095zd2zzglobaliza7e_localzd2ze3globalz96
										(bgl_reverse(BgL_addzd2argszd2_1278), BgL_argsz00_18);
									BgL_arg4111z00_1319 =
										(((BgL_sfunz00_bglt) CREF(((obj_t)
													BgL_duplicated3903z00_1308)))->BgL_argszd2namezd2);
									BgL_arg4112z00_1320 =
										(((BgL_sfunz00_bglt) CREF(((obj_t)
													BgL_duplicated3903z00_1308)))->BgL_bodyz00);
									BgL_arg4113z00_1321 =
										(((BgL_sfunz00_bglt) CREF(((obj_t)
													BgL_duplicated3903z00_1308)))->BgL_classz00);
									BgL_arg4114z00_1322 =
										(((BgL_sfunz00_bglt) CREF(((obj_t)
													BgL_duplicated3903z00_1308)))->
										BgL_dssslzd2keywordszd2);
									BgL_arg4116z00_1323 =
										(((BgL_sfunz00_bglt) CREF(((obj_t)
													BgL_duplicated3903z00_1308)))->BgL_locz00);
									BgL_arg4117z00_1324 =
										(((BgL_sfunz00_bglt) CREF(((obj_t)
													BgL_duplicated3903z00_1308)))->BgL_optionalsz00);
									BgL_arg4118z00_1325 =
										(((BgL_sfunz00_bglt) CREF(((obj_t)
													BgL_duplicated3903z00_1308)))->BgL_keysz00);
									BgL_arg4119z00_1326 =
										(((BgL_sfunz00_bglt) CREF(((obj_t)
													BgL_duplicated3903z00_1308)))->
										BgL_thezd2closurezd2globalz00);
									BgL_arg4120z00_1327 =
										(((BgL_sfunz00_bglt) CREF(((obj_t)
													BgL_duplicated3903z00_1308)))->BgL_strengthz00);
									BgL_new3904z00_1309 =
										BGl_makezd2sfunzd2zzast_varz00((long)
										CINT(BgL_arg4102z00_1310), BgL_arg4103z00_1311,
										BgL_arg4104z00_1312, BgL_arg4105z00_1313,
										BgL_arg4106z00_1314, BgL_arg4107z00_1315,
										BgL_arg4108z00_1316, BgL_arg4109z00_1317,
										BgL_arg4110z00_1318, BgL_arg4111z00_1319,
										BgL_arg4112z00_1320, BgL_arg4113z00_1321,
										BgL_arg4114z00_1322, BgL_arg4116z00_1323,
										BgL_arg4117z00_1324, BgL_arg4118z00_1325,
										BgL_arg4119z00_1326, BgL_arg4120z00_1327);
								}
								{	/* Globalize/loc2glo.scm 213 */

									BgL_newzd2funzd2_1280 = BgL_new3904z00_1309;
						}}}
						{	/* Globalize/loc2glo.scm 213 */

							{	/* Globalize/loc2glo.scm 216 */
								BgL_localzf2ginfozf2_bglt BgL_obj3758z00_2056;

								BgL_obj3758z00_2056 =
									((BgL_localzf2ginfozf2_bglt) BgL_localz00_17);
								{
									obj_t BgL_auxz00_2955;

									{	/* Globalize/loc2glo.scm 216 */
										BgL_objectz00_bglt BgL_auxz00_2956;

										BgL_auxz00_2956 =
											((BgL_objectz00_bglt) BgL_obj3758z00_2056);
										BgL_auxz00_2955 = BGL_OBJECT_WIDENING(BgL_auxz00_2956);
									}
									((((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_2955))->
											BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}}
							{	/* Globalize/loc2glo.scm 217 */
								BgL_globalzf2ginfozf2_bglt BgL_obj3823z00_2058;

								BgL_obj3823z00_2058 =
									((BgL_globalzf2ginfozf2_bglt) BgL_globalz00_16);
								{
									obj_t BgL_auxz00_2961;

									{	/* Globalize/loc2glo.scm 217 */
										BgL_objectz00_bglt BgL_auxz00_2962;

										BgL_auxz00_2962 =
											((BgL_objectz00_bglt) BgL_obj3823z00_2058);
										BgL_auxz00_2961 = BGL_OBJECT_WIDENING(BgL_auxz00_2962);
									}
									((((BgL_globalzf2ginfozf2_bglt) CREF(BgL_auxz00_2961))->
											BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}}
							{	/* Globalize/loc2glo.scm 218 */
								BgL_typez00_bglt BgL_arg4085z00_1281;

								{	/* Globalize/loc2glo.scm 218 */
									BgL_variablez00_bglt BgL_obj1716z00_2060;

									BgL_obj1716z00_2060 =
										((BgL_variablez00_bglt) BgL_localz00_17);
									BgL_arg4085z00_1281 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1716z00_2060)))->BgL_typez00);
								}
								{	/* Globalize/loc2glo.scm 218 */
									BgL_variablez00_bglt BgL_obj1718z00_2061;

									BgL_obj1718z00_2061 =
										((BgL_variablez00_bglt) BgL_globalz00_16);
									((((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1718z00_2061)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg4085z00_1281), BUNSPEC);
							}}
							{	/* Globalize/loc2glo.scm 221 */
								BgL_nodez00_bglt BgL_arg4086z00_1282;

								{	/* Globalize/loc2glo.scm 221 */
									obj_t BgL_arg4087z00_1283;
									obj_t BgL_arg4088z00_1284;

									{	/* Globalize/loc2glo.scm 220 */
										BgL_sfunzf2ginfozf2_bglt BgL_obj3602z00_2064;

										{	/* Globalize/loc2glo.scm 221 */
											BgL_variablez00_bglt BgL_obj1719z00_2063;

											BgL_obj1719z00_2063 =
												((BgL_variablez00_bglt) BgL_localz00_17);
											BgL_obj3602z00_2064 =
												((BgL_sfunzf2ginfozf2_bglt)
												(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1719z00_2063)))->BgL_valuez00));
										}
										{
											obj_t BgL_auxz00_2976;

											{	/* Globalize/loc2glo.scm 220 */
												BgL_objectz00_bglt BgL_auxz00_2977;

												BgL_auxz00_2977 =
													((BgL_objectz00_bglt) BgL_obj3602z00_2064);
												BgL_auxz00_2976 = BGL_OBJECT_WIDENING(BgL_auxz00_2977);
											}
											BgL_arg4087z00_1283 =
												(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2976))->
												BgL_newzd2bodyzd2);
									}}
									if (NULLP(BgL_kapturedz00_19))
										{	/* Globalize/loc2glo.scm 223 */
											BgL_arg4088z00_1284 = BNIL;
										}
									else
										{	/* Globalize/loc2glo.scm 223 */
											obj_t BgL_head3943z00_1289;

											{	/* Globalize/loc2glo.scm 223 */
												obj_t BgL_arg4099z00_1305;

												BgL_arg4099z00_1305 =
													MAKE_PAIR(CAR(BgL_kapturedz00_19),
													CAR(BgL_addzd2argszd2_1278));
												{	/* Globalize/loc2glo.scm 223 */
													obj_t BgL_res4236z00_2071;

													BgL_res4236z00_2071 =
														MAKE_PAIR(BgL_arg4099z00_1305, BNIL);
													BgL_head3943z00_1289 = BgL_res4236z00_2071;
												}
											}
											{	/* Globalize/loc2glo.scm 223 */
												obj_t BgL_g3947z00_1290;
												obj_t BgL_g3948z00_1291;

												BgL_g3947z00_1290 = CDR(BgL_kapturedz00_19);
												BgL_g3948z00_1291 = CDR(BgL_addzd2argszd2_1278);
												{
													obj_t BgL_ll3941z00_1293;
													obj_t BgL_ll3942z00_1294;
													obj_t BgL_tail3944z00_1295;

													BgL_ll3941z00_1293 = BgL_g3947z00_1290;
													BgL_ll3942z00_1294 = BgL_g3948z00_1291;
													BgL_tail3944z00_1295 = BgL_head3943z00_1289;
												BgL_zc3anonymousza34091ze3z83_1296:
													if (NULLP(BgL_ll3941z00_1293))
														{	/* Globalize/loc2glo.scm 223 */
															BgL_arg4088z00_1284 = BgL_head3943z00_1289;
														}
													else
														{	/* Globalize/loc2glo.scm 223 */
															obj_t BgL_newtail3945z00_1298;

															{	/* Globalize/loc2glo.scm 223 */
																obj_t BgL_arg4096z00_1301;

																BgL_arg4096z00_1301 =
																	MAKE_PAIR(CAR(BgL_ll3941z00_1293),
																	CAR(BgL_ll3942z00_1294));
																{	/* Globalize/loc2glo.scm 223 */
																	obj_t BgL_res4238z00_2080;

																	BgL_res4238z00_2080 =
																		MAKE_PAIR(BgL_arg4096z00_1301, BNIL);
																	BgL_newtail3945z00_1298 = BgL_res4238z00_2080;
																}
															}
															SET_CDR(BgL_tail3944z00_1295,
																BgL_newtail3945z00_1298);
															{
																obj_t BgL_tail3944z00_3000;
																obj_t BgL_ll3942z00_2998;
																obj_t BgL_ll3941z00_2996;

																BgL_ll3941z00_2996 = CDR(BgL_ll3941z00_1293);
																BgL_ll3942z00_2998 = CDR(BgL_ll3942z00_1294);
																BgL_tail3944z00_3000 = BgL_newtail3945z00_1298;
																BgL_tail3944z00_1295 = BgL_tail3944z00_3000;
																BgL_ll3942z00_1294 = BgL_ll3942z00_2998;
																BgL_ll3941z00_1293 = BgL_ll3941z00_2996;
																goto BgL_zc3anonymousza34091ze3z83_1296;
															}
														}
												}
											}
										}
									BgL_arg4086z00_1282 =
										BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
										((BgL_nodez00_bglt) BgL_arg4087z00_1283),
										((BgL_variablez00_bglt) BgL_localz00_17),
										BgL_arg4088z00_1284);
								}
								{	/* Globalize/loc2glo.scm 219 */
									obj_t BgL_val2029z00_2086;

									BgL_val2029z00_2086 = ((obj_t) BgL_arg4086z00_1282);
									((((BgL_sfunz00_bglt) CREF(
													((obj_t) BgL_newzd2funzd2_1280)))->BgL_bodyz00) =
										((obj_t) BgL_val2029z00_2086), BUNSPEC);
								}
							}
							{	/* Globalize/loc2glo.scm 224 */
								BgL_variablez00_bglt BgL_obj1722z00_2087;
								BgL_valuez00_bglt BgL_val1720z00_2088;

								BgL_obj1722z00_2087 = ((BgL_variablez00_bglt) BgL_globalz00_16);
								BgL_val1720z00_2088 =
									((BgL_valuez00_bglt) BgL_newzd2funzd2_1280);
								((((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1722z00_2087)))->BgL_valuez00) =
									((BgL_valuez00_bglt) BgL_val1720z00_2088), BUNSPEC);
							}
							return BgL_globalz00_16;
						}
					}
				}
			}
		}
	}



/* the-global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt
		BgL_localz00_21)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 233 */
			{	/* Globalize/loc2glo.scm 234 */
				BgL_valuez00_bglt BgL_valuez00_1355;

				{	/* Globalize/loc2glo.scm 234 */
					BgL_variablez00_bglt BgL_obj1719z00_2089;

					BgL_obj1719z00_2089 = ((BgL_variablez00_bglt) BgL_localz00_21);
					BgL_valuez00_1355 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1719z00_2089)))->BgL_valuez00);
				}
				{	/* Globalize/loc2glo.scm 235 */
					bool_t BgL_testz00_3014;

					{	/* Globalize/loc2glo.scm 235 */
						obj_t BgL_arg4152z00_1375;

						{	/* Globalize/loc2glo.scm 235 */
							BgL_sfunzf2ginfozf2_bglt BgL_obj3596z00_2090;

							BgL_obj3596z00_2090 =
								((BgL_sfunzf2ginfozf2_bglt) BgL_valuez00_1355);
							{
								obj_t BgL_auxz00_3016;

								{	/* Globalize/loc2glo.scm 235 */
									BgL_objectz00_bglt BgL_auxz00_3017;

									BgL_auxz00_3017 = ((BgL_objectz00_bglt) BgL_obj3596z00_2090);
									BgL_auxz00_3016 = BGL_OBJECT_WIDENING(BgL_auxz00_3017);
								}
								BgL_arg4152z00_1375 =
									(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3016))->
									BgL_thezd2globalzd2);
							}
						}
						BgL_testz00_3014 =
							BGl_iszd2azf3z21zz__objectz00(BgL_arg4152z00_1375,
							BGl_globalz00zzast_varz00);
					}
					if (BgL_testz00_3014)
						{	/* Globalize/loc2glo.scm 236 */
							BgL_sfunzf2ginfozf2_bglt BgL_obj3596z00_2093;

							BgL_obj3596z00_2093 =
								((BgL_sfunzf2ginfozf2_bglt) BgL_valuez00_1355);
							{
								obj_t BgL_auxz00_3023;

								{
									obj_t BgL_auxz00_3024;

									{	/* Globalize/loc2glo.scm 236 */
										BgL_objectz00_bglt BgL_auxz00_3025;

										BgL_auxz00_3025 =
											((BgL_objectz00_bglt) BgL_obj3596z00_2093);
										BgL_auxz00_3024 = BGL_OBJECT_WIDENING(BgL_auxz00_3025);
									}
									BgL_auxz00_3023 =
										(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3024))->
										BgL_thezd2globalzd2);
								}
								return ((BgL_globalz00_bglt) BgL_auxz00_3023);
							}
						}
					else
						{	/* Globalize/loc2glo.scm 237 */
							obj_t BgL_lidz00_1357;

							{	/* Globalize/loc2glo.scm 237 */
								obj_t BgL_arg4148z00_1371;

								{	/* Globalize/loc2glo.scm 237 */
									obj_t BgL_arg4149z00_1372;
									obj_t BgL_arg4150z00_1373;

									{	/* Globalize/loc2glo.scm 237 */
										obj_t BgL_res4240z00_2096;

										{	/* Globalize/loc2glo.scm 237 */
											obj_t BgL_symbolz00_2094;

											BgL_symbolz00_2094 = CNST_TABLE_REF(((long) 3));
											{	/* Globalize/loc2glo.scm 237 */
												obj_t BgL_arg2069z00_2095;

												BgL_arg2069z00_2095 =
													SYMBOL_TO_STRING(BgL_symbolz00_2094);
												BgL_res4240z00_2096 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg2069z00_2095);
										}}
										BgL_arg4149z00_1372 = BgL_res4240z00_2096;
									}
									{	/* Globalize/loc2glo.scm 237 */
										obj_t BgL_arg4151z00_1374;

										{	/* Globalize/loc2glo.scm 237 */
											BgL_variablez00_bglt BgL_obj1711z00_2097;

											BgL_obj1711z00_2097 =
												((BgL_variablez00_bglt) BgL_localz00_21);
											BgL_arg4151z00_1374 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1711z00_2097)))->BgL_idz00);
										}
										{	/* Globalize/loc2glo.scm 237 */
											obj_t BgL_res4241z00_2100;

											{	/* Globalize/loc2glo.scm 237 */
												obj_t BgL_arg2069z00_2099;

												BgL_arg2069z00_2099 =
													SYMBOL_TO_STRING(BgL_arg4151z00_1374);
												BgL_res4241z00_2100 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg2069z00_2099);
											}
											BgL_arg4150z00_1373 = BgL_res4241z00_2100;
									}}
									BgL_arg4148z00_1371 =
										string_append(BgL_arg4149z00_1372, BgL_arg4150z00_1373);
								}
								BgL_lidz00_1357 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg4148z00_1371));
							}
							{	/* Globalize/loc2glo.scm 237 */
								obj_t BgL_idz00_1358;

								{	/* Globalize/loc2glo.scm 238 */
									bool_t BgL_testz00_3041;

									{	/* Globalize/loc2glo.scm 238 */
										obj_t BgL_arg4147z00_1370;

										BgL_arg4147z00_1370 =
											BGl_findzd2globalzf2modulez20zzast_envz00(BgL_lidz00_1357,
											BGl_za2moduleza2z00zzmodule_modulez00);
										BgL_testz00_3041 =
											BGl_iszd2azf3z21zz__objectz00(BgL_arg4147z00_1370,
											BGl_globalz00zzast_varz00);
									}
									if (BgL_testz00_3041)
										{	/* Globalize/loc2glo.scm 238 */
											BgL_idz00_1358 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BgL_lidz00_1357);
										}
									else
										{	/* Globalize/loc2glo.scm 238 */
											BgL_idz00_1358 = BgL_lidz00_1357;
										}
								}
								{	/* Globalize/loc2glo.scm 238 */
									BgL_globalz00_bglt BgL_globalz00_1359;

									BgL_globalz00_1359 =
										BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
										(BgL_idz00_1358, BNIL, BNIL,
										BGl_za2moduleza2z00zzmodule_modulez00,
										CNST_TABLE_REF(((long) 4)), CNST_TABLE_REF(((long) 5)),
										CNST_TABLE_REF(((long) 6)), BUNSPEC);
									{	/* Globalize/loc2glo.scm 241 */

										{	/* Globalize/loc2glo.scm 254 */
											BgL_valuez00_bglt BgL_arg4138z00_1360;
											obj_t BgL_arg4139z00_1361;

											{	/* Globalize/loc2glo.scm 254 */
												BgL_variablez00_bglt BgL_obj1719z00_2105;

												BgL_obj1719z00_2105 =
													((BgL_variablez00_bglt) BgL_globalz00_1359);
												BgL_arg4138z00_1360 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1719z00_2105)))->BgL_valuez00);
											}
											{	/* Globalize/loc2glo.scm 254 */
												BgL_sfunz00_bglt BgL_obj2037z00_2106;

												BgL_obj2037z00_2106 =
													((BgL_sfunz00_bglt) BgL_valuez00_1355);
												BgL_arg4139z00_1361 =
													(((BgL_sfunz00_bglt) CREF(
															((obj_t) BgL_obj2037z00_2106)))->BgL_locz00);
											}
											{	/* Globalize/loc2glo.scm 254 */
												BgL_sfunz00_bglt BgL_obj2039z00_2107;

												BgL_obj2039z00_2107 =
													((BgL_sfunz00_bglt) BgL_arg4138z00_1360);
												((((BgL_sfunz00_bglt) CREF(
																((obj_t) BgL_obj2039z00_2107)))->BgL_locz00) =
													((obj_t) BgL_arg4139z00_1361), BUNSPEC);
										}}
										{	/* Globalize/loc2glo.scm 256 */
											BgL_typez00_bglt BgL_arg4140z00_1362;

											{	/* Globalize/loc2glo.scm 256 */
												BgL_variablez00_bglt BgL_obj1716z00_2109;

												BgL_obj1716z00_2109 =
													((BgL_variablez00_bglt) BgL_localz00_21);
												BgL_arg4140z00_1362 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1716z00_2109)))->BgL_typez00);
											}
											{	/* Globalize/loc2glo.scm 256 */
												BgL_variablez00_bglt BgL_obj1718z00_2110;

												BgL_obj1718z00_2110 =
													((BgL_variablez00_bglt) BgL_globalz00_1359);
												((((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1718z00_2110)))->BgL_typez00) =
													((BgL_typez00_bglt) BgL_arg4140z00_1362), BUNSPEC);
										}}
										{	/* Globalize/loc2glo.scm 258 */
											bool_t BgL_testz00_3064;

											{	/* Globalize/loc2glo.scm 258 */
												BgL_variablez00_bglt BgL_obj1738z00_2112;

												BgL_obj1738z00_2112 =
													((BgL_variablez00_bglt) BgL_localz00_21);
												BgL_testz00_3064 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1738z00_2112)))->BgL_userzf3zf3);
											}
											if (BgL_testz00_3064)
												{	/* Globalize/loc2glo.scm 258 */
													BFALSE;
												}
											else
												{	/* Globalize/loc2glo.scm 259 */
													BgL_variablez00_bglt BgL_obj1740z00_2113;

													BgL_obj1740z00_2113 =
														((BgL_variablez00_bglt) BgL_globalz00_1359);
													((((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1740z00_2113)))->
															BgL_userzf3zf3) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
												}
										}
										{	/* Globalize/loc2glo.scm 260 */
											BgL_globalz00_bglt BgL_obj3905z00_1364;

											BgL_obj3905z00_1364 =
												((BgL_globalz00_bglt) BgL_globalz00_1359);
											{	/* Globalize/loc2glo.scm 260 */
												obj_t BgL_arg4142z00_1365;

												BgL_arg4142z00_1365 =
													BGl_wideningzd2globalzf2Ginfoz20zzglobaliza7e_ginfoza7
													(((bool_t) 0), BFALSE);
												{	/* Globalize/loc2glo.scm 260 */
													BgL_objectz00_bglt BgL_auxz00_3073;

													BgL_auxz00_3073 =
														((BgL_objectz00_bglt) BgL_obj3905z00_1364);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_3073,
														BgL_arg4142z00_1365);
												}
											}
											{	/* Globalize/loc2glo.scm 260 */
												long BgL_arg4143z00_1366;

												BgL_arg4143z00_1366 =
													BGl_classzd2numzd2zz__objectz00
													(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
												{	/* Globalize/loc2glo.scm 260 */
													BgL_objectz00_bglt BgL_objz00_2115;

													BgL_objz00_2115 =
														((BgL_objectz00_bglt) BgL_obj3905z00_1364);
													BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2115,
														BgL_arg4143z00_1366);
											}} BgL_obj3905z00_1364;
										}
										{	/* Globalize/loc2glo.scm 261 */
											BgL_valuez00_bglt BgL_arg4144z00_1367;
											obj_t BgL_arg4145z00_1368;

											{	/* Globalize/loc2glo.scm 261 */
												BgL_variablez00_bglt BgL_obj1719z00_2117;

												BgL_obj1719z00_2117 =
													((BgL_variablez00_bglt) BgL_globalz00_1359);
												BgL_arg4144z00_1367 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1719z00_2117)))->BgL_valuez00);
											}
											{	/* Globalize/loc2glo.scm 262 */
												BgL_funz00_bglt BgL_obj1959z00_2118;

												BgL_obj1959z00_2118 =
													((BgL_funz00_bglt) BgL_valuez00_1355);
												BgL_arg4145z00_1368 =
													(((BgL_funz00_bglt) CREF(
															((obj_t) BgL_obj1959z00_2118)))->
													BgL_sidezd2effectzd2);
											}
											{	/* Globalize/loc2glo.scm 261 */
												BgL_funz00_bglt BgL_obj1961z00_2119;

												BgL_obj1961z00_2119 =
													((BgL_funz00_bglt) BgL_arg4144z00_1367);
												((((BgL_funz00_bglt) CREF(
																((obj_t) BgL_obj1961z00_2119)))->
														BgL_sidezd2effectzd2) =
													((obj_t) BgL_arg4145z00_1368), BUNSPEC);
										}}
										{	/* Globalize/loc2glo.scm 263 */
											BgL_sfunzf2ginfozf2_bglt BgL_obj3598z00_2121;
											obj_t BgL_val3597z00_2122;

											BgL_obj3598z00_2121 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_valuez00_1355);
											BgL_val3597z00_2122 = ((obj_t) BgL_globalz00_1359);
											{
												obj_t BgL_auxz00_3090;

												{	/* Globalize/loc2glo.scm 263 */
													BgL_objectz00_bglt BgL_auxz00_3091;

													BgL_auxz00_3091 =
														((BgL_objectz00_bglt) BgL_obj3598z00_2121);
													BgL_auxz00_3090 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3091);
												}
												((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3090))->
														BgL_thezd2globalzd2) =
													((obj_t) BgL_val3597z00_2122), BUNSPEC);
										}}
										return BgL_globalz00_1359;
									}
								}
							}
						}
				}
			}
		}
	}



/* &the-global */
	BgL_globalz00_bglt
		BGl_z62thezd2globalzb0zzglobaliza7e_localzd2ze3globalz96(obj_t
		BgL_envz00_2125, obj_t BgL_localz00_2126)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 233 */
			return
				BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(
				((BgL_localz00_bglt) BgL_localz00_2126));
		}
	}



/* variable-value */
	BgL_valuez00_bglt
		BGl_variablezd2valuezd2zzglobaliza7e_localzd2ze3globalz96
		(BgL_variablez00_bglt BgL_obj1719z00_801)
	{
		AN_OBJECT;
		{	/* Ast/var.scm 21 */
			return
				(((BgL_variablez00_bglt) CREF(
						((obj_t) BgL_obj1719z00_801)))->BgL_valuez00);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_localzd2ze3globalz96()
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96()
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96()
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzobject_methodz00(((long) 530519242),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 176245486),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(((long) 2706117),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(((long)
					244215788),
				BSTRING_TO_STRING(BGl_string4244z00zzglobaliza7e_localzd2ze3globalz96));
		}
	}

#ifdef __cplusplus
}
#endif
