/*===========================================================================*/
/*   (Inline/app.scm)                                                        */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/app.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	extern bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_appz00();
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33470ze3ze1zzinline_appz00(obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_za2inlinedzd2callsza2zd2zzinline_walkz00;
	extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_appz00 = BUNSPEC;
	extern obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_zc3exitza33468ze3z83zzinline_appz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzinline_appz00();
	extern obj_t BGl_za2userzd2inliningzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt, long, long,
		obj_t);
	extern obj_t BGl_za2inliningzf3za2zf3zzengine_paramz00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	static obj_t BGl_z62inlinezd2appzf3z43zzinline_appz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern long BGl_nodezd2siza7ez75zzinline_siza7eza7(BgL_nodez00_bglt);
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinline_appz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_appz00();
	extern obj_t BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_appz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt, long, obj_t);
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_za2inlinezd2modeza2zd2zzinline_walkz00;
	static BgL_nodez00_bglt BGl_z62inlinezd2appzb0zzinline_appz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2appzd2envz00zzinline_appz00,
		BgL_bgl_za762inlineza7d2appza73563za7,
		BGl_z62inlinezd2appzb0zzinline_appz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3558z00zzinline_appz00,
		BgL_bgl_string3558za700za7za7i3564za7, "simple", 6);
	      DEFINE_STRING(BGl_string3559z00zzinline_appz00,
		BgL_bgl_string3559za700za7za7i3565za7, "inline_app", 10);
	      DEFINE_STRING(BGl_string3560z00zzinline_appz00,
		BgL_bgl_string3560za700za7za7i3566za7,
		"import predicate reducer sgfun all snifun sifun ", 48);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2appzf3zd2envzf3zzinline_appz00,
		BgL_bgl_za762inlineza7d2appza73567za7,
		BGl_z62inlinezd2appzf3z43zzinline_appz00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long
		BgL_checksumz00_1397, char *BgL_fromz00_1398)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_appz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_appz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_appz00();
					BGl_cnstzd2initzd2zzinline_appz00();
					BGl_importedzd2moduleszd2initz00zzinline_appz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_appz00()
	{
		AN_OBJECT;
		{	/* Inline/app.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "inline_app");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "inline_app");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_appz00()
	{
		AN_OBJECT;
		{	/* Inline/app.scm 15 */
			{	/* Inline/app.scm 15 */
				obj_t BgL_cportz00_1388;

				BgL_cportz00_1388 =
					bgl_open_input_string(BGl_string3560z00zzinline_appz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1389;

					BgL_iz00_1389 = ((long) 6);
				BgL_loopz00_1390:
					if ((BgL_iz00_1389 == ((long) -1)))
						{	/* Inline/app.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/app.scm 15 */
							{	/* Inline/app.scm 15 */
								obj_t BgL_arg3562z00_1392;

								{	/* Inline/app.scm 15 */

									{	/* Inline/app.scm 15 */
										obj_t BgL_locationz00_1394;

										BgL_locationz00_1394 = BBOOL(((bool_t) 0));
										{	/* Inline/app.scm 15 */

											BgL_arg3562z00_1392 =
												BGl_readz00zz__readerz00(BgL_cportz00_1388,
												BgL_locationz00_1394);
										}
									}
								}
								{	/* Inline/app.scm 15 */
									int BgL_auxz00_1415;

									BgL_auxz00_1415 = (int) (BgL_iz00_1389);
									CNST_TABLE_SET(BgL_auxz00_1415, BgL_arg3562z00_1392);
							}}
							{	/* Inline/app.scm 15 */
								int BgL_auxz00_1395;

								BgL_auxz00_1395 = (int) ((BgL_iz00_1389 - ((long) 1)));
								{
									long BgL_iz00_1420;

									BgL_iz00_1420 = (long) (BgL_auxz00_1395);
									BgL_iz00_1389 = BgL_iz00_1420;
									goto BgL_loopz00_1390;
								}
							}
						}
				}
			}
		}
	}



/* inline-app */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt BgL_nodez00_3,
		long BgL_kfactorz00_4, obj_t BgL_stackz00_5)
	{
		AN_OBJECT;
		{	/* Inline/app.scm 34 */
			{	/* Inline/app.scm 35 */
				BgL_varz00_bglt BgL_calleez00_834;

				BgL_calleez00_834 =
					(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_3)))->BgL_funz00);
				{	/* Inline/app.scm 35 */
					BgL_variablez00_bglt BgL_varz00_835;

					BgL_varz00_835 =
						(((BgL_varz00_bglt) CREF(
								((obj_t) BgL_calleez00_834)))->BgL_variablez00);
					{	/* Inline/app.scm 36 */
						BgL_valuez00_bglt BgL_sfunz00_836;

						BgL_sfunz00_836 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_varz00_835)))->BgL_valuez00);
						{	/* Inline/app.scm 39 */

							{	/* Inline/app.scm 44 */
								bool_t BgL_testz00_1428;

								{	/* Inline/app.scm 44 */
									bool_t BgL_res3549z00_1297;

									{	/* Inline/app.scm 44 */
										obj_t BgL_obj2001z00_1296;

										BgL_obj2001z00_1296 = ((obj_t) BgL_sfunz00_836);
										BgL_res3549z00_1297 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_1296,
											BGl_sfunz00zzast_varz00);
									}
									BgL_testz00_1428 = BgL_res3549z00_1297;
								}
								if (BgL_testz00_1428)
									{	/* Inline/app.scm 46 */
										bool_t BgL_testz00_1431;

										{	/* Inline/app.scm 48 */
											long BgL_arg3465z00_844;

											BgL_arg3465z00_844 =
												(((long) 1) +
												bgl_list_length(
													(((BgL_appz00_bglt) CREF(
																((obj_t) BgL_nodez00_3)))->BgL_argsz00)));
											BgL_testz00_1431 =
												BGl_inlinezd2appzf3z21zzinline_appz00(BgL_varz00_835,
												BgL_kfactorz00_4, BgL_arg3465z00_844, BgL_stackz00_5);
										}
										if (BgL_testz00_1431)
											{	/* Inline/app.scm 46 */
												{	/* Inline/app.scm 51 */
													bool_t BgL_testz00_1437;

													{	/* Inline/app.scm 51 */
														obj_t BgL_auxz00_1438;

														{	/* Inline/app.scm 51 */
															BgL_sfunz00_bglt BgL_obj1927z00_1302;

															BgL_obj1927z00_1302 =
																((BgL_sfunz00_bglt) BgL_sfunz00_836);
															BgL_auxz00_1438 =
																(((BgL_sfunz00_bglt) CREF(
																		((obj_t) BgL_obj1927z00_1302)))->
																BgL_classz00);
														}
														BgL_testz00_1437 =
															(BgL_auxz00_1438 == CNST_TABLE_REF(((long) 0)));
													}
													if (BgL_testz00_1437)
														{	/* Inline/app.scm 51 */
															BFALSE;
														}
													else
														{	/* Inline/app.scm 52 */
															long BgL_za71za7_1303;

															BgL_za71za7_1303 =
																(long)
																CINT
																(BGl_za2inlinedzd2callsza2zd2zzinline_walkz00);
															BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 =
																BINT((BgL_za71za7_1303 + ((long) 1)));
												}}
												{	/* Inline/app.scm 53 */
													bool_t BgL_testz00_1447;

													if (CBOOL
														(BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00))
														{	/* Inline/app.scm 53 */
															BgL_testz00_1447 =
																BGl_iszd2recursivezf3z21zzinline_recursionz00
																(BgL_varz00_835);
														}
													else
														{	/* Inline/app.scm 53 */
															BgL_testz00_1447 = ((bool_t) 0);
														}
													if (BgL_testz00_1447)
														{	/* Inline/app.scm 53 */
															return
																BGl_inlinezd2appzd2recursivez00zzinline_recursionz00
																(((BgL_nodez00_bglt) BgL_nodez00_3),
																BgL_kfactorz00_4, BgL_stackz00_5);
														}
													else
														{	/* Inline/app.scm 53 */
															return
																BGl_inlinezd2appzd2simplez00zzinline_simplez00(
																((BgL_nodez00_bglt) BgL_nodez00_3),
																BgL_kfactorz00_4, BgL_stackz00_5,
																BGl_string3558z00zzinline_appz00);
														}
												}
											}
										else
											{	/* Inline/app.scm 46 */
												return ((BgL_nodez00_bglt) BgL_nodez00_3);
											}
									}
								else
									{	/* Inline/app.scm 44 */
										return ((BgL_nodez00_bglt) BgL_nodez00_3);
									}
							}
						}
					}
				}
			}
		}
	}



/* &inline-app */
	BgL_nodez00_bglt BGl_z62inlinezd2appzb0zzinline_appz00(obj_t BgL_envz00_1333,
		obj_t BgL_nodez00_1334, obj_t BgL_kfactorz00_1335, obj_t BgL_stackz00_1336)
	{
		AN_OBJECT;
		{	/* Inline/app.scm 34 */
			return
				BGl_inlinezd2appzd2zzinline_appz00(
				((BgL_appz00_bglt) BgL_nodez00_1334),
				(long) CINT(BgL_kfactorz00_1335), BgL_stackz00_1336);
		}
	}



/* <exit:3468> */
	obj_t BGl_zc3exitza33468ze3z83zzinline_appz00(obj_t BgL_nodez00_1346)
	{
		AN_OBJECT;
		{	/* Inline/app.scm 62 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit3452z00_848;

			if (SET_EXIT(BgL_an_exit3452z00_848))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit3452z00_848 = (void *) jmpbuf;
					{	/* Inline/app.scm 62 */

						PUSH_EXIT(BgL_an_exit3452z00_848, ((long) 1));
						{	/* Inline/app.scm 62 */
							obj_t BgL_an_exitd3453z00_849;

							BgL_an_exitd3453z00_849 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Inline/app.scm 63 */
								bool_t BgL_res3455z00_852;

								{	/* Inline/app.scm 63 */
									obj_t BgL_zc3anonymousza33470ze3z83_1337;

									BgL_zc3anonymousza33470ze3z83_1337 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33470ze3ze1zzinline_appz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza33470ze3z83_1337,
										(int) (((long) 0)), BgL_an_exitd3453z00_849);
									BGl_nodezd2walkzd2zzast_nodez00(((BgL_nodez00_bglt)
											BgL_nodez00_1346), BgL_zc3anonymousza33470ze3z83_1337);
								}
								BgL_res3455z00_852 = ((bool_t) 0);
								POP_EXIT();
								return BBOOL(BgL_res3455z00_852);
							}
						}
					}
				}
		}
	}



/* &<anonymous:3470> */
	obj_t BGl_z62zc3anonymousza33470ze3ze1zzinline_appz00(obj_t BgL_envz00_1338,
		obj_t BgL_nz00_1340)
	{
		AN_OBJECT;
		{	/* Inline/app.scm 63 */
			{	/* Inline/app.scm 63 */
				obj_t BgL_an_exitd3453z00_1339;

				BgL_an_exitd3453z00_1339 =
					PROCEDURE_REF(BgL_envz00_1338, (int) (((long) 0)));
				{
					obj_t BgL_nz00_854;

					BgL_nz00_854 = BgL_nz00_1340;
					if (BGl_iszd2azf3z21zz__objectz00(BgL_nz00_854,
							BGl_kwotez00zzast_nodez00))
						{	/* Inline/app.scm 63 */
							return
								BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd3453z00_1339,
								BTRUE);
						}
					else
						{	/* Inline/app.scm 63 */
							return BFALSE;
						}
				}
			}
		}
	}



/* inline-app? */
	BGL_EXPORTED_DEF bool_t
		BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt BgL_varz00_7,
		long BgL_kfactorz00_8, long BgL_callzd2siza7ez75_9, obj_t BgL_stackz00_10)
	{
		AN_OBJECT;
		{	/* Inline/app.scm 69 */
			{	/* Inline/app.scm 78 */
				BgL_valuez00_bglt BgL_sfunz00_858;

				BgL_sfunz00_858 =
					(((BgL_variablez00_bglt) CREF(((obj_t) BgL_varz00_7)))->BgL_valuez00);
				{	/* Inline/app.scm 78 */
					obj_t BgL_bodyz00_859;

					{	/* Inline/app.scm 79 */
						bool_t BgL_testz00_1480;

						{	/* Inline/app.scm 79 */
							bool_t BgL_res3553z00_1312;

							{	/* Inline/app.scm 79 */
								obj_t BgL_obj3393z00_1311;

								BgL_obj3393z00_1311 = ((obj_t) BgL_sfunz00_858);
								BgL_res3553z00_1312 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj3393z00_1311,
									BGl_isfunz00zzinline_inlinez00);
							}
							BgL_testz00_1480 = BgL_res3553z00_1312;
						}
						if (BgL_testz00_1480)
							{	/* Inline/app.scm 80 */
								BgL_isfunz00_bglt BgL_obj3394z00_1313;

								BgL_obj3394z00_1313 = ((BgL_isfunz00_bglt) BgL_sfunz00_858);
								{
									BgL_nodez00_bglt BgL_auxz00_1484;

									{
										obj_t BgL_auxz00_1485;

										{	/* Inline/app.scm 80 */
											BgL_objectz00_bglt BgL_auxz00_1486;

											BgL_auxz00_1486 =
												((BgL_objectz00_bglt) BgL_obj3394z00_1313);
											BgL_auxz00_1485 = BGL_OBJECT_WIDENING(BgL_auxz00_1486);
										}
										BgL_auxz00_1484 =
											(((BgL_isfunz00_bglt) CREF(BgL_auxz00_1485))->
											BgL_originalzd2bodyzd2);
									}
									BgL_bodyz00_859 = ((obj_t) BgL_auxz00_1484);
								}
							}
						else
							{	/* Inline/app.scm 81 */
								BgL_sfunz00_bglt BgL_obj1924z00_1314;

								BgL_obj1924z00_1314 = ((BgL_sfunz00_bglt) BgL_sfunz00_858);
								BgL_bodyz00_859 =
									(((BgL_sfunz00_bglt) CREF(
											((obj_t) BgL_obj1924z00_1314)))->BgL_bodyz00);
							}
					}
					{	/* Inline/app.scm 79 */

						if (CBOOL(BGl_za2inliningzf3za2zf3zzengine_paramz00))
							{	/* Inline/app.scm 88 */
								bool_t BgL_testz00_1496;

								if (CBOOL
									(BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00))
									{	/* Inline/app.scm 88 */
										if (CBOOL
											(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
											{	/* Inline/app.scm 89 */
												BgL_testz00_1496 = ((bool_t) 0);
											}
										else
											{	/* Inline/app.scm 89 */
												BgL_testz00_1496 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
														((obj_t) BgL_varz00_7), BgL_stackz00_10));
											}
									}
								else
									{	/* Inline/app.scm 88 */
										BgL_testz00_1496 = ((bool_t) 0);
									}
								if (BgL_testz00_1496)
									{	/* Inline/app.scm 88 */
										return ((bool_t) 0);
									}
								else
									{	/* Inline/app.scm 93 */
										bool_t BgL_testz00_1504;

										{	/* Inline/app.scm 93 */
											obj_t BgL_auxz00_1505;

											{	/* Inline/app.scm 93 */
												BgL_sfunz00_bglt BgL_obj1927z00_1315;

												BgL_obj1927z00_1315 =
													((BgL_sfunz00_bglt) BgL_sfunz00_858);
												BgL_auxz00_1505 =
													(((BgL_sfunz00_bglt) CREF(
															((obj_t) BgL_obj1927z00_1315)))->BgL_classz00);
											}
											BgL_testz00_1504 =
												(BgL_auxz00_1505 == CNST_TABLE_REF(((long) 1)));
										}
										if (BgL_testz00_1504)
											{	/* Inline/app.scm 93 */
												return ((bool_t) 0);
											}
										else
											{	/* Inline/app.scm 98 */
												bool_t BgL_testz00_1511;

												if (
													(BGl_za2inlinezd2modeza2zd2zzinline_walkz00 ==
														CNST_TABLE_REF(((long) 2))))
													{	/* Inline/app.scm 98 */
														BgL_testz00_1511 = ((bool_t) 0);
													}
												else
													{	/* Inline/app.scm 99 */
														bool_t BgL_testz00_1515;

														{	/* Inline/app.scm 99 */
															obj_t BgL_auxz00_1516;

															{	/* Inline/app.scm 99 */
																BgL_sfunz00_bglt BgL_obj1927z00_1316;

																BgL_obj1927z00_1316 =
																	((BgL_sfunz00_bglt) BgL_sfunz00_858);
																BgL_auxz00_1516 =
																	(((BgL_sfunz00_bglt) CREF(
																			((obj_t) BgL_obj1927z00_1316)))->
																	BgL_classz00);
															}
															BgL_testz00_1515 =
																(BgL_auxz00_1516 == CNST_TABLE_REF(((long) 0)));
														}
														if (BgL_testz00_1515)
															{	/* Inline/app.scm 99 */
																BgL_testz00_1511 =
																	BGl_iszd2recursivezf3z21zzinline_recursionz00
																	(BgL_varz00_7);
															}
														else
															{	/* Inline/app.scm 99 */
																BgL_testz00_1511 = ((bool_t) 0);
															}
													}
												if (BgL_testz00_1511)
													{	/* Inline/app.scm 98 */
														return ((bool_t) 0);
													}
												else
													{	/* Inline/app.scm 105 */
														bool_t BgL_testz00_1523;

														{	/* Inline/app.scm 105 */
															obj_t BgL_auxz00_1524;

															{	/* Inline/app.scm 105 */
																BgL_sfunz00_bglt BgL_obj1927z00_1317;

																BgL_obj1927z00_1317 =
																	((BgL_sfunz00_bglt) BgL_sfunz00_858);
																BgL_auxz00_1524 =
																	(((BgL_sfunz00_bglt) CREF(
																			((obj_t) BgL_obj1927z00_1317)))->
																	BgL_classz00);
															}
															BgL_testz00_1523 =
																(BgL_auxz00_1524 == CNST_TABLE_REF(((long) 3)));
														}
														if (BgL_testz00_1523)
															{	/* Inline/app.scm 105 */
																return ((bool_t) 0);
															}
														else
															{	/* Inline/app.scm 110 */
																bool_t BgL_testz00_1530;

																{	/* Inline/app.scm 110 */
																	bool_t BgL_testz00_1531;

																	{	/* Inline/app.scm 110 */
																		obj_t BgL_auxz00_1532;

																		{	/* Inline/app.scm 110 */
																			BgL_sfunz00_bglt BgL_obj1927z00_1318;

																			BgL_obj1927z00_1318 =
																				((BgL_sfunz00_bglt) BgL_sfunz00_858);
																			BgL_auxz00_1532 =
																				(((BgL_sfunz00_bglt) CREF(
																						((obj_t) BgL_obj1927z00_1318)))->
																				BgL_classz00);
																		}
																		BgL_testz00_1531 =
																			(BgL_auxz00_1532 ==
																			CNST_TABLE_REF(((long) 0)));
																	}
																	if (BgL_testz00_1531)
																		{	/* Inline/app.scm 110 */
																			if (CBOOL
																				(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																					(((obj_t) BgL_varz00_7),
																						BgL_stackz00_10)))
																				{	/* Inline/app.scm 111 */
																					BgL_testz00_1530 = ((bool_t) 0);
																				}
																			else
																				{	/* Inline/app.scm 112 */
																					bool_t BgL_testz00_1542;

																					if (
																						(BGl_za2inlinezd2modeza2zd2zzinline_walkz00
																							== CNST_TABLE_REF(((long) 4))))
																						{	/* Inline/app.scm 113 */
																							bool_t BgL_testz00_1546;

																							{	/* Inline/app.scm 113 */
																								obj_t BgL_arg3493z00_882;

																								{	/* Inline/app.scm 113 */
																									BgL_sfunz00_bglt
																										BgL_obj1924z00_1319;
																									BgL_obj1924z00_1319 =
																										((BgL_sfunz00_bglt)
																										BgL_sfunz00_858);
																									BgL_arg3493z00_882 =
																										(((BgL_sfunz00_bglt)
																											CREF(((obj_t)
																													BgL_obj1924z00_1319)))->
																										BgL_bodyz00);
																								}
																								BgL_testz00_1546 =
																									CBOOL
																									(BGl_zc3exitza33468ze3z83zzinline_appz00
																									(BgL_arg3493z00_882));
																							}
																							if (BgL_testz00_1546)
																								{	/* Inline/app.scm 113 */
																									BgL_testz00_1542 =
																										((bool_t) 0);
																								}
																							else
																								{	/* Inline/app.scm 113 */
																									BgL_testz00_1542 =
																										((bool_t) 1);
																								}
																						}
																					else
																						{	/* Inline/app.scm 112 */
																							BgL_testz00_1542 = ((bool_t) 1);
																						}
																					if (BgL_testz00_1542)
																						{	/* Inline/app.scm 114 */
																							bool_t BgL__ortest_3456z00_878;

																							if (
																								(BGl_za2inlinezd2modeza2zd2zzinline_walkz00
																									==
																									CNST_TABLE_REF(((long) 5))))
																								{	/* Inline/app.scm 114 */
																									BgL__ortest_3456z00_878 =
																										((bool_t) 0);
																								}
																							else
																								{	/* Inline/app.scm 114 */
																									BgL__ortest_3456z00_878 =
																										((bool_t) 1);
																								}
																							if (BgL__ortest_3456z00_878)
																								{	/* Inline/app.scm 114 */
																									BgL_testz00_1530 =
																										BgL__ortest_3456z00_878;
																								}
																							else
																								{	/* Inline/app.scm 115 */
																									BgL_funz00_bglt
																										BgL_obj1858z00_1320;
																									BgL_obj1858z00_1320 =
																										((BgL_funz00_bglt)
																										BgL_sfunz00_858);
																									BgL_testz00_1530 =
																										CBOOL((((BgL_funz00_bglt)
																												CREF(((obj_t)
																														BgL_obj1858z00_1320)))->
																											BgL_predicatezd2ofzd2));
																								}
																						}
																					else
																						{	/* Inline/app.scm 112 */
																							BgL_testz00_1530 = ((bool_t) 0);
																						}
																				}
																		}
																	else
																		{	/* Inline/app.scm 110 */
																			BgL_testz00_1530 = ((bool_t) 0);
																		}
																}
																if (BgL_testz00_1530)
																	{	/* Inline/app.scm 110 */
																		return ((bool_t) 1);
																	}
																else
																	{	/* Inline/app.scm 120 */
																		bool_t BgL_testz00_1560;

																		{	/* Inline/app.scm 120 */
																			bool_t BgL_testz00_1561;

																			{	/* Inline/app.scm 120 */
																				bool_t BgL_res3554z00_1322;

																				{	/* Inline/app.scm 120 */
																					obj_t BgL_obj1786z00_1321;

																					BgL_obj1786z00_1321 =
																						((obj_t) BgL_varz00_7);
																					BgL_res3554z00_1322 =
																						BGl_iszd2azf3z21zz__objectz00
																						(BgL_obj1786z00_1321,
																						BGl_globalz00zzast_varz00);
																				}
																				BgL_testz00_1561 = BgL_res3554z00_1322;
																			}
																			if (BgL_testz00_1561)
																				{	/* Inline/app.scm 120 */
																					obj_t BgL_auxz00_1564;

																					{	/* Inline/app.scm 120 */
																						BgL_globalz00_bglt
																							BgL_obj1701z00_1323;
																						BgL_obj1701z00_1323 =
																							((BgL_globalz00_bglt)
																							BgL_varz00_7);
																						BgL_auxz00_1564 =
																							(((BgL_globalz00_bglt)
																								CREF(((obj_t)
																										BgL_obj1701z00_1323)))->
																							BgL_importz00);
																					}
																					BgL_testz00_1560 =
																						(BgL_auxz00_1564 ==
																						CNST_TABLE_REF(((long) 6)));
																				}
																			else
																				{	/* Inline/app.scm 120 */
																					BgL_testz00_1560 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_1560)
																			{	/* Inline/app.scm 120 */
																				return ((bool_t) 0);
																			}
																		else
																			{	/* Inline/app.scm 120 */
																				if (CBOOL
																					(BGl_za2userzd2inliningzf3za2z21zzengine_paramz00))
																					{	/* Inline/app.scm 129 */
																						bool_t BgL_testz00_1572;

																						{	/* Inline/app.scm 129 */
																							long BgL_arg3483z00_871;
																							long BgL_arg3484z00_872;

																							BgL_arg3483z00_871 =
																								BGl_nodezd2siza7ez75zzinline_siza7eza7
																								(((BgL_nodez00_bglt)
																									BgL_bodyz00_859));
																							BgL_arg3484z00_872 =
																								(BgL_kfactorz00_8 *
																								BgL_callzd2siza7ez75_9);
																							BgL_testz00_1572 =
																								(BgL_arg3483z00_871 <
																								BgL_arg3484z00_872);
																						}
																						if (BgL_testz00_1572)
																							{	/* Inline/app.scm 129 */
																								return ((bool_t) 1);
																							}
																						else
																							{	/* Inline/app.scm 142 */
																								bool_t BgL_testz00_1577;

																								{	/* Inline/app.scm 142 */
																									bool_t BgL_testz00_1578;

																									{	/* Inline/app.scm 142 */
																										long BgL_arg3482z00_870;

																										BgL_arg3482z00_870 =
																											BGl_nodezd2siza7ez75zzinline_siza7eza7
																											(((BgL_nodez00_bglt)
																												BgL_bodyz00_859));
																										BgL_testz00_1578 =
																											(BgL_arg3482z00_870 ==
																											BgL_callzd2siza7ez75_9);
																									}
																									if (BgL_testz00_1578)
																										{	/* Inline/app.scm 142 */
																											if (CBOOL
																												(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																													(((obj_t)
																															BgL_varz00_7),
																														BgL_stackz00_10)))
																												{	/* Inline/app.scm 142 */
																													BgL_testz00_1577 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Inline/app.scm 142 */
																													BgL_testz00_1577 =
																														((bool_t) 1);
																												}
																										}
																									else
																										{	/* Inline/app.scm 142 */
																											BgL_testz00_1577 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_testz00_1577)
																									{	/* Inline/app.scm 142 */
																										return ((bool_t) 1);
																									}
																								else
																									{	/* Inline/app.scm 142 */
																										return ((bool_t) 0);
																									}
																							}
																					}
																				else
																					{	/* Inline/app.scm 125 */
																						return ((bool_t) 0);
																					}
																			}
																	}
															}
													}
											}
									}
							}
						else
							{	/* Inline/app.scm 83 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
	}



/* &inline-app? */
	obj_t BGl_z62inlinezd2appzf3z43zzinline_appz00(obj_t BgL_envz00_1341,
		obj_t BgL_varz00_1342, obj_t BgL_kfactorz00_1343,
		obj_t BgL_callzd2siza7ez75_1344, obj_t BgL_stackz00_1345)
	{
		AN_OBJECT;
		{	/* Inline/app.scm 69 */
			return
				BBOOL(BGl_inlinezd2appzf3z21zzinline_appz00(
					((BgL_variablez00_bglt) BgL_varz00_1342),
					(long) CINT(BgL_kfactorz00_1343),
					(long) CINT(BgL_callzd2siza7ez75_1344), BgL_stackz00_1345));
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_appz00()
	{
		AN_OBJECT;
		{	/* Inline/app.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_appz00()
	{
		AN_OBJECT;
		{	/* Inline/app.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_appz00()
	{
		AN_OBJECT;
		{	/* Inline/app.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3559z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3559z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3559z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3559z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3559z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3559z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3559z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string3559z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string3559z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_siza7eza7(((long) 9959518),
				BSTRING_TO_STRING(BGl_string3559z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_simplez00(((long) 221468907),
				BSTRING_TO_STRING(BGl_string3559z00zzinline_appz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_recursionz00(((long)
					101873001), BSTRING_TO_STRING(BGl_string3559z00zzinline_appz00));
		}
	}

#ifdef __cplusplus
}
#endif
