/*===========================================================================*/
/*   (Ast/check_sharing.scm)                                                 */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/check_sharing.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2m3729zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharing3695z62zzast_checkzd2sharingzd2(obj_t,
		BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2resetz12za2zzast_checkzd2sharingzd2(obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static bool_t BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(obj_t,
		BgL_nodez00_bglt);
	static obj_t BGl_z62checkzd2nodezd2sharingz62zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzast_checkzd2sharingzd2();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2a3700zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_appz00_bglt, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2a3703zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2b3731zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	static obj_t BGl_z62checkzd2sharingzb0zzast_checkzd2sharingzd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2c3709zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_castz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(BgL_nodez00_bglt,
		obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2c3713zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2s3711zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_setqz00_bglt, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2s3717zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_selectz00_bglt, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2s3725zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2checkzd2sharingzd2passza2z00zzast_checkzd2sharingzd2 =
		BUNSPEC;
	BGL_IMPORT obj_t bgl_find_runtime_type(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2e3707zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_externz00_bglt, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_checkzd2sharingzd2 =
		BUNSPEC;
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2f3705zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_funcallz00_bglt, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2f3715zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_failz00_bglt, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_checkzd2sharingzd2();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_checkzd2sharingzd2();
	BGL_EXPORTED_DECL obj_t
		BGl_checkzd2nodezd2sharingzd2resetz12zc0zzast_checkzd2sharingzd2();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_za2compilerzd2sharingzd2debugzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2j3727zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_checkzd2sharingzd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2sharingzd2();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2sharingzd2();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2l3720zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2l3722zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2s3698zb0zzast_checkzd2sharingzd2(obj_t,
		BgL_sequencez00_bglt, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3900z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73913za7,
		BGl_z62checkzd2nodezd2sharingzd2c3713zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3901z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73914za7,
		BGl_z62checkzd2nodezd2sharingzd2f3715zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3902z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73915za7,
		BGl_z62checkzd2nodezd2sharingzd2s3717zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3903z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73916za7,
		BGl_z62checkzd2nodezd2sharingzd2l3720zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3904z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73917za7,
		BGl_z62checkzd2nodezd2sharingzd2l3722zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3905z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73918za7,
		BGl_z62checkzd2nodezd2sharingzd2s3725zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3906z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73919za7,
		BGl_z62checkzd2nodezd2sharingzd2j3727zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3907z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73920za7,
		BGl_z62checkzd2nodezd2sharingzd2m3729zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3908z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73921za7,
		BGl_z62checkzd2nodezd2sharingzd2b3731zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3880z00zzast_checkzd2sharingzd2,
		BgL_bgl_string3880za700za7za7a3922za7, " error", 6);
	      DEFINE_STRING(BGl_string3881z00zzast_checkzd2sharingzd2,
		BgL_bgl_string3881za700za7za7a3923za7, "s", 1);
	      DEFINE_STRING(BGl_string3882z00zzast_checkzd2sharingzd2,
		BgL_bgl_string3882za700za7za7a3924za7, "", 0);
	      DEFINE_STRING(BGl_string3883z00zzast_checkzd2sharingzd2,
		BgL_bgl_string3883za700za7za7a3925za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string3884z00zzast_checkzd2sharingzd2,
		BgL_bgl_string3884za700za7za7a3926za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string3886z00zzast_checkzd2sharingzd2,
		BgL_bgl_string3886za700za7za7a3927za7, "check-node-sharing3695", 22);
	      DEFINE_STRING(BGl_string3887z00zzast_checkzd2sharingzd2,
		BgL_bgl_string3887za700za7za7a3928za7, "check-node-sharing (~a)", 23);
	      DEFINE_STRING(BGl_string3888z00zzast_checkzd2sharingzd2,
		BgL_bgl_string3888za700za7za7a3929za7, "shared node", 11);
	      DEFINE_STRING(BGl_string3889z00zzast_checkzd2sharingzd2,
		BgL_bgl_string3889za700za7za7a3930za7, "node    : ", 10);
	      DEFINE_STRING(BGl_string3890z00zzast_checkzd2sharingzd2,
		BgL_bgl_string3890za700za7za7a3931za7, "context : ", 10);
	      DEFINE_STRING(BGl_string3891z00zzast_checkzd2sharingzd2,
		BgL_bgl_string3891za700za7za7a3932za7, "================================",
		32);
	      DEFINE_STRING(BGl_string3893z00zzast_checkzd2sharingzd2,
		BgL_bgl_string3893za700za7za7a3933za7, "check-node-sharing", 18);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73934za7,
		BGl_z62checkzd2nodezd2sharingz62zzast_checkzd2sharingzd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3909z00zzast_checkzd2sharingzd2,
		BgL_bgl_string3909za700za7za7a3935za7, "ast_check-sharing", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2nodezd2sharingzd2resetz12zd2envz12zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73936za7,
		BGl_z62checkzd2nodezd2sharingzd2resetz12za2zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3910z00zzast_checkzd2sharingzd2,
		BgL_bgl_string3910za700za7za7a3937za7, "done ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3885z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73938za7,
		BGl_z62checkzd2nodezd2sharing3695z62zzast_checkzd2sharingzd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3892z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73939za7,
		BGl_z62checkzd2nodezd2sharingzd2s3698zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3894z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73940za7,
		BGl_z62checkzd2nodezd2sharingzd2a3700zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3895z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73941za7,
		BGl_z62checkzd2nodezd2sharingzd2a3703zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3896z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73942za7,
		BGl_z62checkzd2nodezd2sharingzd2f3705zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3897z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73943za7,
		BGl_z62checkzd2nodezd2sharingzd2e3707zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3898z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73944za7,
		BGl_z62checkzd2nodezd2sharingzd2c3709zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3899z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza73945za7,
		BGl_z62checkzd2nodezd2sharingzd2s3711zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2sharingzd2envz00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2shari3946z00,
		BGl_z62checkzd2sharingzb0zzast_checkzd2sharingzd2, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long
		BgL_checksumz00_1886, char *BgL_fromz00_1887)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_checkzd2sharingzd2))
				{
					BGl_requirezd2initializa7ationz75zzast_checkzd2sharingzd2 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_checkzd2sharingzd2();
					BGl_cnstzd2initzd2zzast_checkzd2sharingzd2();
					BGl_importedzd2moduleszd2initz00zzast_checkzd2sharingzd2();
					BGl_genericzd2initzd2zzast_checkzd2sharingzd2();
					BGl_methodzd2initzd2zzast_checkzd2sharingzd2();
					BGl_toplevelzd2initzd2zzast_checkzd2sharingzd2();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2sharingzd2()
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 17 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_check-sharing");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_checkzd2sharingzd2()
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 17 */
			{	/* Ast/check_sharing.scm 17 */
				obj_t BgL_cportz00_1878;

				BgL_cportz00_1878 =
					bgl_open_input_string(BGl_string3910z00zzast_checkzd2sharingzd2,
					(int) (((long) 0)));
				{
					long BgL_iz00_1879;

					BgL_iz00_1879 = ((long) 0);
				BgL_loopz00_1880:
					if ((BgL_iz00_1879 == ((long) -1)))
						{	/* Ast/check_sharing.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Ast/check_sharing.scm 17 */
							{	/* Ast/check_sharing.scm 17 */
								obj_t BgL_arg3912z00_1882;

								{	/* Ast/check_sharing.scm 17 */

									{	/* Ast/check_sharing.scm 17 */
										obj_t BgL_locationz00_1884;

										BgL_locationz00_1884 = BBOOL(((bool_t) 0));
										{	/* Ast/check_sharing.scm 17 */

											BgL_arg3912z00_1882 =
												BGl_readz00zz__readerz00(BgL_cportz00_1878,
												BgL_locationz00_1884);
										}
									}
								}
								{	/* Ast/check_sharing.scm 17 */
									int BgL_auxz00_1910;

									BgL_auxz00_1910 = (int) (BgL_iz00_1879);
									CNST_TABLE_SET(BgL_auxz00_1910, BgL_arg3912z00_1882);
							}}
							{	/* Ast/check_sharing.scm 17 */
								int BgL_auxz00_1885;

								BgL_auxz00_1885 = (int) ((BgL_iz00_1879 - ((long) 1)));
								{
									long BgL_iz00_1915;

									BgL_iz00_1915 = (long) (BgL_auxz00_1885);
									BgL_iz00_1879 = BgL_iz00_1915;
									goto BgL_loopz00_1880;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_checkzd2sharingzd2()
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 17 */
			BGl_za2checkzd2sharingzd2passza2z00zzast_checkzd2sharingzd2 = BFALSE;
			BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BNIL;
			return BUNSPEC;
		}
	}



/* check-sharing */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t
		BgL_passz00_25, obj_t BgL_globalsz00_26)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 38 */
			if (CBOOL(BGl_za2compilerzd2sharingzd2debugzf3za2zf3zzengine_paramz00))
				{	/* Ast/check_sharing.scm 39 */
					BGl_za2checkzd2sharingzd2passza2z00zzast_checkzd2sharingzd2 =
						BgL_passz00_25;
					{
						obj_t BgL_l3678z00_948;

						BgL_l3678z00_948 = BgL_globalsz00_26;
					BgL_zc3anonymousza33741ze3z83_949:
						if (PAIRP(BgL_l3678z00_948))
							{	/* Ast/check_sharing.scm 42 */
								{	/* Ast/check_sharing.scm 43 */
									obj_t BgL_globalz00_951;

									BgL_globalz00_951 = CAR(BgL_l3678z00_948);
									{	/* Ast/check_sharing.scm 43 */
										BgL_valuez00_bglt BgL_funz00_1569;

										{	/* Ast/check_sharing.scm 43 */
											BgL_variablez00_bglt BgL_obj1518z00_1571;

											BgL_obj1518z00_1571 =
												((BgL_variablez00_bglt) BgL_globalz00_951);
											BgL_funz00_1569 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1518z00_1571)))->BgL_valuez00);
										}
										{	/* Ast/check_sharing.scm 43 */
											obj_t BgL_bodyz00_1570;

											{	/* Ast/check_sharing.scm 43 */
												BgL_sfunz00_bglt BgL_obj1829z00_1572;

												BgL_obj1829z00_1572 =
													((BgL_sfunz00_bglt) BgL_funz00_1569);
												BgL_bodyz00_1570 =
													(((BgL_sfunz00_bglt) CREF(
															((obj_t) BgL_obj1829z00_1572)))->BgL_bodyz00);
											}
											{	/* Ast/check_sharing.scm 43 */

												BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(
													((BgL_nodez00_bglt) BgL_bodyz00_1570), BUNSPEC);
											}
										}
									}
								}
								{
									obj_t BgL_l3678z00_1930;

									BgL_l3678z00_1930 = CDR(BgL_l3678z00_948);
									BgL_l3678z00_948 = BgL_l3678z00_1930;
									goto BgL_zc3anonymousza33741ze3z83_949;
								}
							}
						else
							{	/* Ast/check_sharing.scm 42 */
								((bool_t) 1);
							}
					}
					BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BNIL;
					if (
						((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
							((long) 0)))
						{	/* Ast/check_sharing.scm 46 */
							{	/* Ast/check_sharing.scm 46 */
								obj_t BgL_port3680z00_956;

								{	/* Ast/check_sharing.scm 46 */
									obj_t BgL_res3861z00_1578;

									{	/* Ast/check_sharing.scm 46 */
										obj_t BgL_auxz00_1935;

										BgL_auxz00_1935 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res3861z00_1578 =
											BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1935);
									}
									BgL_port3680z00_956 = BgL_res3861z00_1578;
								}
								bgl_display_obj
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
									BgL_port3680z00_956);
								BGL_DISPLAY_STRING(BGl_string3880z00zzast_checkzd2sharingzd2,
									BgL_port3680z00_956);
								{	/* Ast/check_sharing.scm 46 */
									obj_t BgL_arg3745z00_957;

									{	/* Ast/check_sharing.scm 46 */
										bool_t BgL_testz00_1940;

										if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Ast/check_sharing.scm 46 */
												if (INTEGERP
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
													{	/* Ast/check_sharing.scm 46 */
														BgL_testz00_1940 =
															(
															(long)
															CINT
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
															> ((long) 1));
													}
												else
													{	/* Ast/check_sharing.scm 46 */
														BgL_testz00_1940 =
															BGl_2ze3ze3zz__r4_numbers_6_5z00
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
															BINT(((long) 1)));
											}}
										else
											{	/* Ast/check_sharing.scm 46 */
												BgL_testz00_1940 = ((bool_t) 0);
											}
										if (BgL_testz00_1940)
											{	/* Ast/check_sharing.scm 46 */
												BgL_arg3745z00_957 =
													BGl_string3881z00zzast_checkzd2sharingzd2;
											}
										else
											{	/* Ast/check_sharing.scm 46 */
												BgL_arg3745z00_957 =
													BGl_string3882z00zzast_checkzd2sharingzd2;
											}
									}
									bgl_display_obj(BgL_arg3745z00_957, BgL_port3680z00_956);
								}
								BGL_DISPLAY_STRING(BGl_string3883z00zzast_checkzd2sharingzd2,
									BgL_port3680z00_956);
								bgl_display_char(((unsigned char) '\n'), BgL_port3680z00_956);
							}
							{	/* Ast/check_sharing.scm 46 */
								obj_t BgL_list3749z00_961;

								BgL_list3749z00_961 = MAKE_PAIR(BINT(((long) -1)), BNIL);
								return BGl_exitz00zz__errorz00(BgL_list3749z00_961);
							}
						}
					else
						{
							obj_t BgL_hooksz00_965;
							obj_t BgL_hnamesz00_966;

							BgL_hooksz00_965 = BNIL;
							BgL_hnamesz00_966 = BNIL;
						BgL_zc3anonymousza33750ze3z83_967:
							if (NULLP(BgL_hooksz00_965))
								{	/* Ast/check_sharing.scm 46 */
									return BgL_globalsz00_26;
								}
							else
								{	/* Ast/check_sharing.scm 46 */
									bool_t BgL_testz00_1957;

									{	/* Ast/check_sharing.scm 46 */
										obj_t BgL_fun3756z00_973;

										BgL_fun3756z00_973 = CAR(BgL_hooksz00_965);
										BgL_testz00_1957 =
											CBOOL(PROCEDURE_ENTRY(BgL_fun3756z00_973)
											(BgL_fun3756z00_973, BEOA));
									}
									if (BgL_testz00_1957)
										{
											obj_t BgL_hnamesz00_1965;
											obj_t BgL_hooksz00_1963;

											BgL_hooksz00_1963 = CDR(BgL_hooksz00_965);
											BgL_hnamesz00_1965 = CDR(BgL_hnamesz00_966);
											BgL_hnamesz00_966 = BgL_hnamesz00_1965;
											BgL_hooksz00_965 = BgL_hooksz00_1963;
											goto BgL_zc3anonymousza33750ze3z83_967;
										}
									else
										{	/* Ast/check_sharing.scm 46 */
											obj_t BgL_arg3755z00_972;

											BgL_arg3755z00_972 = CAR(BgL_hnamesz00_966);
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_za2currentzd2passza2zd2zzengine_passz00,
												BGl_string3884z00zzast_checkzd2sharingzd2,
												BgL_arg3755z00_972);
										}
								}
						}
				}
			else
				{	/* Ast/check_sharing.scm 39 */
					return BFALSE;
				}
		}
	}



/* &check-sharing */
	obj_t BGl_z62checkzd2sharingzb0zzast_checkzd2sharingzd2(obj_t BgL_envz00_1696,
		obj_t BgL_passz00_1697, obj_t BgL_globalsz00_1698)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 38 */
			return
				BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BgL_passz00_1697,
				BgL_globalsz00_1698);
		}
	}



/* check-node-sharing-reset! */
	BGL_EXPORTED_DEF obj_t
		BGl_checkzd2nodezd2sharingzd2resetz12zc0zzast_checkzd2sharingzd2()
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 69 */
			return (BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BNIL, BUNSPEC);
		}
	}



/* &check-node-sharing-reset! */
	obj_t
		BGl_z62checkzd2nodezd2sharingzd2resetz12za2zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1699)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 69 */
			return BGl_checkzd2nodezd2sharingzd2resetz12zc0zzast_checkzd2sharingzd2();
		}
	}



/* check-node-sharing* */
	bool_t BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(obj_t
		BgL_nodeza2za2_63, BgL_nodez00_bglt BgL_contextz00_64)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 231 */
			{
				obj_t BgL_l3693z00_979;

				BgL_l3693z00_979 = BgL_nodeza2za2_63;
			BgL_zc3anonymousza33758ze3z83_980:
				if (PAIRP(BgL_l3693z00_979))
					{	/* Ast/check_sharing.scm 232 */
						{	/* Ast/check_sharing.scm 232 */
							obj_t BgL_nodez00_982;

							BgL_nodez00_982 = CAR(BgL_l3693z00_979);
							BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(
								((BgL_nodez00_bglt) BgL_nodez00_982),
								((obj_t) BgL_contextz00_64));
						}
						{
							obj_t BgL_l3693z00_1977;

							BgL_l3693z00_1977 = CDR(BgL_l3693z00_979);
							BgL_l3693z00_979 = BgL_l3693z00_1977;
							goto BgL_zc3anonymousza33758ze3z83_980;
						}
					}
				else
					{	/* Ast/check_sharing.scm 232 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_checkzd2sharingzd2()
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_proc3885z00zzast_checkzd2sharingzd2, BGl_nodez00zzast_nodez00,
				BGl_string3886z00zzast_checkzd2sharingzd2);
		}
	}



/* &check-node-sharing3695 */
	obj_t BGl_z62checkzd2nodezd2sharing3695z62zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1701, BgL_nodez00_bglt BgL_nodez00_1702,
		obj_t BgL_contextz00_1703)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 75 */
			{
				BgL_nodez00_bglt BgL_nodez00_1409;
				obj_t BgL_contextz00_1410;

				BgL_nodez00_1409 = BgL_nodez00_1702;
				BgL_contextz00_1410 = BgL_contextz00_1703;
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_nodez00_1409),
							BGl_za2previousza2z00zzast_checkzd2sharingzd2)))
					{	/* Ast/check_sharing.scm 76 */
						{	/* Ast/check_sharing.scm 78 */
							obj_t BgL_arg3818z00_1413;
							obj_t BgL_arg3819z00_1414;
							obj_t BgL_arg3820z00_1415;

							BgL_arg3818z00_1413 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_nodez00_1409)))->BgL_locz00);
							{	/* Ast/check_sharing.scm 79 */
								obj_t BgL_list3821z00_1416;

								BgL_list3821z00_1416 =
									MAKE_PAIR
									(BGl_za2checkzd2sharingzd2passza2z00zzast_checkzd2sharingzd2,
									BNIL);
								BgL_arg3819z00_1414 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string3887z00zzast_checkzd2sharingzd2,
									BgL_list3821z00_1416);
							}
							BgL_arg3820z00_1415 =
								bgl_find_runtime_type(((obj_t) BgL_nodez00_1409));
							BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg3818z00_1413, BgL_arg3819z00_1414,
								BGl_string3888z00zzast_checkzd2sharingzd2, BgL_arg3820z00_1415);
						}
						{	/* Ast/check_sharing.scm 83 */
							obj_t BgL_port3681z00_1417;

							{	/* Ast/check_sharing.scm 83 */
								obj_t BgL_res3867z00_1607;

								{	/* Ast/check_sharing.scm 83 */
									obj_t BgL_auxz00_1991;

									BgL_auxz00_1991 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res3867z00_1607 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1991);
								}
								BgL_port3681z00_1417 = BgL_res3867z00_1607;
							}
							BGL_DISPLAY_STRING(BGl_string3889z00zzast_checkzd2sharingzd2,
								BgL_port3681z00_1417);
							{	/* Ast/check_sharing.scm 83 */
								obj_t BgL_arg3822z00_1418;

								BgL_arg3822z00_1418 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1409));
								bgl_display_obj(BgL_arg3822z00_1418, BgL_port3681z00_1417);
							}
							bgl_display_char(((unsigned char) '\n'), BgL_port3681z00_1417);
						}
						{	/* Ast/check_sharing.scm 84 */
							obj_t BgL_port3682z00_1419;

							{	/* Ast/check_sharing.scm 84 */
								obj_t BgL_res3868z00_1612;

								{	/* Ast/check_sharing.scm 84 */
									obj_t BgL_auxz00_1999;

									BgL_auxz00_1999 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res3868z00_1612 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1999);
								}
								BgL_port3682z00_1419 = BgL_res3868z00_1612;
							}
							BGL_DISPLAY_STRING(BGl_string3890z00zzast_checkzd2sharingzd2,
								BgL_port3682z00_1419);
							bgl_display_obj(BGl_shapez00zztools_shapez00(BgL_contextz00_1410),
								BgL_port3682z00_1419);
							bgl_display_char(((unsigned char) '\n'), BgL_port3682z00_1419);
						}
						{	/* Ast/check_sharing.scm 85 */
							obj_t BgL_port3683z00_1421;

							{	/* Ast/check_sharing.scm 85 */
								obj_t BgL_res3869z00_1617;

								{	/* Ast/check_sharing.scm 85 */
									obj_t BgL_auxz00_2006;

									BgL_auxz00_2006 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res3869z00_1617 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_2006);
								}
								BgL_port3683z00_1421 = BgL_res3869z00_1617;
							}
							BGL_DISPLAY_STRING(BGl_string3891z00zzast_checkzd2sharingzd2,
								BgL_port3683z00_1421);
							bgl_display_char(((unsigned char) '\n'), BgL_port3683z00_1421);
					}}
				else
					{	/* Ast/check_sharing.scm 76 */
						BGl_za2previousza2z00zzast_checkzd2sharingzd2 =
							MAKE_PAIR(
							((obj_t) BgL_nodez00_1409),
							BGl_za2previousza2z00zzast_checkzd2sharingzd2);
					}
				return CNST_TABLE_REF(((long) 0));
		}}
	}



/* check-node-sharing */
	BGL_EXPORTED_DEF obj_t
		BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(BgL_nodez00_bglt
		BgL_nodez00_29, obj_t BgL_contextz00_30)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 75 */
			{	/* Ast/check_sharing.scm 75 */
				obj_t BgL_method3696z00_1423;

				{	/* Ast/check_sharing.scm 75 */
					obj_t BgL_res3876z00_1649;

					{	/* Ast/check_sharing.scm 75 */
						BgL_objectz00_bglt BgL_objz00_1621;

						BgL_objz00_1621 = ((BgL_objectz00_bglt) BgL_nodez00_29);
						{	/* Ast/check_sharing.scm 75 */
							long BgL_objzd2classzd2numz00_1622;

							{	/* Ast/check_sharing.scm 75 */
								long BgL_res3870z00_1625;

								BgL_res3870z00_1625 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1621);
								BgL_objzd2classzd2numz00_1622 = BgL_res3870z00_1625;
							}
							{	/* Ast/check_sharing.scm 75 */
								obj_t BgL_arg2545z00_1623;

								BgL_arg2545z00_1623 =
									PROCEDURE_REF
									(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
									(int) (((long) 1)));
								{	/* Ast/check_sharing.scm 75 */
									obj_t BgL_arrayz00_1626;
									int BgL_offsetz00_1627;

									BgL_arrayz00_1626 = BgL_arg2545z00_1623;
									BgL_offsetz00_1627 = (int) (BgL_objzd2classzd2numz00_1622);
									{	/* Ast/check_sharing.scm 75 */
										long BgL_offsetz00_1628;

										BgL_offsetz00_1628 =
											((long) (BgL_offsetz00_1627) - OBJECT_TYPE);
										{	/* Ast/check_sharing.scm 75 */
											long BgL_modz00_1629;

											{	/* Ast/check_sharing.scm 75 */
												int BgL_arg2547z00_1630;

												BgL_arg2547z00_1630 = (int) (((long) 16));
												{	/* Ast/check_sharing.scm 75 */
													long BgL_res3873z00_1640;

													{	/* Ast/check_sharing.scm 75 */
														long BgL_auxz00_2022;

														BgL_auxz00_2022 = (long) (BgL_arg2547z00_1630);
														BgL_res3873z00_1640 =
															(BgL_offsetz00_1628 / BgL_auxz00_2022);
													}
													BgL_modz00_1629 = BgL_res3873z00_1640;
											}}
											{	/* Ast/check_sharing.scm 75 */
												long BgL_restz00_1631;

												{	/* Ast/check_sharing.scm 75 */
													int BgL_arg2546z00_1632;

													BgL_arg2546z00_1632 = (int) (((long) 16));
													{	/* Ast/check_sharing.scm 75 */
														long BgL_res3875z00_1644;

														{	/* Ast/check_sharing.scm 75 */
															long BgL_auxz00_2026;

															BgL_auxz00_2026 = (long) (BgL_arg2546z00_1632);
															BgL_res3875z00_1644 =
																(BgL_offsetz00_1628 % BgL_auxz00_2026);
														}
														BgL_restz00_1631 = BgL_res3875z00_1644;
												}}
												{	/* Ast/check_sharing.scm 75 */

													BgL_res3876z00_1649 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1626,
															(int) (BgL_modz00_1629)),
														(int) (BgL_restz00_1631));
					}}}}}}}}
					BgL_method3696z00_1423 = BgL_res3876z00_1649;
				}
				return
					PROCEDURE_ENTRY(BgL_method3696z00_1423) (BgL_method3696z00_1423,
					((obj_t) BgL_nodez00_29), BgL_contextz00_30, BEOA);
			}
		}
	}



/* &check-node-sharing */
	obj_t BGl_z62checkzd2nodezd2sharingz62zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1704, obj_t BgL_nodez00_1705, obj_t BgL_contextz00_1706)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 75 */
			return
				BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(
				((BgL_nodez00_bglt) BgL_nodez00_1705), BgL_contextz00_1706);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_checkzd2sharingzd2()
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_sequencez00zzast_nodez00, BGl_proc3892z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_appz00zzast_nodez00, BGl_proc3894z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3895z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_funcallz00zzast_nodez00, BGl_proc3896z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_externz00zzast_nodez00, BGl_proc3897z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_castz00zzast_nodez00, BGl_proc3898z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_setqz00zzast_nodez00, BGl_proc3899z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc3900z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_failz00zzast_nodez00, BGl_proc3901z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_selectz00zzast_nodez00, BGl_proc3902z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3903z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3904z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3905z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3906z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3907z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc3908z00zzast_checkzd2sharingzd2,
				BGl_string3893z00zzast_checkzd2sharingzd2);
		}
	}



/* &check-node-sharing-b3731 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2b3731zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1723, BgL_boxzd2setz12zc0_bglt BgL_nodez00_1724,
		obj_t BgL_contextz00_1725)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 223 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1556;
				obj_t BgL_contextz00_1557;

				BgL_nodez00_1556 = BgL_nodez00_1724;
				BgL_contextz00_1557 = BgL_contextz00_1725;
				{

					{	/* Ast/check_sharing.scm 223 */
						obj_t BgL_nextzd2method3730zd2_1562;

						BgL_nextzd2method3730zd2_1562 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1556),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_boxzd2setz12zc0zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3730zd2_1562)
							(BgL_nextzd2method3730zd2_1562, ((obj_t) BgL_nodez00_1556),
							BgL_contextz00_1557, BEOA);
					}
					{	/* Ast/check_sharing.scm 226 */
						BgL_nodez00_bglt BgL_arg3857z00_1561;

						BgL_arg3857z00_1561 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1556)))->BgL_valuez00);
						return
							BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3857z00_1561, ((obj_t) BgL_nodez00_1556));
					}
				}
			}
		}
	}



/* &check-node-sharing-m3729 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2m3729zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1726, BgL_makezd2boxzd2_bglt BgL_nodez00_1727,
		obj_t BgL_contextz00_1728)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 216 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1550;
				obj_t BgL_contextz00_1551;

				BgL_nodez00_1550 = BgL_nodez00_1727;
				BgL_contextz00_1551 = BgL_contextz00_1728;
				{

					{	/* Ast/check_sharing.scm 216 */
						obj_t BgL_nextzd2method3728zd2_1555;

						BgL_nextzd2method3728zd2_1555 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1550),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_makezd2boxzd2zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3728zd2_1555)
							(BgL_nextzd2method3728zd2_1555, ((obj_t) BgL_nodez00_1550),
							BgL_contextz00_1551, BEOA);
					}
					{	/* Ast/check_sharing.scm 218 */
						BgL_nodez00_bglt BgL_arg3856z00_1554;

						BgL_arg3856z00_1554 =
							(((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1550)))->BgL_valuez00);
						return
							BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3856z00_1554, ((obj_t) BgL_nodez00_1550));
					}
				}
			}
		}
	}



/* &check-node-sharing-j3727 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2j3727zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1729, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1730,
		obj_t BgL_contextz00_1731)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 207 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1542;
				obj_t BgL_contextz00_1543;

				BgL_nodez00_1542 = BgL_nodez00_1730;
				BgL_contextz00_1543 = BgL_contextz00_1731;
				{

					{	/* Ast/check_sharing.scm 207 */
						obj_t BgL_nextzd2method3726zd2_1549;

						BgL_nextzd2method3726zd2_1549 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1542),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_jumpzd2exzd2itz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3726zd2_1549)
							(BgL_nextzd2method3726zd2_1549, ((obj_t) BgL_nodez00_1542),
							BgL_contextz00_1543, BEOA);
					}
					{	/* Ast/check_sharing.scm 210 */
						BgL_nodez00_bglt BgL_arg3854z00_1547;

						BgL_arg3854z00_1547 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1542)))->BgL_exitz00);
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3854z00_1547, ((obj_t) BgL_nodez00_1542));
					}
					{	/* Ast/check_sharing.scm 211 */
						BgL_nodez00_bglt BgL_arg3855z00_1548;

						BgL_arg3855z00_1548 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1542)))->BgL_valuez00);
						return
							BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3855z00_1548, ((obj_t) BgL_nodez00_1542));
					}
				}
			}
		}
	}



/* &check-node-sharing-s3725 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2s3725zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1732, BgL_setzd2exzd2itz00_bglt BgL_nodez00_1733,
		obj_t BgL_contextz00_1734)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 200 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1536;
				obj_t BgL_contextz00_1537;

				BgL_nodez00_1536 = BgL_nodez00_1733;
				BgL_contextz00_1537 = BgL_contextz00_1734;
				{

					{	/* Ast/check_sharing.scm 200 */
						obj_t BgL_nextzd2method3724zd2_1541;

						BgL_nextzd2method3724zd2_1541 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1536),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_setzd2exzd2itz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3724zd2_1541)
							(BgL_nextzd2method3724zd2_1541, ((obj_t) BgL_nodez00_1536),
							BgL_contextz00_1537, BEOA);
					}
					{	/* Ast/check_sharing.scm 202 */
						BgL_nodez00_bglt BgL_arg3853z00_1540;

						BgL_arg3853z00_1540 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1536)))->BgL_bodyz00);
						return
							BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3853z00_1540, ((obj_t) BgL_nodez00_1536));
					}
				}
			}
		}
	}



/* &check-node-sharing-l3722 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2l3722zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1735, BgL_letzd2varzd2_bglt BgL_nodez00_1736,
		obj_t BgL_contextz00_1737)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 189 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1520;
				obj_t BgL_contextz00_1521;

				BgL_nodez00_1520 = BgL_nodez00_1736;
				BgL_contextz00_1521 = BgL_contextz00_1737;
				{

					{	/* Ast/check_sharing.scm 189 */
						obj_t BgL_nextzd2method3721zd2_1535;

						BgL_nextzd2method3721zd2_1535 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1520),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_letzd2varzd2zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3721zd2_1535)
							(BgL_nextzd2method3721zd2_1535, ((obj_t) BgL_nodez00_1520),
							BgL_contextz00_1521, BEOA);
					}
					{	/* Ast/check_sharing.scm 192 */
						BgL_nodez00_bglt BgL_arg3848z00_1525;

						BgL_arg3848z00_1525 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1520)))->BgL_bodyz00);
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3848z00_1525, ((obj_t) BgL_nodez00_1520));
					}
					{	/* Ast/check_sharing.scm 193 */
						obj_t BgL_g3692z00_1526;

						BgL_g3692z00_1526 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1520)))->BgL_bindingsz00);
						{
							obj_t BgL_l3690z00_1528;

							{	/* Ast/check_sharing.scm 193 */
								bool_t BgL_auxz00_2123;

								BgL_l3690z00_1528 = BgL_g3692z00_1526;
							BgL_zc3anonymousza33849ze3z83_1529:
								if (PAIRP(BgL_l3690z00_1528))
									{	/* Ast/check_sharing.scm 193 */
										{	/* Ast/check_sharing.scm 194 */
											obj_t BgL_bindingz00_1531;

											BgL_bindingz00_1531 = CAR(BgL_l3690z00_1528);
											{	/* Ast/check_sharing.scm 194 */
												obj_t BgL_arg3851z00_1532;

												BgL_arg3851z00_1532 = CDR(BgL_bindingz00_1531);
												BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(
													((BgL_nodez00_bglt) BgL_arg3851z00_1532),
													((obj_t) BgL_nodez00_1520));
											}
										}
										{
											obj_t BgL_l3690z00_2131;

											BgL_l3690z00_2131 = CDR(BgL_l3690z00_1528);
											BgL_l3690z00_1528 = BgL_l3690z00_2131;
											goto BgL_zc3anonymousza33849ze3z83_1529;
										}
									}
								else
									{	/* Ast/check_sharing.scm 193 */
										BgL_auxz00_2123 = ((bool_t) 1);
									}
								return BBOOL(BgL_auxz00_2123);
							}
						}
					}
				}
			}
		}
	}



/* &check-node-sharing-l3720 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2l3720zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1738, BgL_letzd2funzd2_bglt BgL_nodez00_1739,
		obj_t BgL_contextz00_1740)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 180 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1505;
				obj_t BgL_contextz00_1506;

				BgL_nodez00_1505 = BgL_nodez00_1739;
				BgL_contextz00_1506 = BgL_contextz00_1740;
				{

					{	/* Ast/check_sharing.scm 180 */
						obj_t BgL_nextzd2method3719zd2_1519;

						BgL_nextzd2method3719zd2_1519 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1505),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_letzd2funzd2zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3719zd2_1519)
							(BgL_nextzd2method3719zd2_1519, ((obj_t) BgL_nodez00_1505),
							BgL_contextz00_1506, BEOA);
					}
					{	/* Ast/check_sharing.scm 183 */
						obj_t BgL_g3689z00_1510;

						BgL_g3689z00_1510 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1505)))->BgL_localsz00);
						{
							obj_t BgL_l3687z00_1512;

							BgL_l3687z00_1512 = BgL_g3689z00_1510;
						BgL_zc3anonymousza33844ze3z83_1513:
							if (PAIRP(BgL_l3687z00_1512))
								{	/* Ast/check_sharing.scm 183 */
									{	/* Ast/check_sharing.scm 183 */
										obj_t BgL_fz00_1515;

										BgL_fz00_1515 = CAR(BgL_l3687z00_1512);
										{	/* Ast/check_sharing.scm 183 */
											BgL_valuez00_bglt BgL_funz00_1678;

											{	/* Ast/check_sharing.scm 183 */
												BgL_variablez00_bglt BgL_obj1518z00_1680;

												BgL_obj1518z00_1680 =
													((BgL_variablez00_bglt) BgL_fz00_1515);
												BgL_funz00_1678 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1518z00_1680)))->BgL_valuez00);
											}
											{	/* Ast/check_sharing.scm 183 */
												obj_t BgL_bodyz00_1679;

												{	/* Ast/check_sharing.scm 183 */
													BgL_sfunz00_bglt BgL_obj1829z00_1681;

													BgL_obj1829z00_1681 =
														((BgL_sfunz00_bglt) BgL_funz00_1678);
													BgL_bodyz00_1679 =
														(((BgL_sfunz00_bglt) CREF(
																((obj_t) BgL_obj1829z00_1681)))->BgL_bodyz00);
												}
												{	/* Ast/check_sharing.scm 183 */

													BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(
														((BgL_nodez00_bglt) BgL_bodyz00_1679),
														((obj_t) BgL_nodez00_1505));
												}
											}
										}
									}
									{
										obj_t BgL_l3687z00_2156;

										BgL_l3687z00_2156 = CDR(BgL_l3687z00_1512);
										BgL_l3687z00_1512 = BgL_l3687z00_2156;
										goto BgL_zc3anonymousza33844ze3z83_1513;
									}
								}
							else
								{	/* Ast/check_sharing.scm 183 */
									((bool_t) 1);
								}
						}
					}
					{	/* Ast/check_sharing.scm 184 */
						BgL_nodez00_bglt BgL_arg3847z00_1518;

						BgL_arg3847z00_1518 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1505)))->BgL_bodyz00);
						return
							BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3847z00_1518, ((obj_t) BgL_nodez00_1505));
					}
				}
			}
		}
	}



/* &check-node-sharing-s3717 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2s3717zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1741, BgL_selectz00_bglt BgL_nodez00_1742,
		obj_t BgL_contextz00_1743)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 166 */
			{
				BgL_selectz00_bglt BgL_nodez00_1489;
				obj_t BgL_contextz00_1490;

				BgL_nodez00_1489 = BgL_nodez00_1742;
				BgL_contextz00_1490 = BgL_contextz00_1743;
				{

					{	/* Ast/check_sharing.scm 166 */
						obj_t BgL_nextzd2method3716zd2_1504;

						BgL_nextzd2method3716zd2_1504 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1489),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_selectz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3716zd2_1504)
							(BgL_nextzd2method3716zd2_1504, ((obj_t) BgL_nodez00_1489),
							BgL_contextz00_1490, BEOA);
					}
					{	/* Ast/check_sharing.scm 169 */
						BgL_nodez00_bglt BgL_arg3839z00_1494;

						BgL_arg3839z00_1494 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1489)))->BgL_testz00);
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3839z00_1494, ((obj_t) BgL_nodez00_1489));
					}
					{	/* Ast/check_sharing.scm 170 */
						obj_t BgL_g3686z00_1495;

						BgL_g3686z00_1495 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1489)))->BgL_clausesz00);
						{
							obj_t BgL_l3684z00_1497;

							{	/* Ast/check_sharing.scm 170 */
								bool_t BgL_auxz00_2176;

								BgL_l3684z00_1497 = BgL_g3686z00_1495;
							BgL_zc3anonymousza33840ze3z83_1498:
								if (PAIRP(BgL_l3684z00_1497))
									{	/* Ast/check_sharing.scm 170 */
										{	/* Ast/check_sharing.scm 171 */
											obj_t BgL_clausez00_1500;

											BgL_clausez00_1500 = CAR(BgL_l3684z00_1497);
											{	/* Ast/check_sharing.scm 171 */
												obj_t BgL_arg3842z00_1501;

												BgL_arg3842z00_1501 = CDR(BgL_clausez00_1500);
												BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(
													((BgL_nodez00_bglt) BgL_arg3842z00_1501),
													((obj_t) BgL_nodez00_1489));
											}
										}
										{
											obj_t BgL_l3684z00_2184;

											BgL_l3684z00_2184 = CDR(BgL_l3684z00_1497);
											BgL_l3684z00_1497 = BgL_l3684z00_2184;
											goto BgL_zc3anonymousza33840ze3z83_1498;
										}
									}
								else
									{	/* Ast/check_sharing.scm 170 */
										BgL_auxz00_2176 = ((bool_t) 1);
									}
								return BBOOL(BgL_auxz00_2176);
							}
						}
					}
				}
			}
		}
	}



/* &check-node-sharing-f3715 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2f3715zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1744, BgL_failz00_bglt BgL_nodez00_1745,
		obj_t BgL_contextz00_1746)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 156 */
			{
				BgL_failz00_bglt BgL_nodez00_1480;
				obj_t BgL_contextz00_1481;

				BgL_nodez00_1480 = BgL_nodez00_1745;
				BgL_contextz00_1481 = BgL_contextz00_1746;
				{

					{	/* Ast/check_sharing.scm 156 */
						obj_t BgL_nextzd2method3714zd2_1488;

						BgL_nextzd2method3714zd2_1488 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1480),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_failz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3714zd2_1488)
							(BgL_nextzd2method3714zd2_1488, ((obj_t) BgL_nodez00_1480),
							BgL_contextz00_1481, BEOA);
					}
					{	/* Ast/check_sharing.scm 159 */
						BgL_nodez00_bglt BgL_arg3836z00_1485;

						BgL_arg3836z00_1485 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1480)))->BgL_procz00);
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3836z00_1485, ((obj_t) BgL_nodez00_1480));
					}
					{	/* Ast/check_sharing.scm 160 */
						BgL_nodez00_bglt BgL_arg3837z00_1486;

						BgL_arg3837z00_1486 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1480)))->BgL_msgz00);
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3837z00_1486, ((obj_t) BgL_nodez00_1480));
					}
					{	/* Ast/check_sharing.scm 161 */
						BgL_nodez00_bglt BgL_arg3838z00_1487;

						BgL_arg3838z00_1487 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1480)))->BgL_objz00);
						return
							BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3838z00_1487, ((obj_t) BgL_nodez00_1480));
					}
				}
			}
		}
	}



/* &check-node-sharing-c3713 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2c3713zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1747, BgL_conditionalz00_bglt BgL_nodez00_1748,
		obj_t BgL_contextz00_1749)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 146 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1471;
				obj_t BgL_contextz00_1472;

				BgL_nodez00_1471 = BgL_nodez00_1748;
				BgL_contextz00_1472 = BgL_contextz00_1749;
				{

					{	/* Ast/check_sharing.scm 146 */
						obj_t BgL_nextzd2method3712zd2_1479;

						BgL_nextzd2method3712zd2_1479 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1471),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_conditionalz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3712zd2_1479)
							(BgL_nextzd2method3712zd2_1479, ((obj_t) BgL_nodez00_1471),
							BgL_contextz00_1472, BEOA);
					}
					{	/* Ast/check_sharing.scm 149 */
						BgL_nodez00_bglt BgL_arg3833z00_1476;

						BgL_arg3833z00_1476 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1471)))->BgL_testz00);
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3833z00_1476, ((obj_t) BgL_nodez00_1471));
					}
					{	/* Ast/check_sharing.scm 150 */
						BgL_nodez00_bglt BgL_arg3834z00_1477;

						BgL_arg3834z00_1477 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1471)))->BgL_truez00);
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3834z00_1477, ((obj_t) BgL_nodez00_1471));
					}
					{	/* Ast/check_sharing.scm 151 */
						BgL_nodez00_bglt BgL_arg3835z00_1478;

						BgL_arg3835z00_1478 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1471)))->BgL_falsez00);
						return
							BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3835z00_1478, ((obj_t) BgL_nodez00_1471));
					}
				}
			}
		}
	}



/* &check-node-sharing-s3711 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2s3711zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1750, BgL_setqz00_bglt BgL_nodez00_1751,
		obj_t BgL_contextz00_1752)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 139 */
			{
				BgL_setqz00_bglt BgL_nodez00_1465;
				obj_t BgL_contextz00_1466;

				BgL_nodez00_1465 = BgL_nodez00_1751;
				BgL_contextz00_1466 = BgL_contextz00_1752;
				{

					{	/* Ast/check_sharing.scm 139 */
						obj_t BgL_nextzd2method3710zd2_1470;

						BgL_nextzd2method3710zd2_1470 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1465),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_setqz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3710zd2_1470)
							(BgL_nextzd2method3710zd2_1470, ((obj_t) BgL_nodez00_1465),
							BgL_contextz00_1466, BEOA);
					}
					{	/* Ast/check_sharing.scm 141 */
						BgL_nodez00_bglt BgL_arg3832z00_1469;

						BgL_arg3832z00_1469 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1465)))->BgL_valuez00);
						return
							BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3832z00_1469, ((obj_t) BgL_nodez00_1465));
					}
				}
			}
		}
	}



/* &check-node-sharing-c3709 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2c3709zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1753, BgL_castz00_bglt BgL_nodez00_1754,
		obj_t BgL_contextz00_1755)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 132 */
			{
				BgL_castz00_bglt BgL_nodez00_1459;
				obj_t BgL_contextz00_1460;

				BgL_nodez00_1459 = BgL_nodez00_1754;
				BgL_contextz00_1460 = BgL_contextz00_1755;
				{

					{	/* Ast/check_sharing.scm 132 */
						obj_t BgL_nextzd2method3708zd2_1464;

						BgL_nextzd2method3708zd2_1464 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1459),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_castz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3708zd2_1464)
							(BgL_nextzd2method3708zd2_1464, ((obj_t) BgL_nodez00_1459),
							BgL_contextz00_1460, BEOA);
					}
					{	/* Ast/check_sharing.scm 134 */
						BgL_nodez00_bglt BgL_arg3831z00_1463;

						BgL_arg3831z00_1463 =
							(((BgL_castz00_bglt) CREF(
									((obj_t) BgL_nodez00_1459)))->BgL_argz00);
						return
							BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3831z00_1463, ((obj_t) BgL_nodez00_1459));
					}
				}
			}
		}
	}



/* &check-node-sharing-e3707 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2e3707zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1756, BgL_externz00_bglt BgL_nodez00_1757,
		obj_t BgL_contextz00_1758)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 125 */
			{
				BgL_externz00_bglt BgL_nodez00_1453;
				obj_t BgL_contextz00_1454;

				BgL_nodez00_1453 = BgL_nodez00_1757;
				BgL_contextz00_1454 = BgL_contextz00_1758;
				{

					{	/* Ast/check_sharing.scm 125 */
						obj_t BgL_nextzd2method3706zd2_1458;

						BgL_nextzd2method3706zd2_1458 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1453),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_externz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3706zd2_1458)
							(BgL_nextzd2method3706zd2_1458, ((obj_t) BgL_nodez00_1453),
							BgL_contextz00_1454, BEOA);
					}
					{	/* Ast/check_sharing.scm 127 */
						obj_t BgL_arg3830z00_1457;

						BgL_arg3830z00_1457 =
							(((BgL_externz00_bglt) CREF(
									((obj_t) BgL_nodez00_1453)))->BgL_exprza2za2);
						return
							BBOOL(BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2
							(BgL_arg3830z00_1457, ((BgL_nodez00_bglt) BgL_nodez00_1453)));
					}
				}
			}
		}
	}



/* &check-node-sharing-f3705 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2f3705zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1759, BgL_funcallz00_bglt BgL_nodez00_1760,
		obj_t BgL_contextz00_1761)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 116 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1445;
				obj_t BgL_contextz00_1446;

				BgL_nodez00_1445 = BgL_nodez00_1760;
				BgL_contextz00_1446 = BgL_contextz00_1761;
				{

					{	/* Ast/check_sharing.scm 116 */
						obj_t BgL_nextzd2method3704zd2_1452;

						BgL_nextzd2method3704zd2_1452 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1445),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_funcallz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3704zd2_1452)
							(BgL_nextzd2method3704zd2_1452, ((obj_t) BgL_nodez00_1445),
							BgL_contextz00_1446, BEOA);
					}
					{	/* Ast/check_sharing.scm 119 */
						BgL_nodez00_bglt BgL_arg3828z00_1450;

						BgL_arg3828z00_1450 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1445)))->BgL_funz00);
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3828z00_1450, ((obj_t) BgL_nodez00_1445));
					}
					{	/* Ast/check_sharing.scm 120 */
						obj_t BgL_arg3829z00_1451;

						BgL_arg3829z00_1451 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1445)))->BgL_argsz00);
						return
							BBOOL(BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2
							(BgL_arg3829z00_1451, ((BgL_nodez00_bglt) BgL_nodez00_1445)));
					}
				}
			}
		}
	}



/* &check-node-sharing-a3703 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2a3703zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1762, BgL_appzd2lyzd2_bglt BgL_nodez00_1763,
		obj_t BgL_contextz00_1764)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 107 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1437;
				obj_t BgL_contextz00_1438;

				BgL_nodez00_1437 = BgL_nodez00_1763;
				BgL_contextz00_1438 = BgL_contextz00_1764;
				{

					{	/* Ast/check_sharing.scm 107 */
						obj_t BgL_nextzd2method3702zd2_1444;

						BgL_nextzd2method3702zd2_1444 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1437),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_appzd2lyzd2zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3702zd2_1444)
							(BgL_nextzd2method3702zd2_1444, ((obj_t) BgL_nodez00_1437),
							BgL_contextz00_1438, BEOA);
					}
					{	/* Ast/check_sharing.scm 110 */
						BgL_nodez00_bglt BgL_arg3826z00_1442;

						BgL_arg3826z00_1442 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1437)))->BgL_funz00);
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3826z00_1442, ((obj_t) BgL_nodez00_1437));
					}
					{	/* Ast/check_sharing.scm 111 */
						BgL_nodez00_bglt BgL_arg3827z00_1443;

						BgL_arg3827z00_1443 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1437)))->BgL_argz00);
						return
							BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
							(BgL_arg3827z00_1443, ((obj_t) BgL_nodez00_1437));
					}
				}
			}
		}
	}



/* &check-node-sharing-a3700 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2a3700zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1765, BgL_appz00_bglt BgL_nodez00_1766,
		obj_t BgL_contextz00_1767)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 99 */
			{
				BgL_appz00_bglt BgL_nodez00_1430;
				obj_t BgL_contextz00_1431;

				BgL_nodez00_1430 = BgL_nodez00_1766;
				BgL_contextz00_1431 = BgL_contextz00_1767;
				{

					{	/* Ast/check_sharing.scm 99 */
						obj_t BgL_nextzd2method3699zd2_1436;

						BgL_nextzd2method3699zd2_1436 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1430),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_appz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3699zd2_1436)
							(BgL_nextzd2method3699zd2_1436, ((obj_t) BgL_nodez00_1430),
							BgL_contextz00_1431, BEOA);
					}
					{	/* Ast/check_sharing.scm 102 */
						obj_t BgL_arg3825z00_1435;

						BgL_arg3825z00_1435 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1430)))->BgL_argsz00);
						return
							BBOOL(BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2
							(BgL_arg3825z00_1435, ((BgL_nodez00_bglt) BgL_nodez00_1430)));
					}
				}
			}
		}
	}



/* &check-node-sharing-s3698 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2s3698zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_1768, BgL_sequencez00_bglt BgL_nodez00_1769,
		obj_t BgL_contextz00_1770)
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 92 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1424;
				obj_t BgL_contextz00_1425;

				BgL_nodez00_1424 = BgL_nodez00_1769;
				BgL_contextz00_1425 = BgL_contextz00_1770;
				{

					{	/* Ast/check_sharing.scm 92 */
						obj_t BgL_nextzd2method3697zd2_1429;

						BgL_nextzd2method3697zd2_1429 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1424),
							BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
							BGl_sequencez00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3697zd2_1429)
							(BgL_nextzd2method3697zd2_1429, ((obj_t) BgL_nodez00_1424),
							BgL_contextz00_1425, BEOA);
					}
					{	/* Ast/check_sharing.scm 94 */
						obj_t BgL_arg3824z00_1428;

						BgL_arg3824z00_1428 =
							(((BgL_sequencez00_bglt) CREF(
									((obj_t) BgL_nodez00_1424)))->BgL_nodesz00);
						return
							BBOOL(BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2
							(BgL_arg3824z00_1428, ((BgL_nodez00_bglt) BgL_nodez00_1424)));
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2sharingzd2()
	{
		AN_OBJECT;
		{	/* Ast/check_sharing.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3909z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3909z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string3909z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string3909z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3909z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3909z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3909z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3909z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3909z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string3909z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string3909z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string3909z00zzast_checkzd2sharingzd2));
			return
				BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 88092144),
				BSTRING_TO_STRING(BGl_string3909z00zzast_checkzd2sharingzd2));
		}
	}

#ifdef __cplusplus
}
#endif
