/*===========================================================================*/
/*   (BackEnd/jvm_class.scm)                                                 */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/jvm_class.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzbackend_jvm_classz00 =
		BUNSPEC;
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2186ze1zzbackend_jvm_classz00(obj_t,
		BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbackend_jvm_classz00();
	BGL_EXPORTED_DECL BgL_jvmz00_bglt
		BGl_makezd2jvmzd2zzbackend_jvm_classz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, bool_t, bool_t, bool_t,
		bool_t, bool_t, bool_t, bool_t, obj_t, obj_t, bool_t, bool_t, bool_t, obj_t,
		obj_t, bool_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_jvm_classz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzbackend_jvm_classz00();
	static BgL_jvmz00_bglt BGl_z62fillzd2jvmz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_jvmz00_bglt BGl_jvmzd2nilzd2zzbackend_jvm_classz00();
	static obj_t BGl_methodzd2initzd2zzbackend_jvm_classz00();
	static BgL_jvmz00_bglt
		BGl_z62z52allocatezd2jvmze2zzbackend_jvm_classz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_jvmz00zzbackend_jvm_classz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_jvmz00_bglt
		BGl_fillzd2jvmz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t,
		bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, obj_t, obj_t,
		bool_t, bool_t, bool_t, obj_t, obj_t, bool_t, bool_t, bool_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t
		BGl_backendzd2initializa7ez12z67zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzbackend_jvm_classz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvm_classz00();
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvm_classz00();
	static obj_t
		BGl_z62objectzd2ze3structzd2jvm2184z81zzbackend_jvm_classz00(obj_t,
		BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL BgL_jvmz00_bglt
		BGl_z52allocatezd2jvmz80zzbackend_jvm_classz00();
	static obj_t BGl_z52thezd2jvmzd2nilz52zzbackend_jvm_classz00 = BUNSPEC;
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_jvmz00_bglt BGl_z62jvmzd2nilzb0zzbackend_jvm_classz00(obj_t);
	extern obj_t BGl_bvmz00zzbackend_bvmz00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_jvmz00_bglt BGl_z62makezd2jvmzb0zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62jvmzf3z91zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_jvmzf3zf3zzbackend_jvm_classz00(obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2jvmzd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762makeza7d2jvmza7b02380za7,
		BGl_z62makezd2jvmzb0zzbackend_jvm_classz00, 0L, BUNSPEC, 39);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2jvmzd2envz52zzbackend_jvm_classz00,
		BgL_bgl_za762za752allocateza7d2381za7,
		BGl_z62z52allocatezd2jvmze2zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2366z00zzbackend_jvm_classz00,
		BgL_bgl_string2366za700za7za7b2382za7, "", 0);
	      DEFINE_STRING(BGl_string2368z00zzbackend_jvm_classz00,
		BgL_bgl_string2368za700za7za7b2383za7, "object->struct::struct", 22);
	      DEFINE_STRING(BGl_string2370z00zzbackend_jvm_classz00,
		BgL_bgl_string2370za700za7za7b2384za7, "struct+object->object::object", 29);
	      DEFINE_STRING(BGl_string2371z00zzbackend_jvm_classz00,
		BgL_bgl_string2371za700za7za7b2385za7, "backend_jvm_class", 17);
	      DEFINE_STRING(BGl_string2372z00zzbackend_jvm_classz00,
		BgL_bgl_string2372za700za7za7b2386za7, "_ jvm ", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2367z00zzbackend_jvm_classz00,
		BgL_bgl_za762objectza7d2za7e3s2387za7,
		BGl_z62objectzd2ze3structzd2jvm2184z81zzbackend_jvm_classz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2369z00zzbackend_jvm_classz00,
		BgL_bgl_za762structza7b2obje2388z00,
		BGl_z62structzb2objectzd2ze3objec2186ze1zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzf3zd2envz21zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7f3za791za7za7ba2389za7,
		BGl_z62jvmzf3z91zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2jvmz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762fillza7d2jvmza7122390za7,
		BGl_z62fillzd2jvmz12za2zzbackend_jvm_classz00, 0L, BUNSPEC, 40);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2nilzd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2nilza7b0za72391z00,
		BGl_z62jvmzd2nilzb0zzbackend_jvm_classz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long
		BgL_checksumz00_1355, char *BgL_fromz00_1356)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_jvm_classz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_jvm_classz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbackend_jvm_classz00();
					BGl_cnstzd2initzd2zzbackend_jvm_classz00();
					BGl_importedzd2moduleszd2initz00zzbackend_jvm_classz00();
					BGl_objectzd2initzd2zzbackend_jvm_classz00();
					BGl_methodzd2initzd2zzbackend_jvm_classz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvm_classz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"backend_jvm_class");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_jvm_class");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_jvm_classz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 15 */
			{	/* BackEnd/jvm_class.scm 15 */
				obj_t BgL_cportz00_1300;

				BgL_cportz00_1300 =
					bgl_open_input_string(BGl_string2372z00zzbackend_jvm_classz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1301;

					BgL_iz00_1301 = ((long) 1);
				BgL_loopz00_1302:
					if ((BgL_iz00_1301 == ((long) -1)))
						{	/* BackEnd/jvm_class.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/jvm_class.scm 15 */
							{	/* BackEnd/jvm_class.scm 15 */
								obj_t BgL_arg2379z00_1304;

								{	/* BackEnd/jvm_class.scm 15 */

									{	/* BackEnd/jvm_class.scm 15 */
										obj_t BgL_locationz00_1306;

										BgL_locationz00_1306 = BBOOL(((bool_t) 0));
										{	/* BackEnd/jvm_class.scm 15 */

											BgL_arg2379z00_1304 =
												BGl_readz00zz__readerz00(BgL_cportz00_1300,
												BgL_locationz00_1306);
										}
									}
								}
								{	/* BackEnd/jvm_class.scm 15 */
									int BgL_auxz00_1373;

									BgL_auxz00_1373 = (int) (BgL_iz00_1301);
									CNST_TABLE_SET(BgL_auxz00_1373, BgL_arg2379z00_1304);
							}}
							{	/* BackEnd/jvm_class.scm 15 */
								int BgL_auxz00_1307;

								BgL_auxz00_1307 = (int) ((BgL_iz00_1301 - ((long) 1)));
								{
									long BgL_iz00_1378;

									BgL_iz00_1378 = (long) (BgL_auxz00_1307);
									BgL_iz00_1301 = BgL_iz00_1378;
									goto BgL_loopz00_1302;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_jvm_classz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_jvm_classz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 15 */
			{	/* BackEnd/jvm_class.scm 19 */
				obj_t BgL_arg2194z00_358;

				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2182z00_359;

					BgL_v2182z00_359 = create_vector((int) (((long) 0)));
					BgL_arg2194z00_358 = BgL_v2182z00_359;
				}
				BGl_jvmz00zzbackend_jvm_classz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 0)),
					BGl_bvmz00zzbackend_bvmz00, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2jvmzd2envz52zzbackend_jvm_classz00,
					BGl_jvmzd2nilzd2envz00zzbackend_jvm_classz00,
					BGl_jvmzf3zd2envz21zzbackend_jvm_classz00, ((long) 506115675), BFALSE,
					BFALSE, BgL_arg2194z00_358);
			}
			return (BGl_z52thezd2jvmzd2nilz52zzbackend_jvm_classz00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* jvm? */
	BGL_EXPORTED_DEF bool_t BGl_jvmzf3zf3zzbackend_jvm_classz00(obj_t
		BgL_obj2181z00_3)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 19 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2181z00_3,
				BGl_jvmz00zzbackend_jvm_classz00);
		}
	}



/* &jvm? */
	obj_t BGl_z62jvmzf3z91zzbackend_jvm_classz00(obj_t BgL_envz00_969,
		obj_t BgL_obj2181z00_970)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 19 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2181z00_970,
					BGl_jvmz00zzbackend_jvm_classz00));
		}
	}



/* make-jvm */
	BGL_EXPORTED_DEF BgL_jvmz00_bglt BGl_makezd2jvmzd2zzbackend_jvm_classz00(obj_t
		BgL_language1900z00_7, obj_t BgL_srfi01901z00_8, obj_t BgL_name1902z00_9,
		obj_t BgL_externzd2variables1903zd2_10,
		obj_t BgL_externzd2functions1904zd2_11, obj_t BgL_externzd2types1905zd2_12,
		obj_t BgL_variables1906z00_13, obj_t BgL_functions1907z00_14,
		obj_t BgL_types1908z00_15, bool_t BgL_typed1909z00_16,
		obj_t BgL_heapzd2suffix1910zd2_17, obj_t BgL_heapzd2compatible1911zd2_18,
		bool_t BgL_callcc1912z00_19, bool_t BgL_qualifiedzd2types1913zd2_20,
		bool_t BgL_effectzb21914zb2_21, bool_t BgL_removezd2emptyzd2let1915z00_22,
		bool_t BgL_foreignzd2closure1916zd2_23, bool_t BgL_typedzd2eq1917zd2_24,
		bool_t BgL_tracezd2support1918zd2_25,
		obj_t BgL_foreignzd2clausezd2suppo1919z00_26,
		obj_t BgL_debugzd2support1920zd2_27, bool_t BgL_pragmazd2support1921zd2_28,
		bool_t BgL_tvectorzd2descrzd2suppor1922z00_29,
		bool_t BgL_requirezd2tailc1923zd2_30, obj_t BgL_registers1924z00_31,
		obj_t BgL_pregisters1925z00_32, bool_t BgL_boundzd2check1926zd2_33,
		bool_t BgL_typezd2check1927zd2_34, bool_t BgL_typedzd2funcall1928zd2_35,
		obj_t BgL_qname1929z00_36, obj_t BgL_classes1930z00_37,
		obj_t BgL_currentzd2class1931zd2_38, obj_t BgL_declarations1932z00_39,
		obj_t BgL_fields1933z00_40, obj_t BgL_methods1934z00_41,
		obj_t BgL_currentzd2method1935zd2_42, obj_t BgL_code1936z00_43,
		obj_t BgL_lightzd2funcalls1937zd2_44, obj_t BgL_inline1938z00_45)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 19 */
			{	/* BackEnd/jvm_class.scm 19 */
				BgL_jvmz00_bglt BgL_new1939z00_510;

				{	/* BackEnd/jvm_class.scm 19 */
					BgL_jvmz00_bglt BgL_res2358z00_515;

					{	/* BackEnd/jvm_class.scm 19 */
						BgL_jvmz00_bglt BgL_new2021z00_511;

						BgL_new2021z00_511 =
							((BgL_jvmz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_jvmz00_bgl))));
						{	/* BackEnd/jvm_class.scm 19 */
							long BgL_arg2195z00_512;

							BgL_arg2195z00_512 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_jvmz00zzbackend_jvm_classz00);
							{	/* BackEnd/jvm_class.scm 19 */
								BgL_objectz00_bglt BgL_objz00_513;

								BgL_objz00_513 = ((BgL_objectz00_bglt) BgL_new2021z00_511);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_513, BgL_arg2195z00_512);
						}}
						{	/* BackEnd/jvm_class.scm 19 */
							BgL_objectz00_bglt BgL_auxz00_1391;

							BgL_auxz00_1391 = ((BgL_objectz00_bglt) BgL_new2021z00_511);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_1391, BFALSE);
						}
						BgL_res2358z00_515 = BgL_new2021z00_511;
					}
					BgL_new1939z00_510 = BgL_res2358z00_515;
				}
				{	/* BackEnd/jvm_class.scm 19 */
					BgL_jvmz00_bglt BgL_res2359z00_595;

					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_new1939z00_510)))->BgL_languagez00) =
						((obj_t) BgL_language1900z00_7), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_srfi0z00) = ((obj_t) BgL_srfi01901z00_8), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_namez00) = ((obj_t) BgL_name1902z00_9), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_externzd2variableszd2) =
						((obj_t) BgL_externzd2variables1903zd2_10), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_externzd2functionszd2) =
						((obj_t) BgL_externzd2functions1904zd2_11), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_externzd2typeszd2) =
						((obj_t) BgL_externzd2types1905zd2_12), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_variablesz00) = ((obj_t) BgL_variables1906z00_13), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_functionsz00) = ((obj_t) BgL_functions1907z00_14), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_typesz00) = ((obj_t) BgL_types1908z00_15), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_typedz00) = ((bool_t) BgL_typed1909z00_16), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_heapzd2suffixzd2) =
						((obj_t) BgL_heapzd2suffix1910zd2_17), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_heapzd2compatiblezd2) =
						((obj_t) BgL_heapzd2compatible1911zd2_18), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_callccz00) = ((bool_t) BgL_callcc1912z00_19), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_qualifiedzd2typeszd2) =
						((bool_t) BgL_qualifiedzd2types1913zd2_20), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_effectzb2zb2) = ((bool_t) BgL_effectzb21914zb2_21), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_removezd2emptyzd2letz00) =
						((bool_t) BgL_removezd2emptyzd2let1915z00_22), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_foreignzd2closurezd2) =
						((bool_t) BgL_foreignzd2closure1916zd2_23), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_typedzd2eqzd2) =
						((bool_t) BgL_typedzd2eq1917zd2_24), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_tracezd2supportzd2) =
						((bool_t) BgL_tracezd2support1918zd2_25), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_foreignzd2clausezd2supportz00) =
						((obj_t) BgL_foreignzd2clausezd2suppo1919z00_26), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_debugzd2supportzd2) =
						((obj_t) BgL_debugzd2support1920zd2_27), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_pragmazd2supportzd2) =
						((bool_t) BgL_pragmazd2support1921zd2_28), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_tvectorzd2descrzd2supportz00) =
						((bool_t) BgL_tvectorzd2descrzd2suppor1922z00_29), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_requirezd2tailczd2) =
						((bool_t) BgL_requirezd2tailc1923zd2_30), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_registersz00) = ((obj_t) BgL_registers1924z00_31), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_pregistersz00) = ((obj_t) BgL_pregisters1925z00_32), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_boundzd2checkzd2) =
						((bool_t) BgL_boundzd2check1926zd2_33), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_typezd2checkzd2) =
						((bool_t) BgL_typezd2check1927zd2_34), BUNSPEC);
					((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_typedzd2funcallzd2) =
						((bool_t) BgL_typedzd2funcall1928zd2_35), BUNSPEC);
					((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_qnamez00) = ((obj_t) BgL_qname1929z00_36), BUNSPEC);
					((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_classesz00) = ((obj_t) BgL_classes1930z00_37), BUNSPEC);
					((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_currentzd2classzd2) =
						((obj_t) BgL_currentzd2class1931zd2_38), BUNSPEC);
					((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_declarationsz00) =
						((obj_t) BgL_declarations1932z00_39), BUNSPEC);
					((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_fieldsz00) = ((obj_t) BgL_fields1933z00_40), BUNSPEC);
					((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_methodsz00) = ((obj_t) BgL_methods1934z00_41), BUNSPEC);
					((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_currentzd2methodzd2) =
						((obj_t) BgL_currentzd2method1935zd2_42), BUNSPEC);
					((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_codez00) = ((obj_t) BgL_code1936z00_43), BUNSPEC);
					((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_lightzd2funcallszd2) =
						((obj_t) BgL_lightzd2funcalls1937zd2_44), BUNSPEC);
					((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1939z00_510)))->
							BgL_inlinez00) = ((obj_t) BgL_inline1938z00_45), BUNSPEC);
					BgL_res2359z00_595 = BgL_new1939z00_510;
					BgL_res2359z00_595;
				}
				BGl_backendzd2initializa7ez12z67zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_new1939z00_510));
				return BgL_new1939z00_510;
			}
		}
	}



/* &make-jvm */
	BgL_jvmz00_bglt BGl_z62makezd2jvmzb0zzbackend_jvm_classz00(obj_t
		BgL_envz00_971, obj_t BgL_language1900z00_972, obj_t BgL_srfi01901z00_973,
		obj_t BgL_name1902z00_974, obj_t BgL_externzd2variables1903zd2_975,
		obj_t BgL_externzd2functions1904zd2_976,
		obj_t BgL_externzd2types1905zd2_977, obj_t BgL_variables1906z00_978,
		obj_t BgL_functions1907z00_979, obj_t BgL_types1908z00_980,
		obj_t BgL_typed1909z00_981, obj_t BgL_heapzd2suffix1910zd2_982,
		obj_t BgL_heapzd2compatible1911zd2_983, obj_t BgL_callcc1912z00_984,
		obj_t BgL_qualifiedzd2types1913zd2_985, obj_t BgL_effectzb21914zb2_986,
		obj_t BgL_removezd2emptyzd2let1915z00_987,
		obj_t BgL_foreignzd2closure1916zd2_988, obj_t BgL_typedzd2eq1917zd2_989,
		obj_t BgL_tracezd2support1918zd2_990,
		obj_t BgL_foreignzd2clausezd2suppo1919z00_991,
		obj_t BgL_debugzd2support1920zd2_992, obj_t BgL_pragmazd2support1921zd2_993,
		obj_t BgL_tvectorzd2descrzd2suppor1922z00_994,
		obj_t BgL_requirezd2tailc1923zd2_995, obj_t BgL_registers1924z00_996,
		obj_t BgL_pregisters1925z00_997, obj_t BgL_boundzd2check1926zd2_998,
		obj_t BgL_typezd2check1927zd2_999, obj_t BgL_typedzd2funcall1928zd2_1000,
		obj_t BgL_qname1929z00_1001, obj_t BgL_classes1930z00_1002,
		obj_t BgL_currentzd2class1931zd2_1003, obj_t BgL_declarations1932z00_1004,
		obj_t BgL_fields1933z00_1005, obj_t BgL_methods1934z00_1006,
		obj_t BgL_currentzd2method1935zd2_1007, obj_t BgL_code1936z00_1008,
		obj_t BgL_lightzd2funcalls1937zd2_1009, obj_t BgL_inline1938z00_1010)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 19 */
			return
				BGl_makezd2jvmzd2zzbackend_jvm_classz00(BgL_language1900z00_972,
				BgL_srfi01901z00_973, BgL_name1902z00_974,
				BgL_externzd2variables1903zd2_975, BgL_externzd2functions1904zd2_976,
				BgL_externzd2types1905zd2_977, BgL_variables1906z00_978,
				BgL_functions1907z00_979, BgL_types1908z00_980,
				CBOOL(BgL_typed1909z00_981), BgL_heapzd2suffix1910zd2_982,
				BgL_heapzd2compatible1911zd2_983, CBOOL(BgL_callcc1912z00_984),
				CBOOL(BgL_qualifiedzd2types1913zd2_985),
				CBOOL(BgL_effectzb21914zb2_986),
				CBOOL(BgL_removezd2emptyzd2let1915z00_987),
				CBOOL(BgL_foreignzd2closure1916zd2_988),
				CBOOL(BgL_typedzd2eq1917zd2_989), CBOOL(BgL_tracezd2support1918zd2_990),
				BgL_foreignzd2clausezd2suppo1919z00_991, BgL_debugzd2support1920zd2_992,
				CBOOL(BgL_pragmazd2support1921zd2_993),
				CBOOL(BgL_tvectorzd2descrzd2suppor1922z00_994),
				CBOOL(BgL_requirezd2tailc1923zd2_995), BgL_registers1924z00_996,
				BgL_pregisters1925z00_997, CBOOL(BgL_boundzd2check1926zd2_998),
				CBOOL(BgL_typezd2check1927zd2_999),
				CBOOL(BgL_typedzd2funcall1928zd2_1000), BgL_qname1929z00_1001,
				BgL_classes1930z00_1002, BgL_currentzd2class1931zd2_1003,
				BgL_declarations1932z00_1004, BgL_fields1933z00_1005,
				BgL_methods1934z00_1006, BgL_currentzd2method1935zd2_1007,
				BgL_code1936z00_1008, BgL_lightzd2funcalls1937zd2_1009,
				BgL_inline1938z00_1010);
		}
	}



/* fill-jvm! */
	BGL_EXPORTED_DEF BgL_jvmz00_bglt
		BGl_fillzd2jvmz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_new1980z00_46, obj_t BgL_language1941z00_47, obj_t BgL_srfi01942z00_48,
		obj_t BgL_name1943z00_49, obj_t BgL_externzd2variables1944zd2_50,
		obj_t BgL_externzd2functions1945zd2_51, obj_t BgL_externzd2types1946zd2_52,
		obj_t BgL_variables1947z00_53, obj_t BgL_functions1948z00_54,
		obj_t BgL_types1949z00_55, bool_t BgL_typed1950z00_56,
		obj_t BgL_heapzd2suffix1951zd2_57, obj_t BgL_heapzd2compatible1952zd2_58,
		bool_t BgL_callcc1953z00_59, bool_t BgL_qualifiedzd2types1954zd2_60,
		bool_t BgL_effectzb21955zb2_61, bool_t BgL_removezd2emptyzd2let1956z00_62,
		bool_t BgL_foreignzd2closure1957zd2_63, bool_t BgL_typedzd2eq1958zd2_64,
		bool_t BgL_tracezd2support1959zd2_65,
		obj_t BgL_foreignzd2clausezd2suppo1960z00_66,
		obj_t BgL_debugzd2support1961zd2_67, bool_t BgL_pragmazd2support1962zd2_68,
		bool_t BgL_tvectorzd2descrzd2suppor1963z00_69,
		bool_t BgL_requirezd2tailc1964zd2_70, obj_t BgL_registers1965z00_71,
		obj_t BgL_pregisters1966z00_72, bool_t BgL_boundzd2check1967zd2_73,
		bool_t BgL_typezd2check1968zd2_74, bool_t BgL_typedzd2funcall1969zd2_75,
		obj_t BgL_qname1970z00_76, obj_t BgL_classes1971z00_77,
		obj_t BgL_currentzd2class1972zd2_78, obj_t BgL_declarations1973z00_79,
		obj_t BgL_fields1974z00_80, obj_t BgL_methods1975z00_81,
		obj_t BgL_currentzd2method1976zd2_82, obj_t BgL_code1977z00_83,
		obj_t BgL_lightzd2funcalls1978zd2_84, obj_t BgL_inline1979z00_85)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 19 */
			((((BgL_backendz00_bglt) CREF(
							((obj_t) BgL_new1980z00_46)))->BgL_languagez00) =
				((obj_t) BgL_language1941z00_47), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_srfi0z00) = ((obj_t) BgL_srfi01942z00_48), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_namez00) = ((obj_t) BgL_name1943z00_49), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_externzd2variableszd2) =
				((obj_t) BgL_externzd2variables1944zd2_50), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_externzd2functionszd2) =
				((obj_t) BgL_externzd2functions1945zd2_51), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_externzd2typeszd2) =
				((obj_t) BgL_externzd2types1946zd2_52), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_variablesz00) = ((obj_t) BgL_variables1947z00_53), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_functionsz00) = ((obj_t) BgL_functions1948z00_54), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_typesz00) = ((obj_t) BgL_types1949z00_55), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_typedz00) = ((bool_t) BgL_typed1950z00_56), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_heapzd2suffixzd2) =
				((obj_t) BgL_heapzd2suffix1951zd2_57), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_heapzd2compatiblezd2) =
				((obj_t) BgL_heapzd2compatible1952zd2_58), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_callccz00) = ((bool_t) BgL_callcc1953z00_59), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_qualifiedzd2typeszd2) =
				((bool_t) BgL_qualifiedzd2types1954zd2_60), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_effectzb2zb2) = ((bool_t) BgL_effectzb21955zb2_61), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_removezd2emptyzd2letz00) =
				((bool_t) BgL_removezd2emptyzd2let1956z00_62), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_foreignzd2closurezd2) =
				((bool_t) BgL_foreignzd2closure1957zd2_63), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_typedzd2eqzd2) = ((bool_t) BgL_typedzd2eq1958zd2_64), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_tracezd2supportzd2) =
				((bool_t) BgL_tracezd2support1959zd2_65), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_foreignzd2clausezd2supportz00) =
				((obj_t) BgL_foreignzd2clausezd2suppo1960z00_66), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_debugzd2supportzd2) =
				((obj_t) BgL_debugzd2support1961zd2_67), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_pragmazd2supportzd2) =
				((bool_t) BgL_pragmazd2support1962zd2_68), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_tvectorzd2descrzd2supportz00) =
				((bool_t) BgL_tvectorzd2descrzd2suppor1963z00_69), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_requirezd2tailczd2) =
				((bool_t) BgL_requirezd2tailc1964zd2_70), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_registersz00) = ((obj_t) BgL_registers1965z00_71), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_pregistersz00) = ((obj_t) BgL_pregisters1966z00_72), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_boundzd2checkzd2) =
				((bool_t) BgL_boundzd2check1967zd2_73), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_typezd2checkzd2) =
				((bool_t) BgL_typezd2check1968zd2_74), BUNSPEC);
			((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_typedzd2funcallzd2) =
				((bool_t) BgL_typedzd2funcall1969zd2_75), BUNSPEC);
			((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->BgL_qnamez00) =
				((obj_t) BgL_qname1970z00_76), BUNSPEC);
			((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->BgL_classesz00) =
				((obj_t) BgL_classes1971z00_77), BUNSPEC);
			((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_currentzd2classzd2) =
				((obj_t) BgL_currentzd2class1972zd2_78), BUNSPEC);
			((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_declarationsz00) = ((obj_t) BgL_declarations1973z00_79), BUNSPEC);
			((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->BgL_fieldsz00) =
				((obj_t) BgL_fields1974z00_80), BUNSPEC);
			((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->BgL_methodsz00) =
				((obj_t) BgL_methods1975z00_81), BUNSPEC);
			((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_currentzd2methodzd2) =
				((obj_t) BgL_currentzd2method1976zd2_82), BUNSPEC);
			((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->BgL_codez00) =
				((obj_t) BgL_code1977z00_83), BUNSPEC);
			((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->
					BgL_lightzd2funcallszd2) =
				((obj_t) BgL_lightzd2funcalls1978zd2_84), BUNSPEC);
			((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_46)))->BgL_inlinez00) =
				((obj_t) BgL_inline1979z00_85), BUNSPEC);
			return BgL_new1980z00_46;
		}
	}



/* &fill-jvm! */
	BgL_jvmz00_bglt BGl_z62fillzd2jvmz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1011, obj_t BgL_new1980z00_1012, obj_t BgL_language1941z00_1013,
		obj_t BgL_srfi01942z00_1014, obj_t BgL_name1943z00_1015,
		obj_t BgL_externzd2variables1944zd2_1016,
		obj_t BgL_externzd2functions1945zd2_1017,
		obj_t BgL_externzd2types1946zd2_1018, obj_t BgL_variables1947z00_1019,
		obj_t BgL_functions1948z00_1020, obj_t BgL_types1949z00_1021,
		obj_t BgL_typed1950z00_1022, obj_t BgL_heapzd2suffix1951zd2_1023,
		obj_t BgL_heapzd2compatible1952zd2_1024, obj_t BgL_callcc1953z00_1025,
		obj_t BgL_qualifiedzd2types1954zd2_1026, obj_t BgL_effectzb21955zb2_1027,
		obj_t BgL_removezd2emptyzd2let1956z00_1028,
		obj_t BgL_foreignzd2closure1957zd2_1029, obj_t BgL_typedzd2eq1958zd2_1030,
		obj_t BgL_tracezd2support1959zd2_1031,
		obj_t BgL_foreignzd2clausezd2suppo1960z00_1032,
		obj_t BgL_debugzd2support1961zd2_1033,
		obj_t BgL_pragmazd2support1962zd2_1034,
		obj_t BgL_tvectorzd2descrzd2suppor1963z00_1035,
		obj_t BgL_requirezd2tailc1964zd2_1036, obj_t BgL_registers1965z00_1037,
		obj_t BgL_pregisters1966z00_1038, obj_t BgL_boundzd2check1967zd2_1039,
		obj_t BgL_typezd2check1968zd2_1040, obj_t BgL_typedzd2funcall1969zd2_1041,
		obj_t BgL_qname1970z00_1042, obj_t BgL_classes1971z00_1043,
		obj_t BgL_currentzd2class1972zd2_1044, obj_t BgL_declarations1973z00_1045,
		obj_t BgL_fields1974z00_1046, obj_t BgL_methods1975z00_1047,
		obj_t BgL_currentzd2method1976zd2_1048, obj_t BgL_code1977z00_1049,
		obj_t BgL_lightzd2funcalls1978zd2_1050, obj_t BgL_inline1979z00_1051)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 19 */
			{	/* BackEnd/jvm_class.scm 19 */
				BgL_jvmz00_bglt BgL_new1980z00_1309;
				obj_t BgL_language1941z00_1310;
				obj_t BgL_srfi01942z00_1311;
				obj_t BgL_name1943z00_1312;
				bool_t BgL_typed1950z00_1319;
				obj_t BgL_heapzd2suffix1951zd2_1320;
				obj_t BgL_heapzd2compatible1952zd2_1321;
				bool_t BgL_callcc1953z00_1322;
				bool_t BgL_qualifiedzd2types1954zd2_1323;
				bool_t BgL_effectzb21955zb2_1324;
				bool_t BgL_removezd2emptyzd2let1956z00_1325;
				bool_t BgL_foreignzd2closure1957zd2_1326;
				bool_t BgL_typedzd2eq1958zd2_1327;
				bool_t BgL_tracezd2support1959zd2_1328;
				obj_t BgL_foreignzd2clausezd2suppo1960z00_1329;
				obj_t BgL_debugzd2support1961zd2_1330;
				bool_t BgL_pragmazd2support1962zd2_1331;
				bool_t BgL_tvectorzd2descrzd2suppor1963z00_1332;
				bool_t BgL_requirezd2tailc1964zd2_1333;
				obj_t BgL_registers1965z00_1334;
				obj_t BgL_pregisters1966z00_1335;
				bool_t BgL_boundzd2check1967zd2_1336;
				bool_t BgL_typezd2check1968zd2_1337;
				bool_t BgL_typedzd2funcall1969zd2_1338;

				BgL_new1980z00_1309 = ((BgL_jvmz00_bglt) BgL_new1980z00_1012);
				BgL_language1941z00_1310 = BgL_language1941z00_1013;
				BgL_srfi01942z00_1311 = BgL_srfi01942z00_1014;
				BgL_name1943z00_1312 = BgL_name1943z00_1015;
				BgL_typed1950z00_1319 = CBOOL(BgL_typed1950z00_1022);
				BgL_heapzd2suffix1951zd2_1320 = BgL_heapzd2suffix1951zd2_1023;
				BgL_heapzd2compatible1952zd2_1321 = BgL_heapzd2compatible1952zd2_1024;
				BgL_callcc1953z00_1322 = CBOOL(BgL_callcc1953z00_1025);
				BgL_qualifiedzd2types1954zd2_1323 =
					CBOOL(BgL_qualifiedzd2types1954zd2_1026);
				BgL_effectzb21955zb2_1324 = CBOOL(BgL_effectzb21955zb2_1027);
				BgL_removezd2emptyzd2let1956z00_1325 =
					CBOOL(BgL_removezd2emptyzd2let1956z00_1028);
				BgL_foreignzd2closure1957zd2_1326 =
					CBOOL(BgL_foreignzd2closure1957zd2_1029);
				BgL_typedzd2eq1958zd2_1327 = CBOOL(BgL_typedzd2eq1958zd2_1030);
				BgL_tracezd2support1959zd2_1328 =
					CBOOL(BgL_tracezd2support1959zd2_1031);
				BgL_foreignzd2clausezd2suppo1960z00_1329 =
					BgL_foreignzd2clausezd2suppo1960z00_1032;
				BgL_debugzd2support1961zd2_1330 = BgL_debugzd2support1961zd2_1033;
				BgL_pragmazd2support1962zd2_1331 =
					CBOOL(BgL_pragmazd2support1962zd2_1034);
				BgL_tvectorzd2descrzd2suppor1963z00_1332 =
					CBOOL(BgL_tvectorzd2descrzd2suppor1963z00_1035);
				BgL_requirezd2tailc1964zd2_1333 =
					CBOOL(BgL_requirezd2tailc1964zd2_1036);
				BgL_registers1965z00_1334 = BgL_registers1965z00_1037;
				BgL_pregisters1966z00_1335 = BgL_pregisters1966z00_1038;
				BgL_boundzd2check1967zd2_1336 = CBOOL(BgL_boundzd2check1967zd2_1039);
				BgL_typezd2check1968zd2_1337 = CBOOL(BgL_typezd2check1968zd2_1040);
				BgL_typedzd2funcall1969zd2_1338 =
					CBOOL(BgL_typedzd2funcall1969zd2_1041);
				((((BgL_backendz00_bglt) CREF(
								((obj_t) BgL_new1980z00_1309)))->BgL_languagez00) =
					((obj_t) BgL_language1941z00_1310), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_srfi0z00) = ((obj_t) BgL_srfi01942z00_1311), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_namez00) = ((obj_t) BgL_name1943z00_1312), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_externzd2variableszd2) =
					((obj_t) BgL_externzd2variables1944zd2_1016), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_externzd2functionszd2) =
					((obj_t) BgL_externzd2functions1945zd2_1017), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_externzd2typeszd2) =
					((obj_t) BgL_externzd2types1946zd2_1018), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_variablesz00) = ((obj_t) BgL_variables1947z00_1019), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_functionsz00) = ((obj_t) BgL_functions1948z00_1020), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_typesz00) = ((obj_t) BgL_types1949z00_1021), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_typedz00) = ((bool_t) BgL_typed1950z00_1319), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_heapzd2suffixzd2) =
					((obj_t) BgL_heapzd2suffix1951zd2_1320), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_heapzd2compatiblezd2) =
					((obj_t) BgL_heapzd2compatible1952zd2_1321), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_callccz00) = ((bool_t) BgL_callcc1953z00_1322), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_qualifiedzd2typeszd2) =
					((bool_t) BgL_qualifiedzd2types1954zd2_1323), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_effectzb2zb2) = ((bool_t) BgL_effectzb21955zb2_1324), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_removezd2emptyzd2letz00) =
					((bool_t) BgL_removezd2emptyzd2let1956z00_1325), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_foreignzd2closurezd2) =
					((bool_t) BgL_foreignzd2closure1957zd2_1326), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_typedzd2eqzd2) =
					((bool_t) BgL_typedzd2eq1958zd2_1327), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_tracezd2supportzd2) =
					((bool_t) BgL_tracezd2support1959zd2_1328), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_foreignzd2clausezd2supportz00) =
					((obj_t) BgL_foreignzd2clausezd2suppo1960z00_1329), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_debugzd2supportzd2) =
					((obj_t) BgL_debugzd2support1961zd2_1330), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_pragmazd2supportzd2) =
					((bool_t) BgL_pragmazd2support1962zd2_1331), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) BgL_tvectorzd2descrzd2suppor1963z00_1332), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_requirezd2tailczd2) =
					((bool_t) BgL_requirezd2tailc1964zd2_1333), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_registersz00) = ((obj_t) BgL_registers1965z00_1334), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_pregistersz00) = ((obj_t) BgL_pregisters1966z00_1335), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_boundzd2checkzd2) =
					((bool_t) BgL_boundzd2check1967zd2_1336), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_typezd2checkzd2) =
					((bool_t) BgL_typezd2check1968zd2_1337), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_typedzd2funcallzd2) =
					((bool_t) BgL_typedzd2funcall1969zd2_1338), BUNSPEC);
				((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_qnamez00) = ((obj_t) BgL_qname1970z00_1042), BUNSPEC);
				((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_classesz00) = ((obj_t) BgL_classes1971z00_1043), BUNSPEC);
				((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_currentzd2classzd2) =
					((obj_t) BgL_currentzd2class1972zd2_1044), BUNSPEC);
				((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_declarationsz00) =
					((obj_t) BgL_declarations1973z00_1045), BUNSPEC);
				((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_fieldsz00) = ((obj_t) BgL_fields1974z00_1046), BUNSPEC);
				((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_methodsz00) = ((obj_t) BgL_methods1975z00_1047), BUNSPEC);
				((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_currentzd2methodzd2) =
					((obj_t) BgL_currentzd2method1976zd2_1048), BUNSPEC);
				((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_codez00) = ((obj_t) BgL_code1977z00_1049), BUNSPEC);
				((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_lightzd2funcallszd2) =
					((obj_t) BgL_lightzd2funcalls1978zd2_1050), BUNSPEC);
				((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_new1980z00_1309)))->
						BgL_inlinez00) = ((obj_t) BgL_inline1979z00_1051), BUNSPEC);
				return BgL_new1980z00_1309;
			}
		}
	}



/* %allocate-jvm */
	BGL_EXPORTED_DEF BgL_jvmz00_bglt
		BGl_z52allocatezd2jvmz80zzbackend_jvm_classz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 19 */
			{	/* BackEnd/jvm_class.scm 19 */
				BgL_jvmz00_bglt BgL_new2021z00_1349;

				BgL_new2021z00_1349 =
					((BgL_jvmz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_jvmz00_bgl))));
				{	/* BackEnd/jvm_class.scm 19 */
					long BgL_arg2195z00_1350;

					BgL_arg2195z00_1350 =
						BGl_classzd2numzd2zz__objectz00(BGl_jvmz00zzbackend_jvm_classz00);
					{	/* BackEnd/jvm_class.scm 19 */
						BgL_objectz00_bglt BgL_objz00_1351;

						BgL_objz00_1351 = ((BgL_objectz00_bglt) BgL_new2021z00_1349);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1351, BgL_arg2195z00_1350);
				}}
				{	/* BackEnd/jvm_class.scm 19 */
					BgL_objectz00_bglt BgL_auxz00_1664;

					BgL_auxz00_1664 = ((BgL_objectz00_bglt) BgL_new2021z00_1349);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_1664, BFALSE);
				}
				return BgL_new2021z00_1349;
			}
		}
	}



/* &%allocate-jvm */
	BgL_jvmz00_bglt BGl_z62z52allocatezd2jvmze2zzbackend_jvm_classz00(obj_t
		BgL_envz00_967)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 19 */
			{	/* BackEnd/jvm_class.scm 19 */
				BgL_jvmz00_bglt BgL_new2021z00_1352;

				BgL_new2021z00_1352 =
					((BgL_jvmz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_jvmz00_bgl))));
				{	/* BackEnd/jvm_class.scm 19 */
					long BgL_arg2195z00_1353;

					BgL_arg2195z00_1353 =
						BGl_classzd2numzd2zz__objectz00(BGl_jvmz00zzbackend_jvm_classz00);
					{	/* BackEnd/jvm_class.scm 19 */
						BgL_objectz00_bglt BgL_objz00_1354;

						BgL_objz00_1354 = ((BgL_objectz00_bglt) BgL_new2021z00_1352);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1354, BgL_arg2195z00_1353);
				}}
				{	/* BackEnd/jvm_class.scm 19 */
					BgL_objectz00_bglt BgL_auxz00_1671;

					BgL_auxz00_1671 = ((BgL_objectz00_bglt) BgL_new2021z00_1352);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_1671, BFALSE);
				}
				return BgL_new2021z00_1352;
			}
		}
	}



/* jvm-nil */
	BGL_EXPORTED_DEF BgL_jvmz00_bglt BGl_jvmzd2nilzd2zzbackend_jvm_classz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 19 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2jvmzd2nilz52zzbackend_jvm_classz00,
					BGl_jvmz00zzbackend_jvm_classz00))
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_xz00_1148;

					BgL_xz00_1148 = BGl_z52thezd2jvmzd2nilz52zzbackend_jvm_classz00;
					return ((BgL_jvmz00_bglt) BgL_xz00_1148);
				}
			else
				{	/* BackEnd/jvm_class.scm 19 */
					BgL_jvmz00_bglt BgL_g2022z00_403;

					{	/* BackEnd/jvm_class.scm 19 */
						BgL_jvmz00_bglt BgL_res2360z00_643;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_jvmz00_bglt BgL_new2021z00_639;

							BgL_new2021z00_639 =
								((BgL_jvmz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_jvmz00_bgl))));
							{	/* BackEnd/jvm_class.scm 19 */
								long BgL_arg2195z00_640;

								BgL_arg2195z00_640 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_jvmz00zzbackend_jvm_classz00);
								{	/* BackEnd/jvm_class.scm 19 */
									BgL_objectz00_bglt BgL_objz00_641;

									BgL_objz00_641 = ((BgL_objectz00_bglt) BgL_new2021z00_639);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_641, BgL_arg2195z00_640);
							}}
							{	/* BackEnd/jvm_class.scm 19 */
								BgL_objectz00_bglt BgL_auxz00_1681;

								BgL_auxz00_1681 = ((BgL_objectz00_bglt) BgL_new2021z00_639);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_1681, BFALSE);
							}
							BgL_res2360z00_643 = BgL_new2021z00_639;
						}
						BgL_g2022z00_403 = BgL_res2360z00_643;
					}
					BGl_z52thezd2jvmzd2nilz52zzbackend_jvm_classz00 =
						((obj_t) BgL_g2022z00_403);
					{	/* BackEnd/jvm_class.scm 19 */
						BgL_jvmz00_bglt BgL_res2361z00_723;

						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_language1941z00_645;
							obj_t BgL_srfi01942z00_646;
							obj_t BgL_heapzd2compatible1952zd2_656;

							BgL_language1941z00_645 = CNST_TABLE_REF(((long) 1));
							BgL_srfi01942z00_646 = CNST_TABLE_REF(((long) 1));
							BgL_heapzd2compatible1952zd2_656 = CNST_TABLE_REF(((long) 1));
							((((BgL_backendz00_bglt) CREF(
											((obj_t) BgL_g2022z00_403)))->BgL_languagez00) =
								((obj_t) BgL_language1941z00_645), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_srfi0z00) = ((obj_t) BgL_srfi01942z00_646), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_namez00) =
								((obj_t) BGl_string2366z00zzbackend_jvm_classz00), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_externzd2variableszd2) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_externzd2functionszd2) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_externzd2typeszd2) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_variablesz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_functionsz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_typesz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_typedz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_heapzd2suffixzd2) =
								((obj_t) BGl_string2366z00zzbackend_jvm_classz00), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_heapzd2compatiblezd2) =
								((obj_t) BgL_heapzd2compatible1952zd2_656), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_callccz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_qualifiedzd2typeszd2) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_effectzb2zb2) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_removezd2emptyzd2letz00) =
								((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_foreignzd2closurezd2) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_typedzd2eqzd2) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_tracezd2supportzd2) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_foreignzd2clausezd2supportz00) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_debugzd2supportzd2) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_pragmazd2supportzd2) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_tvectorzd2descrzd2supportz00) =
								((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_requirezd2tailczd2) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_registersz00) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_pregistersz00) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_boundzd2checkzd2) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_typezd2checkzd2) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_backendz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_typedzd2funcallzd2) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_qnamez00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_classesz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_currentzd2classzd2) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_declarationsz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_fieldsz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_methodsz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_currentzd2methodzd2) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_codez00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_lightzd2funcallszd2) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_jvmz00_bglt) CREF(((obj_t) BgL_g2022z00_403)))->
									BgL_inlinez00) = ((obj_t) BUNSPEC), BUNSPEC);
							BgL_res2361z00_723 = BgL_g2022z00_403;
						} BgL_res2361z00_723;
					}
					return BgL_g2022z00_403;
				}
		}
	}



/* &jvm-nil */
	BgL_jvmz00_bglt BGl_z62jvmzd2nilzb0zzbackend_jvm_classz00(obj_t
		BgL_envz00_968)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 19 */
			return BGl_jvmzd2nilzd2zzbackend_jvm_classz00();
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_jvm_classz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_jvm_classz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2367z00zzbackend_jvm_classz00,
				BGl_string2368z00zzbackend_jvm_classz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2369z00zzbackend_jvm_classz00,
				BGl_string2370z00zzbackend_jvm_classz00);
		}
	}



/* &struct+object->objec2186 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2186ze1zzbackend_jvm_classz00(obj_t
		BgL_envz00_1054, BgL_jvmz00_bglt BgL_oz00_1055, obj_t BgL_sz00_1056)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 19 */
			{
				BgL_jvmz00_bglt BgL_oz00_465;
				obj_t BgL_sz00_466;

				BgL_oz00_465 = BgL_oz00_1055;
				BgL_sz00_466 = BgL_sz00_1056;
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_arg2357z00_469;

					BgL_arg2357z00_469 = STRUCT_REF(BgL_sz00_466, (int) (((long) 0)));
					{	/* BackEnd/jvm_class.scm 19 */
						BgL_objectz00_bglt BgL_auxz00_1771;

						BgL_auxz00_1771 = ((BgL_objectz00_bglt) BgL_oz00_465);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_1771, BgL_arg2357z00_469);
				}}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2027z00_470;

					BgL_v2027z00_470 = STRUCT_REF(BgL_sz00_466, (int) (((long) 1)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_languagez00) =
						((obj_t) BgL_v2027z00_470), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2031z00_471;

					BgL_v2031z00_471 = STRUCT_REF(BgL_sz00_466, (int) (((long) 2)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_srfi0z00) =
						((obj_t) BgL_v2031z00_471), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2035z00_472;

					BgL_v2035z00_472 = STRUCT_REF(BgL_sz00_466, (int) (((long) 3)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_namez00) =
						((obj_t) BgL_v2035z00_472), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2039z00_473;

					BgL_v2039z00_473 = STRUCT_REF(BgL_sz00_466, (int) (((long) 4)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_externzd2variableszd2) =
						((obj_t) BgL_v2039z00_473), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2043z00_474;

					BgL_v2043z00_474 = STRUCT_REF(BgL_sz00_466, (int) (((long) 5)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_externzd2functionszd2) =
						((obj_t) BgL_v2043z00_474), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2047z00_475;

					BgL_v2047z00_475 = STRUCT_REF(BgL_sz00_466, (int) (((long) 6)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_externzd2typeszd2) =
						((obj_t) BgL_v2047z00_475), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2051z00_476;

					BgL_v2051z00_476 = STRUCT_REF(BgL_sz00_466, (int) (((long) 7)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_variablesz00) =
						((obj_t) BgL_v2051z00_476), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2055z00_477;

					BgL_v2055z00_477 = STRUCT_REF(BgL_sz00_466, (int) (((long) 8)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_functionsz00) =
						((obj_t) BgL_v2055z00_477), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2059z00_478;

					BgL_v2059z00_478 = STRUCT_REF(BgL_sz00_466, (int) (((long) 9)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_typesz00) =
						((obj_t) BgL_v2059z00_478), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					bool_t BgL_v2063z00_479;

					BgL_v2063z00_479 =
						CBOOL(STRUCT_REF(BgL_sz00_466, (int) (((long) 10))));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_typedz00) =
						((bool_t) BgL_v2063z00_479), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2067z00_480;

					BgL_v2067z00_480 = STRUCT_REF(BgL_sz00_466, (int) (((long) 11)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_heapzd2suffixzd2) =
						((obj_t) BgL_v2067z00_480), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2071z00_481;

					BgL_v2071z00_481 = STRUCT_REF(BgL_sz00_466, (int) (((long) 12)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_heapzd2compatiblezd2) =
						((obj_t) BgL_v2071z00_481), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					bool_t BgL_v2075z00_482;

					BgL_v2075z00_482 =
						CBOOL(STRUCT_REF(BgL_sz00_466, (int) (((long) 13))));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_callccz00) =
						((bool_t) BgL_v2075z00_482), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					bool_t BgL_v2079z00_483;

					BgL_v2079z00_483 =
						CBOOL(STRUCT_REF(BgL_sz00_466, (int) (((long) 14))));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_qualifiedzd2typeszd2) =
						((bool_t) BgL_v2079z00_483), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					bool_t BgL_v2083z00_484;

					BgL_v2083z00_484 =
						CBOOL(STRUCT_REF(BgL_sz00_466, (int) (((long) 15))));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_effectzb2zb2) =
						((bool_t) BgL_v2083z00_484), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					bool_t BgL_v2087z00_485;

					BgL_v2087z00_485 =
						CBOOL(STRUCT_REF(BgL_sz00_466, (int) (((long) 16))));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_removezd2emptyzd2letz00) =
						((bool_t) BgL_v2087z00_485), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					bool_t BgL_v2091z00_486;

					BgL_v2091z00_486 =
						CBOOL(STRUCT_REF(BgL_sz00_466, (int) (((long) 17))));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_foreignzd2closurezd2) =
						((bool_t) BgL_v2091z00_486), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					bool_t BgL_v2095z00_487;

					BgL_v2095z00_487 =
						CBOOL(STRUCT_REF(BgL_sz00_466, (int) (((long) 18))));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_typedzd2eqzd2) =
						((bool_t) BgL_v2095z00_487), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					bool_t BgL_v2099z00_488;

					BgL_v2099z00_488 =
						CBOOL(STRUCT_REF(BgL_sz00_466, (int) (((long) 19))));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_tracezd2supportzd2) =
						((bool_t) BgL_v2099z00_488), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2103z00_489;

					BgL_v2103z00_489 = STRUCT_REF(BgL_sz00_466, (int) (((long) 20)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_foreignzd2clausezd2supportz00) =
						((obj_t) BgL_v2103z00_489), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2107z00_490;

					BgL_v2107z00_490 = STRUCT_REF(BgL_sz00_466, (int) (((long) 21)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_debugzd2supportzd2) =
						((obj_t) BgL_v2107z00_490), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					bool_t BgL_v2111z00_491;

					BgL_v2111z00_491 =
						CBOOL(STRUCT_REF(BgL_sz00_466, (int) (((long) 22))));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_pragmazd2supportzd2) =
						((bool_t) BgL_v2111z00_491), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					bool_t BgL_v2115z00_492;

					BgL_v2115z00_492 =
						CBOOL(STRUCT_REF(BgL_sz00_466, (int) (((long) 23))));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_tvectorzd2descrzd2supportz00) =
						((bool_t) BgL_v2115z00_492), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					bool_t BgL_v2119z00_493;

					BgL_v2119z00_493 =
						CBOOL(STRUCT_REF(BgL_sz00_466, (int) (((long) 24))));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_requirezd2tailczd2) =
						((bool_t) BgL_v2119z00_493), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2123z00_494;

					BgL_v2123z00_494 = STRUCT_REF(BgL_sz00_466, (int) (((long) 25)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_registersz00) =
						((obj_t) BgL_v2123z00_494), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2127z00_495;

					BgL_v2127z00_495 = STRUCT_REF(BgL_sz00_466, (int) (((long) 26)));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_pregistersz00) =
						((obj_t) BgL_v2127z00_495), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					bool_t BgL_v2131z00_496;

					BgL_v2131z00_496 =
						CBOOL(STRUCT_REF(BgL_sz00_466, (int) (((long) 27))));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_boundzd2checkzd2) =
						((bool_t) BgL_v2131z00_496), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					bool_t BgL_v2135z00_497;

					BgL_v2135z00_497 =
						CBOOL(STRUCT_REF(BgL_sz00_466, (int) (((long) 28))));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_typezd2checkzd2) =
						((bool_t) BgL_v2135z00_497), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					bool_t BgL_v2139z00_498;

					BgL_v2139z00_498 =
						CBOOL(STRUCT_REF(BgL_sz00_466, (int) (((long) 29))));
					((((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_typedzd2funcallzd2) =
						((bool_t) BgL_v2139z00_498), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2143z00_499;

					BgL_v2143z00_499 = STRUCT_REF(BgL_sz00_466, (int) (((long) 30)));
					((((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_qnamez00) =
						((obj_t) BgL_v2143z00_499), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2147z00_500;

					BgL_v2147z00_500 = STRUCT_REF(BgL_sz00_466, (int) (((long) 31)));
					((((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_classesz00) =
						((obj_t) BgL_v2147z00_500), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2151z00_501;

					BgL_v2151z00_501 = STRUCT_REF(BgL_sz00_466, (int) (((long) 32)));
					((((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_currentzd2classzd2) =
						((obj_t) BgL_v2151z00_501), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2155z00_502;

					BgL_v2155z00_502 = STRUCT_REF(BgL_sz00_466, (int) (((long) 33)));
					((((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_declarationsz00) =
						((obj_t) BgL_v2155z00_502), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2159z00_503;

					BgL_v2159z00_503 = STRUCT_REF(BgL_sz00_466, (int) (((long) 34)));
					((((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_fieldsz00) =
						((obj_t) BgL_v2159z00_503), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2163z00_504;

					BgL_v2163z00_504 = STRUCT_REF(BgL_sz00_466, (int) (((long) 35)));
					((((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_methodsz00) =
						((obj_t) BgL_v2163z00_504), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2167z00_505;

					BgL_v2167z00_505 = STRUCT_REF(BgL_sz00_466, (int) (((long) 36)));
					((((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_currentzd2methodzd2) =
						((obj_t) BgL_v2167z00_505), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2171z00_506;

					BgL_v2171z00_506 = STRUCT_REF(BgL_sz00_466, (int) (((long) 37)));
					((((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_codez00) =
						((obj_t) BgL_v2171z00_506), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2175z00_507;

					BgL_v2175z00_507 = STRUCT_REF(BgL_sz00_466, (int) (((long) 38)));
					((((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_lightzd2funcallszd2) =
						((obj_t) BgL_v2175z00_507), BUNSPEC);
				}
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_v2179z00_508;

					BgL_v2179z00_508 = STRUCT_REF(BgL_sz00_466, (int) (((long) 39)));
					((((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_oz00_465)))->BgL_inlinez00) =
						((obj_t) BgL_v2179z00_508), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_465);
			}
		}
	}



/* &object->struct-jvm2184 */
	obj_t BGl_z62objectzd2ze3structzd2jvm2184z81zzbackend_jvm_classz00(obj_t
		BgL_envz00_1057, BgL_jvmz00_bglt BgL_obj2023z00_1058)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 19 */
			{
				BgL_jvmz00_bglt BgL_obj2023z00_421;

				BgL_obj2023z00_421 = BgL_obj2023z00_1058;
				{	/* BackEnd/jvm_class.scm 19 */
					obj_t BgL_res2024z00_424;

					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_res2362z00_727;

						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_keyz00_724;

							BgL_keyz00_724 = CNST_TABLE_REF(((long) 0));
							BgL_res2362z00_727 =
								make_struct(BgL_keyz00_724, (int) (((long) 40)), BUNSPEC);
						}
						BgL_res2024z00_424 = BgL_res2362z00_727;
					}
					{	/* BackEnd/jvm_class.scm 19 */
						int BgL_auxz00_1948;

						BgL_auxz00_1948 = (int) (((long) 0));
						STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_1948, BFALSE);
					}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2200z00_425;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1601z00_731;

							BgL_obj1601z00_731 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2200z00_425 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1601z00_731)))->BgL_languagez00);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_1954;

							BgL_auxz00_1954 = (int) (((long) 1));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_1954,
								BgL_arg2200z00_425);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2201z00_426;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1604z00_735;

							BgL_obj1604z00_735 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2201z00_426 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1604z00_735)))->BgL_srfi0z00);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_1960;

							BgL_auxz00_1960 = (int) (((long) 2));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_1960,
								BgL_arg2201z00_426);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2202z00_427;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1607z00_739;

							BgL_obj1607z00_739 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2202z00_427 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1607z00_739)))->BgL_namez00);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_1966;

							BgL_auxz00_1966 = (int) (((long) 3));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_1966,
								BgL_arg2202z00_427);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2205z00_428;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1610z00_743;

							BgL_obj1610z00_743 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2205z00_428 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1610z00_743)))->BgL_externzd2variableszd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_1972;

							BgL_auxz00_1972 = (int) (((long) 4));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_1972,
								BgL_arg2205z00_428);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2206z00_429;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1613z00_747;

							BgL_obj1613z00_747 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2206z00_429 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1613z00_747)))->BgL_externzd2functionszd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_1978;

							BgL_auxz00_1978 = (int) (((long) 5));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_1978,
								BgL_arg2206z00_429);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2212z00_430;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1616z00_751;

							BgL_obj1616z00_751 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2212z00_430 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1616z00_751)))->BgL_externzd2typeszd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_1984;

							BgL_auxz00_1984 = (int) (((long) 6));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_1984,
								BgL_arg2212z00_430);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2224z00_431;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1619z00_755;

							BgL_obj1619z00_755 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2224z00_431 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1619z00_755)))->BgL_variablesz00);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_1990;

							BgL_auxz00_1990 = (int) (((long) 7));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_1990,
								BgL_arg2224z00_431);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2230z00_432;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1622z00_759;

							BgL_obj1622z00_759 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2230z00_432 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1622z00_759)))->BgL_functionsz00);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_1996;

							BgL_auxz00_1996 = (int) (((long) 8));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_1996,
								BgL_arg2230z00_432);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2233z00_433;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1625z00_763;

							BgL_obj1625z00_763 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2233z00_433 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1625z00_763)))->BgL_typesz00);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2002;

							BgL_auxz00_2002 = (int) (((long) 9));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2002,
								BgL_arg2233z00_433);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						bool_t BgL_arg2236z00_434;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1628z00_767;

							BgL_obj1628z00_767 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2236z00_434 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1628z00_767)))->BgL_typedz00);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_auxz00_2010;
							int BgL_auxz00_2008;

							BgL_auxz00_2010 = BBOOL(BgL_arg2236z00_434);
							BgL_auxz00_2008 = (int) (((long) 10));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2008, BgL_auxz00_2010);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2240z00_435;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1631z00_771;

							BgL_obj1631z00_771 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2240z00_435 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1631z00_771)))->BgL_heapzd2suffixzd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2016;

							BgL_auxz00_2016 = (int) (((long) 11));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2016,
								BgL_arg2240z00_435);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2241z00_436;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1634z00_775;

							BgL_obj1634z00_775 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2241z00_436 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1634z00_775)))->BgL_heapzd2compatiblezd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2022;

							BgL_auxz00_2022 = (int) (((long) 12));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2022,
								BgL_arg2241z00_436);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						bool_t BgL_arg2244z00_437;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1637z00_779;

							BgL_obj1637z00_779 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2244z00_437 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1637z00_779)))->BgL_callccz00);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_auxz00_2030;
							int BgL_auxz00_2028;

							BgL_auxz00_2030 = BBOOL(BgL_arg2244z00_437);
							BgL_auxz00_2028 = (int) (((long) 13));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2028, BgL_auxz00_2030);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						bool_t BgL_arg2250z00_438;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1640z00_783;

							BgL_obj1640z00_783 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2250z00_438 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1640z00_783)))->BgL_qualifiedzd2typeszd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_auxz00_2038;
							int BgL_auxz00_2036;

							BgL_auxz00_2038 = BBOOL(BgL_arg2250z00_438);
							BgL_auxz00_2036 = (int) (((long) 14));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2036, BgL_auxz00_2038);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						bool_t BgL_arg2251z00_439;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1643z00_787;

							BgL_obj1643z00_787 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2251z00_439 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1643z00_787)))->BgL_effectzb2zb2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_auxz00_2046;
							int BgL_auxz00_2044;

							BgL_auxz00_2046 = BBOOL(BgL_arg2251z00_439);
							BgL_auxz00_2044 = (int) (((long) 15));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2044, BgL_auxz00_2046);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						bool_t BgL_arg2253z00_440;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1646z00_791;

							BgL_obj1646z00_791 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2253z00_440 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1646z00_791)))->
								BgL_removezd2emptyzd2letz00);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_auxz00_2054;
							int BgL_auxz00_2052;

							BgL_auxz00_2054 = BBOOL(BgL_arg2253z00_440);
							BgL_auxz00_2052 = (int) (((long) 16));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2052, BgL_auxz00_2054);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						bool_t BgL_arg2254z00_441;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1649z00_795;

							BgL_obj1649z00_795 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2254z00_441 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1649z00_795)))->BgL_foreignzd2closurezd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_auxz00_2062;
							int BgL_auxz00_2060;

							BgL_auxz00_2062 = BBOOL(BgL_arg2254z00_441);
							BgL_auxz00_2060 = (int) (((long) 17));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2060, BgL_auxz00_2062);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						bool_t BgL_arg2262z00_442;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1652z00_799;

							BgL_obj1652z00_799 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2262z00_442 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1652z00_799)))->BgL_typedzd2eqzd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_auxz00_2070;
							int BgL_auxz00_2068;

							BgL_auxz00_2070 = BBOOL(BgL_arg2262z00_442);
							BgL_auxz00_2068 = (int) (((long) 18));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2068, BgL_auxz00_2070);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						bool_t BgL_arg2263z00_443;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1655z00_803;

							BgL_obj1655z00_803 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2263z00_443 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1655z00_803)))->BgL_tracezd2supportzd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_auxz00_2078;
							int BgL_auxz00_2076;

							BgL_auxz00_2078 = BBOOL(BgL_arg2263z00_443);
							BgL_auxz00_2076 = (int) (((long) 19));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2076, BgL_auxz00_2078);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2264z00_444;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1658z00_807;

							BgL_obj1658z00_807 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2264z00_444 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1658z00_807)))->
								BgL_foreignzd2clausezd2supportz00);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2084;

							BgL_auxz00_2084 = (int) (((long) 20));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2084,
								BgL_arg2264z00_444);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2267z00_445;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1661z00_811;

							BgL_obj1661z00_811 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2267z00_445 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1661z00_811)))->BgL_debugzd2supportzd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2090;

							BgL_auxz00_2090 = (int) (((long) 21));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2090,
								BgL_arg2267z00_445);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						bool_t BgL_arg2271z00_446;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1664z00_815;

							BgL_obj1664z00_815 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2271z00_446 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1664z00_815)))->BgL_pragmazd2supportzd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_auxz00_2098;
							int BgL_auxz00_2096;

							BgL_auxz00_2098 = BBOOL(BgL_arg2271z00_446);
							BgL_auxz00_2096 = (int) (((long) 22));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2096, BgL_auxz00_2098);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						bool_t BgL_arg2272z00_447;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1667z00_819;

							BgL_obj1667z00_819 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2272z00_447 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1667z00_819)))->
								BgL_tvectorzd2descrzd2supportz00);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_auxz00_2106;
							int BgL_auxz00_2104;

							BgL_auxz00_2106 = BBOOL(BgL_arg2272z00_447);
							BgL_auxz00_2104 = (int) (((long) 23));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2104, BgL_auxz00_2106);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						bool_t BgL_arg2275z00_448;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1670z00_823;

							BgL_obj1670z00_823 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2275z00_448 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1670z00_823)))->BgL_requirezd2tailczd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_auxz00_2114;
							int BgL_auxz00_2112;

							BgL_auxz00_2114 = BBOOL(BgL_arg2275z00_448);
							BgL_auxz00_2112 = (int) (((long) 24));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2112, BgL_auxz00_2114);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2278z00_449;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1673z00_827;

							BgL_obj1673z00_827 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2278z00_449 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1673z00_827)))->BgL_registersz00);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2120;

							BgL_auxz00_2120 = (int) (((long) 25));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2120,
								BgL_arg2278z00_449);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2284z00_450;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1676z00_831;

							BgL_obj1676z00_831 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2284z00_450 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1676z00_831)))->BgL_pregistersz00);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2126;

							BgL_auxz00_2126 = (int) (((long) 26));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2126,
								BgL_arg2284z00_450);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						bool_t BgL_arg2287z00_451;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1679z00_835;

							BgL_obj1679z00_835 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2287z00_451 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1679z00_835)))->BgL_boundzd2checkzd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_auxz00_2134;
							int BgL_auxz00_2132;

							BgL_auxz00_2134 = BBOOL(BgL_arg2287z00_451);
							BgL_auxz00_2132 = (int) (((long) 27));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2132, BgL_auxz00_2134);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						bool_t BgL_arg2293z00_452;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1682z00_839;

							BgL_obj1682z00_839 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2293z00_452 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1682z00_839)))->BgL_typezd2checkzd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_auxz00_2142;
							int BgL_auxz00_2140;

							BgL_auxz00_2142 = BBOOL(BgL_arg2293z00_452);
							BgL_auxz00_2140 = (int) (((long) 28));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2140, BgL_auxz00_2142);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						bool_t BgL_arg2296z00_453;

						{	/* BackEnd/jvm_class.scm 19 */
							BgL_backendz00_bglt BgL_obj1685z00_843;

							BgL_obj1685z00_843 = ((BgL_backendz00_bglt) BgL_obj2023z00_421);
							BgL_arg2296z00_453 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1685z00_843)))->BgL_typedzd2funcallzd2);
						}
						{	/* BackEnd/jvm_class.scm 19 */
							obj_t BgL_auxz00_2150;
							int BgL_auxz00_2148;

							BgL_auxz00_2150 = BBOOL(BgL_arg2296z00_453);
							BgL_auxz00_2148 = (int) (((long) 29));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2148, BgL_auxz00_2150);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2305z00_454;

						BgL_arg2305z00_454 =
							(((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_obj2023z00_421)))->BgL_qnamez00);
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2155;

							BgL_auxz00_2155 = (int) (((long) 30));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2155,
								BgL_arg2305z00_454);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2311z00_455;

						BgL_arg2311z00_455 =
							(((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_obj2023z00_421)))->BgL_classesz00);
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2160;

							BgL_auxz00_2160 = (int) (((long) 31));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2160,
								BgL_arg2311z00_455);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2323z00_456;

						BgL_arg2323z00_456 =
							(((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_obj2023z00_421)))->BgL_currentzd2classzd2);
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2165;

							BgL_auxz00_2165 = (int) (((long) 32));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2165,
								BgL_arg2323z00_456);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2329z00_457;

						BgL_arg2329z00_457 =
							(((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_obj2023z00_421)))->BgL_declarationsz00);
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2170;

							BgL_auxz00_2170 = (int) (((long) 33));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2170,
								BgL_arg2329z00_457);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2332z00_458;

						BgL_arg2332z00_458 =
							(((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_obj2023z00_421)))->BgL_fieldsz00);
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2175;

							BgL_auxz00_2175 = (int) (((long) 34));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2175,
								BgL_arg2332z00_458);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2338z00_459;

						BgL_arg2338z00_459 =
							(((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_obj2023z00_421)))->BgL_methodsz00);
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2180;

							BgL_auxz00_2180 = (int) (((long) 35));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2180,
								BgL_arg2338z00_459);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2341z00_460;

						BgL_arg2341z00_460 =
							(((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_obj2023z00_421)))->BgL_currentzd2methodzd2);
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2185;

							BgL_auxz00_2185 = (int) (((long) 36));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2185,
								BgL_arg2341z00_460);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2347z00_461;

						BgL_arg2347z00_461 =
							(((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_obj2023z00_421)))->BgL_codez00);
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2190;

							BgL_auxz00_2190 = (int) (((long) 37));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2190,
								BgL_arg2347z00_461);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2350z00_462;

						BgL_arg2350z00_462 =
							(((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_obj2023z00_421)))->BgL_lightzd2funcallszd2);
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2195;

							BgL_auxz00_2195 = (int) (((long) 38));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2195,
								BgL_arg2350z00_462);
					}}
					{	/* BackEnd/jvm_class.scm 19 */
						obj_t BgL_arg2356z00_463;

						BgL_arg2356z00_463 =
							(((BgL_jvmz00_bglt) CREF(
									((obj_t) BgL_obj2023z00_421)))->BgL_inlinez00);
						{	/* BackEnd/jvm_class.scm 19 */
							int BgL_auxz00_2200;

							BgL_auxz00_2200 = (int) (((long) 39));
							STRUCT_SET(BgL_res2024z00_424, BgL_auxz00_2200,
								BgL_arg2356z00_463);
					}}
					return BgL_res2024z00_424;
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvm_classz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm_class.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2371z00zzbackend_jvm_classz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2371z00zzbackend_jvm_classz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 443870496),
				BSTRING_TO_STRING(BGl_string2371z00zzbackend_jvm_classz00));
		}
	}

#ifdef __cplusplus
}
#endif
