/*===========================================================================*/
/*   (Globalize/clocto.scm)                                                  */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/clocto.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_cfunctionz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_ctozd2transitivezd2closurez12z12zzglobaliza7e_cloctoza7
		(BgL_localz00_bglt);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_cloctoza7();
	extern obj_t BGl_unionz00zzglobaliza7e_kaptureza7(obj_t);
	static obj_t BGl_appendzd221095zd2zzglobaliza7e_cloctoza7(obj_t, obj_t);
	static obj_t
		BGl_z62ctozd2transitivezd2closurez12z70zzglobaliza7e_cloctoza7(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_cloctoza7 =
		BUNSPEC;
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_cloctoza7();
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_cloctoza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_cloctoza7();
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_cloctoza7();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ctozd2transitivezd2closurez12zd2envzc0zzglobaliza7e_cloctoza7,
		BgL_bgl_za762ctoza7d2transit3873z00,
		BGl_z62ctozd2transitivezd2closurez12z70zzglobaliza7e_cloctoza7, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string3872z00zzglobaliza7e_cloctoza7,
		BgL_bgl_string3872za700za7za7g3874za7, "globalize_clocto", 16);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_cloctoza7(long
		BgL_checksumz00_1502, char *BgL_fromz00_1503)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_cloctoza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_cloctoza7 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_cloctoza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_cloctoza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_cloctoza7()
	{
		AN_OBJECT;
		{	/* Globalize/clocto.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_clocto");
			return BUNSPEC;
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zzglobaliza7e_cloctoza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_949;

				BgL_headz00_949 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_950;
					obj_t BgL_tailz00_951;

					BgL_prevz00_950 = BgL_headz00_949;
					BgL_tailz00_951 = BgL_l1z00_1;
				BgL_loopz00_952:
					if (PAIRP(BgL_tailz00_951))
						{
							obj_t BgL_newzd2prevzd2_954;

							BgL_newzd2prevzd2_954 =
								MAKE_PAIR(CAR(BgL_tailz00_951), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_950, BgL_newzd2prevzd2_954);
							{
								obj_t BgL_tailz00_1517;
								obj_t BgL_prevz00_1516;

								BgL_prevz00_1516 = BgL_newzd2prevzd2_954;
								BgL_tailz00_1517 = CDR(BgL_tailz00_951);
								BgL_tailz00_951 = BgL_tailz00_1517;
								BgL_prevz00_950 = BgL_prevz00_1516;
								goto BgL_loopz00_952;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_949);
				}
			}
		}
	}



/* cto-transitive-closure! */
	BGL_EXPORTED_DEF obj_t
		BGl_ctozd2transitivezd2closurez12z12zzglobaliza7e_cloctoza7
		(BgL_localz00_bglt BgL_hostz00_3)
	{
		AN_OBJECT;
		{	/* Globalize/clocto.scm 36 */
			{	/* Globalize/clocto.scm 37 */
				BgL_valuez00_bglt BgL_infoz00_957;

				{	/* Globalize/clocto.scm 37 */
					BgL_variablez00_bglt BgL_obj1612z00_1440;

					BgL_obj1612z00_1440 = ((BgL_variablez00_bglt) BgL_hostz00_3);
					BgL_infoz00_957 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1440)))->BgL_valuez00);
				}
				{	/* Globalize/clocto.scm 37 */
					obj_t BgL_ctoz00_958;

					{	/* Globalize/clocto.scm 38 */
						obj_t BgL_arg3815z00_992;
						obj_t BgL_arg3816z00_993;

						{	/* Globalize/clocto.scm 38 */
							BgL_sfunzf2ginfozf2_bglt BgL_obj3459z00_1441;

							BgL_obj3459z00_1441 =
								((BgL_sfunzf2ginfozf2_bglt) BgL_infoz00_957);
							{
								obj_t BgL_auxz00_1524;

								{	/* Globalize/clocto.scm 38 */
									BgL_objectz00_bglt BgL_auxz00_1525;

									BgL_auxz00_1525 = ((BgL_objectz00_bglt) BgL_obj3459z00_1441);
									BgL_auxz00_1524 = BGL_OBJECT_WIDENING(BgL_auxz00_1525);
								}
								BgL_arg3815z00_992 =
									(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1524))->
									BgL_ctoz00);
							}
						}
						{	/* Globalize/clocto.scm 39 */
							BgL_sfunzf2ginfozf2_bglt BgL_obj3465z00_1442;

							BgL_obj3465z00_1442 =
								((BgL_sfunzf2ginfozf2_bglt) BgL_infoz00_957);
							{
								obj_t BgL_auxz00_1530;

								{	/* Globalize/clocto.scm 39 */
									BgL_objectz00_bglt BgL_auxz00_1531;

									BgL_auxz00_1531 = ((BgL_objectz00_bglt) BgL_obj3465z00_1442);
									BgL_auxz00_1530 = BGL_OBJECT_WIDENING(BgL_auxz00_1531);
								}
								BgL_arg3816z00_993 =
									(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1530))->
									BgL_cfunctionz00);
							}
						}
						BgL_ctoz00_958 =
							BGl_appendzd221095zd2zzglobaliza7e_cloctoza7(BgL_arg3815z00_992,
							BgL_arg3816z00_993);
					}
					{	/* Globalize/clocto.scm 38 */
						obj_t BgL_ctoza2zd2origz70_959;

						{	/* Globalize/clocto.scm 40 */
							obj_t BgL_list3814z00_991;

							BgL_list3814z00_991 = MAKE_PAIR(BgL_ctoz00_958, BNIL);
							BgL_ctoza2zd2origz70_959 = BgL_list3814z00_991;
						}
						{	/* Globalize/clocto.scm 40 */

							{
								obj_t BgL_ctoz00_961;
								obj_t BgL_ctoza2za2_962;

								BgL_ctoz00_961 = BgL_ctoz00_958;
								BgL_ctoza2za2_962 = BgL_ctoza2zd2origz70_959;
							BgL_zc3anonymousza33785ze3z83_963:
								if (NULLP(BgL_ctoz00_961))
									{	/* Globalize/clocto.scm 46 */
										obj_t BgL_arg3787z00_965;

										if ((BgL_ctoza2za2_962 == BgL_ctoza2zd2origz70_959))
											{	/* Globalize/clocto.scm 46 */
												BgL_arg3787z00_965 = CAR(BgL_ctoza2zd2origz70_959);
											}
										else
											{	/* Globalize/clocto.scm 46 */
												BgL_arg3787z00_965 =
													BGl_unionz00zzglobaliza7e_kaptureza7
													(BgL_ctoza2za2_962);
											}
										{	/* Globalize/clocto.scm 45 */
											BgL_sfunzf2ginfozf2_bglt BgL_obj3464z00_1448;

											BgL_obj3464z00_1448 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_infoz00_957);
											{
												obj_t BgL_auxz00_1544;

												{	/* Globalize/clocto.scm 45 */
													BgL_objectz00_bglt BgL_auxz00_1545;

													BgL_auxz00_1545 =
														((BgL_objectz00_bglt) BgL_obj3464z00_1448);
													BgL_auxz00_1544 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1545);
												}
												return
													((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1544))->
														BgL_ctoza2za2) =
													((obj_t) BgL_arg3787z00_965), BUNSPEC);
											}
										}
									}
								else
									{	/* Globalize/clocto.scm 49 */
										bool_t BgL_testz00_1549;

										{	/* Globalize/clocto.scm 49 */
											obj_t BgL_arg3813z00_989;

											BgL_arg3813z00_989 = CAR(BgL_ctoz00_961);
											BgL_testz00_1549 =
												(BgL_arg3813z00_989 == BGl_localz00zzast_varz00);
										}
										if (BgL_testz00_1549)
											{
												obj_t BgL_ctoz00_1552;

												BgL_ctoz00_1552 = CDR(BgL_ctoz00_961);
												BgL_ctoz00_961 = BgL_ctoz00_1552;
												goto BgL_zc3anonymousza33785ze3z83_963;
											}
										else
											{	/* Globalize/clocto.scm 51 */
												bool_t BgL_testz00_1554;

												{	/* Globalize/clocto.scm 51 */
													BgL_sfunzf2ginfozf2_bglt BgL_obj3448z00_1454;

													{
														BgL_valuez00_bglt BgL_auxz00_1555;

														{	/* Globalize/clocto.scm 51 */
															BgL_variablez00_bglt BgL_obj1612z00_1453;

															{	/* Globalize/clocto.scm 51 */
																obj_t BgL_pairz00_1452;

																BgL_pairz00_1452 = BgL_ctoz00_961;
																BgL_obj1612z00_1453 =
																	((BgL_variablez00_bglt)
																	CAR(BgL_pairz00_1452));
															}
															BgL_auxz00_1555 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1612z00_1453)))->
																BgL_valuez00);
														}
														BgL_obj3448z00_1454 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_1555);
													}
													{
														obj_t BgL_auxz00_1561;

														{	/* Globalize/clocto.scm 51 */
															BgL_objectz00_bglt BgL_auxz00_1562;

															BgL_auxz00_1562 =
																((BgL_objectz00_bglt) BgL_obj3448z00_1454);
															BgL_auxz00_1561 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1562);
														}
														BgL_testz00_1554 =
															(((BgL_sfunzf2ginfozf2_bglt)
																CREF(BgL_auxz00_1561))->BgL_gzf3zf3);
													}
												}
												if (BgL_testz00_1554)
													{
														obj_t BgL_ctoz00_1566;

														BgL_ctoz00_1566 = CDR(BgL_ctoz00_961);
														BgL_ctoz00_961 = BgL_ctoz00_1566;
														goto BgL_zc3anonymousza33785ze3z83_963;
													}
												else
													{	/* Globalize/clocto.scm 53 */
														bool_t BgL_testz00_1568;

														{	/* Globalize/clocto.scm 53 */
															BgL_sfunzf2ginfozf2_bglt BgL_obj3462z00_1458;

															{
																BgL_valuez00_bglt BgL_auxz00_1569;

																{	/* Globalize/clocto.scm 53 */
																	BgL_variablez00_bglt BgL_obj1612z00_1457;

																	{	/* Globalize/clocto.scm 53 */
																		obj_t BgL_pairz00_1456;

																		BgL_pairz00_1456 = BgL_ctoz00_961;
																		BgL_obj1612z00_1457 =
																			((BgL_variablez00_bglt)
																			CAR(BgL_pairz00_1456));
																	}
																	BgL_auxz00_1569 =
																		(((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1612z00_1457)))->
																		BgL_valuez00);
																}
																BgL_obj3462z00_1458 =
																	((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_1569);
															}
															{	/* Globalize/clocto.scm 53 */
																obj_t BgL_auxz00_1575;

																{
																	obj_t BgL_auxz00_1576;

																	{	/* Globalize/clocto.scm 53 */
																		BgL_objectz00_bglt BgL_auxz00_1577;

																		BgL_auxz00_1577 =
																			((BgL_objectz00_bglt)
																			BgL_obj3462z00_1458);
																		BgL_auxz00_1576 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_1577);
																	}
																	BgL_auxz00_1575 =
																		(((BgL_sfunzf2ginfozf2_bglt)
																			CREF(BgL_auxz00_1576))->BgL_ctoza2za2);
																}
																BgL_testz00_1568 = CBOOL(BgL_auxz00_1575);
															}
														}
														if (BgL_testz00_1568)
															{
																obj_t BgL_ctoz00_1582;

																BgL_ctoz00_1582 = CDR(BgL_ctoz00_961);
																BgL_ctoz00_961 = BgL_ctoz00_1582;
																goto BgL_zc3anonymousza33785ze3z83_963;
															}
														else
															{	/* Globalize/clocto.scm 57 */
																obj_t BgL_calleez00_973;

																{	/* Globalize/clocto.scm 58 */
																	obj_t BgL_arg3803z00_979;
																	obj_t BgL_arg3804z00_980;

																	{	/* Globalize/clocto.scm 58 */
																		BgL_sfunzf2ginfozf2_bglt
																			BgL_obj3459z00_1462;
																		{
																			BgL_valuez00_bglt BgL_auxz00_1584;

																			{	/* Globalize/clocto.scm 58 */
																				BgL_variablez00_bglt
																					BgL_obj1612z00_1461;
																				{	/* Globalize/clocto.scm 58 */
																					obj_t BgL_pairz00_1460;

																					BgL_pairz00_1460 = BgL_ctoz00_961;
																					BgL_obj1612z00_1461 =
																						((BgL_variablez00_bglt)
																						CAR(BgL_pairz00_1460));
																				}
																				BgL_auxz00_1584 =
																					(((BgL_variablez00_bglt) CREF(
																							((obj_t) BgL_obj1612z00_1461)))->
																					BgL_valuez00);
																			}
																			BgL_obj3459z00_1462 =
																				((BgL_sfunzf2ginfozf2_bglt)
																				BgL_auxz00_1584);
																		}
																		{
																			obj_t BgL_auxz00_1590;

																			{	/* Globalize/clocto.scm 58 */
																				BgL_objectz00_bglt BgL_auxz00_1591;

																				BgL_auxz00_1591 =
																					((BgL_objectz00_bglt)
																					BgL_obj3459z00_1462);
																				BgL_auxz00_1590 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_1591);
																			}
																			BgL_arg3803z00_979 =
																				(((BgL_sfunzf2ginfozf2_bglt)
																					CREF(BgL_auxz00_1590))->BgL_ctoz00);
																		}
																	}
																	{	/* Globalize/clocto.scm 59 */
																		BgL_sfunzf2ginfozf2_bglt
																			BgL_obj3465z00_1465;
																		{
																			BgL_valuez00_bglt BgL_auxz00_1595;

																			{	/* Globalize/clocto.scm 59 */
																				BgL_variablez00_bglt
																					BgL_obj1612z00_1464;
																				{	/* Globalize/clocto.scm 59 */
																					obj_t BgL_pairz00_1463;

																					BgL_pairz00_1463 = BgL_ctoz00_961;
																					BgL_obj1612z00_1464 =
																						((BgL_variablez00_bglt)
																						CAR(BgL_pairz00_1463));
																				}
																				BgL_auxz00_1595 =
																					(((BgL_variablez00_bglt) CREF(
																							((obj_t) BgL_obj1612z00_1464)))->
																					BgL_valuez00);
																			}
																			BgL_obj3465z00_1465 =
																				((BgL_sfunzf2ginfozf2_bglt)
																				BgL_auxz00_1595);
																		}
																		{
																			obj_t BgL_auxz00_1601;

																			{	/* Globalize/clocto.scm 59 */
																				BgL_objectz00_bglt BgL_auxz00_1602;

																				BgL_auxz00_1602 =
																					((BgL_objectz00_bglt)
																					BgL_obj3465z00_1465);
																				BgL_auxz00_1601 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_1602);
																			}
																			BgL_arg3804z00_980 =
																				(((BgL_sfunzf2ginfozf2_bglt)
																					CREF(BgL_auxz00_1601))->
																				BgL_cfunctionz00);
																		}
																	}
																	BgL_calleez00_973 =
																		BGl_appendzd221095zd2zzglobaliza7e_cloctoza7
																		(BgL_arg3803z00_979, BgL_arg3804z00_980);
																}
																{	/* Globalize/clocto.scm 61 */
																	BgL_valuez00_bglt BgL_arg3795z00_974;

																	{	/* Globalize/clocto.scm 61 */
																		BgL_variablez00_bglt BgL_obj1612z00_1467;

																		{	/* Globalize/clocto.scm 61 */
																			obj_t BgL_pairz00_1466;

																			BgL_pairz00_1466 = BgL_ctoz00_961;
																			BgL_obj1612z00_1467 =
																				((BgL_variablez00_bglt)
																				CAR(BgL_pairz00_1466));
																		}
																		BgL_arg3795z00_974 =
																			(((BgL_variablez00_bglt) CREF(
																					((obj_t) BgL_obj1612z00_1467)))->
																			BgL_valuez00);
																	}
																	{	/* Globalize/clocto.scm 61 */
																		BgL_sfunzf2ginfozf2_bglt
																			BgL_obj3464z00_1468;
																		BgL_obj3464z00_1468 =
																			((BgL_sfunzf2ginfozf2_bglt)
																			BgL_arg3795z00_974);
																		{
																			obj_t BgL_auxz00_1612;

																			{	/* Globalize/clocto.scm 61 */
																				BgL_objectz00_bglt BgL_auxz00_1613;

																				BgL_auxz00_1613 =
																					((BgL_objectz00_bglt)
																					BgL_obj3464z00_1468);
																				BgL_auxz00_1612 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_1613);
																			}
																			((((BgL_sfunzf2ginfozf2_bglt)
																						CREF(BgL_auxz00_1612))->
																					BgL_ctoza2za2) =
																				((obj_t) BTRUE), BUNSPEC);
																		}
																	}
																}
																{	/* Globalize/clocto.scm 63 */
																	obj_t BgL_arg3799z00_976;
																	obj_t BgL_arg3801z00_977;

																	BgL_arg3799z00_976 =
																		BGl_appendzd221095zd2zzglobaliza7e_cloctoza7
																		(CDR(BgL_ctoz00_961), BgL_calleez00_973);
																	BgL_arg3801z00_977 =
																		MAKE_PAIR(BgL_calleez00_973,
																		BgL_ctoza2za2_962);
																	{
																		obj_t BgL_ctoza2za2_1621;
																		obj_t BgL_ctoz00_1620;

																		BgL_ctoz00_1620 = BgL_arg3799z00_976;
																		BgL_ctoza2za2_1621 = BgL_arg3801z00_977;
																		BgL_ctoza2za2_962 = BgL_ctoza2za2_1621;
																		BgL_ctoz00_961 = BgL_ctoz00_1620;
																		goto BgL_zc3anonymousza33785ze3z83_963;
																	}
																}
															}
													}
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* &cto-transitive-closure! */
	obj_t BGl_z62ctozd2transitivezd2closurez12z70zzglobaliza7e_cloctoza7(obj_t
		BgL_envz00_1471, obj_t BgL_hostz00_1472)
	{
		AN_OBJECT;
		{	/* Globalize/clocto.scm 36 */
			return
				BGl_ctozd2transitivezd2closurez12z12zzglobaliza7e_cloctoza7(
				((BgL_localz00_bglt) BgL_hostz00_1472));
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_cloctoza7()
	{
		AN_OBJECT;
		{	/* Globalize/clocto.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_cloctoza7()
	{
		AN_OBJECT;
		{	/* Globalize/clocto.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_cloctoza7()
	{
		AN_OBJECT;
		{	/* Globalize/clocto.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3872z00zzglobaliza7e_cloctoza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3872z00zzglobaliza7e_cloctoza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3872z00zzglobaliza7e_cloctoza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3872z00zzglobaliza7e_cloctoza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3872z00zzglobaliza7e_cloctoza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string3872z00zzglobaliza7e_cloctoza7));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(((long)
					459831036),
				BSTRING_TO_STRING(BGl_string3872z00zzglobaliza7e_cloctoza7));
		}
	}

#ifdef __cplusplus
}
#endif
