/*===========================================================================*/
/*   (Globalize/gloclo.scm)                                                  */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/gloclo.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


	static BgL_appz00_bglt
		BGl_makezd2nooptzd2bodyz00zzglobaliza7e_globalzd2closurez75(obj_t,
		BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_makezd2nzd2protoz00zztools_argsz00(obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00;
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75();
	static obj_t
		BGl_makezd2optzf2keyzd2globalzd2closurez20zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt);
	extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_globalzd2closurez75();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	static BgL_globalz00_bglt
		BGl_z62makezd2globalzd2closurez62zzglobaliza7e_globalzd2closurez75(obj_t,
		obj_t);
	extern BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_varz00_bglt, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT bool_t symbol_exists_p(char *);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt);
	extern obj_t
		BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(BgL_globalz00_bglt,
		obj_t);
	static BgL_valuez00_bglt
		BGl_variablezd2valuezd2zzglobaliza7e_globalzd2closurez75
		(BgL_variablez00_bglt);
	extern int BGl_funzd2optionalzd2arityz00zzast_varz00(BgL_funz00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t
		BGl_fillzd2glocloz12zc0zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt,
		BgL_globalz00_bglt);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_makezd2nooptzd2globalzd2closurezd2zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt);
	static obj_t
		BGl_globaliza7edzd2typezd2idza7zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt);
	static obj_t
		BGl_requirezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75 =
		BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_globalzd2closurez75();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_globalzd2closurez75();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7(bool_t,
		long, long, bool_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	static obj_t BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75
		= BUNSPEC;
	extern obj_t BGl_wideningzd2localzf2Ginfoz20zzglobaliza7e_ginfoza7(bool_t,
		bool_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t
		BGl_glocloz00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt,
		BgL_localz00_bglt, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t
		BGl_z62foreignzd2closureszb0zzglobaliza7e_globalzd2closurez75(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_globalzd2closurez75();
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75();
	extern obj_t BGl_wideningzd2globalzf2Ginfoz20zzglobaliza7e_ginfoza7(bool_t,
		obj_t);
	extern obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_globalz00_bglt
		BGl_z62globalzd2closurezb0zzglobaliza7e_globalzd2closurez75(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[9];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_foreignzd2closureszd2envz00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_za762foreignza7d2clo4008z00,
		BGl_z62foreignzd2closureszb0zzglobaliza7e_globalzd2closurez75, 0L, BUNSPEC,
		0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2globalzd2closurezd2envzd2zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_za762makeza7d2global4009z00,
		BGl_z62makezd2globalzd2closurez62zzglobaliza7e_globalzd2closurez75, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4000z00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_string4000za700za7za7g4010za7, "Unexpected value", 16);
	      DEFINE_STRING(BGl_string4001z00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_string4001za700za7za7g4011za7, "&", 1);
	      DEFINE_STRING(BGl_string4002z00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_string4002za700za7za7g4012za7, "global-closure", 14);
	      DEFINE_STRING(BGl_string4003z00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_string4003za700za7za7g4013za7, "Can't allocate global closure", 29);
	      DEFINE_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_string4004za700za7za7g4014za7, "globalize_global-closure", 24);
	      DEFINE_STRING(BGl_string4005z00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_string4005za700za7za7g4015za7,
		"never now sfun foreign & obj static env _ ", 42);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2closurezd2envz00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_za762globalza7d2clos4016z00,
		BGl_z62globalzd2closurezb0zzglobaliza7e_globalzd2closurez75, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string3999z00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_string3999za700za7za7g4017za7, "make-global-closure", 19);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(long
		BgL_checksumz00_1880, char *BgL_fromz00_1881)
	{
		AN_OBJECT;
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75();
					BGl_cnstzd2initzd2zzglobaliza7e_globalzd2closurez75();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75();
					BGl_toplevelzd2initzd2zzglobaliza7e_globalzd2closurez75();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75()
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_global-closure");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"globalize_global-closure");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"globalize_global-closure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_global-closure");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_globalzd2closurez75()
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 15 */
			{	/* Globalize/gloclo.scm 15 */
				obj_t BgL_cportz00_1870;

				BgL_cportz00_1870 =
					bgl_open_input_string
					(BGl_string4005z00zzglobaliza7e_globalzd2closurez75,
					(int) (((long) 0)));
				{
					long BgL_iz00_1871;

					BgL_iz00_1871 = ((long) 8);
				BgL_loopz00_1872:
					if ((BgL_iz00_1871 == ((long) -1)))
						{	/* Globalize/gloclo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/gloclo.scm 15 */
							{	/* Globalize/gloclo.scm 15 */
								obj_t BgL_arg4007z00_1874;

								{	/* Globalize/gloclo.scm 15 */

									{	/* Globalize/gloclo.scm 15 */
										obj_t BgL_locationz00_1876;

										BgL_locationz00_1876 = BBOOL(((bool_t) 0));
										{	/* Globalize/gloclo.scm 15 */

											BgL_arg4007z00_1874 =
												BGl_readz00zz__readerz00(BgL_cportz00_1870,
												BgL_locationz00_1876);
										}
									}
								}
								{	/* Globalize/gloclo.scm 15 */
									int BgL_auxz00_1899;

									BgL_auxz00_1899 = (int) (BgL_iz00_1871);
									CNST_TABLE_SET(BgL_auxz00_1899, BgL_arg4007z00_1874);
							}}
							{	/* Globalize/gloclo.scm 15 */
								int BgL_auxz00_1877;

								BgL_auxz00_1877 = (int) ((BgL_iz00_1871 - ((long) 1)));
								{
									long BgL_iz00_1904;

									BgL_iz00_1904 = (long) (BgL_auxz00_1877);
									BgL_iz00_1871 = BgL_iz00_1904;
									goto BgL_loopz00_1872;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_globalzd2closurez75()
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 15 */
			return (BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75 =
				BNIL, BUNSPEC);
		}
	}



/* global-closure */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt
		BgL_globalz00_3, obj_t BgL_locz00_4)
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 41 */
			BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(BgL_globalz00_3,
				BgL_locz00_4);
			return
				BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75
				(BgL_globalz00_3);
		}
	}



/* &global-closure */
	BgL_globalz00_bglt
		BGl_z62globalzd2closurezb0zzglobaliza7e_globalzd2closurez75(obj_t
		BgL_envz00_1722, obj_t BgL_globalz00_1723, obj_t BgL_locz00_1724)
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 41 */
			return
				BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(
				((BgL_globalz00_bglt) BgL_globalz00_1723), BgL_locz00_1724);
		}
	}



/* make-global-closure */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt BgL_globalz00_5)
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 48 */
			{	/* Globalize/gloclo.scm 49 */
				obj_t BgL_gloz00_980;

				{	/* Globalize/gloclo.scm 49 */
					BgL_globalzf2ginfozf2_bglt BgL_obj3735z00_1562;

					BgL_obj3735z00_1562 = ((BgL_globalzf2ginfozf2_bglt) BgL_globalz00_5);
					{
						obj_t BgL_auxz00_1911;

						{	/* Globalize/gloclo.scm 49 */
							BgL_objectz00_bglt BgL_auxz00_1912;

							BgL_auxz00_1912 = ((BgL_objectz00_bglt) BgL_obj3735z00_1562);
							BgL_auxz00_1911 = BGL_OBJECT_WIDENING(BgL_auxz00_1912);
						}
						BgL_gloz00_980 =
							(((BgL_globalzf2ginfozf2_bglt) CREF(BgL_auxz00_1911))->
							BgL_globalzd2closurezd2);
					}
				}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_gloz00_980,
						BGl_globalz00zzast_varz00))
					{	/* Globalize/gloclo.scm 50 */
						return ((BgL_globalz00_bglt) BgL_gloz00_980);
					}
				else
					{	/* Globalize/gloclo.scm 52 */
						BgL_valuez00_bglt BgL_oldzd2funzd2_982;

						{	/* Globalize/gloclo.scm 52 */
							BgL_variablez00_bglt BgL_obj1612z00_1565;

							BgL_obj1612z00_1565 = ((BgL_variablez00_bglt) BgL_globalz00_5);
							BgL_oldzd2funzd2_982 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1612z00_1565)))->BgL_valuez00);
						}
						{	/* Globalize/gloclo.scm 53 */
							bool_t BgL_testz00_1922;

							{	/* Globalize/gloclo.scm 53 */
								bool_t BgL_testz00_1923;

								{	/* Globalize/gloclo.scm 53 */
									bool_t BgL_res3969z00_1567;

									{	/* Globalize/gloclo.scm 53 */
										obj_t BgL_obj2001z00_1566;

										BgL_obj2001z00_1566 = ((obj_t) BgL_oldzd2funzd2_982);
										BgL_res3969z00_1567 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_1566,
											BGl_sfunz00zzast_varz00);
									}
									BgL_testz00_1923 = BgL_res3969z00_1567;
								}
								if (BgL_testz00_1923)
									{	/* Globalize/gloclo.scm 54 */
										bool_t BgL_testz00_1926;

										{	/* Globalize/gloclo.scm 54 */
											bool_t BgL_testz00_1927;

											{	/* Globalize/gloclo.scm 54 */
												obj_t BgL_auxz00_1928;

												{	/* Globalize/gloclo.scm 54 */
													BgL_sfunz00_bglt BgL_obj1936z00_1568;

													BgL_obj1936z00_1568 =
														((BgL_sfunz00_bglt) BgL_oldzd2funzd2_982);
													BgL_auxz00_1928 =
														(((BgL_sfunz00_bglt) CREF(
																((obj_t) BgL_obj1936z00_1568)))->
														BgL_optionalsz00);
												}
												BgL_testz00_1927 = PAIRP(BgL_auxz00_1928);
											}
											if (BgL_testz00_1927)
												{	/* Globalize/gloclo.scm 54 */
													BgL_testz00_1926 = ((bool_t) 1);
												}
											else
												{	/* Globalize/gloclo.scm 55 */
													obj_t BgL_auxz00_1933;

													{	/* Globalize/gloclo.scm 55 */
														BgL_sfunz00_bglt BgL_obj1937z00_1571;

														BgL_obj1937z00_1571 =
															((BgL_sfunz00_bglt) BgL_oldzd2funzd2_982);
														BgL_auxz00_1933 =
															(((BgL_sfunz00_bglt) CREF(
																	((obj_t) BgL_obj1937z00_1571)))->BgL_keysz00);
													}
													BgL_testz00_1926 = PAIRP(BgL_auxz00_1933);
												}
										}
										if (BgL_testz00_1926)
											{	/* Globalize/gloclo.scm 56 */
												obj_t BgL_arg3825z00_986;

												BgL_arg3825z00_986 =
													(((BgL_globalz00_bglt) CREF(
															((obj_t) BgL_globalz00_5)))->BgL_modulez00);
												BgL_testz00_1922 =
													(BgL_arg3825z00_986 ==
													BGl_za2moduleza2z00zzmodule_modulez00);
											}
										else
											{	/* Globalize/gloclo.scm 54 */
												BgL_testz00_1922 = ((bool_t) 0);
											}
									}
								else
									{	/* Globalize/gloclo.scm 53 */
										BgL_testz00_1922 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_1922)
								{	/* Globalize/gloclo.scm 57 */
									obj_t BgL_xz00_1740;

									BgL_xz00_1740 =
										BGl_makezd2optzf2keyzd2globalzd2closurez20zzglobaliza7e_globalzd2closurez75
										(BgL_globalz00_5);
									return ((BgL_globalz00_bglt) BgL_xz00_1740);
								}
							else
								{	/* Globalize/gloclo.scm 58 */
									obj_t BgL_xz00_1741;

									BgL_xz00_1741 =
										BGl_makezd2nooptzd2globalzd2closurezd2zzglobaliza7e_globalzd2closurez75
										(BgL_globalz00_5);
									return ((BgL_globalz00_bglt) BgL_xz00_1741);
								}
						}
					}
			}
		}
	}



/* &make-global-closure */
	BgL_globalz00_bglt
		BGl_z62makezd2globalzd2closurez62zzglobaliza7e_globalzd2closurez75(obj_t
		BgL_envz00_1725, obj_t BgL_globalz00_1726)
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 48 */
			return
				BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75(
				((BgL_globalz00_bglt) BgL_globalz00_1726));
		}
	}



/* make-opt/key-global-closure */
	obj_t
		BGl_makezd2optzf2keyzd2globalzd2closurez20zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt BgL_globalz00_6)
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 63 */
			{	/* Globalize/gloclo.scm 64 */
				obj_t BgL_glocloz00_990;

				{	/* Globalize/gloclo.scm 64 */
					obj_t BgL_arg3830z00_992;
					obj_t BgL_arg3831z00_993;

					{	/* Globalize/gloclo.scm 64 */
						obj_t BgL_arg3833z00_995;

						{	/* Globalize/gloclo.scm 64 */
							obj_t BgL_arg3834z00_996;
							obj_t BgL_arg3835z00_997;

							{	/* Globalize/gloclo.scm 64 */
								obj_t BgL_res3972z00_1577;

								{	/* Globalize/gloclo.scm 64 */
									obj_t BgL_symbolz00_1575;

									BgL_symbolz00_1575 = CNST_TABLE_REF(((long) 0));
									{	/* Globalize/gloclo.scm 64 */
										obj_t BgL_arg2069z00_1576;

										BgL_arg2069z00_1576 = SYMBOL_TO_STRING(BgL_symbolz00_1575);
										BgL_res3972z00_1577 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg2069z00_1576);
								}}
								BgL_arg3834z00_996 = BgL_res3972z00_1577;
							}
							{	/* Globalize/gloclo.scm 64 */
								obj_t BgL_arg3836z00_998;

								{	/* Globalize/gloclo.scm 64 */
									BgL_variablez00_bglt BgL_obj1605z00_1578;

									BgL_obj1605z00_1578 =
										((BgL_variablez00_bglt) BgL_globalz00_6);
									BgL_arg3836z00_998 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1605z00_1578)))->BgL_idz00);
								}
								{	/* Globalize/gloclo.scm 64 */
									obj_t BgL_res3973z00_1581;

									{	/* Globalize/gloclo.scm 64 */
										obj_t BgL_arg2069z00_1580;

										BgL_arg2069z00_1580 = SYMBOL_TO_STRING(BgL_arg3836z00_998);
										BgL_res3973z00_1581 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg2069z00_1580);
									}
									BgL_arg3835z00_997 = BgL_res3973z00_1581;
							}}
							BgL_arg3833z00_995 =
								string_append(BgL_arg3834z00_996, BgL_arg3835z00_997);
						}
						BgL_arg3830z00_992 =
							string_to_symbol(BSTRING_TO_STRING(BgL_arg3833z00_995));
					}
					BgL_arg3831z00_993 =
						(((BgL_globalz00_bglt) CREF(
								((obj_t) BgL_globalz00_6)))->BgL_modulez00);
					{	/* Globalize/gloclo.scm 64 */
						obj_t BgL_list3832z00_994;

						BgL_list3832z00_994 = MAKE_PAIR(BgL_arg3831z00_993, BNIL);
						BgL_glocloz00_990 =
							BGl_findzd2globalzd2zzast_envz00(BgL_arg3830z00_992,
							BgL_list3832z00_994);
				}}
				BGl_fillzd2glocloz12zc0zzglobaliza7e_globalzd2closurez75
					(BgL_globalz00_6, ((BgL_globalz00_bglt) BgL_glocloz00_990));
				{	/* Globalize/gloclo.scm 67 */
					BgL_valuez00_bglt BgL_arg3829z00_991;

					{	/* Globalize/gloclo.scm 67 */
						BgL_variablez00_bglt BgL_obj1612z00_1585;

						BgL_obj1612z00_1585 = ((BgL_variablez00_bglt) BgL_glocloz00_990);
						BgL_arg3829z00_991 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1612z00_1585)))->BgL_valuez00);
					}
					{	/* Globalize/gloclo.scm 67 */
						BgL_sfunz00_bglt BgL_obj1940z00_1586;
						obj_t BgL_val1939z00_1587;

						BgL_obj1940z00_1586 = ((BgL_sfunz00_bglt) BgL_arg3829z00_991);
						BgL_val1939z00_1587 = ((obj_t) BgL_globalz00_6);
						((((BgL_sfunz00_bglt) CREF(
										((obj_t) BgL_obj1940z00_1586)))->
								BgL_thezd2closurezd2globalz00) =
							((obj_t) BgL_val1939z00_1587), BUNSPEC);
				}}
				return BgL_glocloz00_990;
			}
		}
	}



/* make-noopt-global-closure */
	obj_t
		BGl_makezd2nooptzd2globalzd2closurezd2zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt BgL_globalz00_7)
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 73 */
			{	/* Globalize/gloclo.scm 74 */
				obj_t BgL_gloz00_999;

				{	/* Globalize/gloclo.scm 74 */
					BgL_globalzf2ginfozf2_bglt BgL_obj3735z00_1588;

					BgL_obj3735z00_1588 = ((BgL_globalzf2ginfozf2_bglt) BgL_globalz00_7);
					{
						obj_t BgL_auxz00_1972;

						{	/* Globalize/gloclo.scm 74 */
							BgL_objectz00_bglt BgL_auxz00_1973;

							BgL_auxz00_1973 = ((BgL_objectz00_bglt) BgL_obj3735z00_1588);
							BgL_auxz00_1972 = BGL_OBJECT_WIDENING(BgL_auxz00_1973);
						}
						BgL_gloz00_999 =
							(((BgL_globalzf2ginfozf2_bglt) CREF(BgL_auxz00_1972))->
							BgL_globalzd2closurezd2);
					}
				}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_gloz00_999,
						BGl_globalz00zzast_varz00))
					{	/* Globalize/gloclo.scm 75 */
						return BgL_gloz00_999;
					}
				else
					{	/* Globalize/gloclo.scm 77 */
						BgL_valuez00_bglt BgL_oldzd2funzd2_1001;

						{	/* Globalize/gloclo.scm 77 */
							BgL_variablez00_bglt BgL_obj1612z00_1591;

							BgL_obj1612z00_1591 = ((BgL_variablez00_bglt) BgL_globalz00_7);
							BgL_oldzd2funzd2_1001 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1612z00_1591)))->BgL_valuez00);
						}
						{	/* Globalize/gloclo.scm 77 */
							BgL_localz00_bglt BgL_envz00_1002;

							{	/* Globalize/gloclo.scm 78 */
								BgL_localz00_bglt BgL_varz00_1049;

								{	/* Globalize/gloclo.scm 78 */
									BgL_typez00_bglt BgL_auxz00_1982;

									{	/* Globalize/gloclo.scm 78 */
										obj_t BgL_xz00_1756;

										BgL_xz00_1756 = BGl_za2procedureza2z00zztype_cachez00;
										BgL_auxz00_1982 = ((BgL_typez00_bglt) BgL_xz00_1756);
									}
									BgL_varz00_1049 =
										BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
												(long) 1)), BgL_auxz00_1982);
								}
								{	/* Globalize/gloclo.scm 79 */
									BgL_localz00_bglt BgL_obj3798z00_1050;

									BgL_obj3798z00_1050 = ((BgL_localz00_bglt) BgL_varz00_1049);
									{	/* Globalize/gloclo.scm 79 */
										obj_t BgL_arg3865z00_1051;

										BgL_arg3865z00_1051 =
											BGl_wideningzd2localzf2Ginfoz20zzglobaliza7e_ginfoza7((
												(bool_t) 0), ((bool_t) 0));
										{	/* Globalize/gloclo.scm 79 */
											BgL_objectz00_bglt BgL_auxz00_1988;

											BgL_auxz00_1988 =
												((BgL_objectz00_bglt) BgL_obj3798z00_1050);
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_1988,
												BgL_arg3865z00_1051);
									}}
									{	/* Globalize/gloclo.scm 79 */
										long BgL_arg3866z00_1052;

										BgL_arg3866z00_1052 =
											BGl_classzd2numzd2zz__objectz00
											(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
										{	/* Globalize/gloclo.scm 79 */
											BgL_objectz00_bglt BgL_objz00_1592;

											BgL_objz00_1592 =
												((BgL_objectz00_bglt) BgL_obj3798z00_1050);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1592,
												BgL_arg3866z00_1052);
									}} BgL_obj3798z00_1050;
								}
								BgL_envz00_1002 = BgL_varz00_1049;
							}
							{	/* Globalize/gloclo.scm 78 */
								obj_t BgL_newzd2argszd2_1003;

								{	/* Globalize/gloclo.scm 81 */
									obj_t BgL_l3808z00_1022;

									{	/* Globalize/gloclo.scm 93 */
										bool_t BgL_testz00_1994;

										{	/* Globalize/gloclo.scm 93 */
											bool_t BgL_res3976z00_1595;

											{	/* Globalize/gloclo.scm 93 */
												obj_t BgL_obj2001z00_1594;

												BgL_obj2001z00_1594 = ((obj_t) BgL_oldzd2funzd2_1001);
												BgL_res3976z00_1595 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_1594,
													BGl_sfunz00zzast_varz00);
											}
											BgL_testz00_1994 = BgL_res3976z00_1595;
										}
										if (BgL_testz00_1994)
											{	/* Globalize/gloclo.scm 94 */
												BgL_sfunz00_bglt BgL_obj1920z00_1596;

												BgL_obj1920z00_1596 =
													((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1001);
												BgL_l3808z00_1022 =
													(((BgL_sfunz00_bglt) CREF(
															((obj_t) BgL_obj1920z00_1596)))->BgL_argsz00);
											}
										else
											{	/* Globalize/gloclo.scm 95 */
												bool_t BgL_testz00_2000;

												{	/* Globalize/gloclo.scm 95 */
													bool_t BgL_res3977z00_1598;

													{	/* Globalize/gloclo.scm 95 */
														obj_t BgL_obj2065z00_1597;

														BgL_obj2065z00_1597 =
															((obj_t) BgL_oldzd2funzd2_1001);
														BgL_res3977z00_1598 =
															BGl_iszd2azf3z21zz__objectz00(BgL_obj2065z00_1597,
															BGl_cfunz00zzast_varz00);
													}
													BgL_testz00_2000 = BgL_res3977z00_1598;
												}
												if (BgL_testz00_2000)
													{	/* Globalize/gloclo.scm 100 */
														BgL_cfunz00_bglt BgL_obj2021z00_1599;

														BgL_obj2021z00_1599 =
															((BgL_cfunz00_bglt) BgL_oldzd2funzd2_1001);
														BgL_l3808z00_1022 =
															(((BgL_cfunz00_bglt) CREF(
																	((obj_t) BgL_obj2021z00_1599)))->
															BgL_argszd2typezd2);
													}
												else
													{	/* Globalize/gloclo.scm 95 */
														BgL_l3808z00_1022 =
															BGl_internalzd2errorzd2zztools_errorz00
															(BGl_string3999z00zzglobaliza7e_globalzd2closurez75,
															BGl_string4000z00zzglobaliza7e_globalzd2closurez75,
															((obj_t) BgL_oldzd2funzd2_1001));
													}
											}
									}
									if (NULLP(BgL_l3808z00_1022))
										{	/* Globalize/gloclo.scm 81 */
											BgL_newzd2argszd2_1003 = BNIL;
										}
									else
										{	/* Globalize/gloclo.scm 81 */
											obj_t BgL_head3810z00_1024;

											{	/* Globalize/gloclo.scm 81 */
												obj_t BgL_res3979z00_1604;

												BgL_res3979z00_1604 = MAKE_PAIR(BNIL, BNIL);
												BgL_head3810z00_1024 = BgL_res3979z00_1604;
											}
											{
												obj_t BgL_l3808z00_1026;
												obj_t BgL_tail3811z00_1027;

												BgL_l3808z00_1026 = BgL_l3808z00_1022;
												BgL_tail3811z00_1027 = BgL_head3810z00_1024;
											BgL_zc3anonymousza33851ze3z83_1028:
												if (NULLP(BgL_l3808z00_1026))
													{	/* Globalize/gloclo.scm 81 */
														BgL_newzd2argszd2_1003 = CDR(BgL_head3810z00_1024);
													}
												else
													{	/* Globalize/gloclo.scm 81 */
														obj_t BgL_newtail3812z00_1030;

														{	/* Globalize/gloclo.scm 81 */
															BgL_localz00_bglt BgL_arg3854z00_1032;

															{	/* Globalize/gloclo.scm 81 */
																obj_t BgL_oldz00_1033;

																BgL_oldz00_1033 = CAR(BgL_l3808z00_1026);
																{	/* Globalize/gloclo.scm 82 */
																	BgL_localz00_bglt BgL_newz00_1034;

																	{	/* Globalize/gloclo.scm 83 */
																		obj_t BgL_arg3861z00_1043;

																		if (BGl_iszd2azf3z21zz__objectz00
																			(BgL_oldz00_1033,
																				BGl_localz00zzast_varz00))
																			{	/* Globalize/gloclo.scm 84 */
																				BgL_variablez00_bglt
																					BgL_obj1605z00_1611;
																				BgL_obj1605z00_1611 =
																					((BgL_variablez00_bglt) (
																						(BgL_localz00_bglt)
																						BgL_oldz00_1033));
																				BgL_arg3861z00_1043 =
																					(((BgL_variablez00_bglt) CREF(((obj_t)
																								BgL_obj1605z00_1611)))->
																					BgL_idz00);
																			}
																		else
																			{	/* Globalize/gloclo.scm 85 */

																				{	/* Globalize/gloclo.scm 85 */

																					BgL_arg3861z00_1043 =
																						BGl_gensymz00zz__r4_symbols_6_4z00
																						(BFALSE);
																				}
																			}
																		{	/* Globalize/gloclo.scm 82 */
																			BgL_typez00_bglt BgL_auxz00_2022;

																			{	/* Globalize/gloclo.scm 86 */
																				obj_t BgL_xz00_1769;

																				BgL_xz00_1769 =
																					BGl_za2objza2z00zztype_cachez00;
																				BgL_auxz00_2022 =
																					((BgL_typez00_bglt) BgL_xz00_1769);
																			}
																			BgL_newz00_1034 =
																				BGl_makezd2localzd2svarz00zzast_localz00
																				(BgL_arg3861z00_1043, BgL_auxz00_2022);
																		}
																	}
																	if (BGl_iszd2azf3z21zz__objectz00
																		(BgL_oldz00_1033, BGl_localz00zzast_varz00))
																		{	/* Globalize/gloclo.scm 89 */
																			bool_t BgL_arg3856z00_1036;

																			{	/* Globalize/gloclo.scm 89 */
																				BgL_variablez00_bglt
																					BgL_obj1630z00_1614;
																				BgL_obj1630z00_1614 =
																					((BgL_variablez00_bglt) (
																						(BgL_localz00_bglt)
																						BgL_oldz00_1033));
																				BgL_arg3856z00_1036 =
																					(((BgL_variablez00_bglt) CREF(((obj_t)
																								BgL_obj1630z00_1614)))->
																					BgL_userzf3zf3);
																			}
																			{	/* Globalize/gloclo.scm 88 */
																				BgL_variablez00_bglt
																					BgL_obj1632z00_1615;
																				BgL_obj1632z00_1615 =
																					((BgL_variablez00_bglt)
																					BgL_newz00_1034);
																				((((BgL_variablez00_bglt) CREF(((obj_t)
																									BgL_obj1632z00_1615)))->
																						BgL_userzf3zf3) =
																					((bool_t) BgL_arg3856z00_1036),
																					BUNSPEC);
																			}
																		}
																	else
																		{	/* Globalize/gloclo.scm 87 */
																			BFALSE;
																		}
																	{	/* Globalize/gloclo.scm 90 */
																		BgL_svarz00_bglt BgL_obj3799z00_1037;

																		BgL_obj3799z00_1037 =
																			((BgL_svarz00_bglt)
																			BGl_variablezd2valuezd2zzglobaliza7e_globalzd2closurez75
																			(((BgL_variablez00_bglt)
																					BgL_newz00_1034)));
																		{	/* Globalize/gloclo.scm 90 */
																			obj_t BgL_arg3857z00_1038;

																			BgL_arg3857z00_1038 =
																				BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7
																				(((bool_t) 0), ((long) -10),
																				((long) -10), ((bool_t) 0));
																			{	/* Globalize/gloclo.scm 90 */
																				BgL_objectz00_bglt BgL_auxz00_2038;

																				BgL_auxz00_2038 =
																					((BgL_objectz00_bglt)
																					BgL_obj3799z00_1037);
																				BGL_OBJECT_WIDENING_SET(BgL_auxz00_2038,
																					BgL_arg3857z00_1038);
																		}}
																		{	/* Globalize/gloclo.scm 90 */
																			long BgL_arg3858z00_1039;

																			BgL_arg3858z00_1039 =
																				BGl_classzd2numzd2zz__objectz00
																				(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																			{	/* Globalize/gloclo.scm 90 */
																				BgL_objectz00_bglt BgL_objz00_1618;

																				BgL_objz00_1618 =
																					((BgL_objectz00_bglt)
																					BgL_obj3799z00_1037);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_1618,
																					BgL_arg3858z00_1039);
																		}} BgL_obj3799z00_1037;
																	}
																	{	/* Globalize/gloclo.scm 91 */
																		BgL_localz00_bglt BgL_obj3800z00_1040;

																		BgL_obj3800z00_1040 =
																			((BgL_localz00_bglt) BgL_newz00_1034);
																		{	/* Globalize/gloclo.scm 91 */
																			obj_t BgL_arg3859z00_1041;

																			BgL_arg3859z00_1041 =
																				BGl_wideningzd2localzf2Ginfoz20zzglobaliza7e_ginfoza7
																				(((bool_t) 0), ((bool_t) 0));
																			{	/* Globalize/gloclo.scm 91 */
																				BgL_objectz00_bglt BgL_auxz00_2046;

																				BgL_auxz00_2046 =
																					((BgL_objectz00_bglt)
																					BgL_obj3800z00_1040);
																				BGL_OBJECT_WIDENING_SET(BgL_auxz00_2046,
																					BgL_arg3859z00_1041);
																		}}
																		{	/* Globalize/gloclo.scm 91 */
																			long BgL_arg3860z00_1042;

																			BgL_arg3860z00_1042 =
																				BGl_classzd2numzd2zz__objectz00
																				(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
																			{	/* Globalize/gloclo.scm 91 */
																				BgL_objectz00_bglt BgL_objz00_1620;

																				BgL_objz00_1620 =
																					((BgL_objectz00_bglt)
																					BgL_obj3800z00_1040);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_1620,
																					BgL_arg3860z00_1042);
																		}} BgL_obj3800z00_1040;
																	}
																	BgL_arg3854z00_1032 = BgL_newz00_1034;
															}}
															{	/* Globalize/gloclo.scm 81 */
																obj_t BgL_res3983z00_1624;

																{	/* Globalize/gloclo.scm 81 */
																	obj_t BgL_obj1z00_1622;

																	BgL_obj1z00_1622 =
																		((obj_t) BgL_arg3854z00_1032);
																	BgL_res3983z00_1624 =
																		MAKE_PAIR(BgL_obj1z00_1622, BNIL);
																}
																BgL_newtail3812z00_1030 = BgL_res3983z00_1624;
														}}
														SET_CDR(BgL_tail3811z00_1027,
															BgL_newtail3812z00_1030);
														{
															obj_t BgL_tail3811z00_2057;
															obj_t BgL_l3808z00_2055;

															BgL_l3808z00_2055 = CDR(BgL_l3808z00_1026);
															BgL_tail3811z00_2057 = BgL_newtail3812z00_1030;
															BgL_tail3811z00_1027 = BgL_tail3811z00_2057;
															BgL_l3808z00_1026 = BgL_l3808z00_2055;
															goto BgL_zc3anonymousza33851ze3z83_1028;
														}
													}
											}
										}
								}
								{	/* Globalize/gloclo.scm 81 */
									obj_t BgL_locz00_1004;

									{	/* Globalize/gloclo.scm 104 */
										bool_t BgL_testz00_2058;

										{	/* Globalize/gloclo.scm 104 */
											bool_t BgL_res3984z00_1629;

											{	/* Globalize/gloclo.scm 104 */
												obj_t BgL_obj2001z00_1628;

												BgL_obj2001z00_1628 = ((obj_t) BgL_oldzd2funzd2_1001);
												BgL_res3984z00_1629 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_1628,
													BGl_sfunz00zzast_varz00);
											}
											BgL_testz00_2058 = BgL_res3984z00_1629;
										}
										if (BgL_testz00_2058)
											{	/* Globalize/gloclo.scm 105 */
												bool_t BgL_testz00_2061;

												{	/* Globalize/gloclo.scm 105 */
													bool_t BgL_testz00_2062;

													{	/* Globalize/gloclo.scm 105 */
														obj_t BgL_arg3849z00_1021;

														{	/* Globalize/gloclo.scm 105 */
															BgL_sfunz00_bglt BgL_obj1924z00_1630;

															BgL_obj1924z00_1630 =
																((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1001);
															BgL_arg3849z00_1021 =
																(((BgL_sfunz00_bglt) CREF(
																		((obj_t) BgL_obj1924z00_1630)))->
																BgL_bodyz00);
														}
														BgL_testz00_2062 =
															BGl_iszd2azf3z21zz__objectz00(BgL_arg3849z00_1021,
															BGl_nodez00zzast_nodez00);
													}
													if (BgL_testz00_2062)
														{	/* Globalize/gloclo.scm 106 */
															BgL_nodez00_bglt BgL_obj2136z00_1634;

															{	/* Globalize/gloclo.scm 106 */
																BgL_sfunz00_bglt BgL_obj1924z00_1633;

																BgL_obj1924z00_1633 =
																	((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1001);
																BgL_obj2136z00_1634 =
																	((BgL_nodez00_bglt)
																	(((BgL_sfunz00_bglt) CREF(
																				((obj_t) BgL_obj1924z00_1633)))->
																		BgL_bodyz00));
															}
															BgL_testz00_2061 =
																CBOOL(
																(((BgL_nodez00_bglt) CREF(
																			((obj_t) BgL_obj2136z00_1634)))->
																	BgL_locz00));
														}
													else
														{	/* Globalize/gloclo.scm 105 */
															BgL_testz00_2061 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_2061)
													{	/* Globalize/gloclo.scm 107 */
														BgL_nodez00_bglt BgL_obj2136z00_1636;

														{	/* Globalize/gloclo.scm 107 */
															BgL_sfunz00_bglt BgL_obj1924z00_1635;

															BgL_obj1924z00_1635 =
																((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1001);
															BgL_obj2136z00_1636 =
																((BgL_nodez00_bglt)
																(((BgL_sfunz00_bglt) CREF(
																			((obj_t) BgL_obj1924z00_1635)))->
																	BgL_bodyz00));
														}
														BgL_locz00_1004 =
															(((BgL_nodez00_bglt) CREF(
																	((obj_t) BgL_obj2136z00_1636)))->BgL_locz00);
													}
												else
													{	/* Globalize/gloclo.scm 108 */
														BgL_sfunz00_bglt BgL_obj1933z00_1637;

														BgL_obj1933z00_1637 =
															((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1001);
														BgL_locz00_1004 =
															(((BgL_sfunz00_bglt) CREF(
																	((obj_t) BgL_obj1933z00_1637)))->BgL_locz00);
													}
											}
										else
											{	/* Globalize/gloclo.scm 104 */
												BgL_locz00_1004 = BFALSE;
											}
									}
									{	/* Globalize/gloclo.scm 104 */
										obj_t BgL_glocloz00_1005;

										BgL_glocloz00_1005 =
											BGl_glocloz00zzglobaliza7e_globalzd2closurez75
											(BgL_globalz00_7, BgL_envz00_1002,
											BgL_newzd2argszd2_1003);
										{	/* Globalize/gloclo.scm 109 */
											BgL_valuez00_bglt BgL_newzd2funzd2_1006;

											{	/* Globalize/gloclo.scm 110 */
												BgL_variablez00_bglt BgL_obj1612z00_1638;

												BgL_obj1612z00_1638 =
													((BgL_variablez00_bglt) BgL_glocloz00_1005);
												BgL_newzd2funzd2_1006 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1612z00_1638)))->BgL_valuez00);
											}
											{	/* Globalize/gloclo.scm 110 */

												{	/* Globalize/gloclo.scm 112 */
													BgL_sfunz00_bglt BgL_obj1940z00_1640;
													obj_t BgL_val1939z00_1641;

													BgL_obj1940z00_1640 =
														((BgL_sfunz00_bglt) BgL_newzd2funzd2_1006);
													BgL_val1939z00_1641 = ((obj_t) BgL_globalz00_7);
													((((BgL_sfunz00_bglt) CREF(
																	((obj_t) BgL_obj1940z00_1640)))->
															BgL_thezd2closurezd2globalz00) =
														((obj_t) BgL_val1939z00_1641), BUNSPEC);
												}
												{	/* Globalize/gloclo.scm 114 */
													BgL_svarz00_bglt BgL_obj3801z00_1008;

													BgL_obj3801z00_1008 =
														((BgL_svarz00_bglt)
														BGl_variablezd2valuezd2zzglobaliza7e_globalzd2closurez75
														(((BgL_variablez00_bglt) BgL_envz00_1002)));
													{	/* Globalize/gloclo.scm 114 */
														obj_t BgL_arg3839z00_1009;

														BgL_arg3839z00_1009 =
															BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7
															(((bool_t) 0), ((long) -10), ((long) -10),
															((bool_t) 0));
														{	/* Globalize/gloclo.scm 114 */
															BgL_objectz00_bglt BgL_auxz00_2095;

															BgL_auxz00_2095 =
																((BgL_objectz00_bglt) BgL_obj3801z00_1008);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_2095,
																BgL_arg3839z00_1009);
													}}
													{	/* Globalize/gloclo.scm 114 */
														long BgL_arg3840z00_1010;

														BgL_arg3840z00_1010 =
															BGl_classzd2numzd2zz__objectz00
															(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
														{	/* Globalize/gloclo.scm 114 */
															BgL_objectz00_bglt BgL_objz00_1643;

															BgL_objz00_1643 =
																((BgL_objectz00_bglt) BgL_obj3801z00_1008);
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1643,
																BgL_arg3840z00_1010);
													}} BgL_obj3801z00_1008;
												}
												{	/* Globalize/gloclo.scm 116 */
													BgL_globalz00_bglt BgL_obj3802z00_1011;

													BgL_obj3802z00_1011 =
														((BgL_globalz00_bglt) BgL_glocloz00_1005);
													{	/* Globalize/gloclo.scm 116 */
														obj_t BgL_arg3841z00_1012;

														BgL_arg3841z00_1012 =
															BGl_wideningzd2globalzf2Ginfoz20zzglobaliza7e_ginfoza7
															(((bool_t) 1), BFALSE);
														{	/* Globalize/gloclo.scm 116 */
															BgL_objectz00_bglt BgL_auxz00_2103;

															BgL_auxz00_2103 =
																((BgL_objectz00_bglt) BgL_obj3802z00_1011);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_2103,
																BgL_arg3841z00_1012);
													}}
													{	/* Globalize/gloclo.scm 116 */
														long BgL_arg3842z00_1013;

														BgL_arg3842z00_1013 =
															BGl_classzd2numzd2zz__objectz00
															(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
														{	/* Globalize/gloclo.scm 116 */
															BgL_objectz00_bglt BgL_objz00_1645;

															BgL_objz00_1645 =
																((BgL_objectz00_bglt) BgL_obj3802z00_1011);
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1645,
																BgL_arg3842z00_1013);
													}} BgL_obj3802z00_1011;
												}
												{	/* Globalize/gloclo.scm 118 */
													BgL_appz00_bglt BgL_arg3843z00_1015;

													BgL_arg3843z00_1015 =
														BGl_makezd2nooptzd2bodyz00zzglobaliza7e_globalzd2closurez75
														(BgL_locz00_1004, BgL_globalz00_7,
														BgL_newzd2argszd2_1003);
													{	/* Globalize/gloclo.scm 118 */
														BgL_sfunz00_bglt BgL_obj1926z00_1647;
														obj_t BgL_val1925z00_1648;

														BgL_obj1926z00_1647 =
															((BgL_sfunz00_bglt) BgL_newzd2funzd2_1006);
														BgL_val1925z00_1648 = ((obj_t) BgL_arg3843z00_1015);
														((((BgL_sfunz00_bglt) CREF(
																		((obj_t) BgL_obj1926z00_1647)))->
																BgL_bodyz00) =
															((obj_t) BgL_val1925z00_1648), BUNSPEC);
												}}
												return BgL_glocloz00_1005;
											}
										}
									}
								}
							}
						}
					}
			}
		}
	}



/* make-noopt-body */
	BgL_appz00_bglt
		BGl_makezd2nooptzd2bodyz00zzglobaliza7e_globalzd2closurez75(obj_t
		BgL_locz00_8, BgL_globalz00_bglt BgL_globalz00_9,
		obj_t BgL_newzd2argszd2_10)
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 127 */
			{	/* Globalize/gloclo.scm 130 */
				BgL_typez00_bglt BgL_arg3867z00_1053;
				BgL_varz00_bglt BgL_arg3868z00_1054;
				obj_t BgL_arg3869z00_1055;

				{	/* Globalize/gloclo.scm 130 */
					BgL_typez00_bglt BgL_arg3870z00_1056;

					{	/* Globalize/gloclo.scm 130 */
						BgL_variablez00_bglt BgL_obj1609z00_1649;

						BgL_obj1609z00_1649 = ((BgL_variablez00_bglt) BgL_globalz00_9);
						BgL_arg3870z00_1056 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1609z00_1649)))->BgL_typez00);
					}
					{	/* Globalize/gloclo.scm 130 */
						BgL_typez00_bglt BgL_auxz00_2117;

						{	/* Globalize/gloclo.scm 130 */
							obj_t BgL_xz00_1811;

							BgL_xz00_1811 = BGl_za2objza2z00zztype_cachez00;
							BgL_auxz00_2117 = ((BgL_typez00_bglt) BgL_xz00_1811);
						}
						BgL_arg3867z00_1053 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg3870z00_1056,
							BgL_auxz00_2117);
					}
				}
				{	/* Globalize/gloclo.scm 133 */
					BgL_typez00_bglt BgL_arg3871z00_1057;

					{	/* Globalize/gloclo.scm 133 */
						BgL_typez00_bglt BgL_arg3872z00_1058;

						{	/* Globalize/gloclo.scm 133 */
							BgL_variablez00_bglt BgL_obj1609z00_1650;

							BgL_obj1609z00_1650 = ((BgL_variablez00_bglt) BgL_globalz00_9);
							BgL_arg3872z00_1058 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1609z00_1650)))->BgL_typez00);
						}
						{	/* Globalize/gloclo.scm 133 */
							BgL_typez00_bglt BgL_auxz00_2123;

							{	/* Globalize/gloclo.scm 133 */
								obj_t BgL_xz00_1814;

								BgL_xz00_1814 = BGl_za2_za2z00zztype_cachez00;
								BgL_auxz00_2123 = ((BgL_typez00_bglt) BgL_xz00_1814);
							}
							BgL_arg3871z00_1057 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg3872z00_1058,
								BgL_auxz00_2123);
						}
					}
					BgL_arg3868z00_1054 =
						BGl_makezd2varzd2zzast_nodez00(BgL_locz00_8, BgL_arg3871z00_1057,
						((BgL_variablez00_bglt) BgL_globalz00_9));
				}
				if (NULLP(BgL_newzd2argszd2_10))
					{	/* Globalize/gloclo.scm 138 */
						BgL_arg3869z00_1055 = BNIL;
					}
				else
					{	/* Globalize/gloclo.scm 138 */
						obj_t BgL_head3815z00_1061;

						{	/* Globalize/gloclo.scm 138 */
							obj_t BgL_res3987z00_1655;

							BgL_res3987z00_1655 = MAKE_PAIR(BNIL, BNIL);
							BgL_head3815z00_1061 = BgL_res3987z00_1655;
						}
						{
							obj_t BgL_l3813z00_1063;
							obj_t BgL_tail3816z00_1064;

							BgL_l3813z00_1063 = BgL_newzd2argszd2_10;
							BgL_tail3816z00_1064 = BgL_head3815z00_1061;
						BgL_zc3anonymousza33874ze3z83_1065:
							if (NULLP(BgL_l3813z00_1063))
								{	/* Globalize/gloclo.scm 138 */
									BgL_arg3869z00_1055 = CDR(BgL_head3815z00_1061);
								}
							else
								{	/* Globalize/gloclo.scm 138 */
									obj_t BgL_newtail3817z00_1067;

									{	/* Globalize/gloclo.scm 138 */
										BgL_varz00_bglt BgL_arg3877z00_1069;

										{	/* Globalize/gloclo.scm 138 */
											obj_t BgL_vz00_1070;

											BgL_vz00_1070 = CAR(BgL_l3813z00_1063);
											{	/* Globalize/gloclo.scm 141 */
												BgL_typez00_bglt BgL_arg3878z00_1071;

												{	/* Globalize/gloclo.scm 141 */
													BgL_typez00_bglt BgL_arg3879z00_1072;

													{	/* Globalize/gloclo.scm 141 */
														BgL_variablez00_bglt BgL_obj1609z00_1660;

														BgL_obj1609z00_1660 =
															((BgL_variablez00_bglt) BgL_vz00_1070);
														BgL_arg3879z00_1072 =
															(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1609z00_1660)))->BgL_typez00);
													}
													{	/* Globalize/gloclo.scm 141 */
														BgL_typez00_bglt BgL_auxz00_2138;

														{	/* Globalize/gloclo.scm 141 */
															obj_t BgL_xz00_1818;

															BgL_xz00_1818 = BGl_za2objza2z00zztype_cachez00;
															BgL_auxz00_2138 =
																((BgL_typez00_bglt) BgL_xz00_1818);
														}
														BgL_arg3878z00_1071 =
															BGl_strictzd2nodezd2typez00zzast_nodez00
															(BgL_arg3879z00_1072, BgL_auxz00_2138);
													}
												}
												BgL_arg3877z00_1069 =
													BGl_makezd2varzd2zzast_nodez00(BgL_locz00_8,
													BgL_arg3878z00_1071,
													((BgL_variablez00_bglt) BgL_vz00_1070));
											}
										}
										{	/* Globalize/gloclo.scm 138 */
											obj_t BgL_res3989z00_1663;

											{	/* Globalize/gloclo.scm 138 */
												obj_t BgL_obj1z00_1661;

												BgL_obj1z00_1661 = ((obj_t) BgL_arg3877z00_1069);
												BgL_res3989z00_1663 = MAKE_PAIR(BgL_obj1z00_1661, BNIL);
											}
											BgL_newtail3817z00_1067 = BgL_res3989z00_1663;
										}
									}
									SET_CDR(BgL_tail3816z00_1064, BgL_newtail3817z00_1067);
									{
										obj_t BgL_tail3816z00_2148;
										obj_t BgL_l3813z00_2146;

										BgL_l3813z00_2146 = CDR(BgL_l3813z00_1063);
										BgL_tail3816z00_2148 = BgL_newtail3817z00_1067;
										BgL_tail3816z00_1064 = BgL_tail3816z00_2148;
										BgL_l3813z00_1063 = BgL_l3813z00_2146;
										goto BgL_zc3anonymousza33874ze3z83_1065;
									}
								}
						}
					}
				return
					BGl_makezd2appzd2zzast_nodez00(BgL_locz00_8, BgL_arg3867z00_1053,
					BUNSPEC, BINT(((long) -1)), BgL_arg3868z00_1054, BgL_arg3869z00_1055);
		}}
	}



/* foreign-closures */
	BGL_EXPORTED_DEF obj_t
		BGl_foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75()
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 153 */
			{	/* Globalize/gloclo.scm 154 */
				obj_t BgL_resz00_1074;

				BgL_resz00_1074 =
					BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75;
				BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75 = BNIL;
				return BgL_resz00_1074;
			}
		}
	}



/* &foreign-closures */
	obj_t BGl_z62foreignzd2closureszb0zzglobaliza7e_globalzd2closurez75(obj_t
		BgL_envz00_1727)
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 153 */
			return BGl_foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75();
		}
	}



/* globalized-type-id */
	obj_t
		BGl_globaliza7edzd2typezd2idza7zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt BgL_globalz00_11)
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 166 */
			{	/* Globalize/gloclo.scm 167 */
				BgL_typez00_bglt BgL_typez00_1075;

				{	/* Globalize/gloclo.scm 167 */
					BgL_variablez00_bglt BgL_obj1609z00_1667;

					BgL_obj1609z00_1667 = ((BgL_variablez00_bglt) BgL_globalz00_11);
					BgL_typez00_1075 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1609z00_1667)))->BgL_typez00);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
					{	/* Globalize/gloclo.scm 169 */
						if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_1075))
							{	/* Globalize/gloclo.scm 171 */
								return
									(((BgL_typez00_bglt) CREF(
											((obj_t) BgL_typez00_1075)))->BgL_idz00);
							}
						else
							{	/* Globalize/gloclo.scm 171 */
								if (
									((((BgL_globalz00_bglt) CREF(
													((obj_t) BgL_globalz00_11)))->BgL_importz00) ==
										CNST_TABLE_REF(((long) 2))))
									{	/* Globalize/gloclo.scm 173 */
										return CNST_TABLE_REF(((long) 0));
									}
								else
									{	/* Globalize/gloclo.scm 178 */
										BgL_typez00_bglt BgL_arg3882z00_1078;

										BgL_arg3882z00_1078 =
											BGl_getzd2bigloozd2typez00zztype_cachez00
											(BgL_typez00_1075);
										return (((BgL_typez00_bglt) CREF(((obj_t)
														BgL_arg3882z00_1078)))->BgL_idz00);
									}
							}
					}
				else
					{	/* Globalize/gloclo.scm 169 */
						return CNST_TABLE_REF(((long) 3));
		}}}
	}



/* gloclo */
	obj_t BGl_glocloz00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt
		BgL_globalz00_12, BgL_localz00_bglt BgL_envz00_13, obj_t BgL_argsz00_14)
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 183 */
			{	/* Globalize/gloclo.scm 184 */
				int BgL_arityz00_1080;

				{	/* Globalize/gloclo.scm 184 */
					BgL_valuez00_bglt BgL_arg3904z00_1105;

					{	/* Globalize/gloclo.scm 184 */
						BgL_variablez00_bglt BgL_obj1612z00_1671;

						BgL_obj1612z00_1671 = ((BgL_variablez00_bglt) BgL_globalz00_12);
						BgL_arg3904z00_1105 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1612z00_1671)))->BgL_valuez00);
					}
					BgL_arityz00_1080 =
						BGl_funzd2optionalzd2arityz00zzast_varz00(
						((BgL_funz00_bglt) BgL_arg3904z00_1105));
				}
				{	/* Globalize/gloclo.scm 184 */
					obj_t BgL_idz00_1081;

					{	/* Globalize/gloclo.scm 185 */
						obj_t BgL_strz00_1092;

						{	/* Globalize/gloclo.scm 187 */
							obj_t BgL_arg3902z00_1103;

							{	/* Globalize/gloclo.scm 187 */
								obj_t BgL_arg3903z00_1104;

								{	/* Globalize/gloclo.scm 187 */
									BgL_variablez00_bglt BgL_obj1605z00_1672;

									BgL_obj1605z00_1672 =
										((BgL_variablez00_bglt) BgL_globalz00_12);
									BgL_arg3903z00_1104 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1605z00_1672)))->BgL_idz00);
								}
								{	/* Globalize/gloclo.scm 187 */
									obj_t BgL_res3990z00_1675;

									{	/* Globalize/gloclo.scm 187 */
										obj_t BgL_arg2069z00_1674;

										BgL_arg2069z00_1674 = SYMBOL_TO_STRING(BgL_arg3903z00_1104);
										BgL_res3990z00_1675 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg2069z00_1674);
									}
									BgL_arg3902z00_1103 = BgL_res3990z00_1675;
							}}
							BgL_strz00_1092 =
								string_append
								(BGl_string4001z00zzglobaliza7e_globalzd2closurez75,
								BgL_arg3902z00_1103);
						}
						if (symbol_exists_p(BSTRING_TO_STRING(BgL_strz00_1092)))
							{	/* Globalize/gloclo.scm 189 */
								obj_t BgL_arg3893z00_1094;

								{	/* Globalize/gloclo.scm 189 */
									obj_t BgL_arg3894z00_1095;

									{	/* Globalize/gloclo.scm 189 */
										obj_t BgL_arg3895z00_1096;
										obj_t BgL_arg3896z00_1097;

										{	/* Globalize/gloclo.scm 189 */
											obj_t BgL_res3991z00_1678;

											{	/* Globalize/gloclo.scm 189 */
												obj_t BgL_symbolz00_1676;

												BgL_symbolz00_1676 = CNST_TABLE_REF(((long) 4));
												{	/* Globalize/gloclo.scm 189 */
													obj_t BgL_arg2069z00_1677;

													BgL_arg2069z00_1677 =
														SYMBOL_TO_STRING(BgL_symbolz00_1676);
													BgL_res3991z00_1678 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg2069z00_1677);
											}}
											BgL_arg3895z00_1096 = BgL_res3991z00_1678;
										}
										{	/* Globalize/gloclo.scm 189 */
											obj_t BgL_arg3897z00_1098;

											{	/* Globalize/gloclo.scm 189 */
												BgL_variablez00_bglt BgL_obj1605z00_1679;

												BgL_obj1605z00_1679 =
													((BgL_variablez00_bglt) BgL_globalz00_12);
												BgL_arg3897z00_1098 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1605z00_1679)))->BgL_idz00);
											}
											{	/* Globalize/gloclo.scm 189 */
												obj_t BgL_res3992z00_1682;

												{	/* Globalize/gloclo.scm 189 */
													obj_t BgL_arg2069z00_1681;

													BgL_arg2069z00_1681 =
														SYMBOL_TO_STRING(BgL_arg3897z00_1098);
													BgL_res3992z00_1682 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg2069z00_1681);
												}
												BgL_arg3896z00_1097 = BgL_res3992z00_1682;
										}}
										BgL_arg3894z00_1095 =
											string_append(BgL_arg3895z00_1096, BgL_arg3896z00_1097);
									}
									BgL_arg3893z00_1094 =
										string_to_symbol(BSTRING_TO_STRING(BgL_arg3894z00_1095));
								}
								BgL_idz00_1081 =
									BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg3893z00_1094);
							}
						else
							{	/* Globalize/gloclo.scm 190 */
								obj_t BgL_arg3898z00_1099;

								{	/* Globalize/gloclo.scm 190 */
									obj_t BgL_arg3899z00_1100;
									obj_t BgL_arg3900z00_1101;

									{	/* Globalize/gloclo.scm 190 */
										obj_t BgL_res3994z00_1687;

										{	/* Globalize/gloclo.scm 190 */
											obj_t BgL_symbolz00_1685;

											BgL_symbolz00_1685 = CNST_TABLE_REF(((long) 4));
											{	/* Globalize/gloclo.scm 190 */
												obj_t BgL_arg2069z00_1686;

												BgL_arg2069z00_1686 =
													SYMBOL_TO_STRING(BgL_symbolz00_1685);
												BgL_res3994z00_1687 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg2069z00_1686);
										}}
										BgL_arg3899z00_1100 = BgL_res3994z00_1687;
									}
									{	/* Globalize/gloclo.scm 190 */
										obj_t BgL_arg3901z00_1102;

										{	/* Globalize/gloclo.scm 190 */
											BgL_variablez00_bglt BgL_obj1605z00_1688;

											BgL_obj1605z00_1688 =
												((BgL_variablez00_bglt) BgL_globalz00_12);
											BgL_arg3901z00_1102 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1605z00_1688)))->BgL_idz00);
										}
										{	/* Globalize/gloclo.scm 190 */
											obj_t BgL_res3995z00_1691;

											{	/* Globalize/gloclo.scm 190 */
												obj_t BgL_arg2069z00_1690;

												BgL_arg2069z00_1690 =
													SYMBOL_TO_STRING(BgL_arg3901z00_1102);
												BgL_res3995z00_1691 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg2069z00_1690);
											}
											BgL_arg3900z00_1101 = BgL_res3995z00_1691;
									}}
									BgL_arg3898z00_1099 =
										string_append(BgL_arg3899z00_1100, BgL_arg3900z00_1101);
								}
								BgL_idz00_1081 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg3898z00_1099));
					}}
					{	/* Globalize/gloclo.scm 185 */
						obj_t BgL_tyidz00_1082;

						BgL_tyidz00_1082 =
							BGl_globaliza7edzd2typezd2idza7zzglobaliza7e_globalzd2closurez75
							(BgL_globalz00_12);
						{	/* Globalize/gloclo.scm 191 */
							BgL_globalz00_bglt BgL_glocloz00_1083;

							{	/* Globalize/gloclo.scm 192 */
								obj_t BgL_arg3884z00_1084;
								obj_t BgL_arg3885z00_1085;
								obj_t BgL_arg3886z00_1086;
								obj_t BgL_arg3887z00_1087;
								obj_t BgL_arg3888z00_1088;

								BgL_arg3884z00_1084 =
									BGl_makezd2typedzd2identz00zzast_identz00(BgL_idz00_1081,
									BgL_tyidz00_1082);
								BgL_arg3885z00_1085 =
									BGl_makezd2nzd2protoz00zztools_argsz00
									(BGl_zb2zd2arityz60zztools_argsz00(BINT(BgL_arityz00_1080),
										BINT(((long) 1))));
								BgL_arg3886z00_1086 =
									MAKE_PAIR(((obj_t) BgL_envz00_13), BgL_argsz00_14);
								if (((((BgL_globalz00_bglt) CREF(((obj_t) BgL_globalz00_12)))->
											BgL_importz00) == CNST_TABLE_REF(((long) 5))))
									{	/* Globalize/gloclo.scm 195 */
										BgL_arg3887z00_1087 = BGl_za2moduleza2z00zzmodule_modulez00;
									}
								else
									{	/* Globalize/gloclo.scm 195 */
										BgL_arg3887z00_1087 =
											(((BgL_globalz00_bglt) CREF(
													((obj_t) BgL_globalz00_12)))->BgL_modulez00);
									}
								BgL_arg3888z00_1088 =
									(((BgL_globalz00_bglt) CREF(
											((obj_t) BgL_globalz00_12)))->BgL_importz00);
								BgL_glocloz00_1083 =
									BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
									(BgL_arg3884z00_1084, BgL_arg3885z00_1085,
									BgL_arg3886z00_1086, BgL_arg3887z00_1087, BgL_arg3888z00_1088,
									CNST_TABLE_REF(((long) 6)), CNST_TABLE_REF(((long) 7)),
									BUNSPEC);
							}
							{	/* Globalize/gloclo.scm 192 */

								return
									BGl_fillzd2glocloz12zc0zzglobaliza7e_globalzd2closurez75
									(BgL_globalz00_12, BgL_glocloz00_1083);
							}
						}
					}
				}
			}
		}
	}



/* fill-gloclo! */
	obj_t
		BGl_fillzd2glocloz12zc0zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt
		BgL_globalz00_15, BgL_globalz00_bglt BgL_gcloz00_16)
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 207 */
			{	/* Globalize/gloclo.scm 208 */
				BgL_globalzf2ginfozf2_bglt BgL_obj3737z00_1697;
				obj_t BgL_val3736z00_1698;

				BgL_obj3737z00_1697 = ((BgL_globalzf2ginfozf2_bglt) BgL_globalz00_15);
				BgL_val3736z00_1698 = ((obj_t) BgL_gcloz00_16);
				{
					obj_t BgL_auxz00_2231;

					{	/* Globalize/gloclo.scm 208 */
						BgL_objectz00_bglt BgL_auxz00_2232;

						BgL_auxz00_2232 = ((BgL_objectz00_bglt) BgL_obj3737z00_1697);
						BgL_auxz00_2231 = BGL_OBJECT_WIDENING(BgL_auxz00_2232);
					}
					((((BgL_globalzf2ginfozf2_bglt) CREF(BgL_auxz00_2231))->
							BgL_globalzd2closurezd2) =
						((obj_t) BgL_val3736z00_1698), BUNSPEC);
				}
			}
			{	/* Globalize/gloclo.scm 211 */
				BgL_valuez00_bglt BgL_sfunz00_1106;

				{	/* Globalize/gloclo.scm 211 */
					BgL_variablez00_bglt BgL_obj1612z00_1699;

					BgL_obj1612z00_1699 = ((BgL_variablez00_bglt) BgL_globalz00_15);
					BgL_sfunz00_1106 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1699)))->BgL_valuez00);
				}
				{	/* Globalize/gloclo.scm 212 */
					bool_t BgL_testz00_2239;

					{	/* Globalize/gloclo.scm 212 */
						bool_t BgL_res3997z00_1701;

						{	/* Globalize/gloclo.scm 212 */
							obj_t BgL_obj2001z00_1700;

							BgL_obj2001z00_1700 = ((obj_t) BgL_sfunz00_1106);
							BgL_res3997z00_1701 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_1700,
								BGl_sfunz00zzast_varz00);
						}
						BgL_testz00_2239 = BgL_res3997z00_1701;
					}
					if (BgL_testz00_2239)
						{	/* Globalize/gloclo.scm 213 */
							BgL_valuez00_bglt BgL_arg3906z00_1108;
							obj_t BgL_arg3907z00_1109;

							{	/* Globalize/gloclo.scm 213 */
								BgL_variablez00_bglt BgL_obj1612z00_1702;

								BgL_obj1612z00_1702 = ((BgL_variablez00_bglt) BgL_gcloz00_16);
								BgL_arg3906z00_1108 =
									(((BgL_variablez00_bglt) CREF(
											((obj_t) BgL_obj1612z00_1702)))->BgL_valuez00);
							}
							{	/* Globalize/gloclo.scm 213 */
								BgL_sfunz00_bglt BgL_obj1933z00_1703;

								BgL_obj1933z00_1703 = ((BgL_sfunz00_bglt) BgL_sfunz00_1106);
								BgL_arg3907z00_1109 =
									(((BgL_sfunz00_bglt) CREF(
											((obj_t) BgL_obj1933z00_1703)))->BgL_locz00);
							}
							{	/* Globalize/gloclo.scm 213 */
								BgL_sfunz00_bglt BgL_obj1935z00_1704;

								BgL_obj1935z00_1704 = ((BgL_sfunz00_bglt) BgL_arg3906z00_1108);
								((((BgL_sfunz00_bglt) CREF(
												((obj_t) BgL_obj1935z00_1704)))->BgL_locz00) =
									((obj_t) BgL_arg3907z00_1109), BUNSPEC);
							}
						}
					else
						{	/* Globalize/gloclo.scm 212 */
							BFALSE;
						}
				}
				if (
					((((BgL_globalz00_bglt) CREF(
									((obj_t) BgL_globalz00_15)))->BgL_importz00) ==
						CNST_TABLE_REF(((long) 5))))
					{	/* Globalize/gloclo.scm 222 */
						BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75 =
							MAKE_PAIR(
							((obj_t) BgL_gcloz00_16),
							BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75);
						{	/* Globalize/gloclo.scm 225 */
							BgL_variablez00_bglt BgL_obj1623z00_1707;
							obj_t BgL_val1622z00_1708;

							BgL_obj1623z00_1707 = ((BgL_variablez00_bglt) BgL_gcloz00_16);
							BgL_val1622z00_1708 = CNST_TABLE_REF(((long) 8));
							((((BgL_variablez00_bglt) CREF(
											((obj_t) BgL_obj1623z00_1707)))->BgL_removablez00) =
								((obj_t) BgL_val1622z00_1708), BUNSPEC);
						}
						{	/* Globalize/gloclo.scm 226 */
							obj_t BgL_val1702z00_1710;

							BgL_val1702z00_1710 = CNST_TABLE_REF(((long) 2));
							((((BgL_globalz00_bglt) CREF(
											((obj_t) BgL_gcloz00_16)))->BgL_importz00) =
								((obj_t) BgL_val1702z00_1710), BUNSPEC);
					}}
				else
					{	/* Globalize/gloclo.scm 222 */
						if (
							((((BgL_globalz00_bglt) CREF(
											((obj_t) BgL_globalz00_15)))->BgL_importz00) ==
								CNST_TABLE_REF(((long) 2))))
							{	/* Globalize/gloclo.scm 228 */
								BFALSE;
							}
						else
							{	/* Globalize/gloclo.scm 229 */
								BgL_variablez00_bglt BgL_obj1623z00_1712;
								obj_t BgL_val1622z00_1713;

								BgL_obj1623z00_1712 = ((BgL_variablez00_bglt) BgL_gcloz00_16);
								BgL_val1622z00_1713 = CNST_TABLE_REF(((long) 8));
								((((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1623z00_1712)))->BgL_removablez00) =
									((obj_t) BgL_val1622z00_1713), BUNSPEC);
							}
						{	/* Globalize/gloclo.scm 230 */
							obj_t BgL_val1702z00_1715;

							BgL_val1702z00_1715 = CNST_TABLE_REF(((long) 2));
							((((BgL_globalz00_bglt) CREF(
											((obj_t) BgL_gcloz00_16)))->BgL_importz00) =
								((obj_t) BgL_val1702z00_1715), BUNSPEC);
					}}
				{	/* Globalize/gloclo.scm 231 */
					BgL_valuez00_bglt BgL_arg3912z00_1114;
					obj_t BgL_arg3913z00_1115;

					{	/* Globalize/gloclo.scm 231 */
						BgL_variablez00_bglt BgL_obj1612z00_1716;

						BgL_obj1612z00_1716 = ((BgL_variablez00_bglt) BgL_gcloz00_16);
						BgL_arg3912z00_1114 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1612z00_1716)))->BgL_valuez00);
					}
					{	/* Globalize/gloclo.scm 231 */
						BgL_funz00_bglt BgL_obj1855z00_1717;

						BgL_obj1855z00_1717 = ((BgL_funz00_bglt) BgL_sfunz00_1106);
						BgL_arg3913z00_1115 =
							(((BgL_funz00_bglt) CREF(
									((obj_t) BgL_obj1855z00_1717)))->BgL_sidezd2effectzd2);
					}
					{	/* Globalize/gloclo.scm 231 */
						BgL_funz00_bglt BgL_obj1857z00_1718;

						BgL_obj1857z00_1718 = ((BgL_funz00_bglt) BgL_arg3912z00_1114);
						((((BgL_funz00_bglt) CREF(
										((obj_t) BgL_obj1857z00_1718)))->BgL_sidezd2effectzd2) =
							((obj_t) BgL_arg3913z00_1115), BUNSPEC);
				}}
				{	/* Globalize/gloclo.scm 232 */
					bool_t BgL_testz00_2286;

					{	/* Globalize/gloclo.scm 232 */
						bool_t BgL_res3998z00_1721;

						{	/* Globalize/gloclo.scm 232 */
							obj_t BgL_obj1786z00_1720;

							BgL_obj1786z00_1720 = ((obj_t) BgL_gcloz00_16);
							BgL_res3998z00_1721 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj1786z00_1720,
								BGl_globalz00zzast_varz00);
						}
						BgL_testz00_2286 = BgL_res3998z00_1721;
					}
					if (BgL_testz00_2286)
						{	/* Globalize/gloclo.scm 232 */
							return ((obj_t) BgL_gcloz00_16);
						}
					else
						{	/* Globalize/gloclo.scm 232 */
							return
								BGl_internalzd2errorzd2zztools_errorz00
								(BGl_string4002z00zzglobaliza7e_globalzd2closurez75,
								BGl_string4003z00zzglobaliza7e_globalzd2closurez75,
								((obj_t) BgL_gcloz00_16));
						}
				}
			}
		}
	}



/* variable-value */
	BgL_valuez00_bglt
		BGl_variablezd2valuezd2zzglobaliza7e_globalzd2closurez75
		(BgL_variablez00_bglt BgL_obj1612z00_806)
	{
		AN_OBJECT;
		{	/* Ast/var.scm 21 */
			return
				(((BgL_variablez00_bglt) CREF(
						((obj_t) BgL_obj1612z00_806)))->BgL_valuez00);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_globalzd2closurez75()
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_globalzd2closurez75()
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75()
	{
		AN_OBJECT;
		{	/* Globalize/gloclo.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 176245486),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(((long) 2706117),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(((long) 244215788),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string4004z00zzglobaliza7e_globalzd2closurez75));
		}
	}

#ifdef __cplusplus
}
#endif
