/*===========================================================================*/
/*   (Integrate/g.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/g.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static bool_t
		BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_gz00();
	extern obj_t BGl_variablez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_Gz12z12zzintegrate_gz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_gz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zzintegrate_gz00();
	static obj_t BGl_z62Gz12z70zzintegrate_gz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_gz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_gz00();
	extern obj_t BGl_za2phiza2z00zzintegrate_az00;
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_Gz12zd2envzc0zzintegrate_gz00,
		BgL_bgl_za762gza712za770za7za7inte3765za7, BGl_z62Gz12z70zzintegrate_gz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3764z00zzintegrate_gz00,
		BgL_bgl_string3764za700za7za7i3766za7, "integrate_g", 11);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long
		BgL_checksumz00_1609, char *BgL_fromz00_1610)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_gz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_gz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_gz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_gz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_gz00()
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "integrate_g");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "integrate_g");
			return BUNSPEC;
		}
	}



/* G! */
	BGL_EXPORTED_DEF obj_t BGl_Gz12z12zzintegrate_gz00(obj_t BgL_gzf2cnzf2_3)
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 32 */
			{
				bool_t BgL_stopzf3zf3_934;
				long BgL_stampz00_935;
				obj_t BgL_gsz00_936;

				BgL_stopzf3zf3_934 = ((bool_t) 0);
				BgL_stampz00_935 = ((long) 0);
				BgL_gsz00_936 = BgL_gzf2cnzf2_3;
			BgL_zc3anonymousza33636ze3z83_937:
				if (BgL_stopzf3zf3_934)
					{	/* Integrate/g.scm 37 */
						{
							obj_t BgL_l3629z00_939;

							BgL_l3629z00_939 = BGl_za2phiza2z00zzintegrate_az00;
						BgL_zc3anonymousza33637ze3z83_940:
							if (PAIRP(BgL_l3629z00_939))
								{	/* Integrate/g.scm 41 */
									{	/* Integrate/g.scm 42 */
										obj_t BgL_fz00_942;

										BgL_fz00_942 = CAR(BgL_l3629z00_939);
										if (BGl_iszd2azf3z21zz__objectz00(BgL_fz00_942,
												BGl_localz00zzast_varz00))
											{	/* Integrate/g.scm 43 */
												BgL_valuez00_bglt BgL_arg3640z00_944;

												{	/* Integrate/g.scm 43 */
													BgL_variablez00_bglt BgL_obj1612z00_1456;

													BgL_obj1612z00_1456 =
														((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_fz00_942));
													BgL_arg3640z00_944 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1612z00_1456)))->BgL_valuez00);
												}
												{	/* Integrate/g.scm 43 */
													BgL_sfunzf2iinfozf2_bglt BgL_obj3565z00_1457;
													obj_t BgL_val3564z00_1458;

													BgL_obj3565z00_1457 =
														((BgL_sfunzf2iinfozf2_bglt) BgL_arg3640z00_944);
													BgL_val3564z00_1458 = BINT(((long) -1));
													{
														obj_t BgL_auxz00_1630;

														{	/* Integrate/g.scm 43 */
															BgL_objectz00_bglt BgL_auxz00_1631;

															BgL_auxz00_1631 =
																((BgL_objectz00_bglt) BgL_obj3565z00_1457);
															BgL_auxz00_1630 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1631);
														}
														((((BgL_sfunzf2iinfozf2_bglt)
																	CREF(BgL_auxz00_1630))->BgL_istampz00) =
															((obj_t) BgL_val3564z00_1458), BUNSPEC);
											}}}
										else
											{	/* Integrate/g.scm 42 */
												BFALSE;
											}
									}
									{
										obj_t BgL_l3629z00_1635;

										BgL_l3629z00_1635 = CDR(BgL_l3629z00_939);
										BgL_l3629z00_939 = BgL_l3629z00_1635;
										goto BgL_zc3anonymousza33637ze3z83_940;
									}
								}
							else
								{	/* Integrate/g.scm 41 */
									((bool_t) 1);
								}
						}
						BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00
							();
						return BgL_gsz00_936;
					}
				else
					{
						obj_t BgL_phiz00_948;
						bool_t BgL_stopzf3zf3_949;
						obj_t BgL_gsz00_950;

						BgL_phiz00_948 = BGl_za2phiza2z00zzintegrate_az00;
						BgL_stopzf3zf3_949 = ((bool_t) 1);
						BgL_gsz00_950 = BgL_gsz00_936;
					BgL_zc3anonymousza33642ze3z83_951:
						if (NULLP(BgL_phiz00_948))
							{
								obj_t BgL_gsz00_1643;
								long BgL_stampz00_1641;
								bool_t BgL_stopzf3zf3_1640;

								BgL_stopzf3zf3_1640 = BgL_stopzf3zf3_949;
								BgL_stampz00_1641 = (BgL_stampz00_935 + ((long) 1));
								BgL_gsz00_1643 = BgL_gsz00_950;
								BgL_gsz00_936 = BgL_gsz00_1643;
								BgL_stampz00_935 = BgL_stampz00_1641;
								BgL_stopzf3zf3_934 = BgL_stopzf3zf3_1640;
								goto BgL_zc3anonymousza33636ze3z83_937;
							}
						else
							{	/* Integrate/g.scm 54 */
								obj_t BgL_fz00_954;

								BgL_fz00_954 = CAR(BgL_phiz00_948);
								{	/* Integrate/g.scm 54 */
									BgL_valuez00_bglt BgL_fifz00_955;

									{	/* Integrate/g.scm 55 */
										BgL_variablez00_bglt BgL_obj1612z00_1466;

										BgL_obj1612z00_1466 = ((BgL_variablez00_bglt) BgL_fz00_954);
										BgL_fifz00_955 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1612z00_1466)))->BgL_valuez00);
									}
									{	/* Integrate/g.scm 55 */

										{	/* Integrate/g.scm 56 */
											obj_t BgL_g3626z00_956;

											{	/* Integrate/g.scm 56 */
												BgL_sfunzf2iinfozf2_bglt BgL_obj3545z00_1467;

												BgL_obj3545z00_1467 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_fifz00_955);
												{
													obj_t BgL_auxz00_1649;

													{	/* Integrate/g.scm 56 */
														BgL_objectz00_bglt BgL_auxz00_1650;

														BgL_auxz00_1650 =
															((BgL_objectz00_bglt) BgL_obj3545z00_1467);
														BgL_auxz00_1649 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1650);
													}
													BgL_g3626z00_956 =
														(((BgL_sfunzf2iinfozf2_bglt)
															CREF(BgL_auxz00_1649))->BgL_ctz00);
												}
											}
											{
												obj_t BgL_ctz00_958;
												bool_t BgL_stopzf3zf3_959;
												obj_t BgL_gsz00_960;

												BgL_ctz00_958 = BgL_g3626z00_956;
												BgL_stopzf3zf3_959 = BgL_stopzf3zf3_949;
												BgL_gsz00_960 = BgL_gsz00_950;
											BgL_zc3anonymousza33646ze3z83_961:
												if (NULLP(BgL_ctz00_958))
													{
														obj_t BgL_gsz00_1659;
														bool_t BgL_stopzf3zf3_1658;
														obj_t BgL_phiz00_1656;

														BgL_phiz00_1656 = CDR(BgL_phiz00_948);
														BgL_stopzf3zf3_1658 = BgL_stopzf3zf3_959;
														BgL_gsz00_1659 = BgL_gsz00_960;
														BgL_gsz00_950 = BgL_gsz00_1659;
														BgL_stopzf3zf3_949 = BgL_stopzf3zf3_1658;
														BgL_phiz00_948 = BgL_phiz00_1656;
														goto BgL_zc3anonymousza33642ze3z83_951;
													}
												else
													{	/* Integrate/g.scm 61 */
														obj_t BgL_gz00_964;

														BgL_gz00_964 = CAR(BgL_ctz00_958);
														{	/* Integrate/g.scm 61 */
															BgL_valuez00_bglt BgL_gifz00_965;

															{	/* Integrate/g.scm 62 */
																BgL_variablez00_bglt BgL_obj1612z00_1472;

																BgL_obj1612z00_1472 =
																	((BgL_variablez00_bglt) BgL_gz00_964);
																BgL_gifz00_965 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1612z00_1472)))->
																	BgL_valuez00);
															}
															{	/* Integrate/g.scm 62 */

																if ((BgL_fz00_954 == BgL_gz00_964))
																	{
																		obj_t BgL_ctz00_1666;

																		BgL_ctz00_1666 = CDR(BgL_ctz00_958);
																		BgL_ctz00_958 = BgL_ctz00_1666;
																		goto BgL_zc3anonymousza33646ze3z83_961;
																	}
																else
																	{	/* Integrate/g.scm 73 */
																		bool_t BgL_testz00_1668;

																		{	/* Integrate/g.scm 73 */
																			BgL_sfunzf2iinfozf2_bglt
																				BgL_obj3551z00_1474;
																			BgL_obj3551z00_1474 =
																				((BgL_sfunzf2iinfozf2_bglt)
																				BgL_gifz00_965);
																			{
																				obj_t BgL_auxz00_1670;

																				{	/* Integrate/g.scm 73 */
																					BgL_objectz00_bglt BgL_auxz00_1671;

																					BgL_auxz00_1671 =
																						((BgL_objectz00_bglt)
																						BgL_obj3551z00_1474);
																					BgL_auxz00_1670 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_1671);
																				}
																				BgL_testz00_1668 =
																					(((BgL_sfunzf2iinfozf2_bglt)
																						CREF(BgL_auxz00_1670))->
																					BgL_gzf3zf3);
																			}
																		}
																		if (BgL_testz00_1668)
																			{
																				obj_t BgL_ctz00_1675;

																				BgL_ctz00_1675 = CDR(BgL_ctz00_958);
																				BgL_ctz00_958 = BgL_ctz00_1675;
																				goto BgL_zc3anonymousza33646ze3z83_961;
																			}
																		else
																			{	/* Integrate/g.scm 75 */
																				bool_t BgL_testz00_1677;

																				{	/* Integrate/g.scm 75 */
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_obj3551z00_1476;
																					BgL_obj3551z00_1476 =
																						((BgL_sfunzf2iinfozf2_bglt)
																						BgL_fifz00_955);
																					{
																						obj_t BgL_auxz00_1679;

																						{	/* Integrate/g.scm 75 */
																							BgL_objectz00_bglt
																								BgL_auxz00_1680;
																							BgL_auxz00_1680 =
																								((BgL_objectz00_bglt)
																								BgL_obj3551z00_1476);
																							BgL_auxz00_1679 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_1680);
																						}
																						BgL_testz00_1677 =
																							(((BgL_sfunzf2iinfozf2_bglt)
																								CREF(BgL_auxz00_1679))->
																							BgL_gzf3zf3);
																					}
																				}
																				if (BgL_testz00_1677)
																					{	/* Integrate/g.scm 77 */
																						bool_t BgL_testz00_1684;

																						{	/* Integrate/g.scm 77 */
																							obj_t BgL_arg3663z00_978;

																							{	/* Integrate/g.scm 77 */
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_obj3557z00_1477;
																								BgL_obj3557z00_1477 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_gifz00_965);
																								{
																									obj_t BgL_auxz00_1686;

																									{	/* Integrate/g.scm 77 */
																										BgL_objectz00_bglt
																											BgL_auxz00_1687;
																										BgL_auxz00_1687 =
																											((BgL_objectz00_bglt)
																											BgL_obj3557z00_1477);
																										BgL_auxz00_1686 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_1687);
																									}
																									BgL_arg3663z00_978 =
																										(((BgL_sfunzf2iinfozf2_bglt)
																											CREF(BgL_auxz00_1686))->
																										BgL_lz00);
																								}
																							}
																							BgL_testz00_1684 =
																								BGl_iszd2azf3z21zz__objectz00
																								(BgL_arg3663z00_978,
																								BGl_variablez00zzast_varz00);
																						}
																						if (BgL_testz00_1684)
																							{	/* Integrate/g.scm 84 */
																								bool_t BgL_testz00_1692;

																								{	/* Integrate/g.scm 84 */
																									obj_t BgL_auxz00_1693;

																									{	/* Integrate/g.scm 84 */
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_obj3557z00_1480;
																										BgL_obj3557z00_1480 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_gifz00_965);
																										{
																											obj_t BgL_auxz00_1695;

																											{	/* Integrate/g.scm 84 */
																												BgL_objectz00_bglt
																													BgL_auxz00_1696;
																												BgL_auxz00_1696 =
																													((BgL_objectz00_bglt)
																													BgL_obj3557z00_1480);
																												BgL_auxz00_1695 =
																													BGL_OBJECT_WIDENING
																													(BgL_auxz00_1696);
																											}
																											BgL_auxz00_1693 =
																												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1695))->BgL_lz00);
																										}
																									}
																									BgL_testz00_1692 =
																										(BgL_auxz00_1693 ==
																										BgL_fz00_954);
																								}
																								if (BgL_testz00_1692)
																									{
																										obj_t BgL_ctz00_1701;

																										BgL_ctz00_1701 =
																											CDR(BgL_ctz00_958);
																										BgL_ctz00_958 =
																											BgL_ctz00_1701;
																										goto
																											BgL_zc3anonymousza33646ze3z83_961;
																									}
																								else
																									{	/* Integrate/g.scm 84 */
																										{	/* Integrate/g.scm 87 */
																											BgL_sfunzf2iinfozf2_bglt
																												BgL_obj3553z00_1482;
																											BgL_obj3553z00_1482 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_gifz00_965);
																											{
																												obj_t BgL_auxz00_1704;

																												{	/* Integrate/g.scm 87 */
																													BgL_objectz00_bglt
																														BgL_auxz00_1705;
																													BgL_auxz00_1705 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_obj3553z00_1482);
																													BgL_auxz00_1704 =
																														BGL_OBJECT_WIDENING
																														(BgL_auxz00_1705);
																												}
																												((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1704))->BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
																											}
																										}
																										{	/* Integrate/g.scm 91 */
																											obj_t BgL_arg3657z00_974;
																											obj_t BgL_arg3659z00_975;

																											BgL_arg3657z00_974 =
																												CDR(BgL_ctz00_958);
																											BgL_arg3659z00_975 =
																												MAKE_PAIR(BgL_gz00_964,
																												BgL_gsz00_960);
																											{
																												obj_t BgL_gsz00_1713;
																												bool_t
																													BgL_stopzf3zf3_1712;
																												obj_t BgL_ctz00_1711;

																												BgL_ctz00_1711 =
																													BgL_arg3657z00_974;
																												BgL_stopzf3zf3_1712 =
																													((bool_t) 0);
																												BgL_gsz00_1713 =
																													BgL_arg3659z00_975;
																												BgL_gsz00_960 =
																													BgL_gsz00_1713;
																												BgL_stopzf3zf3_959 =
																													BgL_stopzf3zf3_1712;
																												BgL_ctz00_958 =
																													BgL_ctz00_1711;
																												goto
																													BgL_zc3anonymousza33646ze3z83_961;
																											}
																										}
																									}
																							}
																						else
																							{	/* Integrate/g.scm 77 */
																								{	/* Integrate/g.scm 82 */
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_obj3559z00_1485;
																									BgL_obj3559z00_1485 =
																										((BgL_sfunzf2iinfozf2_bglt)
																										BgL_gifz00_965);
																									{
																										obj_t BgL_auxz00_1715;

																										{	/* Integrate/g.scm 82 */
																											BgL_objectz00_bglt
																												BgL_auxz00_1716;
																											BgL_auxz00_1716 =
																												((BgL_objectz00_bglt)
																												BgL_obj3559z00_1485);
																											BgL_auxz00_1715 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_1716);
																										}
																										((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1715))->BgL_lz00) = ((obj_t) BgL_fz00_954), BUNSPEC);
																									}
																								}
																								{
																									bool_t BgL_stopzf3zf3_1722;
																									obj_t BgL_ctz00_1720;

																									BgL_ctz00_1720 =
																										CDR(BgL_ctz00_958);
																									BgL_stopzf3zf3_1722 =
																										((bool_t) 0);
																									BgL_stopzf3zf3_959 =
																										BgL_stopzf3zf3_1722;
																									BgL_ctz00_958 =
																										BgL_ctz00_1720;
																									goto
																										BgL_zc3anonymousza33646ze3z83_961;
																								}
																							}
																					}
																				else
																					{	/* Integrate/g.scm 92 */
																						bool_t BgL_testz00_1723;

																						{	/* Integrate/g.scm 92 */
																							obj_t BgL_arg3683z00_1000;

																							{	/* Integrate/g.scm 92 */
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_obj3557z00_1488;
																								BgL_obj3557z00_1488 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_gifz00_965);
																								{
																									obj_t BgL_auxz00_1725;

																									{	/* Integrate/g.scm 92 */
																										BgL_objectz00_bglt
																											BgL_auxz00_1726;
																										BgL_auxz00_1726 =
																											((BgL_objectz00_bglt)
																											BgL_obj3557z00_1488);
																										BgL_auxz00_1725 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_1726);
																									}
																									BgL_arg3683z00_1000 =
																										(((BgL_sfunzf2iinfozf2_bglt)
																											CREF(BgL_auxz00_1725))->
																										BgL_lz00);
																								}
																							}
																							BgL_testz00_1723 =
																								BGl_iszd2azf3z21zz__objectz00
																								(BgL_arg3683z00_1000,
																								BGl_variablez00zzast_varz00);
																						}
																						if (BgL_testz00_1723)
																							{	/* Integrate/g.scm 116 */
																								bool_t BgL_testz00_1731;

																								{	/* Integrate/g.scm 116 */
																									obj_t BgL_arg3674z00_989;

																									{	/* Integrate/g.scm 116 */
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_obj3557z00_1491;
																										BgL_obj3557z00_1491 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_fifz00_955);
																										{
																											obj_t BgL_auxz00_1733;

																											{	/* Integrate/g.scm 116 */
																												BgL_objectz00_bglt
																													BgL_auxz00_1734;
																												BgL_auxz00_1734 =
																													((BgL_objectz00_bglt)
																													BgL_obj3557z00_1491);
																												BgL_auxz00_1733 =
																													BGL_OBJECT_WIDENING
																													(BgL_auxz00_1734);
																											}
																											BgL_arg3674z00_989 =
																												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1733))->BgL_lz00);
																										}
																									}
																									BgL_testz00_1731 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_arg3674z00_989,
																										BGl_variablez00zzast_varz00);
																								}
																								if (BgL_testz00_1731)
																									{	/* Integrate/g.scm 124 */
																										bool_t BgL_testz00_1739;

																										{	/* Integrate/g.scm 124 */
																											obj_t BgL_auxz00_1747;
																											obj_t BgL_auxz00_1740;

																											{	/* Integrate/g.scm 124 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3557z00_1495;
																												BgL_obj3557z00_1495 =
																													(
																													(BgL_sfunzf2iinfozf2_bglt)
																													BgL_gifz00_965);
																												{
																													obj_t BgL_auxz00_1749;

																													{	/* Integrate/g.scm 124 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1750;
																														BgL_auxz00_1750 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_obj3557z00_1495);
																														BgL_auxz00_1749 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1750);
																													}
																													BgL_auxz00_1747 =
																														(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1749))->BgL_lz00);
																												}
																											}
																											{	/* Integrate/g.scm 124 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3557z00_1494;
																												BgL_obj3557z00_1494 =
																													(
																													(BgL_sfunzf2iinfozf2_bglt)
																													BgL_fifz00_955);
																												{
																													obj_t BgL_auxz00_1742;

																													{	/* Integrate/g.scm 124 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1743;
																														BgL_auxz00_1743 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_obj3557z00_1494);
																														BgL_auxz00_1742 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1743);
																													}
																													BgL_auxz00_1740 =
																														(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1742))->BgL_lz00);
																												}
																											}
																											BgL_testz00_1739 =
																												(BgL_auxz00_1740 ==
																												BgL_auxz00_1747);
																										}
																										if (BgL_testz00_1739)
																											{	/* Integrate/g.scm 124 */
																												{
																													obj_t BgL_ctz00_1755;

																													BgL_ctz00_1755 =
																														CDR(BgL_ctz00_958);
																													BgL_ctz00_958 =
																														BgL_ctz00_1755;
																													goto
																														BgL_zc3anonymousza33646ze3z83_961;
																												}
																											}
																										else
																											{	/* Integrate/g.scm 124 */
																												{	/* Integrate/g.scm 130 */
																													BgL_sfunzf2iinfozf2_bglt
																														BgL_obj3553z00_1497;
																													BgL_obj3553z00_1497 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_gifz00_965);
																													{
																														obj_t
																															BgL_auxz00_1758;
																														{	/* Integrate/g.scm 130 */
																															BgL_objectz00_bglt
																																BgL_auxz00_1759;
																															BgL_auxz00_1759 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_obj3553z00_1497);
																															BgL_auxz00_1758 =
																																BGL_OBJECT_WIDENING
																																(BgL_auxz00_1759);
																														}
																														((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1758))->BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
																													}
																												}
																												{	/* Integrate/g.scm 133 */
																													obj_t
																														BgL_arg3668z00_983;
																													obj_t
																														BgL_arg3669z00_984;
																													BgL_arg3668z00_983 =
																														CDR(BgL_ctz00_958);
																													BgL_arg3669z00_984 =
																														MAKE_PAIR
																														(BgL_gz00_964,
																														BgL_gsz00_960);
																													{
																														obj_t
																															BgL_gsz00_1767;
																														bool_t
																															BgL_stopzf3zf3_1766;
																														obj_t
																															BgL_ctz00_1765;
																														BgL_ctz00_1765 =
																															BgL_arg3668z00_983;
																														BgL_stopzf3zf3_1766
																															= ((bool_t) 0);
																														BgL_gsz00_1767 =
																															BgL_arg3669z00_984;
																														BgL_gsz00_960 =
																															BgL_gsz00_1767;
																														BgL_stopzf3zf3_959 =
																															BgL_stopzf3zf3_1766;
																														BgL_ctz00_958 =
																															BgL_ctz00_1765;
																														goto
																															BgL_zc3anonymousza33646ze3z83_961;
																													}
																												}
																											}
																									}
																								else
																									{	/* Integrate/g.scm 116 */
																										{	/* Integrate/g.scm 122 */
																											obj_t BgL_arg3672z00_987;

																											{	/* Integrate/g.scm 122 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3557z00_1500;
																												BgL_obj3557z00_1500 =
																													(
																													(BgL_sfunzf2iinfozf2_bglt)
																													BgL_gifz00_965);
																												{
																													obj_t BgL_auxz00_1769;

																													{	/* Integrate/g.scm 122 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1770;
																														BgL_auxz00_1770 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_obj3557z00_1500);
																														BgL_auxz00_1769 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1770);
																													}
																													BgL_arg3672z00_987 =
																														(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1769))->BgL_lz00);
																												}
																											}
																											{	/* Integrate/g.scm 122 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3559z00_1501;
																												BgL_obj3559z00_1501 =
																													(
																													(BgL_sfunzf2iinfozf2_bglt)
																													BgL_fifz00_955);
																												{
																													obj_t BgL_auxz00_1775;

																													{	/* Integrate/g.scm 122 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1776;
																														BgL_auxz00_1776 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_obj3559z00_1501);
																														BgL_auxz00_1775 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1776);
																													}
																													((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1775))->BgL_lz00) = ((obj_t) BgL_arg3672z00_987), BUNSPEC);
																												}
																											}
																										}
																										{
																											bool_t
																												BgL_stopzf3zf3_1782;
																											obj_t BgL_ctz00_1780;

																											BgL_ctz00_1780 =
																												CDR(BgL_ctz00_958);
																											BgL_stopzf3zf3_1782 =
																												((bool_t) 0);
																											BgL_stopzf3zf3_959 =
																												BgL_stopzf3zf3_1782;
																											BgL_ctz00_958 =
																												BgL_ctz00_1780;
																											goto
																												BgL_zc3anonymousza33646ze3z83_961;
																										}
																									}
																							}
																						else
																							{	/* Integrate/g.scm 94 */
																								bool_t BgL_testz00_1783;

																								{	/* Integrate/g.scm 94 */
																									obj_t BgL_arg3682z00_999;

																									{	/* Integrate/g.scm 94 */
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_obj3557z00_1504;
																										BgL_obj3557z00_1504 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_fifz00_955);
																										{
																											obj_t BgL_auxz00_1785;

																											{	/* Integrate/g.scm 94 */
																												BgL_objectz00_bglt
																													BgL_auxz00_1786;
																												BgL_auxz00_1786 =
																													((BgL_objectz00_bglt)
																													BgL_obj3557z00_1504);
																												BgL_auxz00_1785 =
																													BGL_OBJECT_WIDENING
																													(BgL_auxz00_1786);
																											}
																											BgL_arg3682z00_999 =
																												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1785))->BgL_lz00);
																										}
																									}
																									BgL_testz00_1783 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_arg3682z00_999,
																										BGl_variablez00zzast_varz00);
																								}
																								if (BgL_testz00_1783)
																									{	/* Integrate/g.scm 94 */
																										{	/* Integrate/g.scm 95 */
																											obj_t BgL_arg3676z00_991;

																											{	/* Integrate/g.scm 95 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3557z00_1507;
																												BgL_obj3557z00_1507 =
																													(
																													(BgL_sfunzf2iinfozf2_bglt)
																													BgL_fifz00_955);
																												{
																													obj_t BgL_auxz00_1792;

																													{	/* Integrate/g.scm 95 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1793;
																														BgL_auxz00_1793 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_obj3557z00_1507);
																														BgL_auxz00_1792 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1793);
																													}
																													BgL_arg3676z00_991 =
																														(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1792))->BgL_lz00);
																												}
																											}
																											{	/* Integrate/g.scm 95 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3559z00_1508;
																												BgL_obj3559z00_1508 =
																													(
																													(BgL_sfunzf2iinfozf2_bglt)
																													BgL_gifz00_965);
																												{
																													obj_t BgL_auxz00_1798;

																													{	/* Integrate/g.scm 95 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1799;
																														BgL_auxz00_1799 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_obj3559z00_1508);
																														BgL_auxz00_1798 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1799);
																													}
																													((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1798))->BgL_lz00) = ((obj_t) BgL_arg3676z00_991), BUNSPEC);
																												}
																											}
																										}
																										{
																											bool_t
																												BgL_stopzf3zf3_1805;
																											obj_t BgL_ctz00_1803;

																											BgL_ctz00_1803 =
																												CDR(BgL_ctz00_958);
																											BgL_stopzf3zf3_1805 =
																												((bool_t) 0);
																											BgL_stopzf3zf3_959 =
																												BgL_stopzf3zf3_1805;
																											BgL_ctz00_958 =
																												BgL_ctz00_1803;
																											goto
																												BgL_zc3anonymousza33646ze3z83_961;
																										}
																									}
																								else
																									{	/* Integrate/g.scm 103 */
																										bool_t BgL_stopzf3zf3_993;

																										if (BgL_stopzf3zf3_959)
																											{	/* Integrate/g.scm 105 */
																												bool_t BgL_testz00_1807;

																												{	/* Integrate/g.scm 105 */
																													obj_t BgL_auxz00_1808;

																													{	/* Integrate/g.scm 105 */
																														BgL_sfunzf2iinfozf2_bglt
																															BgL_obj3563z00_1511;
																														BgL_obj3563z00_1511
																															=
																															(
																															(BgL_sfunzf2iinfozf2_bglt)
																															BgL_fifz00_955);
																														{
																															obj_t
																																BgL_auxz00_1810;
																															{	/* Integrate/g.scm 105 */
																																BgL_objectz00_bglt
																																	BgL_auxz00_1811;
																																BgL_auxz00_1811
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_obj3563z00_1511);
																																BgL_auxz00_1810
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_auxz00_1811);
																															}
																															BgL_auxz00_1808 =
																																(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1810))->BgL_istampz00);
																														}
																													}
																													BgL_testz00_1807 =
																														INTEGERP
																														(BgL_auxz00_1808);
																												}
																												if (BgL_testz00_1807)
																													{	/* Integrate/g.scm 107 */
																														long
																															BgL_auxz00_1816;
																														{	/* Integrate/g.scm 107 */
																															BgL_sfunzf2iinfozf2_bglt
																																BgL_obj3563z00_1514;
																															BgL_obj3563z00_1514
																																=
																																(
																																(BgL_sfunzf2iinfozf2_bglt)
																																BgL_fifz00_955);
																															{	/* Integrate/g.scm 107 */
																																obj_t
																																	BgL_auxz00_1818;
																																{
																																	obj_t
																																		BgL_auxz00_1819;
																																	{	/* Integrate/g.scm 107 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_1820;
																																		BgL_auxz00_1820
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_obj3563z00_1514);
																																		BgL_auxz00_1819
																																			=
																																			BGL_OBJECT_WIDENING
																																			(BgL_auxz00_1820);
																																	}
																																	BgL_auxz00_1818
																																		=
																																		(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1819))->BgL_istampz00);
																																}
																																BgL_auxz00_1816
																																	=
																																	(long)
																																	CINT
																																	(BgL_auxz00_1818);
																														}}
																														BgL_stopzf3zf3_993 =
																															(BgL_auxz00_1816
																															<=
																															BgL_stampz00_935);
																													}
																												else
																													{	/* Integrate/g.scm 105 */
																														BgL_stopzf3zf3_993 =
																															((bool_t) 0);
																													}
																											}
																										else
																											{	/* Integrate/g.scm 103 */
																												BgL_stopzf3zf3_993 =
																													((bool_t) 0);
																											}
																										{	/* Integrate/g.scm 114 */
																											BgL_sfunzf2iinfozf2_bglt
																												BgL_obj3565z00_1518;
																											obj_t BgL_val3564z00_1519;

																											BgL_obj3565z00_1518 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_fifz00_955);
																											BgL_val3564z00_1519 =
																												BINT(BgL_stampz00_935);
																											{
																												obj_t BgL_auxz00_1828;

																												{	/* Integrate/g.scm 114 */
																													BgL_objectz00_bglt
																														BgL_auxz00_1829;
																													BgL_auxz00_1829 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_obj3565z00_1518);
																													BgL_auxz00_1828 =
																														BGL_OBJECT_WIDENING
																														(BgL_auxz00_1829);
																												}
																												((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1828))->BgL_istampz00) = ((obj_t) BgL_val3564z00_1519), BUNSPEC);
																											}
																										}
																										{
																											bool_t
																												BgL_stopzf3zf3_1835;
																											obj_t BgL_ctz00_1833;

																											BgL_ctz00_1833 =
																												CDR(BgL_ctz00_958);
																											BgL_stopzf3zf3_1835 =
																												BgL_stopzf3zf3_993;
																											BgL_stopzf3zf3_959 =
																												BgL_stopzf3zf3_1835;
																											BgL_ctz00_958 =
																												BgL_ctz00_1833;
																											goto
																												BgL_zc3anonymousza33646ze3z83_961;
																										}
																									}
																							}
																					}
																			}
																	}
															}
														}
													}
											}
										}
									}
								}
							}
					}
			}
		}
	}



/* &G! */
	obj_t BGl_z62Gz12z70zzintegrate_gz00(obj_t BgL_envz00_1538,
		obj_t BgL_gzf2cnzf2_1539)
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 32 */
			return BGl_Gz12z12zzintegrate_gz00(BgL_gzf2cnzf2_1539);
		}
	}



/* integrate-remaining-local-functions! */
	bool_t BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00()
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 143 */
			{
				obj_t BgL_l3631z00_1005;

				BgL_l3631z00_1005 = BGl_za2phiza2z00zzintegrate_az00;
			BgL_zc3anonymousza33684ze3z83_1006:
				if (PAIRP(BgL_l3631z00_1005))
					{	/* Integrate/g.scm 144 */
						{	/* Integrate/g.scm 145 */
							obj_t BgL_fz00_1008;

							BgL_fz00_1008 = CAR(BgL_l3631z00_1005);
							{	/* Integrate/g.scm 145 */
								bool_t BgL_testz00_1840;

								if (BGl_iszd2azf3z21zz__objectz00(BgL_fz00_1008,
										BGl_localz00zzast_varz00))
									{	/* Integrate/g.scm 146 */
										bool_t BgL_testz00_1843;

										{	/* Integrate/g.scm 146 */
											BgL_sfunzf2iinfozf2_bglt BgL_obj3551z00_1527;

											{	/* Integrate/g.scm 146 */
												BgL_variablez00_bglt BgL_obj1612z00_1526;

												BgL_obj1612z00_1526 =
													((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_fz00_1008));
												BgL_obj3551z00_1527 =
													((BgL_sfunzf2iinfozf2_bglt)
													(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1612z00_1526)))->BgL_valuez00));
											}
											{
												obj_t BgL_auxz00_1849;

												{	/* Integrate/g.scm 146 */
													BgL_objectz00_bglt BgL_auxz00_1850;

													BgL_auxz00_1850 =
														((BgL_objectz00_bglt) BgL_obj3551z00_1527);
													BgL_auxz00_1849 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1850);
												}
												BgL_testz00_1843 =
													(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1849))->
													BgL_gzf3zf3);
											}
										}
										if (BgL_testz00_1843)
											{	/* Integrate/g.scm 146 */
												BgL_testz00_1840 = ((bool_t) 0);
											}
										else
											{	/* Integrate/g.scm 147 */
												bool_t BgL_testz00_1854;

												{	/* Integrate/g.scm 147 */
													obj_t BgL_arg3693z00_1016;

													{	/* Integrate/g.scm 147 */
														BgL_sfunzf2iinfozf2_bglt BgL_obj3557z00_1529;

														{	/* Integrate/g.scm 147 */
															BgL_variablez00_bglt BgL_obj1612z00_1528;

															BgL_obj1612z00_1528 =
																((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_fz00_1008));
															BgL_obj3557z00_1529 =
																((BgL_sfunzf2iinfozf2_bglt)
																(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1612z00_1528)))->
																	BgL_valuez00));
														}
														{
															obj_t BgL_auxz00_1860;

															{	/* Integrate/g.scm 147 */
																BgL_objectz00_bglt BgL_auxz00_1861;

																BgL_auxz00_1861 =
																	((BgL_objectz00_bglt) BgL_obj3557z00_1529);
																BgL_auxz00_1860 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1861);
															}
															BgL_arg3693z00_1016 =
																(((BgL_sfunzf2iinfozf2_bglt)
																	CREF(BgL_auxz00_1860))->BgL_lz00);
														}
													}
													BgL_testz00_1854 =
														BGl_iszd2azf3z21zz__objectz00(BgL_arg3693z00_1016,
														BGl_variablez00zzast_varz00);
												}
												if (BgL_testz00_1854)
													{	/* Integrate/g.scm 147 */
														BgL_testz00_1840 = ((bool_t) 0);
													}
												else
													{	/* Integrate/g.scm 147 */
														BgL_testz00_1840 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Integrate/g.scm 145 */
										BgL_testz00_1840 = ((bool_t) 0);
									}
								if (BgL_testz00_1840)
									{	/* Integrate/g.scm 145 */
										{	/* Integrate/g.scm 153 */
											BgL_valuez00_bglt BgL_arg3687z00_1010;
											obj_t BgL_arg3688z00_1011;

											{	/* Integrate/g.scm 153 */
												BgL_variablez00_bglt BgL_obj1612z00_1532;

												BgL_obj1612z00_1532 =
													((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_fz00_1008));
												BgL_arg3687z00_1010 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1612z00_1532)))->BgL_valuez00);
											}
											{	/* Integrate/g.scm 154 */
												BgL_sfunzf2iinfozf2_bglt BgL_obj3517z00_1534;

												{	/* Integrate/g.scm 154 */
													BgL_variablez00_bglt BgL_obj1612z00_1533;

													BgL_obj1612z00_1533 =
														((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_fz00_1008));
													BgL_obj3517z00_1534 =
														((BgL_sfunzf2iinfozf2_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1612z00_1533)))->
															BgL_valuez00));
												}
												{
													obj_t BgL_auxz00_1875;

													{	/* Integrate/g.scm 154 */
														BgL_objectz00_bglt BgL_auxz00_1876;

														BgL_auxz00_1876 =
															((BgL_objectz00_bglt) BgL_obj3517z00_1534);
														BgL_auxz00_1875 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1876);
													}
													BgL_arg3688z00_1011 =
														(((BgL_sfunzf2iinfozf2_bglt)
															CREF(BgL_auxz00_1875))->BgL_ownerz00);
												}
											}
											{	/* Integrate/g.scm 153 */
												BgL_sfunzf2iinfozf2_bglt BgL_obj3559z00_1535;

												BgL_obj3559z00_1535 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_arg3687z00_1010);
												{
													obj_t BgL_auxz00_1881;

													{	/* Integrate/g.scm 153 */
														BgL_objectz00_bglt BgL_auxz00_1882;

														BgL_auxz00_1882 =
															((BgL_objectz00_bglt) BgL_obj3559z00_1535);
														BgL_auxz00_1881 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1882);
													}
													((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1881))->
															BgL_lz00) =
														((obj_t) BgL_arg3688z00_1011), BUNSPEC);
												}
											}
										}
									}
								else
									{	/* Integrate/g.scm 145 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l3631z00_1886;

							BgL_l3631z00_1886 = CDR(BgL_l3631z00_1005);
							BgL_l3631z00_1005 = BgL_l3631z00_1886;
							goto BgL_zc3anonymousza33684ze3z83_1006;
						}
					}
				else
					{	/* Integrate/g.scm 144 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_gz00()
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_gz00()
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_gz00()
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3764z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3764z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3764z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3764z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3764z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3764z00zzintegrate_gz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_az00(((long) 523633197),
				BSTRING_TO_STRING(BGl_string3764z00zzintegrate_gz00));
		}
	}

#ifdef __cplusplus
}
#endif
