/*===========================================================================*/
/*   (Integrate/kk.scm)                                                      */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/kk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_kkz00();
	static obj_t BGl_Kze21z12zf0zzintegrate_kkz00(obj_t, obj_t);
	static obj_t BGl_Kze22z12zf0zzintegrate_kkz00(obj_t, obj_t);
	static obj_t BGl_z62Kza2z12zd2zzintegrate_kkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_Kz12z12zzintegrate_kkz00(obj_t,
		BgL_globalz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_kkz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zzintegrate_kkz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62Kz12z70zzintegrate_kkz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_kkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzintegrate_kkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kkz00();
	BGL_EXPORTED_DECL obj_t BGl_Kza2z12zb0zzintegrate_kkz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_Kz12zd2envzc0zzintegrate_kkz00,
		BgL_bgl_za762kza712za770za7za7inte3757za7, BGl_z62Kz12z70zzintegrate_kkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3753z00zzintegrate_kkz00,
		BgL_bgl_string3753za700za7za7i3758za7, "integrate_kk", 12);
	      DEFINE_STRING(BGl_string3754z00zzintegrate_kkz00,
		BgL_bgl_string3754za700za7za7i3759za7, "tail bottom ", 12);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_Kza2z12zd2envz62zzintegrate_kkz00,
		BgL_bgl_za762kza7a2za712za7d2za7za7i3760z00,
		BGl_z62Kza2z12zd2zzintegrate_kkz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_kkz00(long
		BgL_checksumz00_1616, char *BgL_fromz00_1617)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_kkz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_kkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00();
					BGl_cnstzd2initzd2zzintegrate_kkz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_kkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00()
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_kk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "integrate_kk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_kkz00()
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 15 */
			{	/* Integrate/kk.scm 15 */
				obj_t BgL_cportz00_1608;

				BgL_cportz00_1608 =
					bgl_open_input_string(BGl_string3754z00zzintegrate_kkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1609;

					BgL_iz00_1609 = ((long) 1);
				BgL_loopz00_1610:
					if ((BgL_iz00_1609 == ((long) -1)))
						{	/* Integrate/kk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/kk.scm 15 */
							{	/* Integrate/kk.scm 15 */
								obj_t BgL_arg3756z00_1612;

								{	/* Integrate/kk.scm 15 */

									{	/* Integrate/kk.scm 15 */
										obj_t BgL_locationz00_1614;

										BgL_locationz00_1614 = BBOOL(((bool_t) 0));
										{	/* Integrate/kk.scm 15 */

											BgL_arg3756z00_1612 =
												BGl_readz00zz__readerz00(BgL_cportz00_1608,
												BgL_locationz00_1614);
										}
									}
								}
								{	/* Integrate/kk.scm 15 */
									int BgL_auxz00_1632;

									BgL_auxz00_1632 = (int) (BgL_iz00_1609);
									CNST_TABLE_SET(BgL_auxz00_1632, BgL_arg3756z00_1612);
							}}
							{	/* Integrate/kk.scm 15 */
								int BgL_auxz00_1615;

								BgL_auxz00_1615 = (int) ((BgL_iz00_1609 - ((long) 1)));
								{
									long BgL_iz00_1637;

									BgL_iz00_1637 = (long) (BgL_auxz00_1615);
									BgL_iz00_1609 = BgL_iz00_1637;
									goto BgL_loopz00_1610;
								}
							}
						}
				}
			}
		}
	}



/* K! */
	BGL_EXPORTED_DEF obj_t BGl_Kz12z12zzintegrate_kkz00(obj_t BgL_az00_3,
		BgL_globalz00_bglt BgL_varz00_4)
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 44 */
			{	/* Integrate/kk.scm 50 */
				BgL_valuez00_bglt BgL_ifunz00_939;

				{	/* Integrate/kk.scm 50 */
					BgL_variablez00_bglt BgL_obj1612z00_1463;

					BgL_obj1612z00_1463 = ((BgL_variablez00_bglt) BgL_varz00_4);
					BgL_ifunz00_939 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1463)))->BgL_valuez00);
				}
				{	/* Integrate/kk.scm 51 */
					obj_t BgL_arg3631z00_940;

					{	/* Integrate/kk.scm 51 */
						obj_t BgL_list3632z00_941;

						BgL_list3632z00_941 = MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
						BgL_arg3631z00_940 = BgL_list3632z00_941;
					}
					{	/* Integrate/kk.scm 51 */
						BgL_sfunzf2iinfozf2_bglt BgL_obj3535z00_1466;

						BgL_obj3535z00_1466 = ((BgL_sfunzf2iinfozf2_bglt) BgL_ifunz00_939);
						{
							obj_t BgL_auxz00_1645;

							{	/* Integrate/kk.scm 51 */
								BgL_objectz00_bglt BgL_auxz00_1646;

								BgL_auxz00_1646 = ((BgL_objectz00_bglt) BgL_obj3535z00_1466);
								BgL_auxz00_1645 = BGL_OBJECT_WIDENING(BgL_auxz00_1646);
							}
							((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1645))->BgL_kz00) =
								((obj_t) BgL_arg3631z00_940), BUNSPEC);
				}}}
				{	/* Integrate/kk.scm 52 */
					obj_t BgL_arg3633z00_942;

					{	/* Integrate/kk.scm 52 */
						obj_t BgL_list3634z00_943;

						BgL_list3634z00_943 = MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
						BgL_arg3633z00_942 = BgL_list3634z00_943;
					}
					{	/* Integrate/kk.scm 52 */
						BgL_sfunzf2iinfozf2_bglt BgL_obj3538z00_1470;

						BgL_obj3538z00_1470 = ((BgL_sfunzf2iinfozf2_bglt) BgL_ifunz00_939);
						{
							obj_t BgL_auxz00_1653;

							{	/* Integrate/kk.scm 52 */
								BgL_objectz00_bglt BgL_auxz00_1654;

								BgL_auxz00_1654 = ((BgL_objectz00_bglt) BgL_obj3538z00_1470);
								BgL_auxz00_1653 = BGL_OBJECT_WIDENING(BgL_auxz00_1654);
							}
							((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1653))->
									BgL_kza2za2) = ((obj_t) BgL_arg3633z00_942), BUNSPEC);
				}}}
				return
					BGl_Kze22z12zf0zzintegrate_kkz00(BgL_az00_3,
					BGl_Kze21z12zf0zzintegrate_kkz00(BgL_az00_3, BNIL));
			}
		}
	}



/* &K! */
	obj_t BGl_z62Kz12z70zzintegrate_kkz00(obj_t BgL_envz00_1552,
		obj_t BgL_az00_1553, obj_t BgL_varz00_1554)
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 44 */
			return
				BGl_Kz12z12zzintegrate_kkz00(BgL_az00_1553,
				((BgL_globalz00_bglt) BgL_varz00_1554));
		}
	}



/* K.1! */
	obj_t BGl_Kze21z12zf0zzintegrate_kkz00(obj_t BgL_az00_5,
		obj_t BgL_azd2tailzd2_6)
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 58 */
		BGl_Kze21z12zf0zzintegrate_kkz00:
			if (NULLP(BgL_az00_5))
				{	/* Integrate/kk.scm 60 */
					return BgL_azd2tailzd2_6;
				}
			else
				{	/* Integrate/kk.scm 62 */
					obj_t BgL_prz00_946;

					BgL_prz00_946 = CAR(BgL_az00_5);
					{	/* Integrate/kk.scm 62 */
						obj_t BgL_fz00_947;

						BgL_fz00_947 = CAR(BgL_prz00_946);
						{	/* Integrate/kk.scm 63 */
							obj_t BgL_gz00_948;

							{	/* Integrate/kk.scm 64 */
								obj_t BgL_pairz00_1476;

								BgL_pairz00_1476 = BgL_prz00_946;
								BgL_gz00_948 = CAR(CDR(BgL_pairz00_1476));
							}
							{	/* Integrate/kk.scm 64 */
								obj_t BgL_kz00_949;

								{	/* Integrate/kk.scm 65 */
									obj_t BgL_pairz00_1480;

									BgL_pairz00_1480 = BgL_prz00_946;
									BgL_kz00_949 = CAR(CDR(CDR(BgL_pairz00_1480)));
								}
								{	/* Integrate/kk.scm 65 */

									if ((BgL_kz00_949 == CNST_TABLE_REF(((long) 1))))
										{	/* Integrate/kk.scm 67 */
											if ((BgL_fz00_947 == BgL_gz00_948))
												{
													obj_t BgL_az00_1676;

													BgL_az00_1676 = CDR(BgL_az00_5);
													BgL_az00_5 = BgL_az00_1676;
													goto BGl_Kze21z12zf0zzintegrate_kkz00;
												}
											else
												{	/* Integrate/kk.scm 70 */
													obj_t BgL_arg3640z00_953;
													obj_t BgL_arg3641z00_954;

													BgL_arg3640z00_953 = CDR(BgL_az00_5);
													BgL_arg3641z00_954 =
														MAKE_PAIR(BgL_prz00_946, BgL_azd2tailzd2_6);
													{
														obj_t BgL_azd2tailzd2_1681;
														obj_t BgL_az00_1680;

														BgL_az00_1680 = BgL_arg3640z00_953;
														BgL_azd2tailzd2_1681 = BgL_arg3641z00_954;
														BgL_azd2tailzd2_6 = BgL_azd2tailzd2_1681;
														BgL_az00_5 = BgL_az00_1680;
														goto BGl_Kze21z12zf0zzintegrate_kkz00;
													}
												}
										}
									else
										{	/* Integrate/kk.scm 72 */
											BgL_valuez00_bglt BgL_ifunz00_955;

											{	/* Integrate/kk.scm 72 */
												BgL_variablez00_bglt BgL_obj1612z00_1488;

												BgL_obj1612z00_1488 =
													((BgL_variablez00_bglt) BgL_gz00_948);
												BgL_ifunz00_955 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1612z00_1488)))->BgL_valuez00);
											}
											{	/* Integrate/kk.scm 73 */
												bool_t BgL_testz00_1685;

												{	/* Integrate/kk.scm 73 */
													obj_t BgL_auxz00_1686;

													{	/* Integrate/kk.scm 73 */
														obj_t BgL_auxz00_1687;

														{	/* Integrate/kk.scm 73 */
															BgL_sfunzf2iinfozf2_bglt BgL_obj3533z00_1489;

															BgL_obj3533z00_1489 =
																((BgL_sfunzf2iinfozf2_bglt) BgL_ifunz00_955);
															{
																obj_t BgL_auxz00_1689;

																{	/* Integrate/kk.scm 73 */
																	BgL_objectz00_bglt BgL_auxz00_1690;

																	BgL_auxz00_1690 =
																		((BgL_objectz00_bglt) BgL_obj3533z00_1489);
																	BgL_auxz00_1689 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1690);
																}
																BgL_auxz00_1687 =
																	(((BgL_sfunzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_1689))->BgL_kz00);
															}
														}
														BgL_auxz00_1686 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_kz00_949, BgL_auxz00_1687);
													}
													BgL_testz00_1685 = CBOOL(BgL_auxz00_1686);
												}
												if (BgL_testz00_1685)
													{
														obj_t BgL_az00_1696;

														BgL_az00_1696 = CDR(BgL_az00_5);
														BgL_az00_5 = BgL_az00_1696;
														goto BGl_Kze21z12zf0zzintegrate_kkz00;
													}
												else
													{	/* Integrate/kk.scm 73 */
														{	/* Integrate/kk.scm 76 */
															obj_t BgL_arg3645z00_958;

															{	/* Integrate/kk.scm 76 */
																obj_t BgL_arg3646z00_959;

																{	/* Integrate/kk.scm 76 */
																	BgL_sfunzf2iinfozf2_bglt BgL_obj3533z00_1491;

																	BgL_obj3533z00_1491 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_ifunz00_955);
																	{
																		obj_t BgL_auxz00_1699;

																		{	/* Integrate/kk.scm 76 */
																			BgL_objectz00_bglt BgL_auxz00_1700;

																			BgL_auxz00_1700 =
																				((BgL_objectz00_bglt)
																				BgL_obj3533z00_1491);
																			BgL_auxz00_1699 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1700);
																		}
																		BgL_arg3646z00_959 =
																			(((BgL_sfunzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1699))->BgL_kz00);
																	}
																}
																BgL_arg3645z00_958 =
																	MAKE_PAIR(BgL_kz00_949, BgL_arg3646z00_959);
															}
															{	/* Integrate/kk.scm 76 */
																BgL_sfunzf2iinfozf2_bglt BgL_obj3535z00_1492;

																BgL_obj3535z00_1492 =
																	((BgL_sfunzf2iinfozf2_bglt) BgL_ifunz00_955);
																{
																	obj_t BgL_auxz00_1706;

																	{	/* Integrate/kk.scm 76 */
																		BgL_objectz00_bglt BgL_auxz00_1707;

																		BgL_auxz00_1707 =
																			((BgL_objectz00_bglt)
																			BgL_obj3535z00_1492);
																		BgL_auxz00_1706 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_1707);
																	}
																	((((BgL_sfunzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1706))->BgL_kz00) =
																		((obj_t) BgL_arg3645z00_958), BUNSPEC);
																}
															}
														}
														{	/* Integrate/kk.scm 77 */
															obj_t BgL_arg3647z00_960;

															{	/* Integrate/kk.scm 77 */
																obj_t BgL_arg3648z00_961;

																{	/* Integrate/kk.scm 77 */
																	BgL_sfunzf2iinfozf2_bglt BgL_obj3536z00_1494;

																	BgL_obj3536z00_1494 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_ifunz00_955);
																	{
																		obj_t BgL_auxz00_1712;

																		{	/* Integrate/kk.scm 77 */
																			BgL_objectz00_bglt BgL_auxz00_1713;

																			BgL_auxz00_1713 =
																				((BgL_objectz00_bglt)
																				BgL_obj3536z00_1494);
																			BgL_auxz00_1712 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1713);
																		}
																		BgL_arg3648z00_961 =
																			(((BgL_sfunzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1712))->BgL_kza2za2);
																	}
																}
																BgL_arg3647z00_960 =
																	MAKE_PAIR(BgL_kz00_949, BgL_arg3648z00_961);
															}
															{	/* Integrate/kk.scm 77 */
																BgL_sfunzf2iinfozf2_bglt BgL_obj3538z00_1495;

																BgL_obj3538z00_1495 =
																	((BgL_sfunzf2iinfozf2_bglt) BgL_ifunz00_955);
																{
																	obj_t BgL_auxz00_1719;

																	{	/* Integrate/kk.scm 77 */
																		BgL_objectz00_bglt BgL_auxz00_1720;

																		BgL_auxz00_1720 =
																			((BgL_objectz00_bglt)
																			BgL_obj3538z00_1495);
																		BgL_auxz00_1719 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_1720);
																	}
																	((((BgL_sfunzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1719))->BgL_kza2za2) =
																		((obj_t) BgL_arg3647z00_960), BUNSPEC);
																}
															}
														}
														{
															obj_t BgL_az00_1724;

															BgL_az00_1724 = CDR(BgL_az00_5);
															BgL_az00_5 = BgL_az00_1724;
															goto BGl_Kze21z12zf0zzintegrate_kkz00;
														}
													}
											}
										}
								}
							}
						}
					}
				}
		}
	}



/* K.2! */
	obj_t BGl_Kze22z12zf0zzintegrate_kkz00(obj_t BgL_az00_7,
		obj_t BgL_azd2tailzd2_8)
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 83 */
			{
				bool_t BgL_continuez00_965;

				BgL_continuez00_965 = ((bool_t) 1);
			BgL_zc3anonymousza33651ze3z83_966:
				if (BgL_continuez00_965)
					{
						obj_t BgL_atz00_968;
						bool_t BgL_continuez00_969;

						BgL_atz00_968 = BgL_azd2tailzd2_8;
						BgL_continuez00_969 = ((bool_t) 0);
					BgL_zc3anonymousza33652ze3z83_970:
						if (NULLP(BgL_atz00_968))
							{
								bool_t BgL_continuez00_1729;

								BgL_continuez00_1729 = BgL_continuez00_969;
								BgL_continuez00_965 = BgL_continuez00_1729;
								goto BgL_zc3anonymousza33651ze3z83_966;
							}
						else
							{	/* Integrate/kk.scm 95 */
								BgL_valuez00_bglt BgL_ifunz00_972;

								{	/* Integrate/kk.scm 95 */
									BgL_variablez00_bglt BgL_obj1612z00_1502;

									BgL_obj1612z00_1502 =
										((BgL_variablez00_bglt) CAR(CAR(BgL_atz00_968)));
									BgL_ifunz00_972 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_1502)))->BgL_valuez00);
								}
								{	/* Integrate/kk.scm 96 */
									bool_t BgL_testz00_1735;

									{	/* Integrate/kk.scm 96 */
										obj_t BgL_auxz00_1736;

										{	/* Integrate/kk.scm 96 */
											BgL_sfunzf2iinfozf2_bglt BgL_obj3533z00_1503;

											BgL_obj3533z00_1503 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_ifunz00_972);
											{
												obj_t BgL_auxz00_1738;

												{	/* Integrate/kk.scm 96 */
													BgL_objectz00_bglt BgL_auxz00_1739;

													BgL_auxz00_1739 =
														((BgL_objectz00_bglt) BgL_obj3533z00_1503);
													BgL_auxz00_1738 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1739);
												}
												BgL_auxz00_1736 =
													(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1738))->
													BgL_kz00);
											}
										}
										BgL_testz00_1735 = NULLP(BgL_auxz00_1736);
									}
									if (BgL_testz00_1735)
										{
											obj_t BgL_atz00_1744;

											BgL_atz00_1744 = CDR(BgL_atz00_968);
											BgL_atz00_968 = BgL_atz00_1744;
											goto BgL_zc3anonymousza33652ze3z83_970;
										}
									else
										{	/* Integrate/kk.scm 98 */
											obj_t BgL_gz00_975;

											{	/* Integrate/kk.scm 98 */
												obj_t BgL_pairz00_1508;

												BgL_pairz00_1508 = CAR(BgL_atz00_968);
												BgL_gz00_975 = CAR(CDR(BgL_pairz00_1508));
											}
											{	/* Integrate/kk.scm 98 */
												BgL_valuez00_bglt BgL_gifunz00_976;

												{	/* Integrate/kk.scm 99 */
													BgL_variablez00_bglt BgL_obj1612z00_1512;

													BgL_obj1612z00_1512 =
														((BgL_variablez00_bglt) BgL_gz00_975);
													BgL_gifunz00_976 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1612z00_1512)))->BgL_valuez00);
												}
												{	/* Integrate/kk.scm 99 */

													{	/* Integrate/kk.scm 100 */
														obj_t BgL_g3626z00_977;

														{	/* Integrate/kk.scm 100 */
															BgL_sfunzf2iinfozf2_bglt BgL_obj3533z00_1513;

															BgL_obj3533z00_1513 =
																((BgL_sfunzf2iinfozf2_bglt) BgL_ifunz00_972);
															{
																obj_t BgL_auxz00_1753;

																{	/* Integrate/kk.scm 100 */
																	BgL_objectz00_bglt BgL_auxz00_1754;

																	BgL_auxz00_1754 =
																		((BgL_objectz00_bglt) BgL_obj3533z00_1513);
																	BgL_auxz00_1753 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1754);
																}
																BgL_g3626z00_977 =
																	(((BgL_sfunzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_1753))->BgL_kz00);
															}
														}
														{
															obj_t BgL_ksz00_979;
															bool_t BgL_continuez00_980;

															BgL_ksz00_979 = BgL_g3626z00_977;
															BgL_continuez00_980 = BgL_continuez00_969;
														BgL_zc3anonymousza33656ze3z83_981:
															if (NULLP(BgL_ksz00_979))
																{
																	bool_t BgL_continuez00_1762;
																	obj_t BgL_atz00_1760;

																	BgL_atz00_1760 = CDR(BgL_atz00_968);
																	BgL_continuez00_1762 = BgL_continuez00_980;
																	BgL_continuez00_969 = BgL_continuez00_1762;
																	BgL_atz00_968 = BgL_atz00_1760;
																	goto BgL_zc3anonymousza33652ze3z83_970;
																}
															else
																{	/* Integrate/kk.scm 107 */
																	obj_t BgL_kz00_984;

																	BgL_kz00_984 = CAR(BgL_ksz00_979);
																	{	/* Integrate/kk.scm 108 */
																		bool_t BgL_testz00_1764;

																		{	/* Integrate/kk.scm 108 */
																			obj_t BgL_auxz00_1765;

																			{	/* Integrate/kk.scm 108 */
																				obj_t BgL_auxz00_1766;

																				{	/* Integrate/kk.scm 108 */
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_obj3533z00_1518;
																					BgL_obj3533z00_1518 =
																						((BgL_sfunzf2iinfozf2_bglt)
																						BgL_gifunz00_976);
																					{
																						obj_t BgL_auxz00_1768;

																						{	/* Integrate/kk.scm 108 */
																							BgL_objectz00_bglt
																								BgL_auxz00_1769;
																							BgL_auxz00_1769 =
																								((BgL_objectz00_bglt)
																								BgL_obj3533z00_1518);
																							BgL_auxz00_1768 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_1769);
																						}
																						BgL_auxz00_1766 =
																							(((BgL_sfunzf2iinfozf2_bglt)
																								CREF(BgL_auxz00_1768))->
																							BgL_kz00);
																					}
																				}
																				BgL_auxz00_1765 =
																					BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																					(BgL_kz00_984, BgL_auxz00_1766);
																			}
																			BgL_testz00_1764 = CBOOL(BgL_auxz00_1765);
																		}
																		if (BgL_testz00_1764)
																			{
																				obj_t BgL_ksz00_1775;

																				BgL_ksz00_1775 = CDR(BgL_ksz00_979);
																				BgL_ksz00_979 = BgL_ksz00_1775;
																				goto BgL_zc3anonymousza33656ze3z83_981;
																			}
																		else
																			{	/* Integrate/kk.scm 108 */
																				{	/* Integrate/kk.scm 113 */
																					obj_t BgL_arg3663z00_987;

																					{	/* Integrate/kk.scm 113 */
																						obj_t BgL_arg3664z00_988;

																						{	/* Integrate/kk.scm 113 */
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_obj3533z00_1520;
																							BgL_obj3533z00_1520 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_gifunz00_976);
																							{
																								obj_t BgL_auxz00_1778;

																								{	/* Integrate/kk.scm 113 */
																									BgL_objectz00_bglt
																										BgL_auxz00_1779;
																									BgL_auxz00_1779 =
																										((BgL_objectz00_bglt)
																										BgL_obj3533z00_1520);
																									BgL_auxz00_1778 =
																										BGL_OBJECT_WIDENING
																										(BgL_auxz00_1779);
																								}
																								BgL_arg3664z00_988 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1778))->
																									BgL_kz00);
																							}
																						}
																						BgL_arg3663z00_987 =
																							MAKE_PAIR(BgL_kz00_984,
																							BgL_arg3664z00_988);
																					}
																					{	/* Integrate/kk.scm 111 */
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_obj3535z00_1521;
																						BgL_obj3535z00_1521 =
																							((BgL_sfunzf2iinfozf2_bglt)
																							BgL_gifunz00_976);
																						{
																							obj_t BgL_auxz00_1785;

																							{	/* Integrate/kk.scm 111 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1786;
																								BgL_auxz00_1786 =
																									((BgL_objectz00_bglt)
																									BgL_obj3535z00_1521);
																								BgL_auxz00_1785 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1786);
																							}
																							((((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1785))->
																									BgL_kz00) =
																								((obj_t) BgL_arg3663z00_987),
																								BUNSPEC);
																						}
																					}
																				}
																				{	/* Integrate/kk.scm 116 */
																					obj_t BgL_arg3665z00_989;

																					{	/* Integrate/kk.scm 116 */
																						obj_t BgL_arg3666z00_990;

																						{	/* Integrate/kk.scm 116 */
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_obj3536z00_1523;
																							BgL_obj3536z00_1523 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_gifunz00_976);
																							{
																								obj_t BgL_auxz00_1791;

																								{	/* Integrate/kk.scm 116 */
																									BgL_objectz00_bglt
																										BgL_auxz00_1792;
																									BgL_auxz00_1792 =
																										((BgL_objectz00_bglt)
																										BgL_obj3536z00_1523);
																									BgL_auxz00_1791 =
																										BGL_OBJECT_WIDENING
																										(BgL_auxz00_1792);
																								}
																								BgL_arg3666z00_990 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1791))->
																									BgL_kza2za2);
																							}
																						}
																						BgL_arg3665z00_989 =
																							MAKE_PAIR(BgL_kz00_984,
																							BgL_arg3666z00_990);
																					}
																					{	/* Integrate/kk.scm 114 */
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_obj3538z00_1524;
																						BgL_obj3538z00_1524 =
																							((BgL_sfunzf2iinfozf2_bglt)
																							BgL_gifunz00_976);
																						{
																							obj_t BgL_auxz00_1798;

																							{	/* Integrate/kk.scm 114 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1799;
																								BgL_auxz00_1799 =
																									((BgL_objectz00_bglt)
																									BgL_obj3538z00_1524);
																								BgL_auxz00_1798 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1799);
																							}
																							((((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1798))->
																									BgL_kza2za2) =
																								((obj_t) BgL_arg3665z00_989),
																								BUNSPEC);
																						}
																					}
																				}
																				{
																					bool_t BgL_continuez00_1805;
																					obj_t BgL_ksz00_1803;

																					BgL_ksz00_1803 = CDR(BgL_ksz00_979);
																					BgL_continuez00_1805 = ((bool_t) 1);
																					BgL_continuez00_980 =
																						BgL_continuez00_1805;
																					BgL_ksz00_979 = BgL_ksz00_1803;
																					goto
																						BgL_zc3anonymousza33656ze3z83_981;
																				}
																			}
																	}
																}
														}
													}
												}
											}
										}
								}
							}
					}
				else
					{	/* Integrate/kk.scm 86 */
						return BgL_azd2tailzd2_8;
					}
			}
		}
	}



/* K*! */
	BGL_EXPORTED_DEF obj_t BGl_Kza2z12zb0zzintegrate_kkz00(obj_t
		BgL_azd2tailzd2_9)
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 132 */
			{
				bool_t BgL_continuez00_1001;

				BgL_continuez00_1001 = ((bool_t) 1);
			BgL_zc3anonymousza33673ze3z83_1002:
				if (BgL_continuez00_1001)
					{
						obj_t BgL_atz00_1004;
						bool_t BgL_continuez00_1005;

						BgL_atz00_1004 = BgL_azd2tailzd2_9;
						BgL_continuez00_1005 = ((bool_t) 0);
					BgL_zc3anonymousza33674ze3z83_1006:
						if (NULLP(BgL_atz00_1004))
							{
								bool_t BgL_continuez00_1809;

								BgL_continuez00_1809 = BgL_continuez00_1005;
								BgL_continuez00_1001 = BgL_continuez00_1809;
								goto BgL_zc3anonymousza33673ze3z83_1002;
							}
						else
							{	/* Integrate/kk.scm 141 */
								BgL_valuez00_bglt BgL_ifunz00_1008;

								{	/* Integrate/kk.scm 141 */
									BgL_variablez00_bglt BgL_obj1612z00_1534;

									{
										obj_t BgL_auxz00_1810;

										{	/* Integrate/kk.scm 141 */
											obj_t BgL_pairz00_1530;

											BgL_pairz00_1530 = CAR(BgL_atz00_1004);
											BgL_auxz00_1810 = CAR(CDR(BgL_pairz00_1530));
										}
										BgL_obj1612z00_1534 =
											((BgL_variablez00_bglt) BgL_auxz00_1810);
									}
									BgL_ifunz00_1008 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_1534)))->BgL_valuez00);
								}
								{	/* Integrate/kk.scm 142 */
									bool_t BgL_testz00_1817;

									{	/* Integrate/kk.scm 142 */
										obj_t BgL_auxz00_1818;

										{	/* Integrate/kk.scm 142 */
											BgL_sfunzf2iinfozf2_bglt BgL_obj3536z00_1535;

											BgL_obj3536z00_1535 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_ifunz00_1008);
											{
												obj_t BgL_auxz00_1820;

												{	/* Integrate/kk.scm 142 */
													BgL_objectz00_bglt BgL_auxz00_1821;

													BgL_auxz00_1821 =
														((BgL_objectz00_bglt) BgL_obj3536z00_1535);
													BgL_auxz00_1820 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1821);
												}
												BgL_auxz00_1818 =
													(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1820))->
													BgL_kza2za2);
											}
										}
										BgL_testz00_1817 = NULLP(BgL_auxz00_1818);
									}
									if (BgL_testz00_1817)
										{
											bool_t BgL_continuez00_1826;

											BgL_continuez00_1826 = BgL_continuez00_1005;
											BgL_continuez00_1001 = BgL_continuez00_1826;
											goto BgL_zc3anonymousza33673ze3z83_1002;
										}
									else
										{	/* Integrate/kk.scm 144 */
											obj_t BgL_g3627z00_1010;

											{	/* Integrate/kk.scm 144 */
												BgL_sfunzf2iinfozf2_bglt BgL_obj3536z00_1538;

												BgL_obj3536z00_1538 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_ifunz00_1008);
												{
													obj_t BgL_auxz00_1828;

													{	/* Integrate/kk.scm 144 */
														BgL_objectz00_bglt BgL_auxz00_1829;

														BgL_auxz00_1829 =
															((BgL_objectz00_bglt) BgL_obj3536z00_1538);
														BgL_auxz00_1828 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1829);
													}
													BgL_g3627z00_1010 =
														(((BgL_sfunzf2iinfozf2_bglt)
															CREF(BgL_auxz00_1828))->BgL_kza2za2);
												}
											}
											{
												obj_t BgL_ksz00_1012;
												bool_t BgL_continuez00_1013;

												BgL_ksz00_1012 = BgL_g3627z00_1010;
												BgL_continuez00_1013 = BgL_continuez00_1005;
											BgL_zc3anonymousza33677ze3z83_1014:
												if (NULLP(BgL_ksz00_1012))
													{
														bool_t BgL_continuez00_1837;
														obj_t BgL_atz00_1835;

														BgL_atz00_1835 = CDR(BgL_atz00_1004);
														BgL_continuez00_1837 = BgL_continuez00_1013;
														BgL_continuez00_1005 = BgL_continuez00_1837;
														BgL_atz00_1004 = BgL_atz00_1835;
														goto BgL_zc3anonymousza33674ze3z83_1006;
													}
												else
													{	/* Integrate/kk.scm 148 */
														obj_t BgL_fz00_1017;

														BgL_fz00_1017 = CAR(CAR(BgL_atz00_1004));
														{	/* Integrate/kk.scm 148 */
															BgL_valuez00_bglt BgL_fifunz00_1018;

															{	/* Integrate/kk.scm 149 */
																BgL_variablez00_bglt BgL_obj1612z00_1544;

																BgL_obj1612z00_1544 =
																	((BgL_variablez00_bglt) BgL_fz00_1017);
																BgL_fifunz00_1018 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1612z00_1544)))->
																	BgL_valuez00);
															}
															{	/* Integrate/kk.scm 149 */
																obj_t BgL_kz00_1019;

																BgL_kz00_1019 = CAR(BgL_ksz00_1012);
																{	/* Integrate/kk.scm 150 */

																	{	/* Integrate/kk.scm 151 */
																		bool_t BgL_testz00_1844;

																		{	/* Integrate/kk.scm 151 */
																			obj_t BgL_auxz00_1845;

																			{	/* Integrate/kk.scm 151 */
																				obj_t BgL_auxz00_1846;

																				{	/* Integrate/kk.scm 151 */
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_obj3536z00_1546;
																					BgL_obj3536z00_1546 =
																						((BgL_sfunzf2iinfozf2_bglt)
																						BgL_fifunz00_1018);
																					{
																						obj_t BgL_auxz00_1848;

																						{	/* Integrate/kk.scm 151 */
																							BgL_objectz00_bglt
																								BgL_auxz00_1849;
																							BgL_auxz00_1849 =
																								((BgL_objectz00_bglt)
																								BgL_obj3536z00_1546);
																							BgL_auxz00_1848 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_1849);
																						}
																						BgL_auxz00_1846 =
																							(((BgL_sfunzf2iinfozf2_bglt)
																								CREF(BgL_auxz00_1848))->
																							BgL_kza2za2);
																					}
																				}
																				BgL_auxz00_1845 =
																					BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																					(BgL_kz00_1019, BgL_auxz00_1846);
																			}
																			BgL_testz00_1844 = CBOOL(BgL_auxz00_1845);
																		}
																		if (BgL_testz00_1844)
																			{
																				obj_t BgL_ksz00_1855;

																				BgL_ksz00_1855 = CDR(BgL_ksz00_1012);
																				BgL_ksz00_1012 = BgL_ksz00_1855;
																				goto BgL_zc3anonymousza33677ze3z83_1014;
																			}
																		else
																			{	/* Integrate/kk.scm 151 */
																				{	/* Integrate/kk.scm 156 */
																					obj_t BgL_arg3683z00_1022;

																					{	/* Integrate/kk.scm 156 */
																						obj_t BgL_arg3684z00_1023;

																						{	/* Integrate/kk.scm 156 */
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_obj3536z00_1548;
																							BgL_obj3536z00_1548 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_fifunz00_1018);
																							{
																								obj_t BgL_auxz00_1858;

																								{	/* Integrate/kk.scm 156 */
																									BgL_objectz00_bglt
																										BgL_auxz00_1859;
																									BgL_auxz00_1859 =
																										((BgL_objectz00_bglt)
																										BgL_obj3536z00_1548);
																									BgL_auxz00_1858 =
																										BGL_OBJECT_WIDENING
																										(BgL_auxz00_1859);
																								}
																								BgL_arg3684z00_1023 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1858))->
																									BgL_kza2za2);
																							}
																						}
																						BgL_arg3683z00_1022 =
																							MAKE_PAIR(BgL_kz00_1019,
																							BgL_arg3684z00_1023);
																					}
																					{	/* Integrate/kk.scm 154 */
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_obj3538z00_1549;
																						BgL_obj3538z00_1549 =
																							((BgL_sfunzf2iinfozf2_bglt)
																							BgL_fifunz00_1018);
																						{
																							obj_t BgL_auxz00_1865;

																							{	/* Integrate/kk.scm 154 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1866;
																								BgL_auxz00_1866 =
																									((BgL_objectz00_bglt)
																									BgL_obj3538z00_1549);
																								BgL_auxz00_1865 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1866);
																							}
																							((((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1865))->
																									BgL_kza2za2) =
																								((obj_t) BgL_arg3683z00_1022),
																								BUNSPEC);
																						}
																					}
																				}
																				{
																					bool_t BgL_continuez00_1872;
																					obj_t BgL_ksz00_1870;

																					BgL_ksz00_1870 = CDR(BgL_ksz00_1012);
																					BgL_continuez00_1872 = ((bool_t) 1);
																					BgL_continuez00_1013 =
																						BgL_continuez00_1872;
																					BgL_ksz00_1012 = BgL_ksz00_1870;
																					goto
																						BgL_zc3anonymousza33677ze3z83_1014;
																				}
																			}
																	}
																}
															}
														}
													}
											}
										}
								}
							}
					}
				else
					{	/* Integrate/kk.scm 135 */
						return BNIL;
					}
			}
		}
	}



/* &K*! */
	obj_t BGl_z62Kza2z12zd2zzintegrate_kkz00(obj_t BgL_envz00_1555,
		obj_t BgL_azd2tailzd2_1556)
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 132 */
			return BGl_Kza2z12zb0zzintegrate_kkz00(BgL_azd2tailzd2_1556);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_kkz00()
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_kkz00()
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kkz00()
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3753z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3753z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3753z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3753z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3753z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3753z00zzintegrate_kkz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_az00(((long) 523633197),
				BSTRING_TO_STRING(BGl_string3753z00zzintegrate_kkz00));
		}
	}

#ifdef __cplusplus
}
#endif
