/*===========================================================================*/
/*   (Object/coercion.scm)                                                   */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/coercion.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_coercionz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_z62genzd2coercionzd2clausez12z70zzobject_coercionz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_coercionz00();
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_makezd2onezd2coercionz00zzobject_coercionz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_coercionz00();
	extern obj_t BGl_classzf3zd2idz21zzobject_toolsz00(obj_t);
	static obj_t BGl_z62genzd2classzd2coercionsz12z70zzobject_coercionz00(obj_t,
		obj_t);
	static obj_t BGl_z62genzd2classzd2coercersz12z70zzobject_coercionz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t);
	extern obj_t BGl_jclassz00zzobject_classz00;
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_appendzd221095zd2zzobject_coercionz00(obj_t, obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_coercionz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_coercionz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_coercionz00();
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(obj_t, obj_t);
	static bool_t BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t
		BGl_z62genzd2javazd2classzd2coercionsz12za2zzobject_coercionz00(obj_t,
		obj_t);
	static obj_t
		BGl_nopragmazd2makezd2coercionzd2clausezd2zzobject_coercionz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[16];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2classzd2coercionsz12zd2envzc0zzobject_coercionz00,
		BgL_bgl_za762genza7d2classza7d2900za7,
		BGl_z62genzd2classzd2coercionsz12z70zzobject_coercionz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2coercionzd2clausez12zd2envzc0zzobject_coercionz00,
		BgL_bgl_za762genza7d2coercio2901z00, va_generic_entry,
		BGl_z62genzd2coercionzd2clausez12z70zzobject_coercionz00, BUNSPEC, -3);
	      DEFINE_STRING(BGl_string2893z00zzobject_coercionz00,
		BgL_bgl_string2893za700za7za7o2902za7, "obj_t", 5);
	      DEFINE_STRING(BGl_string2894z00zzobject_coercionz00,
		BgL_bgl_string2894za700za7za7o2903za7, "(", 1);
	      DEFINE_STRING(BGl_string2895z00zzobject_coercionz00,
		BgL_bgl_string2895za700za7za7o2904za7, ")", 1);
	      DEFINE_STRING(BGl_string2896z00zzobject_coercionz00,
		BgL_bgl_string2896za700za7za7o2905za7, "object_coercion", 15);
	      DEFINE_STRING(BGl_string2897z00zzobject_coercionz00,
		BgL_bgl_string2897za700za7za7o2906za7,
		"macro pragma nesting args-safe side-effect-free no-cfa-top effect -> foreign type bool coerce lambda obj cast x ",
		112);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2classzd2coercersz12zd2envzc0zzobject_coercionz00,
		BgL_bgl_za762genza7d2classza7d2907za7,
		BGl_z62genzd2classzd2coercersz12z70zzobject_coercionz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2javazd2classzd2coercionsz12zd2envz12zzobject_coercionz00,
		BgL_bgl_za762genza7d2javaza7d22908za7,
		BGl_z62genzd2javazd2classzd2coercionsz12za2zzobject_coercionz00, 0L,
		BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzobject_coercionz00(long
		BgL_checksumz00_1140, char *BgL_fromz00_1141)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_coercionz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_coercionz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_coercionz00();
					BGl_cnstzd2initzd2zzobject_coercionz00();
					BGl_importedzd2moduleszd2initz00zzobject_coercionz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_coercionz00()
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_coercion");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_coercionz00()
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 21 */
			{	/* Object/coercion.scm 21 */
				obj_t BgL_cportz00_1132;

				BgL_cportz00_1132 =
					bgl_open_input_string(BGl_string2897z00zzobject_coercionz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1133;

					BgL_iz00_1133 = ((long) 15);
				BgL_loopz00_1134:
					if ((BgL_iz00_1133 == ((long) -1)))
						{	/* Object/coercion.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Object/coercion.scm 21 */
							{	/* Object/coercion.scm 21 */
								obj_t BgL_arg2899z00_1136;

								{	/* Object/coercion.scm 21 */

									{	/* Object/coercion.scm 21 */
										obj_t BgL_locationz00_1138;

										BgL_locationz00_1138 = BBOOL(((bool_t) 0));
										{	/* Object/coercion.scm 21 */

											BgL_arg2899z00_1136 =
												BGl_readz00zz__readerz00(BgL_cportz00_1132,
												BgL_locationz00_1138);
										}
									}
								}
								{	/* Object/coercion.scm 21 */
									int BgL_auxz00_1158;

									BgL_auxz00_1158 = (int) (BgL_iz00_1133);
									CNST_TABLE_SET(BgL_auxz00_1158, BgL_arg2899z00_1136);
							}}
							{	/* Object/coercion.scm 21 */
								int BgL_auxz00_1139;

								BgL_auxz00_1139 = (int) ((BgL_iz00_1133 - ((long) 1)));
								{
									long BgL_iz00_1163;

									BgL_iz00_1163 = (long) (BgL_auxz00_1139);
									BgL_iz00_1133 = BgL_iz00_1163;
									goto BgL_loopz00_1134;
								}
							}
						}
				}
			}
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zzobject_coercionz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_585;

				BgL_headz00_585 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_586;
					obj_t BgL_tailz00_587;

					BgL_prevz00_586 = BgL_headz00_585;
					BgL_tailz00_587 = BgL_l1z00_1;
				BgL_loopz00_588:
					if (PAIRP(BgL_tailz00_587))
						{
							obj_t BgL_newzd2prevzd2_590;

							BgL_newzd2prevzd2_590 =
								MAKE_PAIR(CAR(BgL_tailz00_587), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_586, BgL_newzd2prevzd2_590);
							{
								obj_t BgL_tailz00_1172;
								obj_t BgL_prevz00_1171;

								BgL_prevz00_1171 = BgL_newzd2prevzd2_590;
								BgL_tailz00_1172 = CDR(BgL_tailz00_587);
								BgL_tailz00_587 = BgL_tailz00_1172;
								BgL_prevz00_586 = BgL_prevz00_1171;
								goto BgL_loopz00_588;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_585);
				}
			}
		}
	}



/* gen-class-coercions! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t BgL_classz00_3)
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 49 */
			{	/* Object/coercion.scm 51 */
				obj_t BgL_arg2676z00_594;
				obj_t BgL_arg2677z00_595;

				{	/* Object/coercion.scm 51 */
					BgL_typez00_bglt BgL_obj1595z00_997;

					BgL_obj1595z00_997 = ((BgL_typez00_bglt) BgL_classz00_3);
					BgL_arg2676z00_594 =
						(((BgL_typez00_bglt) CREF(
								((obj_t) BgL_obj1595z00_997)))->BgL_idz00);
				}
				{	/* Object/coercion.scm 51 */
					BgL_tclassz00_bglt BgL_obj2271z00_998;

					BgL_obj2271z00_998 = ((BgL_tclassz00_bglt) BgL_classz00_3);
					{
						obj_t BgL_auxz00_1179;

						{	/* Object/coercion.scm 51 */
							BgL_objectz00_bglt BgL_auxz00_1180;

							BgL_auxz00_1180 = ((BgL_objectz00_bglt) BgL_obj2271z00_998);
							BgL_auxz00_1179 = BGL_OBJECT_WIDENING(BgL_auxz00_1180);
						}
						BgL_arg2677z00_595 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1179))->
							BgL_itszd2superzd2);
					}
				}
				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
					(BGl_nopragmazd2makezd2coercionzd2clausezd2zzobject_coercionz00
					(BgL_arg2676z00_594, BgL_arg2677z00_595, BNIL));
			}
			{	/* Object/coercion.scm 52 */
				obj_t BgL_arg2679z00_597;

				{	/* Object/coercion.scm 52 */
					BgL_tclassz00_bglt BgL_obj2271z00_1004;

					BgL_obj2271z00_1004 = ((BgL_tclassz00_bglt) BgL_classz00_3);
					{
						obj_t BgL_auxz00_1187;

						{	/* Object/coercion.scm 52 */
							BgL_objectz00_bglt BgL_auxz00_1188;

							BgL_auxz00_1188 = ((BgL_objectz00_bglt) BgL_obj2271z00_1004);
							BgL_auxz00_1187 = BGL_OBJECT_WIDENING(BgL_auxz00_1188);
						}
						BgL_arg2679z00_597 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1187))->
							BgL_itszd2superzd2);
					}
				}
				{	/* Object/coercion.scm 52 */
					bool_t BgL_testz00_1192;

					{	/* Object/coercion.scm 52 */
						obj_t BgL_arg2805z00_1008;

						BgL_arg2805z00_1008 = BGl_thezd2backendzd2zzbackend_backendz00();
						{	/* Object/coercion.scm 52 */
							BgL_backendz00_bglt BgL_obj1570z00_1009;

							BgL_obj1570z00_1009 = ((BgL_backendz00_bglt) BgL_arg2805z00_1008);
							BgL_testz00_1192 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1570z00_1009)))->BgL_pragmazd2supportzd2);
						}
					}
					if (BgL_testz00_1192)
						{	/* Object/coercion.scm 52 */
							return
								BBOOL(BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00
								(BgL_classz00_3, BgL_arg2679z00_597));
						}
					else
						{	/* Object/coercion.scm 52 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &gen-class-coercions! */
	obj_t BGl_z62genzd2classzd2coercionsz12z70zzobject_coercionz00(obj_t
		BgL_envz00_1077, obj_t BgL_classz00_1078)
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 49 */
			return
				BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00
				(BgL_classz00_1078);
		}
	}



/* gen-java-class-coercions! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t
		BgL_classz00_4)
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 57 */
			{	/* Object/coercion.scm 59 */
				obj_t BgL_arg2680z00_599;
				obj_t BgL_arg2681z00_600;

				{	/* Object/coercion.scm 59 */
					BgL_typez00_bglt BgL_obj1595z00_1010;

					BgL_obj1595z00_1010 = ((BgL_typez00_bglt) BgL_classz00_4);
					BgL_arg2680z00_599 =
						(((BgL_typez00_bglt) CREF(
								((obj_t) BgL_obj1595z00_1010)))->BgL_idz00);
				}
				{	/* Object/coercion.scm 59 */
					BgL_jclassz00_bglt BgL_obj2362z00_1011;

					BgL_obj2362z00_1011 = ((BgL_jclassz00_bglt) BgL_classz00_4);
					{
						obj_t BgL_auxz00_1204;

						{	/* Object/coercion.scm 59 */
							BgL_objectz00_bglt BgL_auxz00_1205;

							BgL_auxz00_1205 = ((BgL_objectz00_bglt) BgL_obj2362z00_1011);
							BgL_auxz00_1204 = BGL_OBJECT_WIDENING(BgL_auxz00_1205);
						}
						BgL_arg2681z00_600 =
							(((BgL_jclassz00_bglt) CREF(BgL_auxz00_1204))->
							BgL_itszd2superzd2);
					}
				}
				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
					(BGl_nopragmazd2makezd2coercionzd2clausezd2zzobject_coercionz00
					(BgL_arg2680z00_599, BgL_arg2681z00_600, BNIL));
			}
			{	/* Object/coercion.scm 60 */
				obj_t BgL_arg2683z00_602;

				{	/* Object/coercion.scm 60 */
					BgL_jclassz00_bglt BgL_obj2362z00_1017;

					BgL_obj2362z00_1017 = ((BgL_jclassz00_bglt) BgL_classz00_4);
					{
						obj_t BgL_auxz00_1212;

						{	/* Object/coercion.scm 60 */
							BgL_objectz00_bglt BgL_auxz00_1213;

							BgL_auxz00_1213 = ((BgL_objectz00_bglt) BgL_obj2362z00_1017);
							BgL_auxz00_1212 = BGL_OBJECT_WIDENING(BgL_auxz00_1213);
						}
						BgL_arg2683z00_602 =
							(((BgL_jclassz00_bglt) CREF(BgL_auxz00_1212))->
							BgL_itszd2superzd2);
					}
				}
				{	/* Object/coercion.scm 60 */
					bool_t BgL_testz00_1217;

					{	/* Object/coercion.scm 60 */
						obj_t BgL_arg2805z00_1021;

						BgL_arg2805z00_1021 = BGl_thezd2backendzd2zzbackend_backendz00();
						{	/* Object/coercion.scm 60 */
							BgL_backendz00_bglt BgL_obj1570z00_1022;

							BgL_obj1570z00_1022 = ((BgL_backendz00_bglt) BgL_arg2805z00_1021);
							BgL_testz00_1217 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj1570z00_1022)))->BgL_pragmazd2supportzd2);
						}
					}
					if (BgL_testz00_1217)
						{	/* Object/coercion.scm 60 */
							return
								BBOOL(BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00
								(BgL_classz00_4, BgL_arg2683z00_602));
						}
					else
						{	/* Object/coercion.scm 60 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &gen-java-class-coercions! */
	obj_t BGl_z62genzd2javazd2classzd2coercionsz12za2zzobject_coercionz00(obj_t
		BgL_envz00_1079, obj_t BgL_classz00_1080)
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 57 */
			return
				BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00
				(BgL_classz00_1080);
		}
	}



/* gen-coercion-clause! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(obj_t BgL_czd2idzd2_5,
		obj_t BgL_superz00_6, obj_t BgL_testingz00_7)
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 73 */
			return
				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
				(BGl_nopragmazd2makezd2coercionzd2clausezd2zzobject_coercionz00
				(BgL_czd2idzd2_5, BgL_superz00_6, BgL_testingz00_7));
		}
	}



/* &gen-coercion-clause! */
	obj_t BGl_z62genzd2coercionzd2clausez12z70zzobject_coercionz00(obj_t
		BgL_envz00_1081, obj_t BgL_czd2idzd2_1082, obj_t BgL_superz00_1083,
		obj_t BgL_testingz00_1084)
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 73 */
			return
				BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00
				(BgL_czd2idzd2_1082, BgL_superz00_1083, BgL_testingz00_1084);
		}
	}



/* nopragma-make-coercion-clause */
	obj_t BGl_nopragmazd2makezd2coercionzd2clausezd2zzobject_coercionz00(obj_t
		BgL_czd2idzd2_11, obj_t BgL_superz00_12, obj_t BgL_testingz00_13)
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 106 */
			{	/* Object/coercion.scm 107 */
				obj_t BgL_classzd2ze3objz31_663;

				{	/* Object/coercion.scm 107 */
					obj_t BgL_arg2799z00_739;

					{	/* Object/coercion.scm 107 */
						obj_t BgL_arg2800z00_740;
						obj_t BgL_arg2801z00_741;

						BgL_arg2800z00_740 = MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
						{	/* Object/coercion.scm 108 */
							obj_t BgL_arg2802z00_742;

							{	/* Object/coercion.scm 108 */
								obj_t BgL_list2803z00_743;

								BgL_list2803z00_743 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
								BgL_arg2802z00_742 =
									BGl_makezd2privatezd2sexpz00zzast_privatez00(CNST_TABLE_REF((
											(long) 1)), CNST_TABLE_REF(((long) 2)),
									BgL_list2803z00_743);
							}
							BgL_arg2801z00_741 = MAKE_PAIR(BgL_arg2802z00_742, BNIL);
						}
						BgL_arg2799z00_739 =
							MAKE_PAIR(BgL_arg2800z00_740, BgL_arg2801z00_741);
					}
					BgL_classzd2ze3objz31_663 =
						MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2799z00_739);
				}
				{	/* Object/coercion.scm 107 */
					obj_t BgL_objzd2ze3classz31_664;

					{	/* Object/coercion.scm 109 */
						obj_t BgL_arg2794z00_734;

						{	/* Object/coercion.scm 109 */
							obj_t BgL_arg2795z00_735;
							obj_t BgL_arg2796z00_736;

							BgL_arg2795z00_735 = MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
							{	/* Object/coercion.scm 110 */
								obj_t BgL_arg2797z00_737;

								{	/* Object/coercion.scm 110 */
									obj_t BgL_list2798z00_738;

									BgL_list2798z00_738 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
									BgL_arg2797z00_737 =
										BGl_makezd2privatezd2sexpz00zzast_privatez00(CNST_TABLE_REF(
											((long) 1)), BgL_czd2idzd2_11, BgL_list2798z00_738);
								}
								BgL_arg2796z00_736 = MAKE_PAIR(BgL_arg2797z00_737, BNIL);
							}
							BgL_arg2794z00_734 =
								MAKE_PAIR(BgL_arg2795z00_735, BgL_arg2796z00_736);
						}
						BgL_objzd2ze3classz31_664 =
							MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2794z00_734);
					}
					{	/* Object/coercion.scm 109 */
						obj_t BgL_ttestz00_665;

						if (NULLP(BgL_testingz00_13))
							{	/* Object/coercion.scm 112 */
								obj_t BgL_arg2792z00_732;

								BgL_arg2792z00_732 =
									BGl_classzf3zd2idz21zzobject_toolsz00(BgL_czd2idzd2_11);
								{	/* Object/coercion.scm 112 */
									obj_t BgL_list2793z00_733;

									BgL_list2793z00_733 = MAKE_PAIR(BgL_arg2792z00_732, BNIL);
									BgL_ttestz00_665 = BgL_list2793z00_733;
								}
							}
						else
							{	/* Object/coercion.scm 111 */
								BgL_ttestz00_665 = BNIL;
							}
						{	/* Object/coercion.scm 111 */
							obj_t BgL_xz00_666;

							BgL_xz00_666 =
								BGl_makezd2typedzd2identz00zzast_identz00(CNST_TABLE_REF(((long)
										0)), BgL_czd2idzd2_11);
							{	/* Object/coercion.scm 114 */

								{	/* Object/coercion.scm 115 */
									obj_t BgL_g2667z00_667;

									{	/* Object/coercion.scm 116 */
										obj_t BgL_arg2764z00_706;
										obj_t BgL_arg2765z00_707;
										obj_t BgL_arg2766z00_708;

										{	/* Object/coercion.scm 116 */
											obj_t BgL_arg2770z00_712;

											{	/* Object/coercion.scm 116 */
												obj_t BgL_arg2771z00_713;

												{	/* Object/coercion.scm 116 */
													obj_t BgL_arg2772z00_714;

													{	/* Object/coercion.scm 116 */
														obj_t BgL_arg2773z00_715;

														{	/* Object/coercion.scm 116 */
															obj_t BgL_arg2774z00_716;

															BgL_arg2774z00_716 =
																MAKE_PAIR(BgL_objzd2ze3classz31_664, BNIL);
															BgL_arg2773z00_715 =
																MAKE_PAIR(BgL_arg2774z00_716, BNIL);
														}
														BgL_arg2772z00_714 =
															MAKE_PAIR(BgL_ttestz00_665, BgL_arg2773z00_715);
													}
													BgL_arg2771z00_713 =
														MAKE_PAIR(BgL_czd2idzd2_11, BgL_arg2772z00_714);
												}
												BgL_arg2770z00_712 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 2)),
													BgL_arg2771z00_713);
											}
											BgL_arg2764z00_706 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
												BgL_arg2770z00_712);
										}
										{	/* Object/coercion.scm 117 */
											obj_t BgL_arg2775z00_717;

											{	/* Object/coercion.scm 117 */
												obj_t BgL_arg2776z00_718;

												{	/* Object/coercion.scm 117 */
													obj_t BgL_arg2778z00_719;

													{	/* Object/coercion.scm 117 */
														obj_t BgL_arg2779z00_720;

														{	/* Object/coercion.scm 117 */
															obj_t BgL_arg2780z00_721;

															BgL_arg2780z00_721 =
																MAKE_PAIR(BgL_classzd2ze3objz31_663, BNIL);
															BgL_arg2779z00_720 =
																MAKE_PAIR(BgL_arg2780z00_721, BNIL);
														}
														BgL_arg2778z00_719 =
															MAKE_PAIR(BNIL, BgL_arg2779z00_720);
													}
													BgL_arg2776z00_718 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 2)),
														BgL_arg2778z00_719);
												}
												BgL_arg2775z00_717 =
													MAKE_PAIR(BgL_czd2idzd2_11, BgL_arg2776z00_718);
											}
											BgL_arg2765z00_707 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
												BgL_arg2775z00_717);
										}
										{	/* Object/coercion.scm 118 */
											obj_t BgL_arg2781z00_722;

											{	/* Object/coercion.scm 118 */
												obj_t BgL_arg2782z00_723;

												{	/* Object/coercion.scm 118 */
													obj_t BgL_arg2783z00_724;

													{	/* Object/coercion.scm 118 */
														obj_t BgL_arg2784z00_725;

														{	/* Object/coercion.scm 118 */
															obj_t BgL_arg2785z00_726;

															{	/* Object/coercion.scm 118 */
																obj_t BgL_arg2787z00_727;

																{	/* Object/coercion.scm 118 */
																	obj_t BgL_arg2788z00_728;

																	{	/* Object/coercion.scm 118 */
																		obj_t BgL_arg2789z00_729;
																		obj_t BgL_arg2790z00_730;

																		BgL_arg2789z00_729 =
																			MAKE_PAIR(BgL_xz00_666, BNIL);
																		BgL_arg2790z00_730 = MAKE_PAIR(BTRUE, BNIL);
																		BgL_arg2788z00_728 =
																			MAKE_PAIR(BgL_arg2789z00_729,
																			BgL_arg2790z00_730);
																	}
																	BgL_arg2787z00_727 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
																		BgL_arg2788z00_728);
																}
																BgL_arg2785z00_726 =
																	MAKE_PAIR(BgL_arg2787z00_727, BNIL);
															}
															BgL_arg2784z00_725 =
																MAKE_PAIR(BgL_arg2785z00_726, BNIL);
														}
														BgL_arg2783z00_724 =
															MAKE_PAIR(BNIL, BgL_arg2784z00_725);
													}
													BgL_arg2782z00_723 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
														BgL_arg2783z00_724);
												}
												BgL_arg2781z00_722 =
													MAKE_PAIR(BgL_czd2idzd2_11, BgL_arg2782z00_723);
											}
											BgL_arg2766z00_708 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
												BgL_arg2781z00_722);
										}
										{	/* Object/coercion.scm 116 */
											obj_t BgL_list2767z00_709;

											{	/* Object/coercion.scm 116 */
												obj_t BgL_arg2768z00_710;

												{	/* Object/coercion.scm 116 */
													obj_t BgL_arg2769z00_711;

													BgL_arg2769z00_711 =
														MAKE_PAIR(BgL_arg2766z00_708, BNIL);
													BgL_arg2768z00_710 =
														MAKE_PAIR(BgL_arg2765z00_707, BgL_arg2769z00_711);
												}
												BgL_list2767z00_709 =
													MAKE_PAIR(BgL_arg2764z00_706, BgL_arg2768z00_710);
											}
											BgL_g2667z00_667 = BgL_list2767z00_709;
									}}
									{
										obj_t BgL_superz00_669;
										obj_t BgL_coercerz00_670;

										BgL_superz00_669 = BgL_superz00_12;
										BgL_coercerz00_670 = BgL_g2667z00_667;
									BgL_zc3anonymousza32733ze3z83_671:
										{	/* Object/coercion.scm 119 */
											bool_t BgL_testz00_1287;

											if (BGl_iszd2azf3z21zz__objectz00(BgL_superz00_669,
													BGl_jclassz00zzobject_classz00))
												{	/* Object/coercion.scm 119 */
													BgL_testz00_1287 = ((bool_t) 1);
												}
											else
												{	/* Object/coercion.scm 119 */
													BgL_testz00_1287 =
														BGl_iszd2azf3z21zz__objectz00(BgL_superz00_669,
														BGl_tclassz00zzobject_classz00);
												}
											if (BgL_testz00_1287)
												{	/* Object/coercion.scm 121 */
													obj_t BgL_superzd2idzd2_673;

													if (BGl_iszd2azf3z21zz__objectz00(BgL_superz00_669,
															BGl_tclassz00zzobject_classz00))
														{	/* Object/coercion.scm 122 */
															BgL_typez00_bglt BgL_obj1595z00_1047;

															BgL_obj1595z00_1047 =
																((BgL_typez00_bglt)
																((BgL_tclassz00_bglt) BgL_superz00_669));
															BgL_superzd2idzd2_673 =
																(((BgL_typez00_bglt) CREF(
																		((obj_t) BgL_obj1595z00_1047)))->BgL_idz00);
														}
													else
														{	/* Object/coercion.scm 123 */
															BgL_typez00_bglt BgL_obj1595z00_1048;

															BgL_obj1595z00_1048 =
																((BgL_typez00_bglt) BgL_superz00_669);
															BgL_superzd2idzd2_673 =
																(((BgL_typez00_bglt) CREF(
																		((obj_t) BgL_obj1595z00_1048)))->BgL_idz00);
														}
													{	/* Object/coercion.scm 121 */
														obj_t BgL_classzd2ze3superz31_674;

														{	/* Object/coercion.scm 124 */
															obj_t BgL_arg2756z00_697;

															{	/* Object/coercion.scm 124 */
																obj_t BgL_arg2757z00_698;
																obj_t BgL_arg2758z00_699;

																BgL_arg2757z00_698 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
																{	/* Object/coercion.scm 125 */
																	obj_t BgL_arg2759z00_700;

																	{	/* Object/coercion.scm 125 */
																		obj_t BgL_list2760z00_701;

																		BgL_list2760z00_701 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																			BNIL);
																		BgL_arg2759z00_700 =
																			BGl_makezd2privatezd2sexpz00zzast_privatez00
																			(CNST_TABLE_REF(((long) 1)),
																			BgL_superzd2idzd2_673,
																			BgL_list2760z00_701);
																	}
																	BgL_arg2758z00_699 =
																		MAKE_PAIR(BgL_arg2759z00_700, BNIL);
																}
																BgL_arg2756z00_697 =
																	MAKE_PAIR(BgL_arg2757z00_698,
																	BgL_arg2758z00_699);
															}
															BgL_classzd2ze3superz31_674 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
																BgL_arg2756z00_697);
														}
														{	/* Object/coercion.scm 124 */
															obj_t BgL_superzd2ze3classz31_675;

															{	/* Object/coercion.scm 126 */
																obj_t BgL_arg2751z00_692;

																{	/* Object/coercion.scm 126 */
																	obj_t BgL_arg2752z00_693;
																	obj_t BgL_arg2753z00_694;

																	BgL_arg2752z00_693 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
																	{	/* Object/coercion.scm 127 */
																		obj_t BgL_arg2754z00_695;

																		{	/* Object/coercion.scm 127 */
																			obj_t BgL_list2755z00_696;

																			BgL_list2755z00_696 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																				BNIL);
																			BgL_arg2754z00_695 =
																				BGl_makezd2privatezd2sexpz00zzast_privatez00
																				(CNST_TABLE_REF(((long) 1)),
																				BgL_czd2idzd2_11, BgL_list2755z00_696);
																		}
																		BgL_arg2753z00_694 =
																			MAKE_PAIR(BgL_arg2754z00_695, BNIL);
																	}
																	BgL_arg2751z00_692 =
																		MAKE_PAIR(BgL_arg2752z00_693,
																		BgL_arg2753z00_694);
																}
																BgL_superzd2ze3classz31_675 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
																	BgL_arg2751z00_692);
															}
															{	/* Object/coercion.scm 126 */

																{	/* Object/coercion.scm 128 */
																	obj_t BgL_arg2735z00_676;
																	obj_t BgL_arg2736z00_677;

																	if (BGl_iszd2azf3z21zz__objectz00
																		(BgL_superz00_669,
																			BGl_tclassz00zzobject_classz00))
																		{	/* Object/coercion.scm 129 */
																			BgL_tclassz00_bglt BgL_obj2271z00_1051;

																			BgL_obj2271z00_1051 =
																				((BgL_tclassz00_bglt) BgL_superz00_669);
																			{
																				obj_t BgL_auxz00_1323;

																				{	/* Object/coercion.scm 129 */
																					BgL_objectz00_bglt BgL_auxz00_1324;

																					BgL_auxz00_1324 =
																						((BgL_objectz00_bglt)
																						BgL_obj2271z00_1051);
																					BgL_auxz00_1323 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_1324);
																				}
																				BgL_arg2735z00_676 =
																					(((BgL_tclassz00_bglt)
																						CREF(BgL_auxz00_1323))->
																					BgL_itszd2superzd2);
																			}
																		}
																	else
																		{	/* Object/coercion.scm 130 */
																			BgL_jclassz00_bglt BgL_obj2362z00_1052;

																			BgL_obj2362z00_1052 =
																				((BgL_jclassz00_bglt) BgL_superz00_669);
																			{
																				obj_t BgL_auxz00_1329;

																				{	/* Object/coercion.scm 130 */
																					BgL_objectz00_bglt BgL_auxz00_1330;

																					BgL_auxz00_1330 =
																						((BgL_objectz00_bglt)
																						BgL_obj2362z00_1052);
																					BgL_auxz00_1329 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_1330);
																				}
																				BgL_arg2735z00_676 =
																					(((BgL_jclassz00_bglt)
																						CREF(BgL_auxz00_1329))->
																					BgL_itszd2superzd2);
																			}
																		}
																	{	/* Object/coercion.scm 131 */
																		obj_t BgL_arg2738z00_679;
																		obj_t BgL_arg2739z00_680;

																		{	/* Object/coercion.scm 131 */
																			obj_t BgL_arg2740z00_681;

																			{	/* Object/coercion.scm 131 */
																				obj_t BgL_arg2741z00_682;

																				{	/* Object/coercion.scm 131 */
																					obj_t BgL_arg2742z00_683;

																					{	/* Object/coercion.scm 131 */
																						obj_t BgL_arg2743z00_684;

																						{	/* Object/coercion.scm 131 */
																							obj_t BgL_arg2744z00_685;

																							BgL_arg2744z00_685 =
																								MAKE_PAIR
																								(BgL_superzd2ze3classz31_675,
																								BNIL);
																							BgL_arg2743z00_684 =
																								MAKE_PAIR(BgL_arg2744z00_685,
																								BNIL);
																						}
																						BgL_arg2742z00_683 =
																							MAKE_PAIR(BgL_ttestz00_665,
																							BgL_arg2743z00_684);
																					}
																					BgL_arg2741z00_682 =
																						MAKE_PAIR(BgL_czd2idzd2_11,
																						BgL_arg2742z00_683);
																				}
																				BgL_arg2740z00_681 =
																					MAKE_PAIR(BgL_superzd2idzd2_673,
																					BgL_arg2741z00_682);
																			}
																			BgL_arg2738z00_679 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
																				BgL_arg2740z00_681);
																		}
																		{	/* Object/coercion.scm 132 */
																			obj_t BgL_arg2745z00_686;

																			{	/* Object/coercion.scm 132 */
																				obj_t BgL_arg2746z00_687;

																				{	/* Object/coercion.scm 132 */
																					obj_t BgL_arg2747z00_688;

																					{	/* Object/coercion.scm 132 */
																						obj_t BgL_arg2748z00_689;

																						{	/* Object/coercion.scm 132 */
																							obj_t BgL_arg2749z00_690;

																							{	/* Object/coercion.scm 132 */
																								obj_t BgL_arg2750z00_691;

																								BgL_arg2750z00_691 =
																									MAKE_PAIR
																									(BgL_classzd2ze3superz31_674,
																									BNIL);
																								BgL_arg2749z00_690 =
																									MAKE_PAIR(BgL_arg2750z00_691,
																									BNIL);
																							}
																							BgL_arg2748z00_689 =
																								MAKE_PAIR(BNIL,
																								BgL_arg2749z00_690);
																						}
																						BgL_arg2747z00_688 =
																							MAKE_PAIR(BgL_superzd2idzd2_673,
																							BgL_arg2748z00_689);
																					}
																					BgL_arg2746z00_687 =
																						MAKE_PAIR(BgL_czd2idzd2_11,
																						BgL_arg2747z00_688);
																				}
																				BgL_arg2745z00_686 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
																					BgL_arg2746z00_687);
																			}
																			BgL_arg2739z00_680 =
																				MAKE_PAIR(BgL_arg2745z00_686,
																				BgL_coercerz00_670);
																		}
																		BgL_arg2736z00_677 =
																			MAKE_PAIR(BgL_arg2738z00_679,
																			BgL_arg2739z00_680);
																	}
																	{
																		obj_t BgL_coercerz00_1351;
																		obj_t BgL_superz00_1350;

																		BgL_superz00_1350 = BgL_arg2735z00_676;
																		BgL_coercerz00_1351 = BgL_arg2736z00_677;
																		BgL_coercerz00_670 = BgL_coercerz00_1351;
																		BgL_superz00_669 = BgL_superz00_1350;
																		goto BgL_zc3anonymousza32733ze3z83_671;
																	}
																}
															}
														}
													}
												}
											else
												{	/* Object/coercion.scm 120 */
													obj_t BgL_arg2762z00_703;

													BgL_arg2762z00_703 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_coercerz00_670, BNIL);
													return MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
														BgL_arg2762z00_703);
		}}}}}}}}}}
	}



/* gen-class-coercers! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(obj_t BgL_classz00_14,
		obj_t BgL_superz00_15)
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 149 */
			{	/* Object/coercion.scm 150 */
				bool_t BgL_testz00_1355;

				{	/* Object/coercion.scm 150 */
					obj_t BgL_arg2805z00_1054;

					BgL_arg2805z00_1054 = BGl_thezd2backendzd2zzbackend_backendz00();
					{	/* Object/coercion.scm 150 */
						BgL_backendz00_bglt BgL_obj1570z00_1055;

						BgL_obj1570z00_1055 = ((BgL_backendz00_bglt) BgL_arg2805z00_1054);
						BgL_testz00_1355 =
							(((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_obj1570z00_1055)))->BgL_pragmazd2supportzd2);
				}}
				if (BgL_testz00_1355)
					{	/* Object/coercion.scm 150 */
						return
							BBOOL(BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00
							(BgL_classz00_14, BgL_superz00_15));
					}
				else
					{	/* Object/coercion.scm 150 */
						return BFALSE;
					}
			}
		}
	}



/* &gen-class-coercers! */
	obj_t BGl_z62genzd2classzd2coercersz12z70zzobject_coercionz00(obj_t
		BgL_envz00_1085, obj_t BgL_classz00_1086, obj_t BgL_superz00_1087)
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 149 */
			return
				BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(BgL_classz00_1086,
				BgL_superz00_1087);
		}
	}



/* c-gen-class-coercers! */
	bool_t BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00(obj_t
		BgL_classz00_16, obj_t BgL_superz00_17)
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 156 */
			{	/* Object/coercion.scm 166 */
				obj_t BgL_tidz00_747;
				obj_t BgL_tnamez00_748;

				{	/* Object/coercion.scm 166 */
					BgL_typez00_bglt BgL_obj1595z00_1062;

					BgL_obj1595z00_1062 = ((BgL_typez00_bglt) BgL_classz00_16);
					BgL_tidz00_747 =
						(((BgL_typez00_bglt) CREF(
								((obj_t) BgL_obj1595z00_1062)))->BgL_idz00);
				}
				{	/* Object/coercion.scm 167 */
					BgL_typez00_bglt BgL_obj1596z00_1063;

					BgL_obj1596z00_1063 = ((BgL_typez00_bglt) BgL_classz00_16);
					BgL_tnamez00_748 =
						(((BgL_typez00_bglt) CREF(
								((obj_t) BgL_obj1596z00_1063)))->BgL_namez00);
				}
				{	/* Object/coercion.scm 168 */
					obj_t BgL_pragz00_749;

					BgL_pragz00_749 =
						BGl_makezd2onezd2coercionz00zzobject_coercionz00(BgL_tidz00_747,
						BgL_tnamez00_748, CNST_TABLE_REF(((long) 2)),
						BGl_string2893z00zzobject_coercionz00);
					{	/* Object/coercion.scm 170 */
						obj_t BgL_coercersz00_750;

						{	/* Object/coercion.scm 170 */
							int BgL_auxz00_1371;

							BgL_auxz00_1371 = (int) (((long) 1));
							BgL_coercersz00_750 = BGL_MVALUES_VAL(BgL_auxz00_1371);
						}
						{	/* Object/coercion.scm 170 */
							obj_t BgL_g2668z00_751;

							{	/* Object/coercion.scm 172 */
								obj_t BgL_list2817z00_775;

								BgL_list2817z00_775 = MAKE_PAIR(BgL_pragz00_749, BNIL);
								BgL_g2668z00_751 = BgL_list2817z00_775;
							}
							{
								obj_t BgL_superz00_753;
								obj_t BgL_coercersz00_754;
								obj_t BgL_pragmasz00_755;

								BgL_superz00_753 = BgL_superz00_17;
								BgL_coercersz00_754 = BgL_coercersz00_750;
								BgL_pragmasz00_755 = BgL_g2668z00_751;
							BgL_zc3anonymousza32806ze3z83_756:
								if (BGl_iszd2azf3z21zz__objectz00(BgL_superz00_753,
										BGl_tclassz00zzobject_classz00))
									{	/* Object/coercion.scm 177 */
										obj_t BgL_sidz00_758;
										obj_t BgL_snamez00_759;

										{	/* Object/coercion.scm 177 */
											BgL_typez00_bglt BgL_obj1595z00_1069;

											BgL_obj1595z00_1069 =
												((BgL_typez00_bglt)
												((BgL_tclassz00_bglt) BgL_superz00_753));
											BgL_sidz00_758 =
												(((BgL_typez00_bglt) CREF(
														((obj_t) BgL_obj1595z00_1069)))->BgL_idz00);
										}
										{	/* Object/coercion.scm 178 */
											BgL_typez00_bglt BgL_obj1596z00_1070;

											BgL_obj1596z00_1070 =
												((BgL_typez00_bglt)
												((BgL_tclassz00_bglt) BgL_superz00_753));
											BgL_snamez00_759 =
												(((BgL_typez00_bglt) CREF(
														((obj_t) BgL_obj1596z00_1070)))->BgL_namez00);
										}
										{	/* Object/coercion.scm 179 */
											obj_t BgL_pragz00_760;

											BgL_pragz00_760 =
												BGl_makezd2onezd2coercionz00zzobject_coercionz00
												(BgL_tidz00_747, BgL_tnamez00_748, BgL_sidz00_758,
												BgL_snamez00_759);
											{	/* Object/coercion.scm 181 */
												obj_t BgL_coercsz00_761;

												{	/* Object/coercion.scm 181 */
													int BgL_auxz00_1386;

													BgL_auxz00_1386 = (int) (((long) 1));
													BgL_coercsz00_761 = BGL_MVALUES_VAL(BgL_auxz00_1386);
												}
												{	/* Object/coercion.scm 181 */
													obj_t BgL_arg2808z00_762;
													obj_t BgL_arg2809z00_763;
													obj_t BgL_arg2810z00_764;

													{	/* Object/coercion.scm 181 */
														BgL_tclassz00_bglt BgL_obj2271z00_1072;

														BgL_obj2271z00_1072 =
															((BgL_tclassz00_bglt) BgL_superz00_753);
														{
															obj_t BgL_auxz00_1390;

															{	/* Object/coercion.scm 181 */
																BgL_objectz00_bglt BgL_auxz00_1391;

																BgL_auxz00_1391 =
																	((BgL_objectz00_bglt) BgL_obj2271z00_1072);
																BgL_auxz00_1390 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1391);
															}
															BgL_arg2808z00_762 =
																(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1390))->
																BgL_itszd2superzd2);
													}}
													BgL_arg2809z00_763 =
														BGl_appendzd221095zd2zzobject_coercionz00
														(BgL_coercsz00_761, BgL_coercersz00_754);
													BgL_arg2810z00_764 =
														MAKE_PAIR(BgL_pragz00_760, BgL_pragmasz00_755);
													{
														obj_t BgL_pragmasz00_1399;
														obj_t BgL_coercersz00_1398;
														obj_t BgL_superz00_1397;

														BgL_superz00_1397 = BgL_arg2808z00_762;
														BgL_coercersz00_1398 = BgL_arg2809z00_763;
														BgL_pragmasz00_1399 = BgL_arg2810z00_764;
														BgL_pragmasz00_755 = BgL_pragmasz00_1399;
														BgL_coercersz00_754 = BgL_coercersz00_1398;
														BgL_superz00_753 = BgL_superz00_1397;
														goto BgL_zc3anonymousza32806ze3z83_756;
													}
												}
											}
										}
									}
								else
									{	/* Object/coercion.scm 173 */
										{	/* Object/coercion.scm 175 */
											obj_t BgL_arg2811z00_765;

											{	/* Object/coercion.scm 175 */
												obj_t BgL_arg2812z00_766;

												BgL_arg2812z00_766 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_coercersz00_754, BNIL);
												BgL_arg2811z00_765 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
													BgL_arg2812z00_766);
											}
											BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
												(BgL_arg2811z00_765);
										}
										{
											obj_t BgL_l2671z00_768;

											BgL_l2671z00_768 = BgL_pragmasz00_755;
										BgL_zc3anonymousza32813ze3z83_769:
											if (PAIRP(BgL_l2671z00_768))
												{	/* Object/coercion.scm 176 */
													BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
														(CAR(BgL_l2671z00_768));
													{
														obj_t BgL_l2671z00_1408;

														BgL_l2671z00_1408 = CDR(BgL_l2671z00_768);
														BgL_l2671z00_768 = BgL_l2671z00_1408;
														goto BgL_zc3anonymousza32813ze3z83_769;
													}
												}
											else
												{	/* Object/coercion.scm 176 */
													return ((bool_t) 1);
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* make-one-coercion */
	obj_t BGl_makezd2onezd2coercionz00zzobject_coercionz00(obj_t
		BgL_fromzd2idzd2_776, obj_t BgL_fromzd2namezd2_777,
		obj_t BgL_tozd2idzd2_778, obj_t BgL_tozd2namezd2_779)
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 165 */
			{	/* Object/coercion.scm 158 */
				obj_t BgL_tzd2ze3fz31_781;
				obj_t BgL_fzd2ze3tz31_782;

				{	/* Object/coercion.scm 158 */
					obj_t BgL_list2852z00_817;

					{	/* Object/coercion.scm 158 */
						obj_t BgL_arg2853z00_818;

						{	/* Object/coercion.scm 158 */
							obj_t BgL_arg2854z00_819;

							BgL_arg2854z00_819 = MAKE_PAIR(BgL_fromzd2idzd2_776, BNIL);
							BgL_arg2853z00_818 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 8)), BgL_arg2854z00_819);
						}
						BgL_list2852z00_817 =
							MAKE_PAIR(BgL_tozd2idzd2_778, BgL_arg2853z00_818);
					}
					BgL_tzd2ze3fz31_781 =
						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2852z00_817);
				}
				{	/* Object/coercion.scm 159 */
					obj_t BgL_list2855z00_820;

					{	/* Object/coercion.scm 159 */
						obj_t BgL_arg2856z00_821;

						{	/* Object/coercion.scm 159 */
							obj_t BgL_arg2857z00_822;

							BgL_arg2857z00_822 = MAKE_PAIR(BgL_tozd2idzd2_778, BNIL);
							BgL_arg2856z00_821 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 8)), BgL_arg2857z00_822);
						}
						BgL_list2855z00_820 =
							MAKE_PAIR(BgL_fromzd2idzd2_776, BgL_arg2856z00_821);
					}
					BgL_fzd2ze3tz31_782 =
						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2855z00_820);
				}
				{	/* Object/coercion.scm 160 */
					obj_t BgL_val0_2669z00_783;
					obj_t BgL_val1_2670z00_784;

					{	/* Object/coercion.scm 160 */
						obj_t BgL_arg2819z00_785;

						{	/* Object/coercion.scm 160 */
							obj_t BgL_arg2820z00_786;
							obj_t BgL_arg2821z00_787;

							{	/* Object/coercion.scm 160 */
								obj_t BgL_arg2822z00_788;

								{	/* Object/coercion.scm 160 */
									obj_t BgL_arg2823z00_789;

									{	/* Object/coercion.scm 160 */
										obj_t BgL_arg2824z00_790;

										{	/* Object/coercion.scm 160 */
											obj_t BgL_arg2825z00_791;

											{	/* Object/coercion.scm 160 */
												obj_t BgL_arg2827z00_792;

												{	/* Object/coercion.scm 160 */
													obj_t BgL_arg2828z00_793;

													BgL_arg2828z00_793 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 9)), BNIL);
													BgL_arg2827z00_792 =
														MAKE_PAIR(BgL_arg2828z00_793, BNIL);
												}
												BgL_arg2825z00_791 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
													BgL_arg2827z00_792);
											}
											BgL_arg2824z00_790 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
												BgL_arg2825z00_791);
										}
										BgL_arg2823z00_789 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
											BgL_arg2824z00_790);
									}
									BgL_arg2822z00_788 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 13)), BgL_arg2823z00_789);
								}
								BgL_arg2820z00_786 =
									MAKE_PAIR(BgL_tzd2ze3fz31_781, BgL_arg2822z00_788);
							}
							{	/* Object/coercion.scm 161 */
								obj_t BgL_arg2829z00_794;

								{	/* Object/coercion.scm 161 */
									obj_t BgL_arg2830z00_795;

									{	/* Object/coercion.scm 161 */
										obj_t BgL_arg2831z00_796;

										{	/* Object/coercion.scm 161 */
											obj_t BgL_arg2832z00_797;

											{	/* Object/coercion.scm 161 */
												obj_t BgL_arg2833z00_798;

												{	/* Object/coercion.scm 161 */
													obj_t BgL_arg2834z00_799;

													{	/* Object/coercion.scm 161 */
														obj_t BgL_arg2835z00_800;

														BgL_arg2835z00_800 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 9)), BNIL);
														BgL_arg2834z00_799 =
															MAKE_PAIR(BgL_arg2835z00_800, BNIL);
													}
													BgL_arg2833z00_798 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
														BgL_arg2834z00_799);
												}
												BgL_arg2832z00_797 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
													BgL_arg2833z00_798);
											}
											BgL_arg2831z00_796 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
												BgL_arg2832z00_797);
										}
										BgL_arg2830z00_795 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
											BgL_arg2831z00_796);
									}
									BgL_arg2829z00_794 =
										MAKE_PAIR(BgL_fzd2ze3tz31_782, BgL_arg2830z00_795);
								}
								BgL_arg2821z00_787 = MAKE_PAIR(BgL_arg2829z00_794, BNIL);
							}
							BgL_arg2819z00_785 =
								MAKE_PAIR(BgL_arg2820z00_786, BgL_arg2821z00_787);
						}
						BgL_val0_2669z00_783 =
							MAKE_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg2819z00_785);
					}
					{	/* Object/coercion.scm 162 */
						obj_t BgL_arg2836z00_801;
						obj_t BgL_arg2837z00_802;

						{	/* Object/coercion.scm 162 */
							obj_t BgL_arg2840z00_805;

							{	/* Object/coercion.scm 162 */
								obj_t BgL_arg2841z00_806;

								{	/* Object/coercion.scm 162 */
									obj_t BgL_arg2842z00_807;

									{	/* Object/coercion.scm 162 */
										obj_t BgL_arg2843z00_808;
										obj_t BgL_arg2844z00_809;

										BgL_arg2843z00_808 = MAKE_PAIR(BgL_tozd2idzd2_778, BNIL);
										BgL_arg2844z00_809 =
											MAKE_PAIR(string_append_3
											(BGl_string2894z00zzobject_coercionz00,
												BgL_fromzd2namezd2_777,
												BGl_string2895z00zzobject_coercionz00), BNIL);
										BgL_arg2842z00_807 =
											MAKE_PAIR(BgL_arg2843z00_808, BgL_arg2844z00_809);
									}
									BgL_arg2841z00_806 =
										MAKE_PAIR(BgL_tzd2ze3fz31_781, BgL_arg2842z00_807);
								}
								BgL_arg2840z00_805 =
									MAKE_PAIR(BgL_fromzd2idzd2_776, BgL_arg2841z00_806);
							}
							BgL_arg2836z00_801 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 15)), BgL_arg2840z00_805);
						}
						{	/* Object/coercion.scm 164 */
							obj_t BgL_arg2846z00_811;

							{	/* Object/coercion.scm 164 */
								obj_t BgL_arg2847z00_812;

								{	/* Object/coercion.scm 164 */
									obj_t BgL_arg2848z00_813;

									{	/* Object/coercion.scm 164 */
										obj_t BgL_arg2849z00_814;
										obj_t BgL_arg2850z00_815;

										BgL_arg2849z00_814 = MAKE_PAIR(BgL_fromzd2idzd2_776, BNIL);
										BgL_arg2850z00_815 =
											MAKE_PAIR(string_append_3
											(BGl_string2894z00zzobject_coercionz00,
												BgL_tozd2namezd2_779,
												BGl_string2895z00zzobject_coercionz00), BNIL);
										BgL_arg2848z00_813 =
											MAKE_PAIR(BgL_arg2849z00_814, BgL_arg2850z00_815);
									}
									BgL_arg2847z00_812 =
										MAKE_PAIR(BgL_fzd2ze3tz31_782, BgL_arg2848z00_813);
								}
								BgL_arg2846z00_811 =
									MAKE_PAIR(BgL_tozd2idzd2_778, BgL_arg2847z00_812);
							}
							BgL_arg2837z00_802 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 15)), BgL_arg2846z00_811);
						}
						{	/* Object/coercion.scm 162 */
							obj_t BgL_list2838z00_803;

							{	/* Object/coercion.scm 162 */
								obj_t BgL_arg2839z00_804;

								BgL_arg2839z00_804 = MAKE_PAIR(BgL_arg2837z00_802, BNIL);
								BgL_list2838z00_803 =
									MAKE_PAIR(BgL_arg2836z00_801, BgL_arg2839z00_804);
							}
							BgL_val1_2670z00_784 = BgL_list2838z00_803;
					}}
					{	/* Object/coercion.scm 160 */
						int BgL_res2889z00_1059;

						{	/* Object/coercion.scm 160 */
							int BgL_auxz00_1466;

							BgL_auxz00_1466 = (int) (((long) 2));
							BgL_res2889z00_1059 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_1466);
						} BgL_res2889z00_1059;
					}
					{	/* Object/coercion.scm 160 */
						int BgL_auxz00_1469;

						BgL_auxz00_1469 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_auxz00_1469, BgL_val1_2670z00_784);
					}
					return BgL_val0_2669z00_783;
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_coercionz00()
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 21 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_coercionz00()
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 21 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_coercionz00()
	{
		AN_OBJECT;
		{	/* Object/coercion.scm 21 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzobject_structz00(((long) 133893951),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 485965945),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 201755179),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 29043400),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
			return
				BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 220661558),
				BSTRING_TO_STRING(BGl_string2896z00zzobject_coercionz00));
		}
	}

#ifdef __cplusplus
}
#endif
