/*===========================================================================*/
/*   (Ieee/control5.scm)                                                     */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Ieee/control5.scm -indent -o objs/obj_u/Ieee/control5.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t
		BGl_z52getzd2mvalueszd2valz52zz__r5_control_features_6_4z00(int);
	static obj_t
		BGl_z62callzd2withzd2valuesz62zz__r5_control_features_6_4z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_z52setzd2mvalueszd2valz12z40zz__r5_control_features_6_4z00(int, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r5_control_features_6_4z00 =
		BUNSPEC;
	static obj_t BGl_z62valuesz62zz__r5_control_features_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_callzd2withzd2valuesz00zz__r5_control_features_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_z52getzd2mvalueszd2numberz52zz__r5_control_features_6_4z00();
	static obj_t
		BGl_z62z52getzd2mvalueszd2numberz30zz__r5_control_features_6_4z00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t
		BGl_z62z52setzd2mvalueszd2numberz12z22zz__r5_control_features_6_4z00(obj_t,
		obj_t);
	static obj_t
		BGl_z62z52setzd2mvalueszd2valz12z22zz__r5_control_features_6_4z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_z52setzd2mvalueszd2numberz12z40zz__r5_control_features_6_4z00(int);
	static obj_t
		BGl_z62z52getzd2mvalueszd2valz30zz__r5_control_features_6_4z00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r5_control_features_6_4z00();
	BGL_EXPORTED_DECL obj_t BGl_valuesz00zz__r5_control_features_6_4z00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1550z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1550za700za7za7_1554za7, "&%set-mvalues-val!", 18);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52setzd2mvalueszd2valz12zd2envz92zz__r5_control_features_6_4z00,
		BgL_bgl_za762za752setza7d2mval1555za7,
		BGl_z62z52setzd2mvalueszd2valz12z22zz__r5_control_features_6_4z00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1551z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1551za700za7za7_1556za7, "&call-with-values", 17);
	      DEFINE_STRING(BGl_string1552z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1552za700za7za7_1557za7, "procedure", 9);
	      DEFINE_STRING(BGl_string1553z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1553za700za7za7_1558za7, "__r5_control_features_6_4", 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_callzd2withzd2valueszd2envzd2zz__r5_control_features_6_4z00,
		BgL_bgl_za762callza7d2withza7d1559za7,
		BGl_z62callzd2withzd2valuesz62zz__r5_control_features_6_4z00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52getzd2mvalueszd2valzd2envz80zz__r5_control_features_6_4z00,
		BgL_bgl_za762za752getza7d2mval1560za7,
		BGl_z62z52getzd2mvalueszd2valz30zz__r5_control_features_6_4z00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52setzd2mvalueszd2numberz12zd2envz92zz__r5_control_features_6_4z00,
		BgL_bgl_za762za752setza7d2mval1561za7,
		BGl_z62z52setzd2mvalueszd2numberz12z22zz__r5_control_features_6_4z00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52getzd2mvalueszd2numberzd2envz80zz__r5_control_features_6_4z00,
		BgL_bgl_za762za752getza7d2mval1562za7,
		BGl_z62z52getzd2mvalueszd2numberz30zz__r5_control_features_6_4z00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valueszd2envzd2zz__r5_control_features_6_4z00,
		BgL_bgl_za762valuesza762za7za7__1563z00, va_generic_entry,
		BGl_z62valuesz62zz__r5_control_features_6_4z00, BUNSPEC, -1);
	      DEFINE_STRING(BGl_string1546z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1546za700za7za7_1564za7,
		"/tmp/bigloo/runtime/Ieee/control5.scm", 37);
	      DEFINE_STRING(BGl_string1547z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1547za700za7za7_1565za7, "&%set-mvalues-number!", 21);
	      DEFINE_STRING(BGl_string1548z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1548za700za7za7_1566za7, "bint", 4);
	      DEFINE_STRING(BGl_string1549z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1549za700za7za7_1567za7, "&%get-mvalues-val", 17);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long
		BgL_checksumz00_976, char *BgL_fromz00_977)
	{
		AN_OBJECT;
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zz__r5_control_features_6_4z00))
				{
					BGl_requirezd2initializa7ationz75zz__r5_control_features_6_4z00 =
						BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__r5_control_features_6_4z00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* %get-mvalues-number */
	BGL_EXPORTED_DEF int
		BGl_z52getzd2mvalueszd2numberz52zz__r5_control_features_6_4z00()
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 66 */
			return BGL_MVALUES_NUMBER();
		}
	}



/* &%get-mvalues-number */
	obj_t BGl_z62z52getzd2mvalueszd2numberz30zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_949)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 66 */
			return BINT(BGL_MVALUES_NUMBER());
		}
	}



/* %set-mvalues-number! */
	BGL_EXPORTED_DEF int
		BGl_z52setzd2mvalueszd2numberz12z40zz__r5_control_features_6_4z00(int
		BgL_nz00_3)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 72 */
			return BGL_MVALUES_NUMBER_SET(BgL_nz00_3);
		}
	}



/* &%set-mvalues-number! */
	obj_t
		BGl_z62z52setzd2mvalueszd2numberz12z22zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_950, obj_t BgL_nz00_951)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 72 */
			{	/* Ieee/control5.scm 73 */
				int BgL_auxz00_986;

				{	/* Ieee/control5.scm 73 */
					int BgL_nz00_972;

					{	/* Ieee/control5.scm 73 */
						obj_t BgL_auxz00_987;

						if (INTEGERP(BgL_nz00_951))
							{	/* Ieee/control5.scm 73 */
								BgL_auxz00_987 = BgL_nz00_951;
							}
						else
							{
								obj_t BgL_auxz00_990;

								BgL_auxz00_990 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1546z00zz__r5_control_features_6_4z00,
									BINT(((long) 2768)),
									BGl_string1547z00zz__r5_control_features_6_4z00,
									BGl_string1548z00zz__r5_control_features_6_4z00,
									BgL_nz00_951);
								FAILURE(BgL_auxz00_990, BFALSE, BFALSE);
							}
						BgL_nz00_972 = CINT(BgL_auxz00_987);
					}
					BgL_auxz00_986 = BGL_MVALUES_NUMBER_SET(BgL_nz00_972);
				}
				return BINT(BgL_auxz00_986);
			}
		}
	}



/* %get-mvalues-val */
	BGL_EXPORTED_DEF obj_t
		BGl_z52getzd2mvalueszd2valz52zz__r5_control_features_6_4z00(int BgL_nz00_4)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 78 */
			return BGL_MVALUES_VAL(BgL_nz00_4);
		}
	}



/* &%get-mvalues-val */
	obj_t BGl_z62z52getzd2mvalueszd2valz30zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_952, obj_t BgL_nz00_953)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 78 */
			{	/* Ieee/control5.scm 79 */
				int BgL_nz00_973;

				{	/* Ieee/control5.scm 79 */
					obj_t BgL_auxz00_998;

					if (INTEGERP(BgL_nz00_953))
						{	/* Ieee/control5.scm 79 */
							BgL_auxz00_998 = BgL_nz00_953;
						}
					else
						{
							obj_t BgL_auxz00_1001;

							BgL_auxz00_1001 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1546z00zz__r5_control_features_6_4z00,
								BINT(((long) 3056)),
								BGl_string1549z00zz__r5_control_features_6_4z00,
								BGl_string1548z00zz__r5_control_features_6_4z00, BgL_nz00_953);
							FAILURE(BgL_auxz00_1001, BFALSE, BFALSE);
						}
					BgL_nz00_973 = CINT(BgL_auxz00_998);
				}
				return BGL_MVALUES_VAL(BgL_nz00_973);
			}
		}
	}



/* %set-mvalues-val! */
	BGL_EXPORTED_DEF obj_t
		BGl_z52setzd2mvalueszd2valz12z40zz__r5_control_features_6_4z00(int
		BgL_nz00_5, obj_t BgL_oz00_6)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 84 */
			return BGL_MVALUES_VAL_SET(BgL_nz00_5, BgL_oz00_6);
		}
	}



/* &%set-mvalues-val! */
	obj_t BGl_z62z52setzd2mvalueszd2valz12z22zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_954, obj_t BgL_nz00_955, obj_t BgL_oz00_956)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 84 */
			{	/* Ieee/control5.scm 85 */
				int BgL_nz00_974;

				{	/* Ieee/control5.scm 85 */
					obj_t BgL_auxz00_1008;

					if (INTEGERP(BgL_nz00_955))
						{	/* Ieee/control5.scm 85 */
							BgL_auxz00_1008 = BgL_nz00_955;
						}
					else
						{
							obj_t BgL_auxz00_1011;

							BgL_auxz00_1011 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1546z00zz__r5_control_features_6_4z00,
								BINT(((long) 3343)),
								BGl_string1550z00zz__r5_control_features_6_4z00,
								BGl_string1548z00zz__r5_control_features_6_4z00, BgL_nz00_955);
							FAILURE(BgL_auxz00_1011, BFALSE, BFALSE);
						}
					BgL_nz00_974 = CINT(BgL_auxz00_1008);
				}
				return BGL_MVALUES_VAL_SET(BgL_nz00_974, BgL_oz00_956);
			}
		}
	}



/* values */
	BGL_EXPORTED_DEF obj_t BGl_valuesz00zz__r5_control_features_6_4z00(obj_t
		BgL_argsz00_7)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 92 */
			if (NULLP(BgL_argsz00_7))
				{	/* Ieee/control5.scm 94 */
					int BgL_res1510z00_696;

					{	/* Ieee/control5.scm 94 */
						int BgL_auxz00_1019;

						BgL_auxz00_1019 = (int) (((long) 0));
						BgL_res1510z00_696 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_1019);
					}
					return BINT(BgL_res1510z00_696);
				}
			else
				{	/* Ieee/control5.scm 93 */
					if (NULLP(CDR(BgL_argsz00_7)))
						{	/* Ieee/control5.scm 95 */
							{	/* Ieee/control5.scm 97 */
								int BgL_res1512z00_701;

								{	/* Ieee/control5.scm 97 */
									int BgL_auxz00_1026;

									BgL_auxz00_1026 = (int) (((long) 1));
									BgL_res1512z00_701 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_1026);
								} BgL_res1512z00_701;
							}
							return CAR(BgL_argsz00_7);
						}
					else
						{	/* Ieee/control5.scm 99 */
							obj_t BgL_res0z00_393;

							BgL_res0z00_393 = CAR(BgL_argsz00_7);
							{	/* Ieee/control5.scm 101 */
								obj_t BgL_g1096z00_395;

								BgL_g1096z00_395 = CDR(BgL_argsz00_7);
								{
									long BgL_iz00_397;
									obj_t BgL_argsz00_398;

									BgL_iz00_397 = ((long) 1);
									BgL_argsz00_398 = BgL_g1096z00_395;
								BgL_zc3anonymousza31135ze3z83_399:
									if (NULLP(BgL_argsz00_398))
										{	/* Ieee/control5.scm 104 */
											{	/* Ieee/control5.scm 105 */
												int BgL_res1514z00_708;

												{	/* Ieee/control5.scm 105 */
													int BgL_auxz00_1034;

													BgL_auxz00_1034 = (int) (BgL_iz00_397);
													BgL_res1514z00_708 =
														BGL_MVALUES_NUMBER_SET(BgL_auxz00_1034);
												} BgL_res1514z00_708;
											}
											return BgL_res0z00_393;
										}
									else
										{	/* Ieee/control5.scm 104 */
											if ((BgL_iz00_397 == ((long) 16)))
												{	/* Ieee/control5.scm 107 */
													{	/* Ieee/control5.scm 108 */
														int BgL_res1516z00_713;

														{	/* Ieee/control5.scm 108 */
															int BgL_auxz00_1039;

															BgL_auxz00_1039 = (int) (((long) -1));
															BgL_res1516z00_713 =
																BGL_MVALUES_NUMBER_SET(BgL_auxz00_1039);
														} BgL_res1516z00_713;
													}
													return BgL_argsz00_7;
												}
											else
												{	/* Ieee/control5.scm 107 */
													{	/* Ieee/control5.scm 111 */
														obj_t BgL_auxz00_1044;
														int BgL_auxz00_1042;

														BgL_auxz00_1044 = CAR(BgL_argsz00_398);
														BgL_auxz00_1042 = (int) (BgL_iz00_397);
														BGL_MVALUES_VAL_SET(BgL_auxz00_1042,
															BgL_auxz00_1044);
													}
													{
														obj_t BgL_argsz00_1049;
														long BgL_iz00_1047;

														BgL_iz00_1047 = (BgL_iz00_397 + ((long) 1));
														BgL_argsz00_1049 = CDR(BgL_argsz00_398);
														BgL_argsz00_398 = BgL_argsz00_1049;
														BgL_iz00_397 = BgL_iz00_1047;
														goto BgL_zc3anonymousza31135ze3z83_399;
													}
												}
										}
								}
							}
						}
				}
		}
	}



/* &values */
	obj_t BGl_z62valuesz62zz__r5_control_features_6_4z00(obj_t BgL_envz00_957,
		obj_t BgL_argsz00_958)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 92 */
			return BGl_valuesz00zz__r5_control_features_6_4z00(BgL_argsz00_958);
		}
	}



/* call-with-values */
	BGL_EXPORTED_DEF obj_t
		BGl_callzd2withzd2valuesz00zz__r5_control_features_6_4z00(obj_t
		BgL_producerz00_8, obj_t BgL_consumerz00_9)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 117 */
			{	/* Ieee/control5.scm 118 */
				int BgL_res1518z00_722;

				{	/* Ieee/control5.scm 118 */
					int BgL_auxz00_1052;

					BgL_auxz00_1052 = (int) (((long) 1));
					BgL_res1518z00_722 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_1052);
				} BgL_res1518z00_722;
			}
			{	/* Ieee/control5.scm 119 */
				obj_t BgL_res0z00_407;

				BgL_res0z00_407 =
					PROCEDURE_ENTRY(BgL_producerz00_8) (BgL_producerz00_8, BEOA);
				{	/* Ieee/control5.scm 120 */
					int BgL_aux1098z00_409;

					{	/* Ieee/control5.scm 120 */
						int BgL_res1519z00_723;

						BgL_res1519z00_723 = BGL_MVALUES_NUMBER();
						BgL_aux1098z00_409 = BgL_res1519z00_723;
					}
					switch ((long) (BgL_aux1098z00_409))
						{
						case ((long) -1):

							return apply(BgL_consumerz00_9, BgL_res0z00_407);
							break;
						case ((long) 0):

							return
								PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9, BEOA);
							break;
						case ((long) 1):

							return
								PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
								BgL_res0z00_407, BEOA);
							break;
						case ((long) 2):

							{	/* Ieee/control5.scm 129 */
								obj_t BgL_arg1143z00_411;

								{	/* Ieee/control5.scm 129 */
									int BgL_auxz00_1068;

									BgL_auxz00_1068 = (int) (((long) 1));
									BgL_arg1143z00_411 = BGL_MVALUES_VAL(BgL_auxz00_1068);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1143z00_411, BEOA);
							}
							break;
						case ((long) 3):

							{	/* Ieee/control5.scm 132 */
								obj_t BgL_arg1144z00_412;
								obj_t BgL_arg1145z00_413;

								{	/* Ieee/control5.scm 132 */
									int BgL_auxz00_1076;

									BgL_auxz00_1076 = (int) (((long) 1));
									BgL_arg1144z00_412 = BGL_MVALUES_VAL(BgL_auxz00_1076);
								}
								{	/* Ieee/control5.scm 133 */
									int BgL_auxz00_1079;

									BgL_auxz00_1079 = (int) (((long) 2));
									BgL_arg1145z00_413 = BGL_MVALUES_VAL(BgL_auxz00_1079);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1144z00_412, BgL_arg1145z00_413,
									BEOA);
							}
							break;
						case ((long) 4):

							{	/* Ieee/control5.scm 136 */
								obj_t BgL_arg1146z00_414;
								obj_t BgL_arg1147z00_415;
								obj_t BgL_arg1148z00_416;

								{	/* Ieee/control5.scm 136 */
									int BgL_auxz00_1088;

									BgL_auxz00_1088 = (int) (((long) 1));
									BgL_arg1146z00_414 = BGL_MVALUES_VAL(BgL_auxz00_1088);
								}
								{	/* Ieee/control5.scm 137 */
									int BgL_auxz00_1091;

									BgL_auxz00_1091 = (int) (((long) 2));
									BgL_arg1147z00_415 = BGL_MVALUES_VAL(BgL_auxz00_1091);
								}
								{	/* Ieee/control5.scm 138 */
									int BgL_auxz00_1094;

									BgL_auxz00_1094 = (int) (((long) 3));
									BgL_arg1148z00_416 = BGL_MVALUES_VAL(BgL_auxz00_1094);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1146z00_414, BgL_arg1147z00_415,
									BgL_arg1148z00_416, BEOA);
							}
							break;
						case ((long) 5):

							{	/* Ieee/control5.scm 141 */
								obj_t BgL_arg1149z00_417;
								obj_t BgL_arg1150z00_418;
								obj_t BgL_arg1151z00_419;
								obj_t BgL_arg1152z00_420;

								{	/* Ieee/control5.scm 141 */
									int BgL_auxz00_1104;

									BgL_auxz00_1104 = (int) (((long) 1));
									BgL_arg1149z00_417 = BGL_MVALUES_VAL(BgL_auxz00_1104);
								}
								{	/* Ieee/control5.scm 142 */
									int BgL_auxz00_1107;

									BgL_auxz00_1107 = (int) (((long) 2));
									BgL_arg1150z00_418 = BGL_MVALUES_VAL(BgL_auxz00_1107);
								}
								{	/* Ieee/control5.scm 143 */
									int BgL_auxz00_1110;

									BgL_auxz00_1110 = (int) (((long) 3));
									BgL_arg1151z00_419 = BGL_MVALUES_VAL(BgL_auxz00_1110);
								}
								{	/* Ieee/control5.scm 144 */
									int BgL_auxz00_1113;

									BgL_auxz00_1113 = (int) (((long) 4));
									BgL_arg1152z00_420 = BGL_MVALUES_VAL(BgL_auxz00_1113);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1149z00_417, BgL_arg1150z00_418,
									BgL_arg1151z00_419, BgL_arg1152z00_420, BEOA);
							}
							break;
						case ((long) 6):

							{	/* Ieee/control5.scm 147 */
								obj_t BgL_arg1153z00_421;
								obj_t BgL_arg1154z00_422;
								obj_t BgL_arg1155z00_423;
								obj_t BgL_arg1156z00_424;
								obj_t BgL_arg1157z00_425;

								{	/* Ieee/control5.scm 147 */
									int BgL_auxz00_1124;

									BgL_auxz00_1124 = (int) (((long) 1));
									BgL_arg1153z00_421 = BGL_MVALUES_VAL(BgL_auxz00_1124);
								}
								{	/* Ieee/control5.scm 148 */
									int BgL_auxz00_1127;

									BgL_auxz00_1127 = (int) (((long) 2));
									BgL_arg1154z00_422 = BGL_MVALUES_VAL(BgL_auxz00_1127);
								}
								{	/* Ieee/control5.scm 149 */
									int BgL_auxz00_1130;

									BgL_auxz00_1130 = (int) (((long) 3));
									BgL_arg1155z00_423 = BGL_MVALUES_VAL(BgL_auxz00_1130);
								}
								{	/* Ieee/control5.scm 150 */
									int BgL_auxz00_1133;

									BgL_auxz00_1133 = (int) (((long) 4));
									BgL_arg1156z00_424 = BGL_MVALUES_VAL(BgL_auxz00_1133);
								}
								{	/* Ieee/control5.scm 151 */
									int BgL_auxz00_1136;

									BgL_auxz00_1136 = (int) (((long) 5));
									BgL_arg1157z00_425 = BGL_MVALUES_VAL(BgL_auxz00_1136);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1153z00_421, BgL_arg1154z00_422,
									BgL_arg1155z00_423, BgL_arg1156z00_424, BgL_arg1157z00_425,
									BEOA);
							}
							break;
						case ((long) 7):

							{	/* Ieee/control5.scm 154 */
								obj_t BgL_arg1158z00_426;
								obj_t BgL_arg1159z00_427;
								obj_t BgL_arg1160z00_428;
								obj_t BgL_arg1161z00_429;
								obj_t BgL_arg1162z00_430;
								obj_t BgL_arg1163z00_431;

								{	/* Ieee/control5.scm 154 */
									int BgL_auxz00_1148;

									BgL_auxz00_1148 = (int) (((long) 1));
									BgL_arg1158z00_426 = BGL_MVALUES_VAL(BgL_auxz00_1148);
								}
								{	/* Ieee/control5.scm 155 */
									int BgL_auxz00_1151;

									BgL_auxz00_1151 = (int) (((long) 2));
									BgL_arg1159z00_427 = BGL_MVALUES_VAL(BgL_auxz00_1151);
								}
								{	/* Ieee/control5.scm 156 */
									int BgL_auxz00_1154;

									BgL_auxz00_1154 = (int) (((long) 3));
									BgL_arg1160z00_428 = BGL_MVALUES_VAL(BgL_auxz00_1154);
								}
								{	/* Ieee/control5.scm 157 */
									int BgL_auxz00_1157;

									BgL_auxz00_1157 = (int) (((long) 4));
									BgL_arg1161z00_429 = BGL_MVALUES_VAL(BgL_auxz00_1157);
								}
								{	/* Ieee/control5.scm 158 */
									int BgL_auxz00_1160;

									BgL_auxz00_1160 = (int) (((long) 5));
									BgL_arg1162z00_430 = BGL_MVALUES_VAL(BgL_auxz00_1160);
								}
								{	/* Ieee/control5.scm 159 */
									int BgL_auxz00_1163;

									BgL_auxz00_1163 = (int) (((long) 6));
									BgL_arg1163z00_431 = BGL_MVALUES_VAL(BgL_auxz00_1163);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1158z00_426, BgL_arg1159z00_427,
									BgL_arg1160z00_428, BgL_arg1161z00_429, BgL_arg1162z00_430,
									BgL_arg1163z00_431, BEOA);
							}
							break;
						case ((long) 8):

							{	/* Ieee/control5.scm 162 */
								obj_t BgL_arg1164z00_432;
								obj_t BgL_arg1165z00_433;
								obj_t BgL_arg1166z00_434;
								obj_t BgL_arg1248z00_435;
								obj_t BgL_arg1249z00_436;
								obj_t BgL_arg1250z00_437;
								obj_t BgL_arg1251z00_438;

								{	/* Ieee/control5.scm 162 */
									int BgL_auxz00_1176;

									BgL_auxz00_1176 = (int) (((long) 1));
									BgL_arg1164z00_432 = BGL_MVALUES_VAL(BgL_auxz00_1176);
								}
								{	/* Ieee/control5.scm 163 */
									int BgL_auxz00_1179;

									BgL_auxz00_1179 = (int) (((long) 2));
									BgL_arg1165z00_433 = BGL_MVALUES_VAL(BgL_auxz00_1179);
								}
								{	/* Ieee/control5.scm 164 */
									int BgL_auxz00_1182;

									BgL_auxz00_1182 = (int) (((long) 3));
									BgL_arg1166z00_434 = BGL_MVALUES_VAL(BgL_auxz00_1182);
								}
								{	/* Ieee/control5.scm 165 */
									int BgL_auxz00_1185;

									BgL_auxz00_1185 = (int) (((long) 4));
									BgL_arg1248z00_435 = BGL_MVALUES_VAL(BgL_auxz00_1185);
								}
								{	/* Ieee/control5.scm 166 */
									int BgL_auxz00_1188;

									BgL_auxz00_1188 = (int) (((long) 5));
									BgL_arg1249z00_436 = BGL_MVALUES_VAL(BgL_auxz00_1188);
								}
								{	/* Ieee/control5.scm 167 */
									int BgL_auxz00_1191;

									BgL_auxz00_1191 = (int) (((long) 6));
									BgL_arg1250z00_437 = BGL_MVALUES_VAL(BgL_auxz00_1191);
								}
								{	/* Ieee/control5.scm 168 */
									int BgL_auxz00_1194;

									BgL_auxz00_1194 = (int) (((long) 7));
									BgL_arg1251z00_438 = BGL_MVALUES_VAL(BgL_auxz00_1194);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1164z00_432, BgL_arg1165z00_433,
									BgL_arg1166z00_434, BgL_arg1248z00_435, BgL_arg1249z00_436,
									BgL_arg1250z00_437, BgL_arg1251z00_438, BEOA);
							}
							break;
						case ((long) 9):

							{	/* Ieee/control5.scm 171 */
								obj_t BgL_arg1252z00_439;
								obj_t BgL_arg1253z00_440;
								obj_t BgL_arg1254z00_441;
								obj_t BgL_arg1255z00_442;
								obj_t BgL_arg1256z00_443;
								obj_t BgL_arg1257z00_444;
								obj_t BgL_arg1258z00_445;
								obj_t BgL_arg1259z00_446;

								{	/* Ieee/control5.scm 171 */
									int BgL_auxz00_1208;

									BgL_auxz00_1208 = (int) (((long) 1));
									BgL_arg1252z00_439 = BGL_MVALUES_VAL(BgL_auxz00_1208);
								}
								{	/* Ieee/control5.scm 172 */
									int BgL_auxz00_1211;

									BgL_auxz00_1211 = (int) (((long) 2));
									BgL_arg1253z00_440 = BGL_MVALUES_VAL(BgL_auxz00_1211);
								}
								{	/* Ieee/control5.scm 173 */
									int BgL_auxz00_1214;

									BgL_auxz00_1214 = (int) (((long) 3));
									BgL_arg1254z00_441 = BGL_MVALUES_VAL(BgL_auxz00_1214);
								}
								{	/* Ieee/control5.scm 174 */
									int BgL_auxz00_1217;

									BgL_auxz00_1217 = (int) (((long) 4));
									BgL_arg1255z00_442 = BGL_MVALUES_VAL(BgL_auxz00_1217);
								}
								{	/* Ieee/control5.scm 175 */
									int BgL_auxz00_1220;

									BgL_auxz00_1220 = (int) (((long) 5));
									BgL_arg1256z00_443 = BGL_MVALUES_VAL(BgL_auxz00_1220);
								}
								{	/* Ieee/control5.scm 176 */
									int BgL_auxz00_1223;

									BgL_auxz00_1223 = (int) (((long) 6));
									BgL_arg1257z00_444 = BGL_MVALUES_VAL(BgL_auxz00_1223);
								}
								{	/* Ieee/control5.scm 177 */
									int BgL_auxz00_1226;

									BgL_auxz00_1226 = (int) (((long) 7));
									BgL_arg1258z00_445 = BGL_MVALUES_VAL(BgL_auxz00_1226);
								}
								{	/* Ieee/control5.scm 178 */
									int BgL_auxz00_1229;

									BgL_auxz00_1229 = (int) (((long) 8));
									BgL_arg1259z00_446 = BGL_MVALUES_VAL(BgL_auxz00_1229);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1252z00_439, BgL_arg1253z00_440,
									BgL_arg1254z00_441, BgL_arg1255z00_442, BgL_arg1256z00_443,
									BgL_arg1257z00_444, BgL_arg1258z00_445, BgL_arg1259z00_446,
									BEOA);
							}
							break;
						case ((long) 10):

							{	/* Ieee/control5.scm 181 */
								obj_t BgL_arg1260z00_447;
								obj_t BgL_arg1261z00_448;
								obj_t BgL_arg1262z00_449;
								obj_t BgL_arg1263z00_450;
								obj_t BgL_arg1264z00_451;
								obj_t BgL_arg1265z00_452;
								obj_t BgL_arg1266z00_453;
								obj_t BgL_arg1267z00_454;
								obj_t BgL_arg1268z00_455;

								{	/* Ieee/control5.scm 181 */
									int BgL_auxz00_1244;

									BgL_auxz00_1244 = (int) (((long) 1));
									BgL_arg1260z00_447 = BGL_MVALUES_VAL(BgL_auxz00_1244);
								}
								{	/* Ieee/control5.scm 182 */
									int BgL_auxz00_1247;

									BgL_auxz00_1247 = (int) (((long) 2));
									BgL_arg1261z00_448 = BGL_MVALUES_VAL(BgL_auxz00_1247);
								}
								{	/* Ieee/control5.scm 183 */
									int BgL_auxz00_1250;

									BgL_auxz00_1250 = (int) (((long) 3));
									BgL_arg1262z00_449 = BGL_MVALUES_VAL(BgL_auxz00_1250);
								}
								{	/* Ieee/control5.scm 184 */
									int BgL_auxz00_1253;

									BgL_auxz00_1253 = (int) (((long) 4));
									BgL_arg1263z00_450 = BGL_MVALUES_VAL(BgL_auxz00_1253);
								}
								{	/* Ieee/control5.scm 185 */
									int BgL_auxz00_1256;

									BgL_auxz00_1256 = (int) (((long) 5));
									BgL_arg1264z00_451 = BGL_MVALUES_VAL(BgL_auxz00_1256);
								}
								{	/* Ieee/control5.scm 186 */
									int BgL_auxz00_1259;

									BgL_auxz00_1259 = (int) (((long) 6));
									BgL_arg1265z00_452 = BGL_MVALUES_VAL(BgL_auxz00_1259);
								}
								{	/* Ieee/control5.scm 187 */
									int BgL_auxz00_1262;

									BgL_auxz00_1262 = (int) (((long) 7));
									BgL_arg1266z00_453 = BGL_MVALUES_VAL(BgL_auxz00_1262);
								}
								{	/* Ieee/control5.scm 188 */
									int BgL_auxz00_1265;

									BgL_auxz00_1265 = (int) (((long) 8));
									BgL_arg1267z00_454 = BGL_MVALUES_VAL(BgL_auxz00_1265);
								}
								{	/* Ieee/control5.scm 189 */
									int BgL_auxz00_1268;

									BgL_auxz00_1268 = (int) (((long) 9));
									BgL_arg1268z00_455 = BGL_MVALUES_VAL(BgL_auxz00_1268);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1260z00_447, BgL_arg1261z00_448,
									BgL_arg1262z00_449, BgL_arg1263z00_450, BgL_arg1264z00_451,
									BgL_arg1265z00_452, BgL_arg1266z00_453, BgL_arg1267z00_454,
									BgL_arg1268z00_455, BEOA);
							}
							break;
						case ((long) 11):

							{	/* Ieee/control5.scm 192 */
								obj_t BgL_arg1269z00_456;
								obj_t BgL_arg1270z00_457;
								obj_t BgL_arg1271z00_458;
								obj_t BgL_arg1273z00_459;
								obj_t BgL_arg1274z00_460;
								obj_t BgL_arg1275z00_461;
								obj_t BgL_arg1276z00_462;
								obj_t BgL_arg1277z00_463;
								obj_t BgL_arg1278z00_464;
								obj_t BgL_arg1279z00_465;

								{	/* Ieee/control5.scm 192 */
									int BgL_auxz00_1284;

									BgL_auxz00_1284 = (int) (((long) 1));
									BgL_arg1269z00_456 = BGL_MVALUES_VAL(BgL_auxz00_1284);
								}
								{	/* Ieee/control5.scm 193 */
									int BgL_auxz00_1287;

									BgL_auxz00_1287 = (int) (((long) 2));
									BgL_arg1270z00_457 = BGL_MVALUES_VAL(BgL_auxz00_1287);
								}
								{	/* Ieee/control5.scm 194 */
									int BgL_auxz00_1290;

									BgL_auxz00_1290 = (int) (((long) 3));
									BgL_arg1271z00_458 = BGL_MVALUES_VAL(BgL_auxz00_1290);
								}
								{	/* Ieee/control5.scm 195 */
									int BgL_auxz00_1293;

									BgL_auxz00_1293 = (int) (((long) 4));
									BgL_arg1273z00_459 = BGL_MVALUES_VAL(BgL_auxz00_1293);
								}
								{	/* Ieee/control5.scm 196 */
									int BgL_auxz00_1296;

									BgL_auxz00_1296 = (int) (((long) 5));
									BgL_arg1274z00_460 = BGL_MVALUES_VAL(BgL_auxz00_1296);
								}
								{	/* Ieee/control5.scm 197 */
									int BgL_auxz00_1299;

									BgL_auxz00_1299 = (int) (((long) 6));
									BgL_arg1275z00_461 = BGL_MVALUES_VAL(BgL_auxz00_1299);
								}
								{	/* Ieee/control5.scm 198 */
									int BgL_auxz00_1302;

									BgL_auxz00_1302 = (int) (((long) 7));
									BgL_arg1276z00_462 = BGL_MVALUES_VAL(BgL_auxz00_1302);
								}
								{	/* Ieee/control5.scm 199 */
									int BgL_auxz00_1305;

									BgL_auxz00_1305 = (int) (((long) 8));
									BgL_arg1277z00_463 = BGL_MVALUES_VAL(BgL_auxz00_1305);
								}
								{	/* Ieee/control5.scm 200 */
									int BgL_auxz00_1308;

									BgL_auxz00_1308 = (int) (((long) 9));
									BgL_arg1278z00_464 = BGL_MVALUES_VAL(BgL_auxz00_1308);
								}
								{	/* Ieee/control5.scm 201 */
									int BgL_auxz00_1311;

									BgL_auxz00_1311 = (int) (((long) 10));
									BgL_arg1279z00_465 = BGL_MVALUES_VAL(BgL_auxz00_1311);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1269z00_456, BgL_arg1270z00_457,
									BgL_arg1271z00_458, BgL_arg1273z00_459, BgL_arg1274z00_460,
									BgL_arg1275z00_461, BgL_arg1276z00_462, BgL_arg1277z00_463,
									BgL_arg1278z00_464, BgL_arg1279z00_465, BEOA);
							}
							break;
						case ((long) 12):

							{	/* Ieee/control5.scm 204 */
								obj_t BgL_arg1280z00_466;
								obj_t BgL_arg1281z00_467;
								obj_t BgL_arg1282z00_468;
								obj_t BgL_arg1283z00_469;
								obj_t BgL_arg1284z00_470;
								obj_t BgL_arg1285z00_471;
								obj_t BgL_arg1286z00_472;
								obj_t BgL_arg1287z00_473;
								obj_t BgL_arg1288z00_474;
								obj_t BgL_arg1289z00_475;
								obj_t BgL_arg1290z00_476;

								{	/* Ieee/control5.scm 204 */
									int BgL_auxz00_1328;

									BgL_auxz00_1328 = (int) (((long) 1));
									BgL_arg1280z00_466 = BGL_MVALUES_VAL(BgL_auxz00_1328);
								}
								{	/* Ieee/control5.scm 205 */
									int BgL_auxz00_1331;

									BgL_auxz00_1331 = (int) (((long) 2));
									BgL_arg1281z00_467 = BGL_MVALUES_VAL(BgL_auxz00_1331);
								}
								{	/* Ieee/control5.scm 206 */
									int BgL_auxz00_1334;

									BgL_auxz00_1334 = (int) (((long) 3));
									BgL_arg1282z00_468 = BGL_MVALUES_VAL(BgL_auxz00_1334);
								}
								{	/* Ieee/control5.scm 207 */
									int BgL_auxz00_1337;

									BgL_auxz00_1337 = (int) (((long) 4));
									BgL_arg1283z00_469 = BGL_MVALUES_VAL(BgL_auxz00_1337);
								}
								{	/* Ieee/control5.scm 208 */
									int BgL_auxz00_1340;

									BgL_auxz00_1340 = (int) (((long) 5));
									BgL_arg1284z00_470 = BGL_MVALUES_VAL(BgL_auxz00_1340);
								}
								{	/* Ieee/control5.scm 209 */
									int BgL_auxz00_1343;

									BgL_auxz00_1343 = (int) (((long) 6));
									BgL_arg1285z00_471 = BGL_MVALUES_VAL(BgL_auxz00_1343);
								}
								{	/* Ieee/control5.scm 210 */
									int BgL_auxz00_1346;

									BgL_auxz00_1346 = (int) (((long) 7));
									BgL_arg1286z00_472 = BGL_MVALUES_VAL(BgL_auxz00_1346);
								}
								{	/* Ieee/control5.scm 211 */
									int BgL_auxz00_1349;

									BgL_auxz00_1349 = (int) (((long) 8));
									BgL_arg1287z00_473 = BGL_MVALUES_VAL(BgL_auxz00_1349);
								}
								{	/* Ieee/control5.scm 212 */
									int BgL_auxz00_1352;

									BgL_auxz00_1352 = (int) (((long) 9));
									BgL_arg1288z00_474 = BGL_MVALUES_VAL(BgL_auxz00_1352);
								}
								{	/* Ieee/control5.scm 213 */
									int BgL_auxz00_1355;

									BgL_auxz00_1355 = (int) (((long) 10));
									BgL_arg1289z00_475 = BGL_MVALUES_VAL(BgL_auxz00_1355);
								}
								{	/* Ieee/control5.scm 214 */
									int BgL_auxz00_1358;

									BgL_auxz00_1358 = (int) (((long) 11));
									BgL_arg1290z00_476 = BGL_MVALUES_VAL(BgL_auxz00_1358);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1280z00_466, BgL_arg1281z00_467,
									BgL_arg1282z00_468, BgL_arg1283z00_469, BgL_arg1284z00_470,
									BgL_arg1285z00_471, BgL_arg1286z00_472, BgL_arg1287z00_473,
									BgL_arg1288z00_474, BgL_arg1289z00_475, BgL_arg1290z00_476,
									BEOA);
							}
							break;
						case ((long) 13):

							{	/* Ieee/control5.scm 217 */
								obj_t BgL_arg1291z00_477;
								obj_t BgL_arg1292z00_478;
								obj_t BgL_arg1293z00_479;
								obj_t BgL_arg1294z00_480;
								obj_t BgL_arg1295z00_481;
								obj_t BgL_arg1296z00_482;
								obj_t BgL_arg1297z00_483;
								obj_t BgL_arg1298z00_484;
								obj_t BgL_arg1299z00_485;
								obj_t BgL_arg1300z00_486;
								obj_t BgL_arg1301z00_487;
								obj_t BgL_arg1302z00_488;

								{	/* Ieee/control5.scm 217 */
									int BgL_auxz00_1376;

									BgL_auxz00_1376 = (int) (((long) 1));
									BgL_arg1291z00_477 = BGL_MVALUES_VAL(BgL_auxz00_1376);
								}
								{	/* Ieee/control5.scm 218 */
									int BgL_auxz00_1379;

									BgL_auxz00_1379 = (int) (((long) 2));
									BgL_arg1292z00_478 = BGL_MVALUES_VAL(BgL_auxz00_1379);
								}
								{	/* Ieee/control5.scm 219 */
									int BgL_auxz00_1382;

									BgL_auxz00_1382 = (int) (((long) 3));
									BgL_arg1293z00_479 = BGL_MVALUES_VAL(BgL_auxz00_1382);
								}
								{	/* Ieee/control5.scm 220 */
									int BgL_auxz00_1385;

									BgL_auxz00_1385 = (int) (((long) 4));
									BgL_arg1294z00_480 = BGL_MVALUES_VAL(BgL_auxz00_1385);
								}
								{	/* Ieee/control5.scm 221 */
									int BgL_auxz00_1388;

									BgL_auxz00_1388 = (int) (((long) 5));
									BgL_arg1295z00_481 = BGL_MVALUES_VAL(BgL_auxz00_1388);
								}
								{	/* Ieee/control5.scm 222 */
									int BgL_auxz00_1391;

									BgL_auxz00_1391 = (int) (((long) 6));
									BgL_arg1296z00_482 = BGL_MVALUES_VAL(BgL_auxz00_1391);
								}
								{	/* Ieee/control5.scm 223 */
									int BgL_auxz00_1394;

									BgL_auxz00_1394 = (int) (((long) 7));
									BgL_arg1297z00_483 = BGL_MVALUES_VAL(BgL_auxz00_1394);
								}
								{	/* Ieee/control5.scm 224 */
									int BgL_auxz00_1397;

									BgL_auxz00_1397 = (int) (((long) 8));
									BgL_arg1298z00_484 = BGL_MVALUES_VAL(BgL_auxz00_1397);
								}
								{	/* Ieee/control5.scm 225 */
									int BgL_auxz00_1400;

									BgL_auxz00_1400 = (int) (((long) 9));
									BgL_arg1299z00_485 = BGL_MVALUES_VAL(BgL_auxz00_1400);
								}
								{	/* Ieee/control5.scm 226 */
									int BgL_auxz00_1403;

									BgL_auxz00_1403 = (int) (((long) 10));
									BgL_arg1300z00_486 = BGL_MVALUES_VAL(BgL_auxz00_1403);
								}
								{	/* Ieee/control5.scm 227 */
									int BgL_auxz00_1406;

									BgL_auxz00_1406 = (int) (((long) 11));
									BgL_arg1301z00_487 = BGL_MVALUES_VAL(BgL_auxz00_1406);
								}
								{	/* Ieee/control5.scm 228 */
									int BgL_auxz00_1409;

									BgL_auxz00_1409 = (int) (((long) 12));
									BgL_arg1302z00_488 = BGL_MVALUES_VAL(BgL_auxz00_1409);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1291z00_477, BgL_arg1292z00_478,
									BgL_arg1293z00_479, BgL_arg1294z00_480, BgL_arg1295z00_481,
									BgL_arg1296z00_482, BgL_arg1297z00_483, BgL_arg1298z00_484,
									BgL_arg1299z00_485, BgL_arg1300z00_486, BgL_arg1301z00_487,
									BgL_arg1302z00_488, BEOA);
							}
							break;
						case ((long) 14):

							{	/* Ieee/control5.scm 231 */
								obj_t BgL_arg1303z00_489;
								obj_t BgL_arg1304z00_490;
								obj_t BgL_arg1305z00_491;
								obj_t BgL_arg1306z00_492;
								obj_t BgL_arg1307z00_493;
								obj_t BgL_arg1308z00_494;
								obj_t BgL_arg1309z00_495;
								obj_t BgL_arg1310z00_496;
								obj_t BgL_arg1311z00_497;
								obj_t BgL_arg1312z00_498;
								obj_t BgL_arg1313z00_499;
								obj_t BgL_arg1314z00_500;
								obj_t BgL_arg1315z00_501;

								{	/* Ieee/control5.scm 231 */
									int BgL_auxz00_1428;

									BgL_auxz00_1428 = (int) (((long) 1));
									BgL_arg1303z00_489 = BGL_MVALUES_VAL(BgL_auxz00_1428);
								}
								{	/* Ieee/control5.scm 232 */
									int BgL_auxz00_1431;

									BgL_auxz00_1431 = (int) (((long) 2));
									BgL_arg1304z00_490 = BGL_MVALUES_VAL(BgL_auxz00_1431);
								}
								{	/* Ieee/control5.scm 233 */
									int BgL_auxz00_1434;

									BgL_auxz00_1434 = (int) (((long) 3));
									BgL_arg1305z00_491 = BGL_MVALUES_VAL(BgL_auxz00_1434);
								}
								{	/* Ieee/control5.scm 234 */
									int BgL_auxz00_1437;

									BgL_auxz00_1437 = (int) (((long) 4));
									BgL_arg1306z00_492 = BGL_MVALUES_VAL(BgL_auxz00_1437);
								}
								{	/* Ieee/control5.scm 235 */
									int BgL_auxz00_1440;

									BgL_auxz00_1440 = (int) (((long) 5));
									BgL_arg1307z00_493 = BGL_MVALUES_VAL(BgL_auxz00_1440);
								}
								{	/* Ieee/control5.scm 236 */
									int BgL_auxz00_1443;

									BgL_auxz00_1443 = (int) (((long) 6));
									BgL_arg1308z00_494 = BGL_MVALUES_VAL(BgL_auxz00_1443);
								}
								{	/* Ieee/control5.scm 237 */
									int BgL_auxz00_1446;

									BgL_auxz00_1446 = (int) (((long) 7));
									BgL_arg1309z00_495 = BGL_MVALUES_VAL(BgL_auxz00_1446);
								}
								{	/* Ieee/control5.scm 238 */
									int BgL_auxz00_1449;

									BgL_auxz00_1449 = (int) (((long) 8));
									BgL_arg1310z00_496 = BGL_MVALUES_VAL(BgL_auxz00_1449);
								}
								{	/* Ieee/control5.scm 239 */
									int BgL_auxz00_1452;

									BgL_auxz00_1452 = (int) (((long) 9));
									BgL_arg1311z00_497 = BGL_MVALUES_VAL(BgL_auxz00_1452);
								}
								{	/* Ieee/control5.scm 240 */
									int BgL_auxz00_1455;

									BgL_auxz00_1455 = (int) (((long) 10));
									BgL_arg1312z00_498 = BGL_MVALUES_VAL(BgL_auxz00_1455);
								}
								{	/* Ieee/control5.scm 241 */
									int BgL_auxz00_1458;

									BgL_auxz00_1458 = (int) (((long) 11));
									BgL_arg1313z00_499 = BGL_MVALUES_VAL(BgL_auxz00_1458);
								}
								{	/* Ieee/control5.scm 242 */
									int BgL_auxz00_1461;

									BgL_auxz00_1461 = (int) (((long) 12));
									BgL_arg1314z00_500 = BGL_MVALUES_VAL(BgL_auxz00_1461);
								}
								{	/* Ieee/control5.scm 243 */
									int BgL_auxz00_1464;

									BgL_auxz00_1464 = (int) (((long) 13));
									BgL_arg1315z00_501 = BGL_MVALUES_VAL(BgL_auxz00_1464);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1303z00_489, BgL_arg1304z00_490,
									BgL_arg1305z00_491, BgL_arg1306z00_492, BgL_arg1307z00_493,
									BgL_arg1308z00_494, BgL_arg1309z00_495, BgL_arg1310z00_496,
									BgL_arg1311z00_497, BgL_arg1312z00_498, BgL_arg1313z00_499,
									BgL_arg1314z00_500, BgL_arg1315z00_501, BEOA);
							}
							break;
						case ((long) 15):

							{	/* Ieee/control5.scm 246 */
								obj_t BgL_arg1316z00_502;
								obj_t BgL_arg1317z00_503;
								obj_t BgL_arg1318z00_504;
								obj_t BgL_arg1319z00_505;
								obj_t BgL_arg1320z00_506;
								obj_t BgL_arg1321z00_507;
								obj_t BgL_arg1322z00_508;
								obj_t BgL_arg1323z00_509;
								obj_t BgL_arg1324z00_510;
								obj_t BgL_arg1325z00_511;
								obj_t BgL_arg1326z00_512;
								obj_t BgL_arg1327z00_513;
								obj_t BgL_arg1328z00_514;
								obj_t BgL_arg1329z00_515;

								{	/* Ieee/control5.scm 246 */
									int BgL_auxz00_1484;

									BgL_auxz00_1484 = (int) (((long) 1));
									BgL_arg1316z00_502 = BGL_MVALUES_VAL(BgL_auxz00_1484);
								}
								{	/* Ieee/control5.scm 247 */
									int BgL_auxz00_1487;

									BgL_auxz00_1487 = (int) (((long) 2));
									BgL_arg1317z00_503 = BGL_MVALUES_VAL(BgL_auxz00_1487);
								}
								{	/* Ieee/control5.scm 248 */
									int BgL_auxz00_1490;

									BgL_auxz00_1490 = (int) (((long) 3));
									BgL_arg1318z00_504 = BGL_MVALUES_VAL(BgL_auxz00_1490);
								}
								{	/* Ieee/control5.scm 249 */
									int BgL_auxz00_1493;

									BgL_auxz00_1493 = (int) (((long) 4));
									BgL_arg1319z00_505 = BGL_MVALUES_VAL(BgL_auxz00_1493);
								}
								{	/* Ieee/control5.scm 250 */
									int BgL_auxz00_1496;

									BgL_auxz00_1496 = (int) (((long) 5));
									BgL_arg1320z00_506 = BGL_MVALUES_VAL(BgL_auxz00_1496);
								}
								{	/* Ieee/control5.scm 251 */
									int BgL_auxz00_1499;

									BgL_auxz00_1499 = (int) (((long) 6));
									BgL_arg1321z00_507 = BGL_MVALUES_VAL(BgL_auxz00_1499);
								}
								{	/* Ieee/control5.scm 252 */
									int BgL_auxz00_1502;

									BgL_auxz00_1502 = (int) (((long) 7));
									BgL_arg1322z00_508 = BGL_MVALUES_VAL(BgL_auxz00_1502);
								}
								{	/* Ieee/control5.scm 253 */
									int BgL_auxz00_1505;

									BgL_auxz00_1505 = (int) (((long) 8));
									BgL_arg1323z00_509 = BGL_MVALUES_VAL(BgL_auxz00_1505);
								}
								{	/* Ieee/control5.scm 254 */
									int BgL_auxz00_1508;

									BgL_auxz00_1508 = (int) (((long) 9));
									BgL_arg1324z00_510 = BGL_MVALUES_VAL(BgL_auxz00_1508);
								}
								{	/* Ieee/control5.scm 255 */
									int BgL_auxz00_1511;

									BgL_auxz00_1511 = (int) (((long) 10));
									BgL_arg1325z00_511 = BGL_MVALUES_VAL(BgL_auxz00_1511);
								}
								{	/* Ieee/control5.scm 256 */
									int BgL_auxz00_1514;

									BgL_auxz00_1514 = (int) (((long) 11));
									BgL_arg1326z00_512 = BGL_MVALUES_VAL(BgL_auxz00_1514);
								}
								{	/* Ieee/control5.scm 257 */
									int BgL_auxz00_1517;

									BgL_auxz00_1517 = (int) (((long) 12));
									BgL_arg1327z00_513 = BGL_MVALUES_VAL(BgL_auxz00_1517);
								}
								{	/* Ieee/control5.scm 258 */
									int BgL_auxz00_1520;

									BgL_auxz00_1520 = (int) (((long) 13));
									BgL_arg1328z00_514 = BGL_MVALUES_VAL(BgL_auxz00_1520);
								}
								{	/* Ieee/control5.scm 259 */
									int BgL_auxz00_1523;

									BgL_auxz00_1523 = (int) (((long) 14));
									BgL_arg1329z00_515 = BGL_MVALUES_VAL(BgL_auxz00_1523);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1316z00_502, BgL_arg1317z00_503,
									BgL_arg1318z00_504, BgL_arg1319z00_505, BgL_arg1320z00_506,
									BgL_arg1321z00_507, BgL_arg1322z00_508, BgL_arg1323z00_509,
									BgL_arg1324z00_510, BgL_arg1325z00_511, BgL_arg1326z00_512,
									BgL_arg1327z00_513, BgL_arg1328z00_514, BgL_arg1329z00_515,
									BEOA);
							}
							break;
						case ((long) 16):

							{	/* Ieee/control5.scm 262 */
								obj_t BgL_arg1330z00_516;
								obj_t BgL_arg1333z00_517;
								obj_t BgL_arg1334z00_518;
								obj_t BgL_arg1335z00_519;
								obj_t BgL_arg1336z00_520;
								obj_t BgL_arg1337z00_521;
								obj_t BgL_arg1338z00_522;
								obj_t BgL_arg1339z00_523;
								obj_t BgL_arg1340z00_524;
								obj_t BgL_arg1341z00_525;
								obj_t BgL_arg1342z00_526;
								obj_t BgL_arg1343z00_527;
								obj_t BgL_arg1344z00_528;
								obj_t BgL_arg1381z00_529;
								obj_t BgL_arg1382z00_530;

								{	/* Ieee/control5.scm 262 */
									int BgL_auxz00_1544;

									BgL_auxz00_1544 = (int) (((long) 1));
									BgL_arg1330z00_516 = BGL_MVALUES_VAL(BgL_auxz00_1544);
								}
								{	/* Ieee/control5.scm 263 */
									int BgL_auxz00_1547;

									BgL_auxz00_1547 = (int) (((long) 2));
									BgL_arg1333z00_517 = BGL_MVALUES_VAL(BgL_auxz00_1547);
								}
								{	/* Ieee/control5.scm 264 */
									int BgL_auxz00_1550;

									BgL_auxz00_1550 = (int) (((long) 3));
									BgL_arg1334z00_518 = BGL_MVALUES_VAL(BgL_auxz00_1550);
								}
								{	/* Ieee/control5.scm 265 */
									int BgL_auxz00_1553;

									BgL_auxz00_1553 = (int) (((long) 4));
									BgL_arg1335z00_519 = BGL_MVALUES_VAL(BgL_auxz00_1553);
								}
								{	/* Ieee/control5.scm 266 */
									int BgL_auxz00_1556;

									BgL_auxz00_1556 = (int) (((long) 5));
									BgL_arg1336z00_520 = BGL_MVALUES_VAL(BgL_auxz00_1556);
								}
								{	/* Ieee/control5.scm 267 */
									int BgL_auxz00_1559;

									BgL_auxz00_1559 = (int) (((long) 6));
									BgL_arg1337z00_521 = BGL_MVALUES_VAL(BgL_auxz00_1559);
								}
								{	/* Ieee/control5.scm 268 */
									int BgL_auxz00_1562;

									BgL_auxz00_1562 = (int) (((long) 7));
									BgL_arg1338z00_522 = BGL_MVALUES_VAL(BgL_auxz00_1562);
								}
								{	/* Ieee/control5.scm 269 */
									int BgL_auxz00_1565;

									BgL_auxz00_1565 = (int) (((long) 8));
									BgL_arg1339z00_523 = BGL_MVALUES_VAL(BgL_auxz00_1565);
								}
								{	/* Ieee/control5.scm 270 */
									int BgL_auxz00_1568;

									BgL_auxz00_1568 = (int) (((long) 9));
									BgL_arg1340z00_524 = BGL_MVALUES_VAL(BgL_auxz00_1568);
								}
								{	/* Ieee/control5.scm 271 */
									int BgL_auxz00_1571;

									BgL_auxz00_1571 = (int) (((long) 10));
									BgL_arg1341z00_525 = BGL_MVALUES_VAL(BgL_auxz00_1571);
								}
								{	/* Ieee/control5.scm 272 */
									int BgL_auxz00_1574;

									BgL_auxz00_1574 = (int) (((long) 11));
									BgL_arg1342z00_526 = BGL_MVALUES_VAL(BgL_auxz00_1574);
								}
								{	/* Ieee/control5.scm 273 */
									int BgL_auxz00_1577;

									BgL_auxz00_1577 = (int) (((long) 12));
									BgL_arg1343z00_527 = BGL_MVALUES_VAL(BgL_auxz00_1577);
								}
								{	/* Ieee/control5.scm 274 */
									int BgL_auxz00_1580;

									BgL_auxz00_1580 = (int) (((long) 13));
									BgL_arg1344z00_528 = BGL_MVALUES_VAL(BgL_auxz00_1580);
								}
								{	/* Ieee/control5.scm 275 */
									int BgL_auxz00_1583;

									BgL_auxz00_1583 = (int) (((long) 14));
									BgL_arg1381z00_529 = BGL_MVALUES_VAL(BgL_auxz00_1583);
								}
								{	/* Ieee/control5.scm 276 */
									int BgL_auxz00_1586;

									BgL_auxz00_1586 = (int) (((long) 15));
									BgL_arg1382z00_530 = BGL_MVALUES_VAL(BgL_auxz00_1586);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_407, BgL_arg1330z00_516, BgL_arg1333z00_517,
									BgL_arg1334z00_518, BgL_arg1335z00_519, BgL_arg1336z00_520,
									BgL_arg1337z00_521, BgL_arg1338z00_522, BgL_arg1339z00_523,
									BgL_arg1340z00_524, BgL_arg1341z00_525, BgL_arg1342z00_526,
									BgL_arg1343z00_527, BgL_arg1344z00_528, BgL_arg1381z00_529,
									BgL_arg1382z00_530, BEOA);
							}
							break;
						default:
							return apply(BgL_consumerz00_9, BgL_res0z00_407);
						}
				}
			}
		}
	}



/* &call-with-values */
	obj_t BGl_z62callzd2withzd2valuesz62zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_959, obj_t BgL_producerz00_960, obj_t BgL_consumerz00_961)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 117 */
			{	/* Ieee/control5.scm 118 */
				obj_t BgL_auxz00_1619;
				obj_t BgL_auxz00_1612;

				if (PROCEDUREP(BgL_consumerz00_961))
					{	/* Ieee/control5.scm 118 */
						BgL_auxz00_1619 = BgL_consumerz00_961;
					}
				else
					{
						obj_t BgL_auxz00_1622;

						BgL_auxz00_1622 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1546z00zz__r5_control_features_6_4z00,
							BINT(((long) 4539)),
							BGl_string1551z00zz__r5_control_features_6_4z00,
							BGl_string1552z00zz__r5_control_features_6_4z00,
							BgL_consumerz00_961);
						FAILURE(BgL_auxz00_1622, BFALSE, BFALSE);
					}
				if (PROCEDUREP(BgL_producerz00_960))
					{	/* Ieee/control5.scm 118 */
						BgL_auxz00_1612 = BgL_producerz00_960;
					}
				else
					{
						obj_t BgL_auxz00_1615;

						BgL_auxz00_1615 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1546z00zz__r5_control_features_6_4z00,
							BINT(((long) 4539)),
							BGl_string1551z00zz__r5_control_features_6_4z00,
							BGl_string1552z00zz__r5_control_features_6_4z00,
							BgL_producerz00_960);
						FAILURE(BgL_auxz00_1615, BFALSE, BFALSE);
					}
				return
					BGl_callzd2withzd2valuesz00zz__r5_control_features_6_4z00
					(BgL_auxz00_1612, BgL_auxz00_1619);
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r5_control_features_6_4z00()
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 173154212),
				BSTRING_TO_STRING(BGl_string1553z00zz__r5_control_features_6_4z00));
		}
	}

#ifdef __cplusplus
}
#endif
